# Sistema Cadaris


**[Sistema Cadaris](https://sistema.cadarisdigital.com.br)** foi
desenvolvido para a **[Agência Cadaris](http://www.cadaris.com.br)** por
**[RafahCSilva](https://github.com/RafahCSilva)**.

## Instalação do Sistema

- Clone o Projeto para a pasta `/home/user` no servidor.

```bash
git clone --recursive https://github.com/...
```

- Acesse o diretório `Cadaris`.

```bash
cd ~/Cadaris
```

- Dê permissão de execução a todos os scripts.

```bash
sudo chmod +x *.sh
```

### LaraDock

- Desinstale o Docker e o Docker-Compose.

```bash
./_Docker_uninstall.sh
```

- Instale o Docker e o Docker-Compose.

```bash
./_Docker_install.sh
```

- Copie o `.env__LaraDock` configurado para dentro do `LaraDock`.

```bash
cp .env__LaraDock laradock/.env
```

- Construa os Containers.

```bash
./_LaraDock_build.sh
```

- Inicie os Containers.

```bash
./_LaraDock_up.sh
```

- Confirme q todos os Container estão UP

```bash
docker ps
```
```text
IMAGE             ... PORTS                                        NAMES
laradock_mysql        0.0.0.0:3306->3306/tcp, 33060/tcp            laradock_mysql_1
laradock_nginx        0.0.0.0:801->80/tcp, 0.0.0.0:4431->443/tcp   laradock_nginx_1
laradock_php-fpm      9000/tcp                                     laradock_php-fpm_1
laradock_php-worker                                                laradock_php-worker_1
laradock_workspace    0.0.0.0:2222->22/tcp                         laradock_workspace_1sh
```

- Pare os Containers.

```bash
./_LaraDock_stop.sh
```

### Projeto Sistema Cadaris

- Configure o Ambiente.

```bash
cp .env_? .env
nano .env
```

- Inicialize o Projeto: Instala as Dependências, Configura, DataBase
  Migrations e Seeders.

```bash
./_Cadaris_init.sh
```

- Atualize o Projeto para a última versão (reinicie o LaraDock depois).

```bash
./_Cadaris_update.sh
```

- Acesse o Bash do Docker Workspace do Sistema.

```bash
./_Cadaris_bash.sh
```

- Realize o backup dos dados do Sistema e do MySQLdump para a pasta
  `~/Cadaris/SistemaCadarisBackup/`.

```bash
./_Cadaris_backup.sh
```

- Build Assets

````bash
./_Node_install.sh
# Relogin no Server  
./_Node_build.sh
````

- Instale o Apache na Host

````bash
./_Server_apache_install.sh 
````
