<?php

/// Cadaris Roles e Permissions
/// https://github.com/spatie/laravel-permission

namespace App;

use Spatie\Permission\Models\Permission;
use Spatie\Permission\Models\Role;

class CRP { // extends SplEnum

  // ROLES
  const R_Admin             = 'administrador';
  const R_Diretor           = 'diretor';
  const R_Func_Financeiro   = 'func_financeiro ';
  const R_Func_Planejamento = 'func_planejamento';
  const R_Func_Producao     = 'func_producao';
  const R_Func_RH           = 'func_rh';
  const R_Cliente           = 'cliente';
  const R_Minimal           = 'minimal';

  // PERMISSIONS
  const P_Cadastro_read = 'cadastro_read';
  const P_Cadastro_edit = 'cadastro_edit';

  const P_ControleDePonto_read = 'controledeponto_read';
  const P_ControleDePonto_edit = 'controledeponto_edit';

  const P_Funcionario_all = 'funcionario_all';

  const P_Comercial_index = 'comercial_index';

  // Visualizar Job
  const P_Comercial_A_read = 'comercial_A_read';
  const P_Comercial_B_read = 'comercial_B_read';
  const P_Comercial_C_read = 'comercial_C_read';
  const P_Comercial_D_read = 'comercial_D_read';
  const P_Comercial_E_read = 'comercial_E_read';
  const P_Comercial_F_read = 'comercial_F_read';
  const P_Comercial_G_read = 'comercial_G_read';
  const P_Comercial_Z_read = 'comercial_Z_read';
  const P_Comercial_L_read = 'comercial_L_read';

  // Editar Job
  const P_Comercial_0_edit = 'comercial_0_edit';
  const P_Comercial_A_edit = 'comercial_A_edit';
  const P_Comercial_B_edit = 'comercial_B_edit';
  const P_Comercial_C_edit = 'comercial_C_edit';
  const P_Comercial_D_edit = 'comercial_D_edit';
  const P_Comercial_E_edit = 'comercial_E_edit';
  const P_Comercial_F_edit = 'comercial_F_edit';
  const P_Comercial_G_edit = 'comercial_G_edit';
  const P_Comercial_Z_edit = 'comercial_Z_edit';
  const P_Comercial_L_edit = 'comercial_L_edit';

  // Notificacoes dos Jobs
  const P_Comercial_email_A_entrou   = 'comercial_email_A_entrou';
  const P_Comercial_email_B_entrou   = 'comercial_email_B_entrou';
  const P_Comercial_email_C_entrou   = 'comercial_email_C_entrou';
  const P_Comercial_email_C_aprovou  = 'comercial_email_C_aprovou';
  const P_Comercial_email_C_reprovou = 'comercial_email_C_reprovou';
  const P_Comercial_email_D_entrou   = 'comercial_email_D_entrou';
  const P_Comercial_email_D_aprovou  = 'comercial_email_D_aprovou';
  const P_Comercial_email_D_reprovou = 'comercial_email_D_reprovou';
  const P_Comercial_email_D_arquivou = 'comercial_email_D_arquivou';
  const P_Comercial_email_E_entrou   = 'comercial_email_E_entrou';
  const P_Comercial_email_F_entrou   = 'comercial_email_F_entrou';
  const P_Comercial_email_G_entrou   = 'comercial_email_G_entrou';

  // Financeiro
  const P_Financeiro = 'financeiro';

  //const P_ = '';

  /**
   * Retorna o 'role:<permission>'.
   *
   * @param string $permission
   * @return string
   */
  public static function role( $permission ) {
    return 'role:' . $permission;
  }

  const enum_P_comercial_read = [
    'A' => CRP::P_Comercial_A_read,
    'B' => CRP::P_Comercial_B_read,
    'C' => CRP::P_Comercial_C_read,
    'D' => CRP::P_Comercial_D_read,
    'E' => CRP::P_Comercial_E_read,
    'F' => CRP::P_Comercial_F_read,
    'G' => CRP::P_Comercial_G_read,
    'Z' => CRP::P_Comercial_Z_read,
    'L' => CRP::P_Comercial_L_read
  ];

  const enum_P_comercial_edit = [
    'A' => CRP::P_Comercial_A_edit,
    'B' => CRP::P_Comercial_B_edit,
    'C' => CRP::P_Comercial_C_edit,
    'D' => CRP::P_Comercial_D_edit,
    'E' => CRP::P_Comercial_E_edit,
    'F' => CRP::P_Comercial_F_edit,
    'G' => CRP::P_Comercial_G_edit,
    'Z' => CRP::P_Comercial_Z_edit,
    'L' => CRP::P_Comercial_L_edit
  ];

  /**
   * @param string $permission
   * @return User[]
   */
  public static function getUsersFromPermission( $permission ) {
    /** @var Permission $perm */
    $perm  = Permission::findByName( $permission );
    $users = [];
    /** @var User[] $pu */
    $pu = $perm->users()->get();
    /** @var User $u */
    foreach ( $pu as $u ) {
      $users[ $u->id ] = $u;
    }
    /** @var Role[] $pr */
    $pr = $perm->roles()->get();
    foreach ( $pr as $r ) {
      /** @var User $u */
      foreach ( $r->users()->get() as $u ) {
        $users[ $u->id ] = $u;
      }
    }
    return $users;
  }
}
