<?php

namespace App\Console;

use Illuminate\Console\Scheduling\Schedule;
use Illuminate\Foundation\Console\Kernel as ConsoleKernel;

class Kernel extends ConsoleKernel {
  /**
   * The Artisan commands provided by your application.
   *
   * @var array
   */
  protected $commands = [
    //
  ];

  /**
   * Define the application's command schedule.
   *
   * @param \Illuminate\Console\Scheduling\Schedule $schedule
   * @return void
   */
  protected function schedule( Schedule $schedule ) {
    // $schedule->command( 'backup:run' )->cron( '* 12,20 * * 1,2,3,4,5' );

    // Spatie/Backup
    $schedule->command( 'backup:monitor' )->weekdays()->dailyAt( '08:00' );
    $schedule->command( 'backup:clean' )->weekly();
    $schedule->command( 'backup:run' )->weekdays()->dailyAt( '12:00' );
    $schedule->command( 'backup:run' )->weekdays()->dailyAt( '20:00' );

    // RE-CACHE do Fluxo de Caixa
    $schedule
      ->command( 'recache:caixa' )
      ->weekdays()
      ->hourly()
      ->timezone( 'America/Sao_Paulo' )
      ->between( '8:00', '21:00' );
  }

  /**
   * Register the Closure based commands for the application.
   *
   * @return void
   */
  protected function commands() {
    require base_path( 'routes/console.php' );
  }
}
