<?php

namespace App\Http\Controllers\Cadastros;

use App\Http\Controllers\Controller;
use App\Models\Cadastros\ClientesEmpresas;
use Illuminate\Http\Request;
use Response;

class ClientesApi extends Controller {
  public function getCentrosDeCustos( Request $request ) {
    if ( !$request->has( 'idEmpresa' ) ) {
      return abort( 400, 'Falta Parametros idEmpresa' );
    }

    $idEmpresa = $request->get( 'idEmpresa' );
    /** @var ClientesEmpresas $emp */
    $emp    = ClientesEmpresas::findOrfail( $idEmpresa );
    $dep    = $emp->CentrosDeCustos->sortBy( 'codigo' );
    $depart = [];
    foreach ( $dep as $d ) {
      $item           = [];
      $item[ 'id' ]   = $d->id;
      $item[ 'nome' ] = sprintf( '%02d.%02d - %s', $emp->codigo, $d->codigo, $d->nome );;
      $depart[] = $item;
    }

    return Response::json( $depart );
  }
}
