<?php

namespace App\Http\Controllers\Cadastros\Config;

use App;
use App\Http\Controllers\Controller;
use App\Models\Config\FaixaSalarial;
use App\Models\Cadastros\FuncHistoricos;
use Response;

class FaixaSalarialApi extends Controller {

  /**
   * Cria uma nova instancia deste Controller.
   *
   */
  public function __construct() {
    // TODO: auth API
  }

  /**
   * Retorna em JSON pro AJAX a descrição do cargo-nivel e a faixa salarial
   *
   * @param $cargo
   * @param $nivel
   * @return \Illuminate\Http\JsonResponse
   */
  public function getFaixa( $cargo, $nivel ) {
    //http://destinonegocio.com/br/empreendedorismo/como-calcular-o-dissidio/
    if (
      $cargo > count( FuncHistoricos::enum_cargos() ) ||
      $cargo < 0 ||
      $nivel > 17 ||
      $nivel < 1
    ) {
      return Response::json( [ 'error' => 404, 'message' => 'Params offset' ], 404 );
      // App::abort( 404, 'params fora do index' );
    }

    // descricao do Cargo-Nivel
    $desc = FuncHistoricos::enum_DescricaoCargoNivel()[ $cargo ][ $nivel ];

    // recupera os piso e o teto do salario daquele nivel
    $faixa = FaixaSalarial::where( 'nivel', $nivel )->first();
    $inf   = $faixa->inferior;
    $sup   = $faixa->superior;

    // faz calc do dissidio sobre a faixa salarial
    // $dissidio = FaixaSalarialDissidio::orderby( 'ano' )->get();

    $med = intval( ( $inf + $sup ) / 2 );

    // monta o array -> json
    $resp = [
      'desc' => $desc,
      'inf'  => number_format( $inf / 100, 2, ',', '.' ),
      'infv' => $inf,
      'med'  => number_format( $med / 100, 2, ',', '.' ),
      'medv' => $med,
      'sup'  => number_format( $sup / 100, 2, ',', '.' ),
      'supv' => $sup
    ];

    return Response::json( $resp );
  }
}
