<?php

namespace App\Http\Controllers\Cadastros;

use App\Http\Controllers\Controller;
use App\Models\Cadastros\Funcionarios;
use Response;

class FuncionariosApi extends Controller {

  /**
   * Retorna um Funcionario em JSON pro AJAX
   *
   * @param $id
   * @return \Illuminate\Http\JsonResponse
   */
  public function getFuncionario( $id ) {
    return Response::json( Funcionarios::findOrFail( $id ) );
  }


  /**
   * Retorna para o AJAX o dissidio do funcionario
   *
   * @param $idFunc
   * @return \Illuminate\Http\JsonResponse
   */
  public function calcDissidio( $idFunc ) {
    // so retorna o JSON para o AJAX
    /** @var Funcionarios $func */
    $func = Funcionarios::findOrFail( $idFunc );
    $resp = $func->calcDissidio();
    return Response::json( $resp );
  }
}
