<?php

namespace App\Http\Controllers\Comercial;

use App\CRP;
use App\Http\Requests\JobRequest;
use App\Models\Comercial\JobLogs;
use App\Models\Comercial\Jobs;
use Carbon\Carbon;

class StageL extends Stage {
  public $job;
  public $PERMISSION_edit = CRP::P_Comercial_Z_edit;
  public $PERMISSION_read = CRP::P_Comercial_Z_read;

  function __construct( Jobs $j ) {
    $this->job = $j;
  }

  /**
   * Visualiza a etapa deste Job.
   *
   * @return \Illuminate\Contracts\View\Factory|\Illuminate\View\View
   */
  public function showDados() {
    $job               = $this->job;
    $BriefingLivre     = $this->job->_BriefingLivre();
    $BriefingGrafico   = $this->job->_BriefingGrafico();
    $BriefingWeb       = $this->job->_BriefingWeb();
    $BriefingBrinde    = $this->job->_BriefingBrinde();
    $BriefingFiles     = $this->job->BriefingFiles;
    $cronograma_hidden = $this->job->_Cronograma()->json;
    $cronograma        = $cronograma_hidden == '' ? [] : json_decode( $cronograma_hidden );
    $orcamentosAprov   = $this->job->Orcamentos;
    $orcamentosAprovC  = $this->job->_OrcamentosAprovados_Diretoria();
    $logs              = $this->job->_Logs();

    usort( $cronograma, function ( $a, $b ) {
      $val = $a->startDate <=> $b->startDate;
      if ( $val == 0 ) {
        $val = $a->endDate <=> $b->endDate;
      }
      return $val;
    } );

    return view( 'Comercial.stageL', compact( 'job', 'BriefingLivre', 'BriefingGrafico', 'BriefingWeb', 'BriefingBrinde', 'BriefingFiles', 'cronograma_hidden', 'cronograma', 'orcamentosAprov', 'orcamentosAprovC', 'logs' ) );
  }

  /**
   * Retorna uma etapa do Job.
   *
   * @param JobRequest $request
   * @return \Illuminate\Http\RedirectResponse
   */
  public function back( JobRequest $request ) {
    $this->job->Stages()->create( [
      'etapa'   => 'A',
      'entrada' => Carbon::now()->format( 'Y-m-d H:i:s' ),
      'salvo'   => null,
      'saida'   => null
    ] );
    $this->job->etapa_atual = 'A';
    $this->job->save();
    StageUtil::LOG( $this->job, StageUtil::A, JobLogs::LOG_RETORNAR );

    return redirect()->route( 'jobs.show', $this->job->id );
  }

  public function saveDados( JobRequest $request ) { }

  public function submitDados( JobRequest $request ) { }
}