<?php

namespace App\Http\Middleware;

use Auth;
use Closure;
use Illuminate\Http\Request;

class RoleMiddleware {
  /**
   * Handle an incoming request.
   *
   * @param Request $request
   * @param Closure $next
   * @param string $permission
   * @return \Illuminate\Http\RedirectResponse|mixed
   */
  public function handle( $request, Closure $next, $permission ) {
    if ( !$request->user()->can( $permission ) ) {
      if ( $request->ajax() ) {
        return response( '', 403 );
      }
      return redirect()->route( 'home' );
    }

    return $next( $request );
  }
}
