<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class DepartamentoRequest extends FormRequest {
  /**
   * Determina se o usuário está autorizado a fazer este pedido.
   *
   * @return bool
   */
  public function authorize() {
    return true;
  }

  /**
   * Retorna as regras de validacao a ser aplicada na requisicao.
   *
   * @return array
   */
  public function rules() {
    return [
      'nome' => 'required|max:255',
    ];
  }

  /**
   * Mensagens de erros amigaveis.
   *
   * @return array
   */
  public function messages() {
    return [
      'nome.required' => 'O campo Nome do Departamento é obrigatório.'
    ];
  }
}
