<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class FaixaSalarialRequest extends FormRequest {
  /**
   * Determina se o usuário está autorizado a fazer este pedido.
   *
   * @return bool
   */
  public function authorize() {
    return true;
  }

  /**
   * Retorna as regras de validacao a ser aplicada na requisicao.
   *
   * @return array
   */
  public function rules() {
    $r = [];
    foreach ( range( 1, 17 ) as $i ) {
      $r[ 'inferior_' . $i ] = 'required|numeric';
      $r[ 'superior_' . $i ] = 'required|numeric';
    }
    $r[ 'dis_ano' ]    = 'nullable|array';
    $r[ 'dis_valor1' ] = 'nullable|array';
    $r[ 'dis_porc1' ]  = 'nullable|array';
    $r[ 'dis_valor2' ] = 'nullable|array';
    $r[ 'dis_porc2' ]  = 'nullable|array';
    $r[ 'dis_valor3' ] = 'nullable|array';
    $r[ 'dis_porc3' ]  = 'nullable|array';
    $r[ 'dis_valor4' ] = 'nullable|array';
    $r[ 'dis_porc4' ]  = 'nullable|array';
    $r[ 'dis_id' ]     = 'nullable|array';

    return $r;
  }

  /**
   * Mensagens de erros amigaveis.
   *
   * @return array
   */
  public function messages() {
    $r = [];
    foreach ( range( 1, 17 ) as $i ) {
      $r[ 'inferior_' . $i . '.required' ] = 'O campo Limite Inferior do Nível ' . $i . ' é obrigatório.';
      $r[ 'superior_' . $i . '.required' ] = 'O campo Limite Superior do Nível ' . $i . ' é obrigatório.';
    }

    return $r;
  }
}
