<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class UsuarioRequest extends FormRequest {
  /**
   * Determine if the user is authorized to make this request.
   *
   * @return bool
   */
  public function authorize() {
    return true;
  }

  /**
   * Get the validation rules that apply to the request.
   *
   * @return array
   */
  public function rules() {
    if ( $this->has( 'editando' ) ) {
      return [
        'crp_role' => 'required|numeric',
        'name'     => 'required|max:255',
      ];
    } else {
      return [
        'funcionarios_id' => 'required|numeric',
        'crp_role'        => 'required|numeric',
        'name'            => 'required|max:255',
        'email'           => 'required|email|unique:users,email|max:255',
        // 'password'     => 'required|min:6|confirmed',
      ];
    }
  }

  /**
   * Mensagens de erros amigaveis.
   *
   * @return array
   */
  public function messages() {
    return [
      'funcionarios_id.required' => 'Selecione um Funcionário Associado.',
      'name.required'            => 'O campo Nome é obrigatório.',
      'email.required'           => 'O campo E-mail é obrigatório.',
      'email.unique'             => 'Este E-mail já está em uso.',
      'crp_role.required'        => 'Este E-mail já está em uso.',
      // 'password.required'        => 'O campo Senha é obrigatório.',
      // 'password.min'             => 'O campo Senha deve conter no mínimo 6 caracteres.',
      // 'password.confirmed'       => 'A confirmação para o campo Senha não coincide.',
    ];
  }
}
