<?php

namespace App\Models\Cadastros;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Cadastros\ClientesCentrosDeCustosContatos
 *
 * @property int $id
 * @property string $nome
 * @property string $tel
 * @property string $cel
 * @property string $email
 * @property int $clientes_centros_de_custos_id
 * @property \Carbon\Carbon $created_at
 * @property \Carbon\Carbon $updated_at
 * @property-read \App\Models\Cadastros\ClientesCentrosDeCustos $CentroDeCusto
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\ClientesCentrosDeCustosContatos whereCel( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\ClientesCentrosDeCustosContatos whereClientesCentrosDeCustosId( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\ClientesCentrosDeCustosContatos whereCreatedAt( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\ClientesCentrosDeCustosContatos whereEmail( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\ClientesCentrosDeCustosContatos whereId( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\ClientesCentrosDeCustosContatos whereNome( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\ClientesCentrosDeCustosContatos whereTel( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\ClientesCentrosDeCustosContatos whereUpdatedAt( $value )
 * @mixin \Eloquent
 */
class ClientesCentrosDeCustosContatos extends Model {
  /**   * A tabela associada com este Model.   *   * @var string */
  protected $table = 'clientes_centros_de_custos_contatos';

  /**
   * Os atributos que são atribuíveis em massa.
   *
   * @var array
   */
  protected $fillable = [
    'nome',
    'tel',
    'cel',
    'email'
  ];

  /**
   * Retorna os CentroDeCusto do ClientesCentrosDeCustosContato.
   *
   * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
   */
  public function CentroDeCusto() {
    return $this->belongsTo( ClientesCentrosDeCustos::class );
  }
}
