<?php

namespace App\Models\Cadastros;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Cadastros\FornecedoresEmpresasEnderecos
 *
 * @property integer $id
 * @property string $apelido
 * @property string $cep
 * @property string $logradouro
 * @property string $numero
 * @property string $complemento
 * @property string $bairro
 * @property string $cidade
 * @property string $estado
 * @property integer $fornecedores_empresas_id
 * @property \Carbon\Carbon $created_at
 * @property \Carbon\Carbon $updated_at
 * @property-read \App\Models\Cadastros\FornecedoresEmpresas $Empresa
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\FornecedoresEmpresasEnderecos whereId( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\FornecedoresEmpresasEnderecos whereApelido( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\FornecedoresEmpresasEnderecos whereCep( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\FornecedoresEmpresasEnderecos whereLogradouro( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\FornecedoresEmpresasEnderecos whereNumero( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\FornecedoresEmpresasEnderecos whereComplemento( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\FornecedoresEmpresasEnderecos whereBairro( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\FornecedoresEmpresasEnderecos whereCidade( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\FornecedoresEmpresasEnderecos whereEstado( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\FornecedoresEmpresasEnderecos whereFornecedoresEmpresasId( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\FornecedoresEmpresasEnderecos whereCreatedAt( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\FornecedoresEmpresasEnderecos whereUpdatedAt( $value )
 * @mixin \Eloquent
 */
class FornecedoresEmpresasEnderecos extends Model {
  /**
   * A tabela associada com este Model.
   *
   * @var string
   */
  protected $table = 'fornecedores_empresas_enderecos';

  /**
   * Os atributos que são atribuíveis em massa.
   *
   * @var array
   */
  protected $fillable = [
    // ENDERECO
    'apelido',
    'cep',
    'logradouro',
    'numero',
    'complemento',
    'bairro',
    'cidade',
    'estado',
  ];


  /**
   * Retorna os Servicos e Produtos do FornecedoresEmpresas.
   *
   * @return \Illuminate\Database\Eloquent\Relations\BelongsTo | \Illuminate\Database\Query\Builder
   */
  public function Empresa() {
    return $this->belongsTo( FornecedoresEmpresas::class );
  }
}
