<?php

namespace App\Models\Cadastros;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Cadastros\FornecedoresServicosProdutosContatos
 *
 * @property int $id
 * @property string $nome
 * @property string $tel
 * @property string $cel
 * @property string $email
 * @property int $fornecedores_servicos_produtos_id
 * @property \Carbon\Carbon $created_at
 * @property \Carbon\Carbon $updated_at
 * @property-read \App\Models\Cadastros\FornecedoresServicosProdutos $ServicoProduto
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\FornecedoresServicosProdutosContatos whereCel( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\FornecedoresServicosProdutosContatos whereCreatedAt( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\FornecedoresServicosProdutosContatos whereEmail( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\FornecedoresServicosProdutosContatos whereFornecedoresServicosProdutosId( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\FornecedoresServicosProdutosContatos whereId( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\FornecedoresServicosProdutosContatos whereNome( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\FornecedoresServicosProdutosContatos whereTel( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\FornecedoresServicosProdutosContatos whereUpdatedAt( $value )
 * @mixin \Eloquent
 */
class FornecedoresServicosProdutosContatos extends Model {
  /**
   * A tabela associada com este Model.
   *
   * @var string
   */
  protected $table = 'fornecedores_servicos_produtos_contatos';

  /**
   * Os atributos que são atribuíveis em massa.
   *
   * @var array
   */
  protected $fillable = [
    'nome',
    'tel',
    'cel',
    'email',
  ];

  /**
   * Retorna a Empresa do FornecedoresServicosProdutos.
   *
   * @return \Illuminate\Database\Eloquent\Relations\BelongsTo | \Illuminate\Database\Query\Builder
   */
  public function ServicoProduto() {
    return $this->belongsTo( FornecedoresServicosProdutos::class );
  }
}
