<?php

namespace App\Models\Cadastros;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Cadastros\FuncDependentes
 *
 * @property int $id
 * @property string $nome
 * @property string $parentesco
 * @property string $data_nascimento
 * @property bool $falecido
 * @property int $funcionarios_id
 * @property \Carbon\Carbon $created_at
 * @property \Carbon\Carbon $updated_at
 * @property-read \App\Models\Cadastros\Funcionarios $Funcionarios
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\FuncDependentes whereCreatedAt( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\FuncDependentes whereDataNascimento( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\FuncDependentes whereFalecido( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\FuncDependentes whereFuncionariosId( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\FuncDependentes whereId( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\FuncDependentes whereNome( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\FuncDependentes whereParentesco( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\FuncDependentes whereUpdatedAt( $value )
 * @mixin \Eloquent
 */
class FuncDependentes extends Model {
  /**
   * A tabela associada com este Model.
   *
   * @var string
   */
  protected $table = 'funcionarios_dependentes';

  /**
   * Os atributos que são atribuíveis em massa.
   *
   * @var array
   */
  protected $fillable = [ 'nome', 'parentesco', 'data_nascimento', 'falecido' ];

  /**
   * Retorna o Funcionario deste Dependente.
   *
   * @return \Illuminate\Database\Eloquent\Relations\BelongsTo | \Illuminate\Database\Query\Builder
   */
  public function Funcionarios() {
    return $this->belongsTo( Funcionarios::class );
  }
}
