<?php

namespace App\Models\Cadastros;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Cadastros\FuncTelefones
 *
 * @property int $id
 * @property string $telefone
 * @property bool $tipo
 * @property bool $recado
 * @property string $obs
 * @property int $funcionarios_id
 * @property \Carbon\Carbon $created_at
 * @property \Carbon\Carbon $updated_at
 * @property-read \App\Models\Cadastros\Funcionarios $Funcionarios
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\FuncTelefones whereCreatedAt( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\FuncTelefones whereFuncionariosId( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\FuncTelefones whereId( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\FuncTelefones whereObs( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\FuncTelefones whereRecado( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\FuncTelefones whereTelefone( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\FuncTelefones whereTipo( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Cadastros\FuncTelefones whereUpdatedAt( $value )
 * @mixin \Eloquent
 */
class FuncTelefones extends Model {
  /**
   * A tabela associada com este Model.
   *
   * @var string
   */
  protected $table = 'funcionarios_telefones';

  /**
   * Os atributos que são atribuíveis em massa.
   *
   * @var array
   */
  protected $fillable = [ 'tipo', 'telefone', 'recado', 'obs' ];

  /**
   * Enumerador de tipos de telefone
   *
   * @return array
   */
  public static function enum_telefones() {
    return [ 'Residencial', 'Celular', 'Fax', 'Empresarial', 'Fixo' ];
  }

  /**
   * Retorna o Funcionario deste Telefone.
   *
   * @return \Illuminate\Database\Eloquent\Relations\BelongsTo | \Illuminate\Database\Query\Builder
   */
  public function Funcionarios() {
    return $this->belongsTo( Funcionarios::class );
  }

}
