<?php

namespace App\Models\Comercial;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Comercial\BriefingFiles
 *
 * @property int $id
 * @property int $job_id
 * @property string $arquivo
 * @property string $extensao
 * @property \Carbon\Carbon $created_at
 * @property \Carbon\Carbon $updated_at
 * @property-read \App\Models\Comercial\Jobs $Job
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\BriefingFiles whereArquivo( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\BriefingFiles whereCreatedAt( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\BriefingFiles whereExtensao( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\BriefingFiles whereId( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\BriefingFiles whereJobId( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\BriefingFiles whereUpdatedAt( $value )
 * @mixin \Eloquent
 */
class BriefingFiles extends Model {
  /**
   * A tabela associada com este Model.
   *
   * @var string
   */
  protected $table = 'comercial_job_briefing_files';

  /**
   * Os atributos que são atribuíveis em massa.
   *
   * @var array
   */
  protected $fillable = [
    'arquivo',
    'extensao'
  ];

  /**
   * Retorna o Job do BriefingFiles.
   *
   * @return \Illuminate\Database\Eloquent\Relations\BelongsTo | \Illuminate\Database\Query\Builder
   */
  public function Job() {
    return $this->belongsTo( Jobs::class );
  }
}
