<?php

namespace App\Models\Comercial;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Comercial\BriefingLivre
 *
 * @property int $id
 * @property int $job_id
 * @property mixed $texto
 * @property \Carbon\Carbon $created_at
 * @property \Carbon\Carbon $updated_at
 * @property-read \App\Models\Comercial\Jobs $Job
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\BriefingLivre whereCreatedAt( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\BriefingLivre whereId( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\BriefingLivre whereJobId( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\BriefingLivre whereTexto( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\BriefingLivre whereUpdatedAt( $value )
 * @mixin \Eloquent
 */
class BriefingLivre extends Model {
  /**
   * A tabela associada com este Model.
   *
   * @var string
   */
  protected $table = 'comercial_job_briefing_livre';

  /**
   * Os atributos que são atribuíveis em massa.
   *
   * @var array
   */
  protected $fillable = [
    'texto'
  ];

  /**
   * Retorna o Job do BriefingLivre.
   *
   * @return \Illuminate\Database\Eloquent\Relations\BelongsTo | \Illuminate\Database\Query\Builder
   */
  public function Job() {
    return $this->belongsTo( Jobs::class );
  }
}
