<?php

namespace App\Models\Comercial;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Comercial\Campanhas
 *
 * @property int $id
 * @property string $nome
 * @property \Carbon\Carbon $created_at
 * @property \Carbon\Carbon $updated_at
 * @property-read \Illuminate\Database\Eloquent\Collection|\App\Models\Comercial\Jobs[] $Job
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\Campanhas whereCreatedAt( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\Campanhas whereId( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\Campanhas whereNome( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\Campanhas whereUpdatedAt( $value )
 * @mixin \Eloquent
 */
class Campanhas extends Model {
  /**
   * A tabela associada com este Model.
   *
   * @var string
   */
  protected $table = 'comercial_campanhas';

  /**
   * Os atributos que são atribuíveis em massa.
   *
   * @var array
   */
  protected $fillable = [
    'nome'
  ];

  /**
   * Retorna o Job da Campanha.
   *
   * @return \Illuminate\Database\Eloquent\Relations\HasMany | \Illuminate\Database\Query\Builder
   */
  public function Job() {
    return $this->hasMany( Jobs::class, 'campanha_id' );
  }
}
