<?php

namespace App\Models\Comercial;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Comercial\Cronograma
 *
 * @property int $id
 * @property int $job_id
 * @property mixed $json
 * @property \Carbon\Carbon $created_at
 * @property \Carbon\Carbon $updated_at
 * @property-read \App\Models\Comercial\Jobs $Job
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\Cronograma whereCreatedAt( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\Cronograma whereId( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\Cronograma whereJobId( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\Cronograma whereJson( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\Cronograma whereUpdatedAt( $value )
 * @mixin \Eloquent
 */
class Cronograma extends Model {
  /**
   * A tabela associada com este Model.
   *
   * @var string
   */
  protected $table = 'comercial_job_cronograma';

  /**
   * Os atributos que são atribuíveis em massa.
   *
   * @var array
   */
  protected $fillable = [
    'json'
  ];

  /**
   * Retorna o Job do Cronograma.
   *
   * @return \Illuminate\Database\Eloquent\Relations\BelongsTo | \Illuminate\Database\Query\Builder
   */
  public function Job() {
    return $this->belongsTo( Jobs::class );
  }
}
