<?php

namespace App\Models\Comercial;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Comercial\OrcamentoItemCIServico
 *
 * @property int $id
 * @property int $ci_id
 * @property int $tipo_servico
 * @property int $tipo_servico_nivel
 * @property string $tipo_servico_string
 * @property mixed $obs
 * @property int $valor_unitario
 * @property float $horas
 * @property int $valor_total
 * @property \Carbon\Carbon $created_at
 * @property \Carbon\Carbon $updated_at
 * @property-read \App\Models\Comercial\OrcamentoItemCI $Item
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\OrcamentoItemCIServico whereCiId( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\OrcamentoItemCIServico whereCreatedAt( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\OrcamentoItemCIServico whereHoras( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\OrcamentoItemCIServico whereId( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\OrcamentoItemCIServico whereObs( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\OrcamentoItemCIServico whereTipoServico( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\OrcamentoItemCIServico whereTipoServicoNivel( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\OrcamentoItemCIServico whereTipoServicoString( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\OrcamentoItemCIServico whereUpdatedAt( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\OrcamentoItemCIServico whereValorTotal( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\OrcamentoItemCIServico whereValorUnitario( $value )
 * @mixin \Eloquent
 */
class OrcamentoItemCIServico extends Model {
  /**
   * A tabela associada com este Model.
   *
   * @var string
   */
  protected $table = 'comercial_job_orc_ci_servicos';

  /**
   * Os atributos que são atribuíveis em massa.
   *
   * @var array
   */
  protected $fillable = [
    'tipo_servico',
    'tipo_servico_nivel',
    'tipo_servico_string',
    'obs',
    'valor_unitario',
    'horas',
    'valor_total',
  ];

  /**
   * Retorna o Item q este Servico pertence.
   *
   * @return \Illuminate\Database\Eloquent\Relations\BelongsTo | \Illuminate\Database\Query\Builder
   */
  public function Item() {
    return $this->belongsTo( OrcamentoItemCI::class, 'ci_id' );
  }
}
