<?php

namespace App\Models\Comercial;

use App\Models\Cadastros\FornecedoresServicosProdutos;
use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Comercial\OrcamentoItemCOServico
 *
 * @property int $id
 * @property int $co_id
 * @property int $fornecedor_id
 * @property string $fornecedor_string
 * @property mixed $obs
 * @property float $valor_unitario
 * @property int $quantidade
 * @property int $valor_total
 * @property \Carbon\Carbon $created_at
 * @property \Carbon\Carbon $updated_at
 * @property-read \App\Models\Cadastros\FornecedoresServicosProdutos $FornecedoresServicosProdutos
 * @property-read \App\Models\Comercial\OrcamentoItemCO $Item
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\OrcamentoItemCOServico whereCoId( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\OrcamentoItemCOServico whereCreatedAt( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\OrcamentoItemCOServico whereFornecedorId( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\OrcamentoItemCOServico whereFornecedorString( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\OrcamentoItemCOServico whereId( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\OrcamentoItemCOServico whereObs( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\OrcamentoItemCOServico whereQuantidade( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\OrcamentoItemCOServico whereUpdatedAt( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\OrcamentoItemCOServico whereValorTotal( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\OrcamentoItemCOServico whereValorUnitario( $value )
 * @mixin \Eloquent
 */
class OrcamentoItemCOServico extends Model {
  /**
   * A tabela associada com este Model.
   *
   * @var string
   */
  protected $table = 'comercial_job_orc_co_servicos';

  /**
   * Os atributos que são atribuíveis em massa.
   *
   * @var array
   */
  protected $fillable = [
    'fornecedor_id',
    'fornecedor_string',
    'obs',
    'valor_unitario',
    'quantidade',
    'valor_total',
  ];

  /**
   * Retorna o Item q este Servico pertence.
   *
   * @return \Illuminate\Database\Eloquent\Relations\BelongsTo | \Illuminate\Database\Query\Builder
   */
  public function Item() {
    return $this->belongsTo( OrcamentoItemCO::class, 'co_id' );
  }

  /**
   * Retorna o Fornecedor deste Servico.
   *
   * @return \Illuminate\Database\Eloquent\Relations\BelongsTo | \Illuminate\Database\Query\Builder
   */
  public function FornecedoresServicosProdutos() {
    return $this->belongsTo( FornecedoresServicosProdutos::class, 'fornecedor_id' );
  }
}
