<?php

namespace App\Models\Comercial;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Comercial\Stages
 *
 * @property int $id
 * @property string $etapa
 * @property string $entrada
 * @property string $salvo
 * @property string $saida
 * @property int $job_id
 * @property \Carbon\Carbon $created_at
 * @property \Carbon\Carbon $updated_at
 * @property-read \App\Models\Comercial\Jobs $Job
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\Stages whereCreatedAt( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\Stages whereEntrada( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\Stages whereEtapa( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\Stages whereId( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\Stages whereJobId( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\Stages whereSaida( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\Stages whereSalvo( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Comercial\Stages whereUpdatedAt( $value )
 * @mixin \Eloquent
 */
class Stages extends Model {
  /**
   * A tabela associada com este Model.
   *
   * @var string
   */
  protected $table = 'comercial_stages';

  /**
   * Os atributos que são atribuíveis em massa.
   *
   * @var array
   */
  protected $fillable = [
    'etapa',
    'entrada',
    'salvo',
    'saida'
  ];

  /**
   * Retorna o Funcionario do Usuario.
   *
   * @return \Illuminate\Database\Eloquent\Relations\BelongsTo | \Illuminate\Database\Query\Builder
   */
  public function Job() {
    return $this->belongsTo( Jobs::class );
  }
}
