<?php

namespace App\Models\Config;

use Illuminate\Database\Eloquent\Model;
use Psy\Util\Json;

/**
 * App\Models\Config\ServicoCustoInterno
 *
 * @property int $id
 * @property string $nome
 * @property int $sinapro_min
 * @property int $sinapro_max
 * @property int $desc_15
 * @property int $desc_30
 * @property int $desc_50
 * @property \Carbon\Carbon $created_at
 * @property \Carbon\Carbon $updated_at
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Config\ServicoCustoInterno whereCreatedAt( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Config\ServicoCustoInterno whereDesc15( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Config\ServicoCustoInterno whereDesc30( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Config\ServicoCustoInterno whereDesc50( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Config\ServicoCustoInterno whereId( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Config\ServicoCustoInterno whereNome( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Config\ServicoCustoInterno whereSinaproMax( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Config\ServicoCustoInterno whereSinaproMin( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Config\ServicoCustoInterno whereUpdatedAt( $value )
 * @mixin \Eloquent
 */
class ServicoCustoInterno extends Model {
  /**
   * A tabela associada com este Model.
   *
   * @var string
   */
  protected $table = 'comercial_servicos_custos_internos';

  /**
   * Os atributos que são atribuíveis em massa.
   *
   * @var array
   */
  protected $fillable = [
    'nome',
    'sinapro_min',
    'sinapro_max',
    'desc_15',
    'desc_30',
    'desc_50',
  ];

  public static function enum_tipo_servico() {
    $list = [];
    foreach ( ServicoCustoInterno::orderBy( 'nome' )->get() as $sci ) {
      $list[ $sci->id ] = $sci->nome;
    }

    return $list;
  }

  public static function enum_tipo_servico_nivel() {
    return [
      1 => 'Sinapro Min',
      2 => 'Sinapro Max',
      3 => 'Desconto 15%',
      4 => 'Desconto 30%',
      5 => 'Desconto 50%'
    ];
  }

  public static function json_precos_servicos() {
    return Json::encode(
      ServicoCustoInterno::orderBy( 'nome' )->get()
    );
  }
}
