<?php

namespace App\Models\Financeiro;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Financeiro\ContaBancariaSync
 *
 * @property int $id
 * @property \Carbon\Carbon $data
 * @property int $valor
 * @property int $conta_id
 * @property \Carbon\Carbon $created_at
 * @property \Carbon\Carbon $updated_at
 * @property-read \App\Models\Financeiro\ContaBancaria $ContaBancaria
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Financeiro\ContaBancariaSync whereContaId( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Financeiro\ContaBancariaSync whereCreatedAt( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Financeiro\ContaBancariaSync whereData( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Financeiro\ContaBancariaSync whereId( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Financeiro\ContaBancariaSync whereUpdatedAt( $value )
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Financeiro\ContaBancariaSync whereValor( $value )
 * @mixin \Eloquent
 */
class ContaBancariaSync extends Model {
  /**
   * A tabela associada com este Model.
   *
   * @var string
   */
  protected $table = 'financeiro_contas_bancarias_sync';

  /**
   * Os atributos que são atribuíveis em massa.
   *
   * @var array
   */
  protected $fillable = [
    'data',
    'valor',
    'conta_id',
  ];

  /**
   * Propriedades q sao datas.
   *
   * @return array
   */
  public function getDates() {
    return [ 'created_at', 'updated_at', 'data' ];
  }

  /**
   * Retorna Conta Bancaria desta Sync.
   *
   * @return \Illuminate\Database\Eloquent\Relations\BelongsTo | \Illuminate\Database\Query\Builder
   */
  public function ContaBancaria() {
    return $this->belongsTo( ContaBancaria::class, 'conta_id' );
  }
}
