<?php

namespace App\Notifications;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Notifications\Notification;

class BemVindoNotification extends Notification implements ShouldQueue {
  use Queueable;
  private $uEmail;
  private $uSenha;

  /**
   * Create a new notification instance.
   *
   * @param $uEmail
   * @param $uSenha
   */
  public function __construct( $uEmail, $uSenha ) {
    $this->uEmail = $uEmail;
    $this->uSenha = $uSenha;
    $this->onQueue( 'emails' );
  }

  /**
   * Get the notification's delivery channels.
   *
   * @param  mixed $notifiable
   * @return array
   */
  public function via( $notifiable ) {
    return [ 'mail' ];
  }

  /**
   * Get the mail representation of the notification.
   *
   * @param  mixed $notifiable
   * @return \Illuminate\Notifications\Messages\MailMessage
   */
  public function toMail( $notifiable ) {
    return ( new MailMessage )
      ->subject( '[Sistema Cadaris] Bem-Vindo ao Sistema Cadaris!' )
      ->line( 'Bem-Vindo ao Sistema Cadaris!' )
      ->line( 'Para acessar o Sistema Cadaris, clique no botão abaixo e utilize <br>o e-mail e a senha informados a seguir para entrar.' )
      ->line( 'E-mail: <strong>' . $this->uEmail . '</strong><br>Senha: <strong> ' . $this->uSenha . '</strong>' )
      ->action( 'Acessar o Sistema', url( '/' ) )
      ->line( 'A senha poderá ser redefinida a qualquer momento acessando o menu "Configurar Conta", uma vez já logado no Sistema.' );
  }

  /**
   * Get the array representation of the notification.
   *
   * @param  mixed $notifiable
   * @return array
   */
  public function toArray( $notifiable ) {
    return [
      //
    ];
  }
}
