<?php

namespace App\Notifications;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Notifications\Notification;

class RedefinirSenhaNotification extends Notification implements ShouldQueue {
  use Queueable;
  /**
   * The password reset token.
   *
   * @var string
   */
  public $token;

  /**
   * Create a notification instance.
   *
   * @param  string $token
   */
  public function __construct( $token ) {
    $this->token = $token;
    $this->onQueue('emails');
  }

  /**
   * Get the notification's delivery channels.
   *
   * @param  mixed $notifiable
   * @return array
   */
  public function via( $notifiable ) {
    return [ 'mail' ];
  }

  /**
   * Get the mail representation of the notification.
   *
   * @param  mixed $notifiable
   * @return \Illuminate\Notifications\Messages\MailMessage
   */
  public function toMail( $notifiable ) {
    return ( new MailMessage )
      ->subject( '[Sistema Cadaris] Solicitação de Redefinição de Senha' )
      ->line( 'Você está recebendo este e-mail porque recebemos um pedido de redefinição de senha para sua conta.' )
      ->action( 'Redefinir Senha', route( 'password.reset', $this->token ) )
      ->line( 'Se você não solicitou uma redefinição de senha, nenhuma ação adicional é necessária.' );
  }

  /**
   * Get the array representation of the notification.
   *
   * @param  mixed $notifiable
   * @return array
   */
  public function toArray( $notifiable ) {
    return [
      //
    ];
  }
}