<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
      if ( config( 'app.force_https', true ) === true ) {
        \Illuminate\Support\Facades\URL::forceScheme( 'https' );

        /** @var \Illuminate\Http\Request $request */
        $request = $this->app[ 'request' ];
        $request->server->set( 'HTTPS', true );
      }
    }

    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }
}
