<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateUsersTable extends Migration {
  /**
   * Run the migrations.
   *
   * @return void
   */
  public function up() {
    Schema::create( 'users', function ( Blueprint $table ) {
      $table->increments( 'id' );
      $table->string( 'name' );
      $table->string( 'email' )->unique();
      $table->string( 'password' );
      $table->rememberToken();
      $table->unsignedTinyInteger( 'crp_role' )->nullable();
      $table->timestamps();
    } );
  }

  /**
   * Reverse the migrations.
   *
   * @return void
   */
  public function down() {
    Schema::drop( 'users' );
  }
}
