<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class TabFuncionarios extends Migration {
  /**
   * Run the migrations.
   *
   * @return void
   */
  public function up() {
    Schema::create( 'funcionarios', function ( Blueprint $table ) {
      $table->increments( 'id' );

      // DADOS PESSOAIS
      $table->string( 'nome' );
      $table->string( 'sexo', 1 );
      $table->string( 'email' );
      $table->string( 'rg', 12 );
      $table->string( 'cpf', 14 );
      $table->date( 'dt_nascimento' );
      $table->string( 'nome_pai' );
      $table->string( 'nome_mae' );
      $table->unsignedTinyInteger( 'estado_civil' );
      $table->string( 'foto' )->nullable();

      // ENDERECO
      $table->string( 'end_cep', 9 );
      $table->string( 'end_logradouro' );
      $table->string( 'end_numero' );
      $table->string( 'end_complemento' )->nullable();
      $table->string( 'end_bairro' );
      $table->string( 'end_cidade' );
      $table->string( 'end_estado', 2 );

      // EMPRESA
      $table->unsignedTinyInteger( 'teste_mbti' );
      $table->unsignedTinyInteger( 'regime' );
      $table->time( 'hr_entrada' );
      $table->time( 'hr_saida' );
      $table->boolean( 'inativo' )->default( 0 );

      $table->timestamps();
    } );
  }

  /**
   * Reverse the migrations.
   *
   * @return void
   */
  public function down() {
    Schema::dropIfExists( 'funcionarios' );
  }
}
