<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class TabFuncTelefones extends Migration {
  /**
   * Run the migrations.
   *
   * @return void
   */
  public function up() {
    Schema::create( 'funcionarios_telefones', function ( Blueprint $table ) {
      $table->increments( 'id' );
      $table->string( 'telefone', 15 ); // (11) 12345-1234
      $table->unsignedTinyInteger( 'tipo' ); // enum (fixo, celular, fax, recado)
      $table->boolean( 'recado' );
      $table->string( 'obs' )->nullable();
      $table->integer( 'funcionarios_id' )->unsigned();
      $table->timestamps();

      $table->foreign( 'funcionarios_id' )
            ->references( 'id' )
            ->on( 'funcionarios' )
            ->onDelete( 'cascade' );
    } );
  }

  /**
   * Reverse the migrations.
   *
   * @return void
   */
  public function down() {
    Schema::dropIfExists( 'funcionarios_telefones' );
  }
}
