<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class TabFuncDependentes extends Migration {
  /**
   * Run the migrations.
   *
   * @return void
   */
  public function up() {
    Schema::create( 'funcionarios_dependentes', function ( Blueprint $table ) {
      $table->increments( 'id' );
      $table->string( 'nome' );
      $table->string( 'parentesco' );
      $table->date( 'data_nascimento' );
      $table->boolean( 'falecido' );
      //$table->string( 'telefone' ,15 )->nullable();
      $table->integer( 'funcionarios_id' )->unsigned();
      $table->timestamps();

      $table->foreign( 'funcionarios_id' )
            ->references( 'id' )
            ->on( 'funcionarios' )
            ->onDelete( 'cascade' );
    } );
  }

  /**
   * Reverse the migrations.
   *
   * @return void
   */
  public function down() {
    Schema::dropIfExists( 'funcionarios_dependentes' );
  }
}
