<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class TabFuncHistoricos extends Migration {
  /**
   * Run the migrations.
   *
   * @return void
   */
  public function up() {
    Schema::create( 'funcionarios_historicos', function ( Blueprint $table ) {
      $table->increments( 'id' );

      $table->date( 'data' );
      $table->unsignedTinyInteger( 'tipo' );
      $table->unsignedTinyInteger( 'cargo' )->nullable();
      $table->unsignedTinyInteger( 'nivel' )->nullable();
      $table->integer( 'salario' )->nullable();
      $table->integer( 'vr' )->nullable();
      $table->integer( 'vt' )->nullable();
      $table->boolean( 'seguro_vida' )->nullable();
      $table->date( 'ferias_dt_inicio' )->nullable();
      $table->date( 'ferias_dt_termino' )->nullable();

      $table->timestamps();

      $table->integer( 'funcionarios_id' )->unsigned();
      $table->foreign( 'funcionarios_id' )
            ->references( 'id' )
            ->on( 'funcionarios' )
            ->onDelete( 'cascade' );
    } );
  }

  /**
   * Reverse the migrations.
   *
   * @return void
   */
  public function down() {
    Schema::dropIfExists( 'funcionarios_historicos' );
  }
}
