<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class TabDepartamentos extends Migration {
  /**
   * Run the migrations.
   *
   * @return void
   */
  public function up() {
    Schema::create( 'departamentos', function ( Blueprint $table ) {
      $table->increments( 'id' );
      $table->string( 'nome' );

      $table->timestamps();
    } );

    Schema::table( 'funcionarios', function ( Blueprint $table ) {
      // DEPARTAMENTO
      $table->integer( 'departamentos_id' )->unsigned()->nullable();
      $table->foreign( 'departamentos_id' )
            ->references( 'id' )
            ->on( 'departamentos' )
            ->onDelete( 'set null' );
    } );
  }

  /**
   * Reverse the migrations.
   *
   * @return void
   */
  public function down() {
    Schema::table( 'funcionarios', function ( $table ) {
      $table->dropForeign( 'funcionarios_departamentos_id_foreign' );
    } );
    Schema::dropIfExists( 'departamentos' );
  }
}
