<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class TabUsuarios extends Migration {
  /**
   * Run the migrations.
   *
   * @return void
   */
  public function up() {
    Schema::table( 'users', function ( Blueprint $table ) {
      $table->integer( 'funcionarios_id' )
            ->unsigned()
            ->nullable()
            ->after( 'crp_role' );
      $table->foreign( 'funcionarios_id', 'users_funcionarios_fk' )
            ->references( 'id' )
            ->on( 'funcionarios' )
            ->onDelete( 'set null' );
    } );
  }

  /**
   * Reverse the migrations.
   *
   * @return void
   */
  public function down() {
    Schema::table( 'users', function ( Blueprint $table ) {
      $table->dropForeign( 'users_funcionarios_fk' );
    } );
  }
}
