<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class TabControleDePonto extends Migration {
  /**
   * Run the migrations.
   *
   * @return void
   */
  public function up() {
    Schema::create( 'controle_de_pontos', function ( Blueprint $table ) {
      $table->increments( 'id' );
      $table->unsignedTinyInteger( 'tipo' );
      $table->date( 'data' );
      $table->time( 'horas' );

      $table->integer( 'funcionarios_id' )->unsigned();
      $table->foreign( 'funcionarios_id' )
            ->references( 'id' )
            ->on( 'funcionarios' )
            ->onDelete( 'cascade' );

      $table->integer( 'aprovador_id' )->unsigned();
      $table->foreign( 'aprovador_id' )
            ->references( 'id' )
            ->on( 'funcionarios' )
            ->onDelete( 'cascade' );

      $table->timestamps();
    } );
  }

  /**
   * Reverse the migrations.
   *
   * @return void
   */
  public function down() {
    Schema::dropIfExists( 'controle_de_pontos' );
  }
}
