<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class TabCadastroPlanoDeContas extends Migration {
  /**
   * Run the migrations.
   *
   * @return void
   */
  public function up() {
    Schema::create( 'cadastro_plano_de_contas', function ( Blueprint $table ) {
      $table->increments( 'id' );

      $table->unsignedInteger( 'conta' );
      $table->string( 'descricao' );

      $table->timestamps();
    } );

    Schema::create( 'cadastro_plano_de_contas_itens', function ( Blueprint $table ) {
      $table->increments( 'id' );

      $table->unsignedInteger( 'pai_id' );
      $table->foreign( 'pai_id', 'cad_plano_conta_item_pk' )
            ->references( 'id' )
            ->on( 'cadastro_plano_de_contas' )
            ->onDelete( 'cascade' );

      $table->unsignedInteger( 'conta' );
      $table->unsignedInteger( 'conta_reduzida' );
      $table->string( 'descricao' );

      $table->timestamps();
    } );
  }

  /**
   * Reverse the migrations.
   *
   * @return void
   */
  public function down() {
    Schema::dropIfExists( 'cadastro_plano_de_contas_itens' );
    Schema::dropIfExists( 'cadastro_plano_de_contas' );
  }
}
