<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class TabFinanceiroContaBancaria extends Migration {
  /**
   * Run the migrations.
   *
   * @return void
   */
  public function up() {
    Schema::create( 'financeiro_contas_bancarias', function ( Blueprint $table ) {
      $table->increments( 'id' );

      $table->string( 'nome' );

      // DADOS BANCARIOS
      $table->unsignedInteger( 'banco' );
      $table->string( 'agencia', 10 );
      $table->string( 'conta', 10 );

      // Valor Inicial
      $table->date( 'data_inicial' );
      $table->integer( 'valor_inicial' );

      $table->timestamps();
    } );

    Schema::create( 'financeiro_contas_bancarias_sync', function ( Blueprint $table ) {
      $table->increments( 'id' );

      $table->date( 'data' );
      $table->integer( 'valor' );

      $table->unsignedInteger( 'conta_id' );
      $table->foreign( 'conta_id' )
            ->references( 'id' )
            ->on( 'financeiro_contas_bancarias' )
            ->onDelete( 'cascade' );

      $table->timestamps();
    } );
  }

  /**
   * Reverse the migrations.
   *
   * @return void
   */
  public function down() {
    Schema::dropIfExists( 'financeiro_contas_bancarias_sync' );
    Schema::dropIfExists( 'financeiro_contas_bancarias' );
  }
}
