<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class TabFinanceiroTransferenciasBancarias extends Migration {
  /**
   * Run the migrations.
   *
   * @return void
   */
  public function up() {
    Schema::create( 'financeiro_transferencias', function ( Blueprint $table ) {
      $table->increments( 'id' );

      $table->string( 'nome' );
      $table->date( 'data' );
      $table->integer( 'valor' );
      $table->integer( 'valor_taxa' )->default( 0 );


      $table->unsignedInteger( 'conta_saida_id' )->nullable();
      $table->foreign( 'conta_saida_id' )
            ->references( 'id' )
            ->on( 'financeiro_contas_bancarias' )
            ->onDelete( 'set null' );

      $table->unsignedInteger( 'conta_entrada_id' )->nullable();
      $table->foreign( 'conta_entrada_id' )
            ->references( 'id' )
            ->on( 'financeiro_contas_bancarias' )
            ->onDelete( 'set null' );

      $table->timestamps();
    } );
  }

  /**
   * Reverse the migrations.
   *
   * @return void
   */
  public function down() {
    Schema::dropIfExists( 'financeiro_transferencias' );
  }
}
