<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class TabFinanceiroJobs extends Migration {
  /**
   * Run the migrations.
   *
   * @return void
   */
  public function up() {
    Schema::create( 'financeiro_jobs_parcelas', function ( Blueprint $table ) {
      $table->increments( 'id' );

      $table->string( 'nome' );
      $table->date( 'data' );
      $table->boolean( 'pago' )->default( false );
      $table->integer( 'valor_bruto' );
      $table->integer( 'valor_imposto' )->default( 0 );
      $table->integer( 'valor_liquido' );
      $table->string( 'nota_fiscal' )->nullable();
      $table->date( 'nota_fiscal_data_emissao' )->nullable();

      $table->unsignedInteger( 'job_id' );
      $table->foreign( 'job_id' )
            ->references( 'id' )
            ->on( 'comercial_jobs' )
            ->onDelete( 'cascade' );

      $table->unsignedInteger( 'conta_id' )->nullable();
      $table->foreign( 'conta_id' )
            ->references( 'id' )
            ->on( 'financeiro_contas_bancarias' )
            ->onDelete( 'set null' );

      $table->timestamps();
    } );
  }

  /**
   * Reverse the migrations.
   *
   * @return void
   */
  public function down() {
    Schema::dropIfExists( 'financeiro_jobs_parcelas' );
  }
}
/*

•	Auxiliar administrativa entra no sistema e puxa a proposta a ser faturada; OK
•	Inclui o histórico; OK
•	Inclui o número da NF; ?aonde: parcela ou job
•	Incluir data de vencimento; (editável) OK
•	Confere Código de receita (vem do Job, editável); OK~
•	Confere Centro de custo (vem do Job, editável); OK~
•	Inclui os impostos a serem retidos (IR, PIS, COFINS, CSLL...); ????
•	Confere o valor líquido (O sistema novo deve calcular o valor líquido em cima dos impostos a serem retidos);
•	Libera o valor a ser faturado no sistema. (O status da proposta precisa mudar automaticamente para “Faturado”)
---
•	Encontrar a nota fiscal com uma busca por número da NF, cliente ou data de vencimento;
•	Selecionar a NF;
•	Trocar o status da NF para “paga”. (Automaticamente o valor líquido da nota fiscal deve ser inserido no saldo do banco)

*/
