<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class TabFinanceiroContasFornecedor extends Migration {
  /**
   * Run the migrations.
   *
   * @return void
   */
  public function up() {
    Schema::create( 'financeiro_contas_fornecedores', function ( Blueprint $table ) {
      $table->increments( 'id' );

      $table->string( 'nome' );
      $table->date( 'data' );
      $table->boolean( 'pago' )->default( false );
      $table->integer( 'valor' );
      $table->string( 'forma_pagamento' )->nullable();

      $table->string( 'nota_fiscal' )->nullable();
      $table->string( 'boleto' )->nullable();
      $table->string( 'comprovante' )->nullable();

      $table->unsignedInteger( 'fornecedor_id' )->nullable();
      $table->foreign( 'fornecedor_id' )
            ->references( 'id' )
            ->on( 'fornecedores_empresas' )
            ->onDelete( 'set null' );

      $table->unsignedInteger( 'conta_id' )->nullable();
      $table->foreign( 'conta_id' )
            ->references( 'id' )
            ->on( 'financeiro_contas_bancarias' )
            ->onDelete( 'set null' );

      $table->timestamps();
    } );
  }

  /**
   * Reverse the migrations.
   *
   * @return void
   */
  public function down() {
    Schema::dropIfExists( 'financeiro_contas_fornecedores' );
  }
}
