<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class TabFinanceiroRetiradaDeSocios extends Migration {
  /**
   * Run the migrations.
   *
   * @return void
   */
  public function up() {
    Schema::create( 'financeiro_retirada_de_socios', function ( Blueprint $table ) {
      $table->increments( 'id' );

      $table->string( 'nome' );
      $table->date( 'data' );
      $table->boolean( 'pago' )->default( false );
      $table->integer( 'valor' );
      $table->string( 'forma_pagamento' )->nullable();

      $table->string( 'nota_fiscal' )->nullable();
      $table->string( 'boleto' )->nullable();
      $table->string( 'comprovante' )->nullable();

      $table->unsignedInteger( 'funcionario_id' )->nullable();
      $table->foreign( 'funcionario_id' )
            ->references( 'id' )
            ->on( 'funcionarios' )
            ->onDelete( 'set null' );

      $table->unsignedInteger( 'conta_id' )->nullable();
      $table->foreign( 'conta_id' )
            ->references( 'id' )
            ->on( 'financeiro_contas_bancarias' )
            ->onDelete( 'set null' );

      $table->unsignedInteger( 'centros_de_custo_cadaris_id' )->nullable();
      $table->foreign( 'centros_de_custo_cadaris_id', 'financeiro_rs_cdcc_fk' )
            ->references( 'id' )
            ->on( 'cadastro_centros_de_custo_cadaris' )
            ->onDelete( 'set null' );

      $table->timestamps();
    } );
  }

  /**
   * Reverse the migrations.
   *
   * @return void
   */
  public function down() {
    Schema::dropIfExists( 'financeiro_retirada_de_socios' );
  }
}
