<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class TabFinanceiroRescisao extends Migration {
  /**
   * Run the migrations.
   *
   * @return void
   */
  public function up() {
    Schema::create( 'financeiro_rescisao', function ( Blueprint $table ) {
      $table->increments( 'id' );

      $table->string( 'nome' );
      $table->date( 'data' );
      $table->boolean( 'pago' )->default( false );

      $table->integer( 'salario_trabalhado' );
      $table->integer( 'terco_ferias' );
      $table->integer( 'ferias' );
      $table->integer( 'hora_extra' );
      $table->integer( 'dsr_salario' );
      $table->integer( 'ferias_proporcionais' );
      $table->integer( 'aviso_previo' );
      $table->integer( 'salario_13_proporcional' );
      $table->integer( 'salario_13' );
      $table->integer( 'ferias_paga' );

      $table->integer( 'previdencia' );
      $table->integer( 'previdencia_salario_13' );
      $table->integer( 'inss_ferias' );
      $table->integer( 'desc_vr' );
      $table->integer( 'desc_vt' );

      $table->integer( 'valor_total' );



      $table->unsignedInteger( 'funcionario_id' )->nullable();
      $table->foreign( 'funcionario_id' )
            ->references( 'id' )
            ->on( 'funcionarios' )
            ->onDelete( 'set null' );

      $table->unsignedInteger( 'conta_id' )->nullable();
      $table->foreign( 'conta_id' )
            ->references( 'id' )
            ->on( 'financeiro_contas_bancarias' )
            ->onDelete( 'set null' );

      $table->unsignedInteger( 'centros_de_custo_cadaris_id' )->nullable();
      $table->foreign( 'centros_de_custo_cadaris_id', 'financeiro_r_cdcc_fk' )
            ->references( 'id' )
            ->on( 'cadastro_centros_de_custo_cadaris' )
            ->onDelete( 'set null' );

      $table->timestamps();
    } );
  }

  /**
   * Reverse the migrations.
   *
   * @return void
   */
  public function down() {
    Schema::dropIfExists( 'financeiro_rescisao' );
  }
}
