<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class TabJobLog extends Migration {
  /**
   * Run the migrations.
   *
   * @return void
   */
  public function up() {
    Schema::create( 'comercial_job_logs', function ( Blueprint $table ) {
      $table->increments( 'id' );
      $table->integer( 'job_id' )->unsigned();
      $table->foreign( 'job_id' )
            ->references( 'id' )
            ->on( 'comercial_jobs' )
            ->onDelete( 'cascade' );

      $table->dateTime( 'data' );
      $table->string( 'etapa', 1 );
      $table->tinyInteger( 'tipo' )->default( 0 );
      $table->string( 'nome_funcionario' );
    } );
  }

  /**
   * Reverse the migrations.
   *
   * @return void
   */
  public function down() {
    Schema::dropIfExists( 'comercial_job_logs' );
  }
}
