<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddPlanoDeContasEmSalarios extends Migration
{
  /**
   * Run the migrations.
   *
   * @return void
   */
  public function up()
  {
    Schema::table('financeiro_salarios', function (Blueprint $table) {
      $table->unsignedInteger('plano_de_contas_item_id')
          ->after('centros_de_custo_cadaris_id')
          ->nullable();
      $table->foreign('plano_de_contas_item_id', 'financeiro_s_pdci_fk')
          ->references('id')
          ->on('cadastro_plano_de_contas_itens')
          ->onDelete('set null');
    });
    Schema::table('financeiro_salarios_13', function (Blueprint $table) {
      $table->unsignedInteger('plano_de_contas_item_id')
          ->after('centros_de_custo_cadaris_id')
          ->nullable();
      $table->foreign('plano_de_contas_item_id', 'financeiro_13s_pdci_fk')
          ->references('id')
          ->on('cadastro_plano_de_contas_itens')
          ->onDelete('set null');
    });
    Schema::table('financeiro_ferias', function (Blueprint $table) {
      $table->unsignedInteger('plano_de_contas_item_id')
          ->after('centros_de_custo_cadaris_id')
          ->nullable();
      $table->foreign('plano_de_contas_item_id', 'financeiro_f_pdci_fk')
          ->references('id')
          ->on('cadastro_plano_de_contas_itens')
          ->onDelete('set null');
    });
    Schema::table('financeiro_rescisao', function (Blueprint $table) {
      $table->unsignedInteger('plano_de_contas_item_id')
          ->after('centros_de_custo_cadaris_id')
          ->nullable();
      $table->foreign('plano_de_contas_item_id', 'financeiro_r_pdci_fk')
          ->references('id')
          ->on('cadastro_plano_de_contas_itens')
          ->onDelete('set null');
    });
  }

  /**
   * Reverse the migrations.
   *
   * @return void
   */
  public function down()
  {
    Schema::table('financeiro_rescisao', function (Blueprint $table) {
      $table->dropForeign('financeiro_r_pdci_fk');
      $table->dropColumn('plano_de_contas_item_id');
    });
    Schema::table('financeiro_ferias', function (Blueprint $table) {
      $table->dropForeign('financeiro_f_pdci_fk');
      $table->dropColumn('plano_de_contas_item_id');
    });
    Schema::table('financeiro_salarios_13', function (Blueprint $table) {
      $table->dropForeign('financeiro_13s_pdci_fk');
      $table->dropColumn('plano_de_contas_item_id');
    });
    Schema::table('financeiro_salarios', function (Blueprint $table) {
      $table->dropForeign('financeiro_s_pdci_fk');
      $table->dropColumn('plano_de_contas_item_id');
    });
  }
}
