<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddDespesasNoContasFornecedores extends Migration {
  /**
   * Run the migrations.
   *
   * @return void
   */
  public function up() {
    Schema::table( 'financeiro_contas_fornecedores', function ( Blueprint $table ) {
      $table->integer( 'plano_de_contas_id' )
            ->unsigned()->nullable()->after( 'conta_id' );
      $table->foreign( 'plano_de_contas_id', 'financeiro_cf_pdc_fk' )
            ->references( 'id' )
            ->on( 'cadastro_plano_de_contas_itens' )
            ->onDelete( 'set null' );
    } );
  }

  /**
   * Reverse the migrations.
   *
   * @return void
   */
  public function down() {
    Schema::table( 'financeiro_contas_fornecedores', function ( Blueprint $table ) {
      $table->dropForeign( 'financeiro_cf_pdc_fk' );
      $table->dropColumn( 'plano_de_contas_id' );
    } );
  }
}
