<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

/**
 * Class Holerite
 */
class AddHolerite extends Migration {
  /**
   * Run the migrations.
   *
   * @return void
   */
  public function up() {
    Schema::table( 'financeiro_salarios', function ( Blueprint $table ) {
      $table->string( 'holerite' )
            ->after( 'plano_de_contas_item_id' )
            ->nullable();
      $table->string( 'holerite_nome' )
            ->after( 'holerite' )
            ->nullable();
      $table->unsignedTinyInteger( 'holerite_visited' )
            ->after( 'holerite_nome' )
            ->default( 0 );
    } );
  }

  /**
   * Reverse the migrations.
   *
   * @return void
   */
  public function down() {
    Schema::table( 'financeiro_salarios', function ( Blueprint $table ) {
      $table->dropColumn( 'holerite' );
      $table->dropColumn( 'holerite_nome' );
      $table->dropColumn( 'holerite_visited' );
    } );
  }
}
