<?php

use App\Models\Cadastros\ClientesEmpresasUnidades;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class ClienteEmpuniddSplitCondpag extends Migration {
  /**
   * Run the migrations.
   *
   * @return void
   */
  public function up() {
    Schema::table( 'clientes_empresas_unidades', function ( Blueprint $table ) {
      $table->unsignedInteger( 'condpagamento_dias' )->default( 0 )->after( 'inscr_municipal' );
    } );

    foreach ( ClientesEmpresasUnidades::all() as $unidade ) {
      $unidade->update( [ 'condpagamento_dias' => (int) $unidade->condpagamento ] );
    }
  }

  /**
   * Reverse the migrations.
   *
   * @return void
   */
  public function down() {
    Schema::table( 'clientes_empresas_unidades', function ( Blueprint $table ) {
      $table->dropColumn( 'condpagamento_dias' );
    } );
  }
}
