<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class TabFinanceiroOutrosRecebimentos extends Migration {
  /**
   * Run the migrations.
   *
   * @return void
   */
  public function up() {
    Schema::create( 'financeiro_outros_recebimentos', function ( Blueprint $table ) {
      $table->increments( 'id' );

      $table->string( 'nome' );
      $table->date( 'data' );
      $table->boolean( 'pago' )->default( false );
      $table->integer( 'valor' );
      $table->string( 'forma_pagamento' )->nullable();

      $table->string( 'nota_fiscal' )->nullable();
      $table->string( 'boleto' )->nullable();
      $table->string( 'comprovante' )->nullable();

      $table->unsignedInteger( 'fornecedor_id' )->nullable();
      $table->foreign( 'fornecedor_id' )
            ->references( 'id' )
            ->on( 'fornecedores_empresas' )
            ->onDelete( 'set null' );

      $table->unsignedInteger( 'conta_id' )->nullable();
      $table->foreign( 'conta_id' )
            ->references( 'id' )
            ->on( 'financeiro_contas_bancarias' )
            ->onDelete( 'set null' );

      $table->unsignedInteger( 'plano_de_contas_id' )->nullable();
      $table->foreign( 'plano_de_contas_id', 'financeiro_or_pdc_fk' )
            ->references( 'id' )
            ->on( 'cadastro_plano_de_contas_itens' )
            ->onDelete( 'set null' );

      $table->unsignedInteger( 'centros_de_custo_cadaris_id' )->nullable();
      $table->foreign( 'centros_de_custo_cadaris_id', 'financeiro_or_cdcc_fk' )
            ->references( 'id' )->on( 'cadastro_centros_de_custo_cadaris' )
            ->onDelete( 'set null' );

      $table->timestamps();
    } );
  }

  /**
   * Reverse the migrations.
   *
   * @return void
   */
  public function down() {
    Schema::dropIfExists( 'financeiro_outros_recebimentos' );
  }
}
