<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class ChangeOutrosRecebimentosCodReceita extends Migration {
  /**
   * Run the migrations.
   *
   * @return void
   */
  public function up() {
    Schema::table( 'financeiro_outros_recebimentos', function ( Blueprint $table ) {
      $table->dropForeign( 'financeiro_or_pdc_fk' );
      $table->dropColumn( 'plano_de_contas_id' );
    } );
    Schema::table( 'financeiro_outros_recebimentos', function ( Blueprint $table ) {
      $table->unsignedInteger( 'cod_receita' )->nullable()->after( 'conta_id' );
    } );
  }

  /**
   * Reverse the migrations.
   *
   * @return void
   */
  public function down() {
    Schema::table( 'financeiro_outros_recebimentos', function ( Blueprint $table ) {
      $table->dropColumn( 'cod_receita' );
      $table->unsignedInteger( 'plano_de_contas_id' )->nullable()->after( 'conta_id' );
      $table->foreign( 'plano_de_contas_id', 'financeiro_or_pdc_fk' )
            ->references( 'id' )
            ->on( 'cadastro_plano_de_contas_itens' )
            ->onDelete( 'set null' );
    } );
  }
}
