<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTableCodigoReceitas extends Migration {
  /**
   * Run the migrations.
   *
   * @return void
   */
  public function up() {
    Schema::create( 'cadastro_codigo_receitas', function ( Blueprint $table ) {
      $table->increments( 'id' );
      $table->unsignedInteger( 'codigo' );
      $table->string( 'nome' );
      $table->unique( 'codigo' );
      $table->index( 'codigo' );
    } );

    $receitas = [
      671 => 'Fee - Editorial',
      672 => 'Fee - Publicidade',
      673 => 'Fee - Comunicação',
      674 => 'Jobs - Editorial',
      675 => 'Jobs - Publicidade',
      676 => 'Jobs - Comunicação',
      677 => 'Projetos - Editorial',
      678 => 'Projetos - Publicidade',
      679 => 'Projetos – Comunicação',
    ];

    foreach ( $receitas as $codigo => $nome ) {
      \App\Models\Cadastros\CodigoReceita::create( [
        'codigo' => $codigo,
        'nome'   => $nome
      ] );
    }
  }

  /**
   * Reverse the migrations.
   *
   * @return void
   */
  public function down() {
    Schema::dropIfExists( 'cadastro_codigo_receitas' );
  }
}
