<?php

use App\Models\Cadastros\ClientesCentrosDeCustos;
use App\Models\Cadastros\ClientesEmpresas;
use Illuminate\Database\Seeder;

class ClientesSeeder extends Seeder {
  /**
   * Run the database seeds.
   *
   * @return void
   */
  public function run() {

    foreach ( ClientesSeeder::$CLIENTES as $empresa ) {
      /** @var ClientesEmpresas $emp */
      $emp = ClientesEmpresas::create( ClientesSeeder::formata( $empresa[ 'c' ], $empresa[ 'n' ] ) );
      foreach ( $empresa[ 'depart' ] as $depart ) {
        /** @var \App\Models\Cadastros\ClientesCentrosDeCustos $cdc */
        $cdc = $emp->CentrosDeCustos()->create( ClientesSeeder::formata( $depart[ 'c' ], $depart[ 'n' ] ) );
        foreach ( $depart[ 'contas' ] as $conta ) {
          $cdc->Contas()->create( ClientesSeeder::formata( $conta[ 'c' ], $conta[ 'n' ] ) );
        }
      }
    }
    if ( config( 'app.env', 'production' ) == 'production' ) return;

    /** @var ClientesEmpresas $empTeste */
    $empTeste = ClientesEmpresas::create( [
      'codigo' => '1',
      'nome'   => '_EMPRESA TESTE',
    ] );
    /** @var ClientesCentrosDeCustos $cdcTeste */
    $cdcTeste = $empTeste->CentrosDeCustos()->create( [
      'codigo' => '2',
      'nome'   => '_CENTRO DE CUSTOS TESTE'
    ] );
    $cdcTeste->Contas()->create( [
      'codigo' => '3',
      'nome'   => '_CONTA TESTE',
    ] );
  }

  public static function formata( $cod, $nome ) {
    return [ 'codigo' => $cod,
             'nome'   => $nome ];
  }

  private static $CLIENTES =
    [
      [ 'c' => 10, 'n' => 'Colgate', 'depart' => [
        [ 'c' => 10, 'n' => 'Customer Marketing', 'contas' => [
          [ 'c' => 10, 'n' => 'Fee de Tabloides' ],
          [ 'c' => 12, 'n' => 'Produção Gráfica' ],
          [ 'c' => 18, 'n' => 'Outros (Customer)' ],
          [ 'c' => 25, 'n' => 'DPV' ] ] ],
        [ 'c' => 13, 'n' => 'Finanças', 'contas' => [
          [ 'c' => 0, 'n' => 'Finanças' ] ] ],
        [ 'c' => 16, 'n' => 'Hair Care', 'contas' => [
          [ 'c' => 0, 'n' => 'Hair Care' ] ] ],
        [ 'c' => 19, 'n' => 'HILLS', 'contas' => [
          [ 'c' => 0, 'n' => 'HILLS Fee' ],
          [ 'c' => 29, 'n' => 'HILLS Outros' ] ] ],
        [ 'c' => 22, 'n' => 'Profissionais', 'contas' => [
          [ 'c' => 22, 'n' => 'Fee - Profissionais' ],
          [ 'c' => 25, 'n' => 'Manual de Saúde Bucal' ],
          [ 'c' => 27, 'n' => 'CIOSP' ],
          [ 'c' => 29, 'n' => 'Produção Gráfica - Profissionais' ],
          [ 'c' => 35, 'n' => 'Outros (Profissionais)' ] ] ],
        [ 'c' => 26, 'n' => 'PROTEX', 'contas' => [
          [ 'c' => 0, 'n' => 'Protex' ] ] ],
        [ 'c' => 29, 'n' => 'RH', 'contas' => [
          [ 'c' => 29, 'n' => 'FEE CPVC' ],
          [ 'c' => 32, 'n' => 'PPR & CPPREV' ],
          [ 'c' => 35, 'n' => 'Programas de RH' ],
          [ 'c' => 40, 'n' => 'OUTROS' ] ] ],
        [ 'c' => 0, 'n' => 'Depart', 'contas' => [
          [ 'c' => 45, 'n' => 'SORRISO' ] ] ],
        [ 'c' => 50, 'n' => 'IT', 'contas' => [
          [ 'c' => 0, 'n' => 'IT' ] ] ],
        [ 'c' => 60, 'n' => 'HOME CARE', 'contas' => [
          [ 'c' => 0, 'n' => 'HOME CARE' ] ] ],
        [ 'c' => 99, 'n' => 'OUTROS', 'contas' => [
          [ 'c' => 0, 'n' => 'Outros' ] ] ] ] ],
      [ 'c' => 20, 'n' => 'ABC', 'depart' => [
        [ 'c' => 20, 'n' => 'ABC', 'contas' => [
          [ 'c' => 20, 'n' => 'Conta' ] ] ] ] ],
      [ 'c' => 23, 'n' => 'ACCOR', 'depart' => [
        [ 'c' => 23, 'n' => 'Depart', 'contas' => [
          [ 'c' => 10, 'n' => 'CLICK' ],
          [ 'c' => 20, 'n' => 'PIC' ],
          [ 'c' => 30, 'n' => 'ACCOR OUTROS' ] ] ] ] ],
      [ 'c' => 25, 'n' => 'HARADA', 'depart' => [
        [ 'c' => 25, 'n' => 'Depart', 'contas' => [
          [ 'c' => 25, 'n' => 'HARADA ' ],
          [ 'c' => 20, 'n' => 'SITE HARADA' ],
          [ 'c' => 50, 'n' => 'LIVRO NIKKEI NO BRASIL' ],
          [ 'c' => 55, 'n' => 'LIVRO BUNKYO' ],
          [ 'c' => 60, 'n' => 'EVENTO 2016' ],
          [ 'c' => 65, 'n' => 'LIVRO INTERCAMBIO BRASIL-JAPÃO' ],
          [ 'c' => 90, 'n' => 'HARADA OUTROS' ] ] ] ] ],
      [ 'c' => 27, 'n' => 'KAN BENI', 'depart' => [
        [ 'c' => 0, 'n' => 'Depart', 'contas' => [
          [ 'c' => 0, 'n' => 'KAN BENI' ] ] ] ] ],
      [ 'c' => 30, 'n' => 'MATTEL', 'depart' => [
        [ 'c' => 30, 'n' => 'MATTEL', 'contas' => [
          [ 'c' => 10, 'n' => 'PORTAL' ],
          [ 'c' => 20, 'n' => 'Catalogo Voltas as Aulas' ],
          [ 'c' => 23, 'n' => 'Catalogo Marketing' ],
          [ 'c' => 30, 'n' => 'Campanha PDV' ],
          [ 'c' => 40, 'n' => 'Folheto Trade' ],
          [ 'c' => 50, 'n' => 'Mattel - Outros' ] ] ] ] ],
      [ 'c' => 35, 'n' => 'UOL', 'depart' => [
        [ 'c' => 35, 'n' => 'UOL', 'contas' => [
          [ 'c' => 10, 'n' => 'FEE PAGSEGURO' ],
          [ 'c' => 20, 'n' => 'PAGSEGURO' ],
          [ 'c' => 30, 'n' => 'TODA OFERTA' ],
          [ 'c' => 40, 'n' => 'RADAR DE DESCONTOS' ],
          [ 'c' => 90, 'n' => 'OUTROS - UOL' ] ] ] ] ],
      [ 'c' => 40, 'n' => 'MARCYN', 'depart' => [
        [ 'c' => 0, 'n' => 'Depart', 'contas' => [
          [ 'c' => 40, 'n' => 'MARCYN' ] ] ] ] ],
      [ 'c' => 42, 'n' => 'DISNEY', 'depart' => [
        [ 'c' => 0, 'n' => 'Depart', 'contas' => [
          [ 'c' => 0, 'n' => 'DISNEY' ] ] ] ] ],
      [ 'c' => 45, 'n' => 'JRZ MARKETING', 'depart' => [
        [ 'c' => 0, 'n' => 'Depart', 'contas' => [
          [ 'c' => 0, 'n' => 'JRZ MARKETING' ] ] ] ] ],
      [ 'c' => 48, 'n' => 'LAIBEL', 'depart' => [
        [ 'c' => 0, 'n' => 'Depart', 'contas' => [
          [ 'c' => 0, 'n' => 'LAIBEL' ] ] ] ] ],
      [ 'c' => 50, 'n' => 'BIOTROPIC', 'depart' => [
        [ 'c' => 10, 'n' => 'FEE BEBÊ NATUREZA', 'contas' => [
          [ 'c' => 20, 'n' => 'FEE DIGITAL' ],
          [ 'c' => 50, 'n' => 'OUTROS' ] ] ] ] ],
      [ 'c' => 52, 'n' => 'ABO', 'depart' => [
        [ 'c' => 52, 'n' => 'Fee ABO', 'contas' => [
          [ 'c' => 10, 'n' => 'Fee ABO' ],
          [ 'c' => 20, 'n' => 'Facebook - ABO' ],
          [ 'c' => 50, 'n' => 'ABO - Outros' ] ] ] ] ],
      [ 'c' => 55, 'n' => 'TAM', 'depart' => [
        [ 'c' => 57, 'n' => 'Depart', 'contas' => [
          [ 'c' => 55, 'n' => 'Fee TAM' ] ] ] ] ],
      [ 'c' => 57, 'n' => 'REED', 'depart' => [
        [ 'c' => 57, 'n' => 'REED', 'contas' => [
          [ 'c' => 10, 'n' => 'Salão duas rodas' ],
          [ 'c' => 20, 'n' => 'Fenatran' ],
          [ 'c' => 21, 'n' => 'Fenasucro & Agrocana ' ],
          [ 'c' => 25, 'n' => 'Pollutec' ],
          [ 'c' => 90, 'n' => 'Outros' ] ] ] ] ],
      [ 'c' => 60, 'n' => 'GARGEL', 'depart' => [
        [ 'c' => 10, 'n' => 'Depart', 'contas' => [
          [ 'c' => 10, 'n' => 'GARGEL' ] ] ] ] ],
      [ 'c' => 65., 'n' => 'Oils & Fats', 'depart' => [
        [ 'c' => 65, 'n' => 'Depart', 'contas' => [
          [ 'c' => 10, 'n' => 'Oils & Fats' ],
          [ 'c' => 20, 'n' => 'Household - Fee' ],
          [ 'c' => 25, 'n' => 'Household - Outros' ] ] ] ] ],
      [ 'c' => 90, 'n' => 'OUTROS CLIENTES', 'depart' => [] ] ];

}
