<?php

use App\Models\Cadastros\FornecedoresEmpresas;
use Illuminate\Database\Seeder;

class FornecedoresSeeder extends Seeder {
  /**
   * Run the database seeds.
   *
   * @return void
   */
  public function run() {
    foreach ( $this->despesas as $d ) {
      \App\Models\Cadastros\FornecedoresDespesas::create( $d );
    }

    if ( config( 'app.env', 'production' ) == 'production' ) return;

    /** @var FornecedoresEmpresas $empTeste */
    $empTeste = \App\Models\Cadastros\FornecedoresEmpresas::create( [
      'codigo' => '1',
      'nome'   => 'Femp01',

      'cnpj'            => '63.463.464/3373-73',
      'razao_social'    => 'r23g24g',
      'inscr_estadual'  => '2g23g2g',
      'inscr_municipal' => '23g23',
      'condpagamento'   => null,

      'nota_geral'        => 1,
      'nota_qualidade'    => 2,
      'nota_atendimento'  => 3,
      'nota_prazo'        => 4,
      'nota_obs'          => 'obs obs obs',
      'nota_recomendacao' => 'reco reco',

      'bancario_banco'   => '15',
      'bancario_agencia' => '124124',
      'bancario_conta'   => '12512',

    ] );

    $empTeste->ServicosProdutos()->create( [
      'codigo'                   => '1',
      'nome'                     => 'prod 1',
      'fornecedores_despesas_id' => '3',
    ] );
    $empTeste->ServicosProdutos()->create( [
      'codigo'                   => '2',
      'nome'                     => 'prod 2',
      'fornecedores_despesas_id' => '2',
    ] );
    $empTeste->ServicosProdutos()->create( [
      'codigo'                   => '3',
      'nome'                     => 'prod 3',
      'fornecedores_despesas_id' => '3',
    ] );
    $prodTeste = $empTeste->ServicosProdutos()->create( [
      'codigo'                   => '4',
      'nome'                     => 'prod 4',
      'fornecedores_despesas_id' => '7',
    ] );

    foreach ( range( 1, 5 ) as $id ) {
      \App\Models\Cadastros\FornecedoresTags::create( [
        'nome' => 'tag ' . $id
      ] );
    }

  }

  private $despesas = [
    [ 'codigo' => 55, 'nome' => 'Pro-Labore' ],
    [ 'codigo' => 58, 'nome' => 'Gratificações' ],
    [ 'codigo' => 56, 'nome' => 'INSS Dirigentes' ],
//    ['codigo'=>,'nome'=>'DESPESAS COM PESSOAL'],
    [ 'codigo' => 59, 'nome' => 'Salarios e Ordenados' ],
    [ 'codigo' => 60, 'nome' => 'Ferias' ],
    [ 'codigo' => 61, 'nome' => 'Abono Pecuniario' ],
    [ 'codigo' => 62, 'nome' => '13º Salario' ],
    [ 'codigo' => 63, 'nome' => 'INSS' ],
    [ 'codigo' => 64, 'nome' => 'FGTS' ],
    [ 'codigo' => 681, 'nome' => 'Hora Extra' ],
    [ 'codigo' => 682, 'nome' => 'DSR s/ Horas Extras' ],
    [ 'codigo' => 65, 'nome' => 'Aviso Previo' ],
    [ 'codigo' => 66, 'nome' => 'Assistencia Medica' ],
    [ 'codigo' => 68, 'nome' => 'Vale Transporte' ],
    [ 'codigo' => 69, 'nome' => 'Auxilio Refeição' ],
    [ 'codigo' => 74, 'nome' => 'Cursos e Treinamentos' ],
    [ 'codigo' => 75, 'nome' => 'Trienio' ],
    [ 'codigo' => 83, 'nome' => 'Seguro de Vida em Grupo' ],
    [ 'codigo' => 684, 'nome' => 'Bolsa Auxilio' ],
    [ 'codigo' => 683, 'nome' => 'Gratificações' ],
    [ 'codigo' => 395, 'nome' => 'Outras Despesas com Pessoal' ],
//    ['codigo'=>,'nome'=>'SERVIÇOS DE TERCEIROS'],
    [ 'codigo' => 539, 'nome' => 'Serviços Advocaticios' ],
    [ 'codigo' => 540, 'nome' => 'Serviços de Auditoria' ],
    [ 'codigo' => 541, 'nome' => 'Serviços de Consultoria' ],
    [ 'codigo' => 542, 'nome' => 'Serviços de Contabilidade' ],
    [ 'codigo' => 543, 'nome' => 'Serviços de Informatica' ],
    [ 'codigo' => 544, 'nome' => 'Serviços Graficos' ],
    [ 'codigo' => 545, 'nome' => 'Serviços Temporarios' ],
    [ 'codigo' => 546, 'nome' => 'Traduções' ],
    [ 'codigo' => 547, 'nome' => 'Assessoria de Imprensa' ],
    [ 'codigo' => 548, 'nome' => 'Limpeza e Higiene' ],
    [ 'codigo' => 549, 'nome' => 'Correios, Fretes e Malotes' ],
    [ 'codigo' => 550, 'nome' => 'Despachantes' ],
    [ 'codigo' => 551, 'nome' => 'Filmagens e Fotos' ],
    [ 'codigo' => 697, 'nome' => 'Serviços de Fotografia e Cinematografia' ],
    [ 'codigo' => 552, 'nome' => 'Feiras, Eventos e Palestras' ],
    [ 'codigo' => 699, 'nome' => 'Hospedagem, Dominio, Disparo E-mail Mkt' ],
    [ 'codigo' => 553, 'nome' => 'Manutenção de Software e Sistemas' ],
    [ 'codigo' => 554, 'nome' => 'Comunicação e Dados' ],
    [ 'codigo' => 555, 'nome' => 'Outros Serviços Profissionais' ],
    [ 'codigo' => 663, 'nome' => 'Serviços de Programação e Web Design' ],
    [ 'codigo' => 664, 'nome' => 'Serviços de Criação, Layout/Produções' ],
    [ 'codigo' => 556, 'nome' => 'Serviços Prestados - PJ' ],
    [ 'codigo' => 557, 'nome' => 'Serviços Prestados - PF' ],
    [ 'codigo' => 558, 'nome' => 'Coffee Break' ],
    [ 'codigo' => 559, 'nome' => 'Serviço Manutenção Maqs. e Equipos' ],
    [ 'codigo' => 560, 'nome' => 'Serviço Manut Reparos e Instalações' ],
    [ 'codigo' => 561, 'nome' => 'Serviço Manut. Maqs. Informatica' ],
    [ 'codigo' => 562, 'nome' => 'INSS s/Autonomos' ],
//    ['codigo'=>,'nome'=>'DIVULGAÇÕES INSTITUCIONAIS'],
    [ 'codigo' => 563, 'nome' => 'Publicidade' ],
    [ 'codigo' => 564, 'nome' => 'Materiais Impressos' ],
    [ 'codigo' => 565, 'nome' => 'Mala Direta' ],
    [ 'codigo' => 566, 'nome' => 'Patrocinios Diretos' ],
    [ 'codigo' => 567, 'nome' => 'Marketing Diversos' ],
    [ 'codigo' => 702, 'nome' => 'Filmagens e Fotos' ],
    [ 'codigo' => 703, 'nome' => 'Feiras, Eventos e Palestras' ],
    [ 'codigo' => 568, 'nome' => 'Anuncios e Publicações' ],
    [ 'codigo' => 569, 'nome' => 'Serviços Graficos (Marketing)' ],
    [ 'codigo' => 570, 'nome' => 'Serviços Criação Layout / Produções' ],
    [ 'codigo' => 662, 'nome' => 'Serviços de Programação e Web Design' ],
    [ 'codigo' => 571, 'nome' => 'Serviços de Fotografia' ],
    [ 'codigo' => 572, 'nome' => 'Website e Newsletters' ],
    [ 'codigo' => 573, 'nome' => 'Ações de Relacionamento' ],
//    ['codigo'=>,'nome'=>'MATERIAL DE CONSUMO'],
    [ 'codigo' => 574, 'nome' => 'Material de Escritorio' ],
    [ 'codigo' => 575, 'nome' => 'Copias, Encadernações e Impressões' ],
    [ 'codigo' => 576, 'nome' => 'Copa e Cozinha' ],
    [ 'codigo' => 577, 'nome' => 'Material de Limpeza' ],
    [ 'codigo' => 578, 'nome' => 'Material Eletrico' ],
    [ 'codigo' => 579, 'nome' => 'Suprimentos de Informatica' ],
    [ 'codigo' => 580, 'nome' => 'Material de Manutenção' ],
    [ 'codigo' => 581, 'nome' => 'Telefonia' ],
    [ 'codigo' => 582, 'nome' => 'Material de consumo' ],
//    ['codigo'=>,'nome'=>'GASTOS COM OCUPAÇÃO'],
    [ 'codigo' => 583, 'nome' => 'Alugueis' ],
    [ 'codigo' => 584, 'nome' => 'Condominio' ],
    [ 'codigo' => 585, 'nome' => 'IPTU' ],
    [ 'codigo' => 586, 'nome' => 'Energia Eletrica' ],
    [ 'codigo' => 587, 'nome' => 'Agua e Esgoto' ],
    [ 'codigo' => 588, 'nome' => 'TLIF' ],
//    ['codigo'=>,'nome'=>'LOCAÇÕES'],
    [ 'codigo' => 589, 'nome' => 'Locações de Salas' ],
    [ 'codigo' => 590, 'nome' => 'Locações de Sistemas' ],
    [ 'codigo' => 591, 'nome' => 'Aluguel de Equipamentos' ],
    [ 'codigo' => 592, 'nome' => 'Locações Diversas' ],
    [ 'codigo' => 593, 'nome' => 'Aluguel de Veiculos' ],
    [ 'codigo' => 594, 'nome' => 'Locação de Arquivo' ],
//    ['codigo'=>,'nome'=>'MANUTENÇÃO E CONSERVAÇÃO'],
    [ 'codigo' => 595, 'nome' => 'Manut. de Moveis e Utensilios' ],
    [ 'codigo' => 596, 'nome' => 'Manut. de Maqs. e Equipamentos' ],
    [ 'codigo' => 597, 'nome' => 'Manut. e Reparo de Instalações' ],
    [ 'codigo' => 598, 'nome' => 'Manut. de Equiptos. de Informatica' ],
    [ 'codigo' => 599, 'nome' => 'Manut. e Conservação Predial' ],
    [ 'codigo' => 600, 'nome' => 'Manut. de Software e Sistemas' ],
//    ['codigo'=>,'nome'=>'SEGUROS'],
    [ 'codigo' => 601, 'nome' => 'Seguro de Incendio' ],
    [ 'codigo' => 602, 'nome' => 'Seguro de Riscos Diversos' ],
//    ['codigo'=>,'nome'=>'COMUNICAÇÕES'],
    [ 'codigo' => 603, 'nome' => 'Telefone e Fax' ],
    [ 'codigo' => 604, 'nome' => 'Internet' ],
    [ 'codigo' => 605, 'nome' => 'Correios' ],
    [ 'codigo' => 606, 'nome' => 'Telefone e Celular' ],
//    ['codigo'=>,'nome'=>'VIAGENS'],
    [ 'codigo' => 607, 'nome' => 'Passagens' ],
    [ 'codigo' => 608, 'nome' => 'Hospedagens' ],
    [ 'codigo' => 609, 'nome' => 'Conduções e Refeições - Viagem' ],
    [ 'codigo' => 610, 'nome' => 'Despesas Diversas - Viagem' ],
//    ['codigo'=>,'nome'=>'IMPOSTOS E CONTRIBUIÇÕES'],
    [ 'codigo' => 611, 'nome' => 'Imp. Taxas e Contribuições Municipais' ],
    [ 'codigo' => 612, 'nome' => 'Imp. Taxas e Contrib. Estad e Federais' ],
    [ 'codigo' => 613, 'nome' => 'Contribuição Sindical Patronal' ],
    [ 'codigo' => 614, 'nome' => 'Taxas e Emolumentos' ],
//    ['codigo'=>,'nome'=>'OUTRAS DESPESAS DA ADMINISTRAÇÃO'],
    [ 'codigo' => 615, 'nome' => 'Condução - Local' ],
    [ 'codigo' => 616, 'nome' => 'Refeições - Local' ],
    [ 'codigo' => 617, 'nome' => 'Despesas Legais e Judiciais' ],
    [ 'codigo' => 618, 'nome' => 'Livros Jornais e Revistas' ],
    [ 'codigo' => 619, 'nome' => 'Treinamento' ],
    [ 'codigo' => 620, 'nome' => 'Representações' ],
    [ 'codigo' => 621, 'nome' => 'Confraternização' ],
    [ 'codigo' => 622, 'nome' => 'Associações e Participações' ],
    [ 'codigo' => 623, 'nome' => 'Bens de Pequeno Valor' ],
    [ 'codigo' => 624, 'nome' => 'Despesas Diversas' ],
    [ 'codigo' => 625, 'nome' => 'Estacionamento Pedagio' ],
    [ 'codigo' => 626, 'nome' => 'Transporte de Documentos Mercadorias' ],
    [ 'codigo' => 627, 'nome' => 'Anuidades' ],
    [ 'codigo' => 628, 'nome' => 'Cartorio' ],
    [ 'codigo' => 629, 'nome' => 'Combustivel Kilometragem' ],
    [ 'codigo' => 630, 'nome' => 'Festas e Confraternizações' ],
    [ 'codigo' => 631, 'nome' => 'Feiras e Eventos' ],
    [ 'codigo' => 632, 'nome' => 'Alimentação em Eventos' ],
    [ 'codigo' => 633, 'nome' => 'Perda e Roubo' ],
    [ 'codigo' => 634, 'nome' => 'Tributos Diversos' ],
    [ 'codigo' => 635, 'nome' => 'Cursos Diversos' ],
    [ 'codigo' => 636, 'nome' => 'Pesquisa' ],
    [ 'codigo' => 637, 'nome' => 'Coffee Break' ],
    [ 'codigo' => 638, 'nome' => 'Brindes' ],
    [ 'codigo' => 639, 'nome' => 'Donativos' ],
    [ 'codigo' => 640, 'nome' => 'Outras Despesas não Dedutiveis' ],
//    ['codigo'=>,'nome'=>'DEPRECIAÇÕES/AMORTIZAÇÕES'],
    [ 'codigo' => 665, 'nome' => 'Depr. Maquinas e Equipamentos' ],
    [ 'codigo' => 666, 'nome' => 'Depr. Moveis e Utensilios' ],
    [ 'codigo' => 667, 'nome' => 'Depr. Computadores e Perifericos' ],
    [ 'codigo' => 668, 'nome' => 'Depr. Aparelhos Telefonicos' ],
    [ 'codigo' => 670, 'nome' => 'Depr. Instalações' ],
    [ 'codigo' => 669, 'nome' => 'Amortização Software' ],
//    ['codigo'=>,'nome'=>'DESPESAS FINANCEIRAS'],
//    ['codigo'=>,'nome'=>'DESPESAS FINANCEIRAS'],
    [ 'codigo' => 360, 'nome' => 'Comissão e Despesas Bancarias' ],
    [ 'codigo' => 641, 'nome' => 'Multas e Juros' ],
    [ 'codigo' => 642, 'nome' => 'Descontos Concedidos' ],
    [ 'codigo' => 361, 'nome' => 'IOF e IOC' ],
    [ 'codigo' => 647, 'nome' => 'Tarifas de Cobrança' ],
    [ 'codigo' => 362, 'nome' => 'Juros Pagos/Incorridos' ],
    [ 'codigo' => 643, 'nome' => 'Taxa Adm de Cartão' ],
    [ 'codigo' => 644, 'nome' => 'Taxa de Cobrança Celibel' ],
    [ 'codigo' => 648, 'nome' => 'Comissão e Taxas de Fiança' ],
    [ 'codigo' => 693, 'nome' => 'Taxa Desconto Recebimentos - Citibank' ],
    [ 'codigo' => 363, 'nome' => 'CPMF' ],
    [ 'codigo' => 509, 'nome' => 'Variação Cambial - Caixa' ],
    [ 'codigo' => 510, 'nome' => 'Variação Cambial - Competência' ],
//    ['codigo'=>,'nome'=>'DESPESAS DESCONTINUADAS'],
//    ['codigo'=>,'nome'=>'RESULTADO DAS OPERAÇÕES DESCONTINUADAS'],
//    ['codigo'=>,'nome'=>'PERDAS DE CAPITAL'],
    [ 'codigo' => 148, 'nome' => 'Perda de Capital - Imobilizado' ],
//    ['codigo'=>,'nome'=>'DESPESAS - MENSURAÇÃO DO VALOR JUSTO'],
    [ 'codigo' => 399, 'nome' => 'Despesas de Ajuste a Valor Justo' ],
    [ 'codigo' => 389, 'nome' => 'Despesas de Ajuste a Valor Presente' ],
    [ 'codigo' => 401, 'nome' => 'Desps Ajustes Valor Imob. e Intangível' ],
    [ 'codigo' => 400, 'nome' => 'Despesas de Outros Ajustes - IFRS' ],
//    ['codigo'=>,'nome'=>'DESPESAS COM IRPJ E CSLL'],
//    ['codigo'=>,'nome'=>'DESPESAS COM IRPJ E CSLL'],
//    ['codigo'=>,'nome'=>'DESPESAS COM IMPOSTO DE RENDA'],
    [ 'codigo' => 391, 'nome' => 'Imposto Renda - Operações Continuadas' ],
    [ 'codigo' => 393, 'nome' => 'Imposto Renda - Operações Descontinuadas' ],
//    ['codigo'=>,'nome'=>'DESPESAS COM CONTRIBUIÇÃO SOCIAL'],
    [ 'codigo' => 392, 'nome' => 'Contrib. Social - Operações Continuadas' ],
    [ 'codigo' => 394, 'nome' => 'Contrib. Social - Oper Descontinuadas' ],
  ];
}
