<?php

use Illuminate\Database\Seeder;

class FuncionariosSeeder extends Seeder {
  /**
   * Run the database seeds.
   *
   * @return void
   */
  public function run() {
    $dep = [];
    foreach ( FuncionariosSeeder::$enum_dep as $n ) {
      $d     = App\Models\Cadastros\Departamentos::create( [ 'nome' => $n ] );
      $dep[] = $d->id;
    }

    if ( config( 'app.env', 'production' ) === 'production' ) return;

    factory( \App\Models\Cadastros\Funcionarios::class, 5 )
      ->create()
      ->each( function ( \App\Models\Cadastros\Funcionarios $f ) {
        $f->Telefones()->create( factory( App\Models\Cadastros\FuncTelefones::class, 'tel1' )->make()->toArray() );
        $f->Telefones()->create( factory( App\Models\Cadastros\FuncTelefones::class, 'tel2' )->make()->toArray() );

        $f->Dependentes()->create( factory( App\Models\Cadastros\FuncDependentes::class )->make()->toArray() );
        $f->Dependentes()->create( factory( App\Models\Cadastros\FuncDependentes::class )->make()->toArray() );

        $f->Historicos()->create( factory( App\Models\Cadastros\FuncHistoricos::class, 'contratacao' )->make()->toArray() );
        $f->Historicos()->create( factory( App\Models\Cadastros\FuncHistoricos::class, 'aquisitivo' )->make()->toArray() );
      } );

  }

  /*
  TRUNCATE `departamentos`;
  TRUNCATE `funcionarios`;
  TRUNCATE `funcionarios_dependentes`;
  TRUNCATE `funcionarios_historicos`;
  TRUNCATE `funcionarios_telefones`;
  TRUNCATE `users`

  artisan migrate:refresh --seed
  */


  public static $enum_dep = [
    'Arte',
    'Financeiro & Administrativo',
    'Planejamento & Atendimento',
    'Redação',
  ];
}
