<?php

use App\Models\Cadastros\PlanoDeContas;
use Illuminate\Database\Seeder;

class PlanoDeContasSeeder extends Seeder {
  /**
   * Run the database seeds.
   *
   * @return void
   */
  public function run() {
    $despesas = [
      [ 'c' => 1, 'd' => 'HONORÁRIOS DIRIGENTES', 'f' => [
        [ 'c' => 1, 'cr' => 55, 'd' => 'Pro-Labore' ],
        [ 'c' => 4, 'cr' => 58, 'd' => 'Gratificações' ],
        [ 'c' => 20, 'cr' => 56, 'd' => 'INSS Dirigentes' ],
        [ 'c' => 30, 'cr' => 723, 'd' => 'Seguro de Vida em Grupo' ],
        [ 'c' => 40, 'cr' => 799, 'd' => 'Cursos e Treinamentos - Sócios' ] ] ],
      [ 'c' => 2, 'd' => 'DESPESAS COM PESSOAL', 'f' => [
        [ 'c' => 1, 'cr' => 59, 'd' => 'Salarios e Ordenados' ],
        [ 'c' => 2, 'cr' => 60, 'd' => 'Ferias' ],
        [ 'c' => 3, 'cr' => 61, 'd' => 'Abono Pecuniario' ],
        [ 'c' => 4, 'cr' => 62, 'd' => '13º Salario' ],
        [ 'c' => 5, 'cr' => 63, 'd' => 'INSS' ],
        [ 'c' => 6, 'cr' => 64, 'd' => 'FGTS' ],
        [ 'c' => 7, 'cr' => 681, 'd' => 'Hora Extra' ],
        [ 'c' => 8, 'cr' => 682, 'd' => 'DSR s/ Horas Extras' ],
        [ 'c' => 10, 'cr' => 65, 'd' => 'Aviso Previo' ],
        [ 'c' => 11, 'cr' => 66, 'd' => 'Assistencia Medica' ],
        [ 'c' => 13, 'cr' => 68, 'd' => 'Vale Transporte' ],
        [ 'c' => 14, 'cr' => 69, 'd' => 'Auxilio Refeição' ],
        [ 'c' => 15, 'cr' => 74, 'd' => 'Cursos e Treinamentos' ],
        [ 'c' => 16, 'cr' => 75, 'd' => 'Trienio' ],
        [ 'c' => 18, 'cr' => 83, 'd' => 'Seguro de Vida em Grupo' ],
        [ 'c' => 30, 'cr' => 684, 'd' => 'Bolsa Auxilio' ],
        [ 'c' => 70, 'cr' => 740, 'd' => 'Participação nos Lucros' ],
        [ 'c' => 80, 'cr' => 683, 'd' => 'Gratificações' ],
        [ 'c' => 90, 'cr' => 395, 'd' => 'Outras Despesas com Pessoal' ] ] ],
      [ 'c' => 6, 'd' => 'SERVIÇOS DE TERCEIROS', 'f' => [
        [ 'c' => 5, 'cr' => 539, 'd' => 'Serviços Advocaticios' ],
        [ 'c' => 8, 'cr' => 540, 'd' => 'Serviços de Auditoria' ],
        [ 'c' => 12, 'cr' => 541, 'd' => 'Serviços de Consultoria' ],
        [ 'c' => 15, 'cr' => 542, 'd' => 'Serviços de Contabilidade' ],
        [ 'c' => 18, 'cr' => 543, 'd' => 'Serviços de Informatica' ],
        [ 'c' => 20, 'cr' => 544, 'd' => 'Serviços Graficos' ],
        [ 'c' => 25, 'cr' => 545, 'd' => 'Serviços Temporarios' ],
        [ 'c' => 28, 'cr' => 546, 'd' => 'Traduções e Revisões' ],
        [ 'c' => 30, 'cr' => 547, 'd' => 'Assessoria de Imprensa' ],
        [ 'c' => 33, 'cr' => 548, 'd' => 'Limpeza e Higiene' ],
        [ 'c' => 35, 'cr' => 549, 'd' => 'Correios, Fretes e Malotes' ],
        [ 'c' => 38, 'cr' => 550, 'd' => 'Despachantes' ],
        [ 'c' => 40, 'cr' => 551, 'd' => 'Filmagens e Fotos' ],
        [ 'c' => 43, 'cr' => 697, 'd' => 'Serviços de Fotografia e Cinematografia' ],
        [ 'c' => 45, 'cr' => 552, 'd' => 'Feiras, Eventos e Palestras' ],
        [ 'c' => 48, 'cr' => 699, 'd' => 'Hospedagem, Dominio, Disparo E-mail Mkt' ],
        [ 'c' => 50, 'cr' => 553, 'd' => 'Manutenção de Software e Sistemas' ],
        [ 'c' => 52, 'cr' => 554, 'd' => 'Comunicação e Dados' ],
        [ 'c' => 60, 'cr' => 555, 'd' => 'Outros Serviços Profissionais' ],
        [ 'c' => 61, 'cr' => 663, 'd' => 'Serviços de Programação e Web Design' ],
        [ 'c' => 62, 'cr' => 664, 'd' => 'Serviços de Criação, Layout/Produções' ],
        [ 'c' => 65, 'cr' => 556, 'd' => 'Serviços Prestados - PJ' ],
        [ 'c' => 68, 'cr' => 557, 'd' => 'Serviços Prestados - PF' ],
        [ 'c' => 70, 'cr' => 558, 'd' => 'Coffee Break' ],
        [ 'c' => 72, 'cr' => 559, 'd' => 'Serviço Manutenção Maqs. e Equipos' ],
        [ 'c' => 74, 'cr' => 560, 'd' => 'Serviço Manut Reparos e Instalações' ],
        [ 'c' => 76, 'cr' => 561, 'd' => 'Serviço Manut. Maqs. Informatica' ],
        [ 'c' => 78, 'cr' => 562, 'd' => 'INSS s/Autonomos' ],
        [ 'c' => 80, 'cr' => 767, 'd' => 'Anuncios & Publicações' ] ] ],
      [ 'c' => 10, 'd' => 'DIVULGAÇÕES INSTITUCIONAIS', 'f' => [
        [ 'c' => 5, 'cr' => 563, 'd' => 'Publicidade' ],
        [ 'c' => 8, 'cr' => 564, 'd' => 'Materiais Impressos' ],
        [ 'c' => 10, 'cr' => 565, 'd' => 'Mala Direta' ],
        [ 'c' => 13, 'cr' => 566, 'd' => 'Patrocinios Diretos' ],
        [ 'c' => 15, 'cr' => 567, 'd' => 'Marketing Diversos' ],
        [ 'c' => 16, 'cr' => 702, 'd' => 'Filmagens e Fotos' ],
        [ 'c' => 17, 'cr' => 703, 'd' => 'Feiras, Eventos e Palestras' ],
        [ 'c' => 18, 'cr' => 568, 'd' => 'Anuncios e Publicações' ],
        [ 'c' => 20, 'cr' => 569, 'd' => 'Serviços Graficos (Marketing)' ],
        [ 'c' => 22, 'cr' => 570, 'd' => 'Serviços Criação Layout / Produções' ],
        [ 'c' => 23, 'cr' => 662, 'd' => 'Serviços de Programação e Web Design' ],
        [ 'c' => 25, 'cr' => 571, 'd' => 'Serviços de Fotografia' ],
        [ 'c' => 28, 'cr' => 572, 'd' => 'Website e Newsletters' ],
        [ 'c' => 30, 'cr' => 573, 'd' => 'Ações de Relacionamento' ] ] ],
      [ 'c' => 15, 'd' => 'MATERIAL DE CONSUMO', 'f' => [
        [ 'c' => 10, 'cr' => 574, 'd' => 'Material de Escritorio' ],
        [ 'c' => 12, 'cr' => 575, 'd' => 'Copias, Encadernações e Impressões' ],
        [ 'c' => 14, 'cr' => 576, 'd' => 'Copa e Cozinha' ],
        [ 'c' => 16, 'cr' => 577, 'd' => 'Material de Limpeza' ],
        [ 'c' => 18, 'cr' => 578, 'd' => 'Material Eletrico' ],
        [ 'c' => 20, 'cr' => 579, 'd' => 'Suprimentos de Informatica' ],
        [ 'c' => 25, 'cr' => 580, 'd' => 'Material de Manutenção' ],
        [ 'c' => 28, 'cr' => 581, 'd' => 'Telefonia' ],
        [ 'c' => 30, 'cr' => 582, 'd' => 'Material de consumo' ] ] ],
      [ 'c' => 18, 'd' => 'GASTOS COM OCUPAÇÃO', 'f' => [
        [ 'c' => 5, 'cr' => 583, 'd' => 'Alugueis' ],
        [ 'c' => 8, 'cr' => 584, 'd' => 'Condominio' ],
        [ 'c' => 11, 'cr' => 585, 'd' => 'IPTU' ],
        [ 'c' => 15, 'cr' => 586, 'd' => 'Energia Eletrica' ],
        [ 'c' => 18, 'cr' => 587, 'd' => 'Agua e Esgoto' ],
        [ 'c' => 19, 'cr' => 755, 'd' => 'Amortização Seguro Predial' ],
        [ 'c' => 20, 'cr' => 588, 'd' => 'TLIF' ] ] ],
      [ 'c' => 22, 'd' => 'LOCAÇÕES', 'f' => [
        [ 'c' => 5, 'cr' => 589, 'd' => 'Locações de Salas' ],
        [ 'c' => 10, 'cr' => 590, 'd' => 'Locações de Sistemas' ],
        [ 'c' => 15, 'cr' => 591, 'd' => 'Aluguel de Equipamentos' ],
        [ 'c' => 18, 'cr' => 592, 'd' => 'Locações Diversas' ],
        [ 'c' => 20, 'cr' => 593, 'd' => 'Aluguel de Veiculos' ],
        [ 'c' => 25, 'cr' => 594, 'd' => 'Locação de Arquivo' ] ] ],
      [ 'c' => 25, 'd' => 'MANUTENÇÃO E CONSERVAÇÃO', 'f' => [
        [ 'c' => 5, 'cr' => 595, 'd' => 'Manut. de Moveis e Utensilios' ],
        [ 'c' => 8, 'cr' => 596, 'd' => 'Manut. de Maqs. e Equipamentos' ],
        [ 'c' => 10, 'cr' => 597, 'd' => 'Manut. e Reparo de Instalações' ],
        [ 'c' => 15, 'cr' => 598, 'd' => 'Manut. de Equiptos. de Informatica' ],
        [ 'c' => 18, 'cr' => 599, 'd' => 'Manut. e Conservação Predial' ],
        [ 'c' => 20, 'cr' => 600, 'd' => 'Manut. de Software e Sistemas' ] ] ],
      [ 'c' => 27, 'd' => 'SEGUROS', 'f' => [
        [ 'c' => 5, 'cr' => 601, 'd' => 'Seguro de Incendio' ],
        [ 'c' => 10, 'cr' => 602, 'd' => 'Seguro de Riscos Diversos' ],
        [ 'c' => 100, 'cr' => 765, 'd' => 'Seguro Garantia' ] ] ],
      [ 'c' => 30, 'd' => 'COMUNICAÇÕES', 'f' => [
        [ 'c' => 5, 'cr' => 603, 'd' => 'Telefone e Fax' ],
        [ 'c' => 10, 'cr' => 604, 'd' => 'Internet' ],
        [ 'c' => 12, 'cr' => 605, 'd' => 'Correios' ],
        [ 'c' => 15, 'cr' => 606, 'd' => 'Telefone e Celular' ] ] ],
      [ 'c' => 32, 'd' => 'VIAGENS', 'f' => [
        [ 'c' => 5, 'cr' => 607, 'd' => 'Passagens' ],
        [ 'c' => 10, 'cr' => 608, 'd' => 'Hospedagens' ],
        [ 'c' => 12, 'cr' => 609, 'd' => 'Conduções e Refeições - Viagem' ],
        [ 'c' => 15, 'cr' => 610, 'd' => 'Despesas Diversas - Viagem' ] ] ],
      [ 'c' => 35, 'd' => 'IMPOSTOS E CONTRIBUIÇÕES', 'f' => [
        [ 'c' => 5, 'cr' => 611, 'd' => 'Imp. Taxas e Contribuições Municipais' ],
        [ 'c' => 10, 'cr' => 612, 'd' => 'Imp. Taxas e Contrib. Estad e Federais' ],
        [ 'c' => 12, 'cr' => 613, 'd' => 'Contribuição Sindical Patronal' ],
        [ 'c' => 13, 'cr' => 734, 'd' => 'Contribuição Assistencial Patronal' ],
        [ 'c' => 15, 'cr' => 614, 'd' => 'Taxas e Emolumentos' ],
        [ 'c' => 18, 'cr' => 745, 'd' => 'Contribuição Sindical - Acordo Coletivo' ],
        [ 'c' => 25, 'cr' => 883, 'd' => 'ISS s/ Serviços Tomados Exterior' ],
        [ 'c' => 30, 'cr' => 884, 'd' => 'PIS s/ Serviços Tomados Exterior' ],
        [ 'c' => 35, 'cr' => 885, 'd' => 'COFINS s/ Serviços Tomados Exterior' ],
        [ 'c' => 40, 'cr' => 886, 'd' => 'CIDE s/ Serviços Tomados Exterior' ],
        [ 'c' => 45, 'cr' => 887, 'd' => 'IRRF s/ Serviços Tomados Exterior' ] ] ],
      [ 'c' => 40, 'd' => 'OUTRAS DESPESAS DA ADMINISTRAÇÃO', 'f' => [
        [ 'c' => 5, 'cr' => 615, 'd' => 'Condução - Local' ],
        [ 'c' => 8, 'cr' => 616, 'd' => 'Refeições - Local' ],
        [ 'c' => 10, 'cr' => 617, 'd' => 'Despesas Legais e Judiciais' ],
        [ 'c' => 12, 'cr' => 618, 'd' => 'Livros Jornais e Revistas' ],
        [ 'c' => 15, 'cr' => 619, 'd' => 'Treinamento' ],
        [ 'c' => 17, 'cr' => 620, 'd' => 'Representações' ],
        [ 'c' => 19, 'cr' => 621, 'd' => 'Festas e Confraternizações' ],
        [ 'c' => 21, 'cr' => 622, 'd' => 'Associações e Participações' ],
        [ 'c' => 23, 'cr' => 623, 'd' => 'Bens de Pequeno Valor' ],
        [ 'c' => 30, 'cr' => 624, 'd' => 'Despesas Diversas' ],
        [ 'c' => 31, 'cr' => 783, 'd' => 'Despesas Auditor on-line IOB' ],
        [ 'c' => 32, 'cr' => 625, 'd' => 'Estacionamento Pedagio' ],
        [ 'c' => 35, 'cr' => 626, 'd' => 'Transporte de Documentos Mercadorias' ],
        [ 'c' => 38, 'cr' => 627, 'd' => 'Anuidades' ],
        [ 'c' => 40, 'cr' => 628, 'd' => 'Cartorio' ],
        [ 'c' => 42, 'cr' => 629, 'd' => 'Combustivel Kilometragem' ],
        [ 'c' => 45, 'cr' => 630, 'd' => 'Premiação' ],
        [ 'c' => 47, 'cr' => 631, 'd' => 'Feiras e Eventos' ],
        [ 'c' => 49, 'cr' => 632, 'd' => 'Alimentação em Eventos' ],
        [ 'c' => 52, 'cr' => 633, 'd' => 'Perda e Roubo' ],
        [ 'c' => 55, 'cr' => 634, 'd' => 'Tributos Diversos' ],
        [ 'c' => 57, 'cr' => 635, 'd' => 'Cursos Diversos' ],
        [ 'c' => 59, 'cr' => 636, 'd' => 'Pesquisa' ],
        [ 'c' => 62, 'cr' => 637, 'd' => 'Coffee Break' ],
        [ 'c' => 64, 'cr' => 638, 'd' => 'Brindes' ],
        [ 'c' => 66, 'cr' => 639, 'd' => 'Donativos' ],
        [ 'c' => 68, 'cr' => 858, 'd' => 'Recrutamento' ],
        [ 'c' => 70, 'cr' => 640, 'd' => 'Outras Despesas não Dedutiveis' ] ] ],
      [ 'c' => 50, 'd' => 'DEPRECIAÇÕES/AMORTIZAÇÕES', 'f' => [
        [ 'c' => 10, 'cr' => 665, 'd' => 'Depr. Maquinas e Equipamentos' ],
        [ 'c' => 20, 'cr' => 666, 'd' => 'Depr. Moveis e Utensilios' ],
        [ 'c' => 30, 'cr' => 667, 'd' => 'Depr. Computadores e Perifericos' ],
        [ 'c' => 45, 'cr' => 668, 'd' => 'Depr. Aparelhos Telefonicos' ],
        [ 'c' => 50, 'cr' => 670, 'd' => 'Depr. Instalações' ],
        [ 'c' => 100, 'cr' => 669, 'd' => 'Amortização Software' ],
        [ 'c' => 200, 'cr' => 789, 'd' => 'Amortização Benfeitorias' ] ] ],
      [ 'c' => 99, 'd' => 'DESPESAS COM VENDAS', 'f' => [] ] ];

    foreach ( $despesas as $despesa ) {
      /** @var PlanoDeContas $pai */
      $pai = PlanoDeContas::create( [
        'conta'     => $despesa[ 'c' ],
        'descricao' => $despesa[ 'd' ],
      ] );
      foreach ( $despesa[ 'f' ] as $item ) {
        $pai->PlanoDeContasItem()->create( [
          'conta'          => $item[ 'c' ],
          'conta_reduzida' => $item[ 'cr' ],
          'descricao'      => $item[ 'd' ],
        ] );
      }
    }
  }
}
