<?php

use App\CRP;
use Illuminate\Database\Seeder;
use Spatie\Permission\Models\Permission;
use Spatie\Permission\Models\Role;

class RolesPermissionsSeeder extends Seeder {
  /**
   * Run the database seeds.
   *
   * @return void
   */
  public function run() {
    /// https://github.com/spatie/laravel-permission

    // === ROLES ===
    $roleAdmin            = RolesPermissionsSeeder::ROLE_getOrNew( CRP::R_Admin );
    $roleDiretores        = RolesPermissionsSeeder::ROLE_getOrNew( CRP::R_Diretor );
    $roleFuncFinanceiro   = RolesPermissionsSeeder::ROLE_getOrNew( CRP::R_Func_Financeiro );
    $roleFuncPlanejamento = RolesPermissionsSeeder::ROLE_getOrNew( CRP::R_Func_Planejamento );
    $roleFuncProducao     = RolesPermissionsSeeder::ROLE_getOrNew( CRP::R_Func_Producao );
    $roleFuncRH           = RolesPermissionsSeeder::ROLE_getOrNew( CRP::R_Func_RH );
    $roleClientes         = RolesPermissionsSeeder::ROLE_getOrNew( CRP::R_Cliente );
    $roleMinimal          = RolesPermissionsSeeder::ROLE_getOrNew( CRP::R_Minimal );

    // === PERMISSIONS ===
    // Cadastros
    $permCadastro_read = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP::P_Cadastro_read );
    $permCadastro_edit = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP::P_Cadastro_edit );
    // Controle de Pontos do Funcionario
    $permControleDePonto_read = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP::P_ControleDePonto_read );
    $permControleDePonto_edit = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP::P_ControleDePonto_edit );
    // Funcionarios
    $permFuncionario_all = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP::P_Funcionario_all );

    // Proposta comercial
    $permComercial_index  = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP::P_Comercial_index );
    $permComercial_A_read = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP::P_Comercial_A_read );
    $permComercial_B_read = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP::P_Comercial_B_read );
    $permComercial_C_read = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP::P_Comercial_C_read );
    $permComercial_D_read = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP::P_Comercial_D_read );
    $permComercial_E_read = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP::P_Comercial_E_read );
    $permComercial_F_read = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP::P_Comercial_F_read );
    $permComercial_G_read = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP::P_Comercial_G_read );
    $permComercial_Z_read = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP::P_Comercial_Z_read );
    $permComercial_L_read = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP::P_Comercial_L_read );

    $permComercial_0_edit = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP::P_Comercial_0_edit );
    $permComercial_A_edit = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP::P_Comercial_A_edit );
    $permComercial_B_edit = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP::P_Comercial_B_edit );
    $permComercial_C_edit = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP::P_Comercial_C_edit );
    $permComercial_D_edit = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP::P_Comercial_D_edit );
    $permComercial_E_edit = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP::P_Comercial_E_edit );
    $permComercial_F_edit = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP::P_Comercial_F_edit );
    $permComercial_G_edit = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP::P_Comercial_G_edit );
    $permComercial_Z_edit = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP::P_Comercial_Z_edit );
    $permComercial_L_edit = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP::P_Comercial_L_edit );


    // Notificacoes dos Jobs
    $permComercial_email_A_entrou   = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP::P_Comercial_email_A_entrou );
    $permComercial_email_B_entrou   = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP::P_Comercial_email_B_entrou );
    $permComercial_email_C_entrou   = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP:: P_Comercial_email_C_entrou );
    $permComercial_email_C_aprovou  = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP::P_Comercial_email_C_aprovou );
    $permComercial_email_C_reprovou = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP::P_Comercial_email_C_reprovou );
    $permComercial_email_D_entrou   = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP:: P_Comercial_email_D_entrou );
    $permComercial_email_D_aprovou  = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP::P_Comercial_email_D_aprovou );
    $permComercial_email_D_reprovou = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP::P_Comercial_email_D_reprovou );
    $permComercial_email_D_arquivou = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP::P_Comercial_email_D_arquivou );
    $permComercial_email_E_entrou   = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP::P_Comercial_email_E_entrou );
    $permComercial_email_F_entrou   = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP:: P_Comercial_email_F_entrou );
    $permComercial_email_G_entrou   = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP::P_Comercial_email_G_entrou );


    $permFinanceiro = RolesPermissionsSeeder::PERMISSION_getOrNew( CRP::P_Financeiro );
    // $perm = Permission::create( [ 'name' => CRP::P_ ] );


    // === ATRIBUICOES DE PERMISSOES PARA CADA ROLE ===
    // ADMIN (dev e tudo)
    $roleAdmin->syncPermissions( [
      // Cadastros
      $permCadastro_read, $permCadastro_edit,
      $permControleDePonto_read, $permControleDePonto_edit,
      // ALL Funcionários
      $permFuncionario_all,
      // Proposta comercial
      $permComercial_index,
      $permComercial_A_read,
      $permComercial_B_read,
      $permComercial_C_read,
      $permComercial_D_read,
      $permComercial_E_read,
      $permComercial_F_read,
      $permComercial_G_read,
      $permComercial_Z_read,
      $permComercial_L_read,
      $permComercial_0_edit,
      $permComercial_A_edit,
      $permComercial_B_edit,
      $permComercial_C_edit,
      $permComercial_D_edit,
      $permComercial_E_edit,
      $permComercial_F_edit,
      $permComercial_G_edit,
      $permComercial_Z_edit,
      $permComercial_L_edit,
      // Notificacoes dos Jobs
      $permComercial_email_A_entrou,
      $permComercial_email_B_entrou,
      $permComercial_email_C_entrou,
      $permComercial_email_C_aprovou,
      $permComercial_email_C_reprovou,
      $permComercial_email_D_entrou,
      $permComercial_email_D_aprovou,
      $permComercial_email_D_reprovou,
      $permComercial_email_D_arquivou,
      $permComercial_email_E_entrou,
      $permComercial_email_F_entrou,
      $permComercial_email_G_entrou,
      // Financeiro
      $permFinanceiro,
    ] );

    // DIRETORES (TUDO mas somente index,show) (NAO edit,create,delete)
    $roleDiretores->syncPermissions( [
      // cadastros
      $permCadastro_read,
      $permControleDePonto_read,
      // Proposta comercial
      $permComercial_index,
      $permComercial_A_read,
      $permComercial_B_read,
      $permComercial_C_read,
      $permComercial_D_read,
      $permComercial_E_read,
      $permComercial_F_read,
      $permComercial_G_read,
      $permComercial_Z_read,
      $permComercial_L_read,
      $permComercial_A_edit,
      $permComercial_B_edit,
      $permComercial_C_edit,
      $permComercial_G_edit,
      $permComercial_Z_edit,
      $permComercial_L_edit,
      // Notificacoes dos Jobs
      $permComercial_email_C_entrou,
      $permComercial_email_D_entrou,
      $permComercial_email_D_aprovou,
      $permComercial_email_D_reprovou,
      $permComercial_email_D_arquivou,
      $permComercial_email_E_entrou,
      $permComercial_email_F_entrou,
      $permComercial_email_G_entrou,

      // Financeiro
      $permFinanceiro,
    ] );

    // FUNCIONARIOS:
    // Financeiro (Propostas Comerciais, Contas a Receber, Contas a Pagar, Cadastros, Relatórios Gerenciais)
    $roleFuncFinanceiro->syncPermissions( [
      // cadastros
      $permCadastro_read, $permCadastro_edit,
      $permControleDePonto_read, $permControleDePonto_edit,
      // Proposta comercial
      $permComercial_index,
      $permComercial_A_read,
      $permComercial_B_read,
      $permComercial_D_read,
      $permComercial_E_read,
      $permComercial_F_read,
      $permComercial_G_read,
      $permComercial_Z_read,
      $permComercial_L_read,
      $permComercial_0_edit,
      $permComercial_A_edit,
      $permComercial_B_edit,
      $permComercial_D_edit,
      $permComercial_E_edit,
      $permComercial_F_edit,
      $permComercial_G_edit,
      $permComercial_Z_edit,
      $permComercial_L_edit,
      // Notificacoes dos Jobs
      $permComercial_email_A_entrou,
      $permComercial_email_B_entrou,
      $permComercial_email_C_aprovou,
      $permComercial_email_C_reprovou,
      $permComercial_email_D_aprovou,
      $permComercial_email_D_reprovou,
      $permComercial_email_D_arquivou,
      $permComercial_email_F_entrou,
      $permComercial_email_G_entrou,

      // Financeiro
      $permFinanceiro,
    ] );

    // Planejamento (Propostas Comerciais e Monitoramento de Produção)
    $roleFuncPlanejamento->syncPermissions( [
      // Proposta comercial
      $permComercial_index,
      $permComercial_A_read,
      $permComercial_D_read,
      $permComercial_E_read,
      $permComercial_0_edit,
      $permComercial_A_edit,
      $permComercial_D_edit,
      $permComercial_E_edit,
      // Notificacoes dos Jobs
      //$permComercial_email_C_aprovou, // ? repete o D_entrou
      $permComercial_email_D_entrou,
      $permComercial_email_D_arquivou,
    ] );

    // Produção (Monitoramento de Produção)
    $roleFuncProducao->syncPermissions( [
      // Proposta comercial
      $permComercial_index,
      $permComercial_E_read,
      // Notificacoes dos Jobs
      $permComercial_email_E_entrou,
      $permComercial_email_G_entrou,
    ] );

    // RH (Informações de Funcionários) ??
    $roleFuncRH->syncPermissions( [
      $permControleDePonto_read, $permControleDePonto_edit,
      // ALL Funcionários ???
      $permFuncionario_all
    ] );

    // CLIENTES
    $roleClientes->syncPermissions( [

    ] );

    // Permissao minima
    $roleMinimal->syncPermissions( [

    ] );

  }

  /**
   * Retorna a Role existente ou cria uma nova se nao houver.
   *
   * @param string $nome
   * @return Role
   */
  private static function ROLE_getOrNew( $nome ) {
    $role = Role::where( 'name', $nome )->first();
    if ( !$role ) {
      $role = Role::create( [ 'name' => $nome ] );
    }

    return $role;
  }

  /**
   *
   * Retorna a Permissao existente ou cria uma nova se nao houver.
   *
   * @param string $nome
   * @return Permission
   */
  private static function PERMISSION_getOrNew( $nome ) {
    $perm = Permission::where( 'name', $nome )->first();
    if ( !$perm ) {
      $perm = Permission::create( [ 'name' => $nome ] );
    }

    return $perm;
  }
}

/*
  == Politicas de Permissao ==

USER:
  ADMIN-dev
  Diretores
  Funcionarios
  Clientes

1. Administrador: Acesso total. OK

2. Diretoria: acesso irrestrito a todos os campos do sistema com nível hierárquico de diretoria. OK
  o	Os diretores não podem alterar ou incluir informações em lançamentos de funcionários, mas podem visualizar as informações. OK
  o	O login dos diretores deve acessar todas as funcionalidades do sistema:
    Cadastros (list, view)
    Propostas Comerciais (etapas: A, B, C ) (etapas q somente visualiza: D, F, E, Z )
    Monitoramento de Produção (?)

3. Funcionários: acesso às respectivas áreas de competência:
  o	Financeiro:
    ▪	Propostas Comerciais (etapas q edita: 0, B, C E F )  (etapas q somente visualiza: A, C, D ) É O FINANCEIRO QUE GERA O PDF E NÃO O DIRETOR.
    ▪	Contas a Receber (acesso total? SIM)
    ▪	Contas a Pagar (acesso total? SIM)
    ▪	Cadastros (list, add, view, edit, delete)
    ▪	Relatórios Gerenciais (acesso total? SIM)
  o	Planejamento:
    ▪	Propostas Comerciais (etapas q edita: 0, A, D E)
    ▪	Monitoramento de Produção (acesso total? SIM)
  o	Produção:
    ▪	Propostas Comerciais (etapas q edita: E SIM)
    ▪	Monitoramento de Produção (? ACESSO TOTAL)
  o	RH:
    ▪	Informações de Funcionários (list, add, view, edit, delete)

4. Cliente: acesso restrito às suas próprias informações. Monitoramento por requisitante e não por CNPJ.
  o	Futuramente, poderá apenas solicitar job pelo sistema.
  o	Futuramente, o login do cliente deverá:
    ▪	Solicitar job e acompanhar seu status
    ▪	Acessar as infos financeiras do job (proposta, NF e status de pagamento)
    ▪	Dar feedback do job
    ▪	Acessar histórico de seus jobs


Legendas das etapas da Propostas Comerciais:
  0: cria o job
  A: Briefing e Cronograma
  B: Orçamento e Prazo de pagamento
  C: PDF e Diretor aprovou?
  D: Cliente aprovou?
  E: Em Produção
  F: Em Faturamento
  G: Finalizado
  Z: Arquivado

*/
