// Sistema Cadaris app.js
$( document ).ready( function () {
  $( 'div.alert' ).not( '.alert-important' ).delay( 3000 ).slideUp( 300 );
  $( '#list_erros' ).focus();
  $( '#flash-overlay-modal' ).modal();
  
  $( '[data-toggle="tooltip"]' ).tooltip( {
    animation: true,
    delay: 0,
    html: true,
    placement: 'top',
  } );
  
  $( '.clockpicker' ).clockpicker( {
    placement: 'top',
    align: 'left',
    autoclose: true,
  } );
  
  $( '.datapicker' ).datepicker( {
    format: 'dd/mm/yyyy',
    language: 'pt-BR',
  } );
  
  $( 'button[name="deleta_item"]' ).on( 'click', function ( e ) {
    var $form = $( this ).closest( 'form' );
    e.preventDefault();
    $( '#delete-modal' )
      .modal( { backdrop: 'static', keyboard: false } )
      .one( 'click', '#confimar_delete', function ( e ) {
        $form.trigger( 'submit' );
      } );
  } );
  
  $( '#avancado' ).click( function ( e ) {
    e.stopPropagation();
  } );
  
  $( '.somenteNumeros' ).on( 'keyup', function () {
    $( this ).val( $( this ).val().replace( /\D/g, '' ) );
  } );
  
  TelMask();
} );

function formatDinheiro( valor ) {
  valor = String( valor );
  while ( valor.length < 3 ) {
    valor = '0' + valor;
  }
  var valor2 = String( '' ), i = 0;
  while ( i < valor.length ) {
    if ( i === 2 ) {
      valor2 = ',' + valor2;
    } else if ( i === 5 || i === 8 ) {
      valor2 = '.' + valor2;
    }
    valor2 = valor.charAt( valor.length - 1 - i ) + valor2;
    i++;
  }
  return valor2
}
function TelMask() {
  $( 'input.telefone' ).each( function () {
    var tel = $( this );
    tel.focusin( function () {
      tel.val( tel.val().replace( /\D/g, '' ) );
      tel.mask( '(99) 999999999' );
    } );
    tel.focusout( function () {
      var phone, element;
      element = $( this );
      element.unmask();
      phone = element.val().replace( /\D/g, '' );
      if ( phone.length > 10 ) {
        element.mask( '(99) 99999-9999' );
      } else {
        element.mask( '(99) 9999-9999' );
      }
    } ).trigger( 'focusout' );
  } );
}
