{{ Form::hidden('EDIT', true) }}
@if($tipo==1)
  {{--    EMPRESA   --}}

  {{ Form::hidden('empresa', $empCod) }}
  {{ Form::hidden('centro', '') }}
  {{ Form::hidden('conta', '') }}

  <div class="row">
    <div class="col-md-12">
      <h3><i class="fa fa-briefcase" aria-hidden="true"></i> Empresa</h3>
    </div>
  </div>

  <div class="row">
    <div class="col-md-2 form-group">
      {!! Form::label('codigo', 'Código:', ['class'=>'control-label']) !!}
      {!! Form::selectRange('codigo', 0, 99, null, ['class'=>'form-control']) !!}
    </div>
    <div class="col-md-10 form-group">
      {!! Form::label('nome', 'Nome Fantasia:', ['class'=>'control-label']) !!}
      {!! Form::text('nome', null, ['class'=>'form-control']) !!}
    </div>
  </div>

  <hr>
  <div class="row">
    <div class="col-md-12">
      <h3><i class="fa fa-sticky-note-o" aria-hidden="true"></i> Observações</h3>
    </div>
  </div>

  <div class="row">
    <div class="col-md-12">
      {!! Form::label('obs', 'Anote abaixo observações sobre este Cliente:', ['class'=>'control-label']) !!}
      {!! Form::textarea('obs',null,['class'=>'form-control','size' => '30x5']) !!}
    </div>
  </div>



@elseif($tipo==2)
  {{--    CENTROS DE CUSTOS   --}}

  {{ Form::hidden('empresa', $empCod) }}
  {{ Form::hidden('centro', $cdcCod) }}
  {{ Form::hidden('conta', '') }}

  <div class="row">
    <div class="col-md-12">
      <h3><i class="fa fa-briefcase" aria-hidden="true"></i> Empresa</h3>
    </div>
  </div>

  <div class="row">
    <div class="col-md-2 grupo">
      <p class="chave">Código:</p>
      <p class="valor">{{ sprintf('%02d',$empresa->codigo) }}</p>
    </div>
    <div class="col-md-10 grupo">
      <p class="chave">Nome Fantasia da Empresa:</p>
      <p class="valor">{{ $empresa->nome }}</p>
    </div>
  </div>

  <hr>
  <div class="row">
    <div class="col-md-12">
      <h3><i class="fa fa-briefcase" aria-hidden="true"></i> Centro de Custos</h3>
    </div>
  </div>

  <div class="row">
    <div class="col-md-2 form-group">
      {!! Form::label('codigo', 'Código:', ['class'=>'control-label']) !!}
      {!! Form::selectRange('codigo', 0, 99, null, ['class'=>'form-control']) !!}
    </div>
    <div class="col-md-10 form-group">
      {!! Form::label('nome', 'Nome do Departamento:', ['class'=>'control-label']) !!}
      {!! Form::text('nome', null, ['class'=>'form-control']) !!}
    </div>
  </div>

  <hr>
  <div class="row">
    <div class="col-md-12">
      <h3><i class="fa fa-address-book-o" aria-hidden="true"></i> Contatos</h3>
    </div>
  </div>


  <div class="row">
    <div class="col-md-12" id="list_contatos">
      @if( count( old( 'contato_id' ) ) > 0 )
        <?php
        $contato_nome = old( 'contato_nome' );
        $contato_tel = old( 'contato_tel' );
        $contato_cel = old( 'contato_cel' );
        $contato_email = old( 'contato_email' );
        $contato_id = old( 'contato_id' );
        ?>
        @for( $id = 0; $id < count($contato_id); $id++ )
          <div class="row">
            <div class="col-md-4 form-group">
              <label for="contato_nome[]" class="control-label">Nome:</label>
              <input class="form-control" required name="contato_nome[]" type="text" value="{{ $contato_nome[$id] }}">
            </div>
            <div class="col-md-2 form-group">
              <label for="contato_tel[]" class="control-label">Telefone:</label>
              <input class="form-control contato_tel" name="contato_tel[]" type="text" value="{{ $contato_tel[$id] }}">
            </div>
            <div class="col-md-2 form-group">
              <label for="contato_cel[]" class="control-label">Celular:</label>
              <input class="form-control contato_cel" name="contato_cel[]" type="text" value="{{ $contato_cel[$id] }}">
            </div>
            <div class="col-md-3 form-group">
              <label for="contato_email[]" class="control-label">E-mail:</label>
              <input class="form-control" required name="contato_email[]" type="email" value="{{ $contato_email[$id] }}">
            </div>
            <div class="col-md-1 form-group">
              <label for="" class="control-label hidden-sm hidden-xs">&nbsp;</label>
              <input name="contato_id[]" type="hidden" value="{{ $contato_id[$id] }}">
              <a id="deleteRow" class="btn btn-danger form-control" href="#">
                <i class="fa fa-trash-o" aria-hidden="true"></i>
              </a>
            </div>
          </div>
        @endfor
      @else
        @foreach($contatos as $contato)
          <div class="row">
            <div class="col-md-4 form-group">
              <label for="contato_nome[]" class="control-label">Nome:</label>
              <input class="form-control" required name="contato_nome[]" type="text" value="{{ $contato->nome }}">
            </div>
            <div class="col-md-2 form-group">
              <label for="contato_tel[]" class="control-label">Telefone:</label>
              <input class="form-control contato_tel" name="contato_tel[]" type="text" value="{{ $contato->tel }}">
            </div>
            <div class="col-md-2 form-group">
              <label for="contato_cel[]" class="control-label">Celular:</label>
              <input class="form-control contato_cel" name="contato_cel[]" type="text" value="{{ $contato->cel }}">
            </div>
            <div class="col-md-3 form-group">
              <label for="contato_email[]" class="control-label">E-mail:</label>
              <input class="form-control" required name="contato_email[]" type="email" value="{{ $contato->email }}">
            </div>
            <div class="col-md-1 form-group">
              <label for="" class="control-label hidden-sm hidden-xs">&nbsp;</label>
              <input name="contato_id[]" type="hidden" value="{{ $contato->id }}">
              <a id="deleteRow" class="btn btn-danger form-control" href="#">
                <i class="fa fa-trash-o" aria-hidden="true"></i>
              </a>
            </div>
          </div>
        @endforeach
      @endif
    </div>
  </div>
  <br>
  <div class="row">
    <div class="col-md-12 form-group">
      <button type="button" id="addContato" class="btn btn-success">
        <i class="fa fa-plus" aria-hidden="true"></i> Adicionar Contato
      </button>
    </div>
  </div>

@elseif($tipo==3)
  {{--    CONTA   --}}

  {{ Form::hidden('empresa', $empCod) }}
  {{ Form::hidden('centro', $cdcCod) }}
  {{ Form::hidden('conta', $cntCod) }}

  <div class="row">
    <div class="col-md-12">
      <h3><i class="fa fa-briefcase" aria-hidden="true"></i> Empresa</h3>
    </div>
  </div>

  <div class="row">
    <div class="col-md-2 grupo">
      <p class="chave">Código:</p>
      <p class="valor">{{ sprintf('%02d',$empresa->codigo) }}</p>
    </div>
    <div class="col-md-10 grupo">
      <p class="chave">Nome Fantasia da Empresa:</p>
      <p class="valor">{{ $empresa->nome }}</p>
    </div>
  </div>

  <hr>
  <div class="row">
    <div class="col-md-12">
      <h3><i class="fa fa-briefcase" aria-hidden="true"></i> Departamento</h3>
    </div>
  </div>

  <div class="row">
    <div class="col-md-2 grupo">
      <p class="chave">Código:</p>
      <p class="valor">{{ sprintf('%02d',$centro->codigo) }}</p>
    </div>
    <div class="col-md-10 grupo">
      <p class="chave">Nome do Departamento:</p>
      <p class="valor">{{ $centro->nome }}</p>
    </div>
  </div>

  <hr>
  <div class="row">
    <div class="col-md-12 form-group">
      <h3><i class="fa fa-briefcase" aria-hidden="true"></i> Conta</h3>
    </div>
  </div>

  <div class="row">
    <div class="col-md-2 form-group">
      {!! Form::label('codigo', 'Código:', ['class'=>'control-label']) !!}
      {!! Form::selectRange('codigo', 0, 99,null, ['class'=>'form-control']) !!}
    </div>
    <div class="col-md-10 form-group">
      {!! Form::label('nome', 'Nome Fantasia:', ['class'=>'control-label']) !!}
      {!! Form::text('nome', null, ['class'=>'form-control']) !!}
    </div>
  </div>

@endif
<br>
<br>

@include('errors.list')

@section('scripts')
  <script type="text/javascript">
    function TelMask() {
      $( '.contato_tel' ).each( function () {
        $( this ).mask( '(99) 9999-9999' );
      } );
      $( '.contato_cel' ).each( function () {
        $( this ).mask( '(99) 99999-9999' );
      } );
    }

    $( function () {
      $( '#list_contatos' ).on( 'click', 'div.row div a#deleteRow', function ( e ) {
        e.preventDefault();
        $( this ).parent( 'div' ).parent( 'div.row' ).remove();
      } );
      $( '#addContato' ).click( function () {
        var row = '<div class="row">';
        row += '<div class="col-md-4 form-group">';
        row += '<label for="contato_nome[]" class="control-label">Nome:</label>';
        row += '<input class="form-control" required name="contato_nome[]" type="text" value="">';
        row += '</div>';
        row += '<div class="col-md-2 form-group">';
        row += '<label for="contato_tel[]" class="control-label">Telefone:</label>';
        row += '<input class="form-control contato_tel" name="contato_tel[]" type="text" value="">';
        row += '</div>';
        row += '<div class="col-md-2 form-group">';
        row += '<label for="contato_cel[]" class="control-label">Celular:</label>';
        row += '<input class="form-control contato_cel" name="contato_cel[]" type="text" value="">';
        row += '</div>';
        row += '<div class="col-md-3 form-group">';
        row += '<label for="contato_email[]" class="control-label">E-mail:</label>';
        row += '<input class="form-control" required name="contato_email[]" type="email" value="">';
        row += '</div>';
        row += '<div class="col-md-1 form-group">';
        row += '<label for="" class="control-label hidden-sm hidden-xs">&nbsp;</label>';
        row += '<input name="contato_id[]" type="hidden" value="-1">';
        row += '<a id="deleteRow" class="btn btn-danger form-control" href="#">';
        row += '<i class="fa fa-trash-o" aria-hidden="true"></i>';
        row += '</a>';
        row += '</div>';
        row += '</div>';
        $( '#list_contatos' ).append( row );
        TelMask();
      } );
    } );
    $( function () {
      TelMask();
    } );
  </script>
@endsection