<?php /** @var App\Models\Cadastros\ClientesEmpresas $empresa */ ?>
<?php /** @var App\Models\Cadastros\ClientesEmpresasUnidades $unidade */ ?>

{!! Form::hidden('UNI', 'UNIDADE') !!}
{{-- EMPRESA --}}
<div class="row">
  <div class="col-md-12">
    <h3><i class="fa fa-briefcase" aria-hidden="true"></i> Empresa</h3>
  </div>
</div>

<div class="row">
  <div class="col-md-2 grupo">
    <p class="chave">Código:</p>
    <p class="valorReadOnly">{{ sprintf('%02d',$empresa->codigo) }}</p>
  </div>
  <div class="col-md-10 grupo">
    <p class="chave">Nome Fantasia da Empresa:</p>
    <p class="valorReadOnly">{{ $empresa->nome }}</p>
  </div>
</div>

{{-- UNIDADE --}}
<div class="row">
  <div class="col-md-12">
    <h3><i class="fa fa-briefcase" aria-hidden="true"></i> Unidade</h3>
  </div>
</div>

<div class="row">
  <div class="col-md-12 form-group">
    {!! Form::label('nome', 'Nome Fantasia da Unidade:', ['class'=>'control-label']) !!}
    {!! Form::text('nome', null, ['class'=>'form-control']) !!}
  </div>
</div>

<div class="row">
  <div class="col-md-8 form-group">
    {!! Form::label('razao_social', 'Razão Social:', ['class'=>'control-label']) !!}
    {!! Form::text('razao_social', null, ['class'=>'form-control']) !!}
  </div>
  <div class="col-md-4 form-group">
    {!! Form::label('cnpj', 'CNPJ:', ['class'=>'control-label']) !!}
    {!! Form::text('cnpj', null, ['class'=>'form-control', 'id'=>'cnpj']) !!}
  </div>
</div>

<div class="row">
  <div class="col-md-3 form-group">
    {!! Form::label('inscr_estadual', 'Inscrição Estadual:', ['class'=>'control-label']) !!}
    {!! Form::text('inscr_estadual', null, ['class'=>'form-control']) !!}
  </div>
  <div class="col-md-3 form-group">
    {!! Form::label('inscr_municipal', 'Inscrição Municipal:', ['class'=>'control-label']) !!}
    {!! Form::text('inscr_municipal', null, ['class'=>'form-control']) !!}
  </div>
  <div class="col-md-2 form-group">
    {!! Form::label('condpagamento_dias', 'Cond. de Pagamento:', ['class'=>'control-label']) !!}
    <div class="input-group">
      {!! Form::number('condpagamento_dias', null, ['class'=>'form-control', 'min'=>0, 'step'=>1, 'required']) !!}
      <span class="input-group-addon">dia(s)</span>
    </div>
  </div>
  <div class="col-md-4 form-group">
    {!! Form::label('condpagamento', 'Cond. Pag. (PDF do Orçamento):', ['class'=>'control-label']) !!}
    {!! Form::text('condpagamento', null, ['class'=>'form-control']) !!}
  </div>
</div>

<hr>
<div class="row">
  <div class="col-md-12">
    <h3><i class="fa fa-university" aria-hidden="true"></i> Informação Bancária</h3>
  </div>
</div>
<div class="row">
  <div class="col-md-4 form-group">
    {!! Form::label('bancario_banco', 'Banco:', ['class'=>'control-label']) !!}
    {!! Form::select('bancario_banco', \App\Models\Cadastros\ClientesEmpresas::enum_bancos(), null, ['placeholder'=>'-- Selecione um Banco --', 'class'=>'form-control']) !!}
  </div>
  <div class="col-md-2 form-group">
    {!! Form::label('bancario_agencia', 'Agência:', ['class'=>'control-label']) !!}
    {!! Form::text('bancario_agencia', null, ['class'=>'form-control', 'id'=>'bancario_agencia']) !!}
  </div>
  <div class="col-md-2 form-group">
    {!! Form::label('bancario_conta', 'Conta:', ['class'=>'control-label']) !!}
    {!! Form::text('bancario_conta', null, ['class'=>'form-control', 'id'=>'bancario_conta']) !!}
  </div>
</div>

<hr>
<div class="row">
  <div class="col-md-12">
    <h3><i class="fa fa-map-marker" aria-hidden="true"></i> Endereço</h3>
  </div>
</div>

<div class="row">
  <div class="col-md-3 form-group">
    {!! Form::label('end_cep', 'CEP:', ['class'=>'control-label']) !!}
    {!! Form::text('end_cep', null, ['class'=>'form-control', 'id'=>'end_cep']) !!}
  </div>
  <div class="col-xs-12 col-md-4 form-group">
    <span class="control-label hidden-sm hidden-xs" style="margin-bottom: 5px; font-weight: 700;display: inline-block;">&nbsp;</span>
    <div class="alert alert-danger alert-important" role="alert" id="end_cep_erro"
         style="padding: 6px 15px; margin-bottom: 0;">
      <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
      <span class="sr-only">Erro:</span>
      Entre com um CEP válido.
    </div>
  </div>
</div>

<div class="row">
  <div class="col-md-7 form-group">
    {!! Form::label('end_logradouro', 'Logradouro:', ['class'=>'control-label']) !!}
    {!! Form::text('end_logradouro', null, ['class'=>'form-control', 'id'=>'end_logradouro']) !!}
  </div>
  <div class="col-md-2 form-group">
    {!! Form::label('end_numero', 'Número:', ['class'=>'control-label']) !!}
    {!! Form::text('end_numero', null, ['class'=>'form-control','id'=>'end_numero']) !!}
  </div>
  <div class="col-md-3 form-group">
    {!! Form::label('end_complemento', 'Complemento:', ['class'=>'control-label']) !!}
    {!! Form::text('end_complemento', null, ['class'=>'form-control', 'id'=>'end_complemento']) !!}
  </div>
</div>

<div class="row">
  <div class="col-md-4 form-group">
    {!! Form::label('end_bairro', 'Bairro:', ['class'=>'control-label']) !!}
    {!! Form::text('end_bairro', null, ['class'=>'form-control','id'=>'end_bairro']) !!}
  </div>
  <div class="col-md-5 form-group">
    {!! Form::label('end_cidade', 'Cidade:', ['class'=>'control-label']) !!}
    {!! Form::text('end_cidade', null, ['class'=>'form-control','id'=>'end_cidade']) !!}
  </div>
  <div class="col-md-3 form-group">
    {!! Form::label('end_estado', 'Estado:', ['class'=>'control-label']) !!}
    {!! Form::select('end_estado',\App\Models\Cadastros\Funcionarios::enum_estado(), null, ['placeholder'=>'-- Selecione uma opção --','required','class'=>'form-control','id'=>'end_uf']) !!}
  </div>
</div>


<hr>
<div class="row">
  <div class="col-md-12">
    <h3><i class="fa fa-sticky-note-o" aria-hidden="true"></i> Observações</h3>
  </div>
</div>

<div class="row">
  <div class="col-md-12 form-group">
    {!! Form::label('obs', 'Anote abaixo observações sobre este Cliente:', ['class'=>'control-label']) !!}
    {!! Form::textarea('obs',null,['class'=>'form-control','size' => '30x5']) !!}
  </div>
</div>

<br>
<br>

@include('errors.list')

@section('scripts')
  <script type="text/javascript">
    $( function () {
      $( '#cnpj' ).mask( '99.999.999/9999-99' );
      $( '#end_cep_erro' ).hide();
      $( '#end_cep' ).mask( '00000-000' );

      $( '#end_cep' ).on( 'blur', function () {
        var cep_erro = $( '#end_cep_erro' );
        var valor    = $( '#end_cep' ).val();
        if ( valor.length < 9 ) {
          cep_erro.show();
          return false;
        }
        $.ajax( {
          url: '//viacep.com.br/ws/' + valor + '/json/unicode/',
          type: 'GET',
          dataType: 'json',
          success: function ( data ) {
            if ( 'erro' in data ) {
              cep_erro.show();
              return false;
            }
            cep_erro.hide();

            $( '#end_logradouro' ).val( data.logradouro );
            $( '#end_bairro' ).val( data.bairro );
            $( '#end_cidade' ).val( data.localidade );
            $( '#end_uf' ).val( data.uf );
          },
          error: function () {
            cep_erro.show();
          }
        } );
        return false;
      } );
    } );
  </script>
@endsection
