<?php /** @var App\Models\Cadastros\ClientesEmpresas $empresa */ ?>
<?php /** @var App\Models\Cadastros\ClientesEmpresasUnidades $unidade */ ?>
@extends('app')

@section('content')
  <div class="row">
    <div class="col-md-9">
      <h1>
        <a href="{{route('clientes.show', [ $empresa->id, 0, 0 ] )}}" class="btn btn-default" data-toggle="tooltip" title="Voltar">
          <i class="fa fa-arrow-left fa-2x" aria-hidden="true"></i>
        </a>
        Visualizar Unidade do Cliente
      </h1>
    </div>

    @can(CRP::P_Cadastro_edit)
      <div class="col-md-3 h1 text-right">
        {{ Form::open(['route' => ['clientes_unidades.destroy' , $empresa->id, $unidade->id ]]) }}
        {{ Form::hidden('_method', 'DELETE') }}
        <a href="{{route('clientes_unidades.edit', [ $empresa->id, $unidade->id ])}}" class="btn btn-warning">
          <i class="fa fa-pencil" aria-hidden="true"></i> Editar
        </a>
        <button type="submit" class="btn btn-danger" name="deleta_item">
          <i class="fa fa-trash-o" aria-hidden="true"></i> Deletar
        </button>
        {{ Form::close() }}
      </div>
    @endcan
  </div>

  {{-- EMPRESA --}}
  <div class="row">
    <div class="col-md-12">
      <h3><i class="fa fa-briefcase" aria-hidden="true"></i> Empresa</h3>
    </div>
  </div>

  <div class="row">
    <div class="col-md-2 grupo">
      <p class="chave">Código:</p>
      <p class="valorReadOnly">{{ sprintf('%02d',$empresa->codigo) }}</p>
    </div>
    <div class="col-md-10 grupo">
      <p class="chave">Nome Fantasia da Empresa:</p>
      <p class="valorReadOnly">{{ $empresa->nome }}</p>
    </div>
  </div>

  {{-- UNIDADE --}}
  <div class="row">
    <div class="col-md-12">
      <h3><i class="fa fa-briefcase" aria-hidden="true"></i> Unidade</h3>
    </div>
  </div>

  <div class="row">
    <div class="col-md-12 grupo">
      <p class="chave">Nome Fantasia da Unidade:</p>
      <p class="valor">{{ $unidade->nome }}</p>
    </div>
  </div>

  <div class="row">
    <div class="col-md-8 grupo">
      <p class="chave">Razão Social:</p>
      <p class="valor">{{ $unidade->razao_social }}</p>
    </div>
    <div class="col-md-4 grupo">
      <p class="chave">CNPJ:</p>
      <p class="valor">{{ $unidade->cnpj }}</p>
    </div>
  </div>

  <div class="row">
    <div class="col-md-3 grupo">
      <p class="chave">Inscrição Estadual:</p>
      <p class="valor">{{ $unidade->inscr_estadual }}</p>
    </div>
    <div class="col-md-3 grupo">
      <p class="chave">Inscrição Municipal:</p>
      <p class="valor">{{ $unidade->inscr_municipal }}</p>
    </div>
    <div class="col-md-2 grupo">
      <p class="chave">Cond. de Pagamento:</p>
      <p class="valor">{{ $unidade->condpagamento_dias }} dias</p>
    </div>
    <div class="col-md-4 grupo">
      <p class="chave">Cond. Pag. (PDF do Orçamento):</p>
      <p class="valor">{{ $unidade->condpagamento }}</p>
    </div>
  </div>

  <hr>
  <div class="row">
    <div class="col-md-12">
      <h3><i class="fa fa-university" aria-hidden="true"></i> Informação Bancária</h3>
    </div>
  </div>
  <div class="row">
    <div class="col-md-4">
      <p class="chave">Banco:</p>
      <p class="valor">{{$unidade->bancario_banco===null?'':\App\Models\Cadastros\ClientesEmpresas::enum_bancos()[$unidade->bancario_banco] }}</p>
    </div>
    <div class="col-md-2">
      <p class="chave">Agência:</p>
      <p class="valor">{{$unidade->bancario_agencia}}</p>
    </div>
    <div class="col-md-2">
      <p class="chave">Conta:</p>
      <p class="valor">{{$unidade->bancario_conta}}</p>
    </div>
  </div>

  <hr>
  <div class="row">
    <div class="col-md-12">
      <h3><i class="fa fa-map-marker" aria-hidden="true"></i> Endereço</h3>
    </div>
  </div>

  <div class="row">
    <div class="col-md-3 grupo">
      <p class="chave">CEP:</p>
      <p class="valor">{{ $unidade->end_cep }}</p>
    </div>
  </div>

  <div class="row">
    <div class="col-md-7 grupo">
      <p class="chave">Logradouro:</p>
      <p class="valor">{{ $unidade->end_logradouro }}</p>
    </div>
    <div class="col-md-2 grupo">
      <p class="chave">Número:</p>
      <p class="valor">{{ $unidade->end_numero }}</p>
    </div>
    <div class="col-md-3 grupo">
      <p class="chave">Complemento:</p>
      <p class="valor">{{ $unidade->end_complemento }}</p>
    </div>
  </div>

  <div class="row">
    <div class="col-md-4 grupo">
      <p class="chave">Bairro:</p>
      <p class="valor">{{ $unidade->end_bairro }}</p>
    </div>
    <div class="col-md-5 grupo">
      <p class="chave">Cidade:</p>
      <p class="valor">{{ $unidade->end_cidade }}</p>
    </div>
    <div class="col-md-3 grupo">
      <p class="chave">Estado:</p>
      <p class="valor">{{ \App\Models\Cadastros\Funcionarios::enum_estado()[$unidade->end_estado] }}</p>
    </div>
  </div>

  <hr>
  <div class="row">
    <div class="col-md-12">
      <h3><i class="fa fa-sticky-note-o" aria-hidden="true"></i> Observações</h3>
    </div>
  </div>

  <div class="row">
    <div class="col-md-12">
      <p class="valor" style="height: 100%">{!!  nl2br(e($unidade->obs)) !!}</p>
    </div>
  </div>

  <br><br><br>

  @include('_fragments.modal', ['titulo'=>'a Undiade deste Cliente'])

@endsection
