@extends('app')

@section('content')
  <div class="row">
    <div class="col-md-12">
      <h1>
        <a href="/home" class="btn btn-default" data-toggle="tooltip" title="Voltar">
          <i class="fa fa-arrow-left fa-2x" aria-hidden="true"></i>
        </a>
        Faixa Salarial
      </h1>
    </div>
  </div>

  @include('flash::message')

  {!! Form::open([
    'method'=> 'POST',
    'route' => 'configadmin.faixasalarial.post',
    'id'=>'form_FaixaSalarial'
   ]) !!}


  <div class="row">
    <div class="col-md-12">
      <h3><i class="fa fa-money" aria-hidden="true"></i> Limites por Nível</h3>
    </div>
  </div>

  <div id="list" class="row">
    <div class="table-responsive col-md-12">
      <table class="table table-striped table-hover table-condensed">
        <thead>
        <tr>
          <th width="16%">Nível</th>
          <th width="28%">Limite Inferior</th>
          <th width="28%">Média</th>
          <th width="28%">Limite Superior</th>
        </tr>
        </thead>
        <tbody>
        <?php $nivelGenerico = \App\Models\Config\FaixaSalarial::enum_NivelGenerico(); ?>
        @foreach( range(1 ,17) as $i)
          <?php $fs = \App\Models\Config\FaixaSalarial::getUmPorNivel( $i ); ?>
          <tr>
            <td>
              <span class="valorReadOnly">
              {{ $nivelGenerico[$i] }}
              </span>
            </td>
            <td>
              <div class="input-group">
                <div class="input-group-addon">R$</div>
                {!! Form::text('inferior_'.$i, $fs->inferior, ['class'=>'form-control dinheiro', 'placeholder'=>'0,00', 'id'=>'inferior_'.$i, 'onblur'=>'calcmedia('.$i.')', 'required']) !!}
              </div>
            </td>
            <td>
              <div class="input-group">
                <div class="input-group-addon">R$</div>
                <span class="form-control"
                      style="background-color: #f5f8fa;"
                      id="media_{{$i}}">{{number_format( $fs->media/ 100, 2, ',', '.' ) }}</span>
              </div>
            </td>
            <td>
              <div class="input-group">
                <div class="input-group-addon">R$</div>
                {!! Form::text('superior_'.$i, $fs->superior, ['class'=>'form-control dinheiro', 'placeholder'=>'0,00', 'id'=>'superior_'.$i, 'onblur'=>'calcmedia('.$i.')', 'required']) !!}
              </div>
            </td>
          </tr>
        @endforeach
        </tbody>
      </table>
    </div>
  </div>
  {{--<input type="button" onclick="testa()" value="TESTA">--}}
  <hr>
  <div class="row">
    <div class="col-md-12">
      <h3><i class="fa fa-percent" aria-hidden="true"></i> Dissídio</h3>
    </div>
  </div>

  <div class="row">
    <div class="col-md-12" id="div_dissidio">

      @foreach($dissidio as $dis)
        <div class="row">
          <div class="col-md-2 form-group">
            {!! Form::label('dis_ano[]', 'Ano', ['class'=>'control-label']) !!}
            {!! Form::text('dis_ano[]', $dis->ano, ['class'=>'form-control','required', 'placeholder'=>'0000'] ) !!}
          </div>

          <div class="col-md-9" style="padding: 0">
            <div class="col-md-3 form-group">
              {!! Form::label('dis_valor1[]', '1º Faixa (até)', ['class'=>'control-label']) !!}
              <div class="input-group">
                <div class="input-group-addon">R$</div>
                {!! Form::text('dis_valor1[]', $dis->valor1,['class'=>'form-control dinheiro2','required', 'placeholder'=>'0,00'] ) !!}
              </div>
              <div class="input-group">
                {!! Form::text('dis_porc1[]', $dis->porc1,['class'=>'form-control text-right porcentagem','required', 'placeholder'=>'0,00'] ) !!}
                <div class="input-group-addon">%</div>
              </div>
            </div>

            <div class="col-md-3 form-group">
              {!! Form::label('dis_valor2[]', '2º Faixa (até)', ['class'=>'control-label', 'placeholder'=>'0,00']) !!}
              <div class="input-group">
                <div class="input-group-addon">R$</div>
                {!! Form::text('dis_valor2[]', $dis->valor2,['class'=>'form-control dinheiro2','required', 'placeholder'=>'0,00'] ) !!}
              </div>
              <div class="input-group">
                {!! Form::text('dis_porc2[]', $dis->porc2,['class'=>'form-control text-right porcentagem','required', 'placeholder'=>'0,00'] ) !!}
                <div class="input-group-addon">%</div>
              </div>
            </div>

            <div class="col-md-3 form-group">
              {!! Form::label('dis_valor3[]', '3º Faixa (até)', ['class'=>'control-label']) !!}
              <div class="input-group">
                <div class="input-group-addon">R$</div>
                {!! Form::text('dis_valor3[]', $dis->valor3,['class'=>'form-control dinheiro2','required', 'placeholder'=>'0,00'] ) !!}
              </div>
              <div class="input-group">
                {!! Form::text('dis_porc3[]', $dis->porc3,['class'=>'form-control text-right porcentagem','required', 'placeholder'=>'0,00'] ) !!}
                <div class="input-group-addon">%</div>
              </div>
            </div>

            <div class="col-md-3 form-group">
              {!! Form::label('dis_valor4[]', '4º Faixa (acima de)', ['class'=>'control-label']) !!}
              <div class="input-group">
                <div class="input-group-addon">R$</div>
                {!! Form::text('dis_valor4[]', $dis->valor4,['class'=>'form-control dinheiro2','required', 'placeholder'=>'0,00'] ) !!}
              </div>
              <div class="input-group">
                <div class="input-group-addon">R$</div>
                {!! Form::text('dis_porc4[]', $dis->porc4,['class'=>'form-control dinheiro2','required', 'placeholder'=>'0,00'] ) !!}
              </div>
            </div>

          </div>

          <div class="col-md-1 form-group">
            {!! Form::label('', '&nbsp;', ['class'=>'control-label hidden-sm hidden-xs']) !!}
            {!! Form::hidden('dis_id[]', $dis->id ) !!}
            <a id="deleteRow" class="btn btn-danger form-control" href="#">
              <i class="fa fa-trash-o" aria-hidden="true"></i>
            </a>
          </div>
        </div>
      @endforeach

    </div>
  </div>

  <div class="row">
    <div class="col-md-12 form-group">
      <button type="button" id="addDissidio" class="btn btn-success">
        <i class="fa fa-plus" aria-hidden="true"></i> Adicionar Item
      </button>
    </div>
  </div>


  <br><br>
  @include('errors.list')

  <div class="row">
    <div class="col-md-12">
      <button class="btn btn-primary" type="submit">
        <i class="fa fa-floppy-o" aria-hidden="true"></i> Salvar Usuário
      </button>
      <a class="btn btn-default" href="/home">
        <i class="fa fa-ban" aria-hidden="true"></i> Cancelar
      </a>
    </div>
  </div>
  {!! Form::close() !!}
  <br><br><br><br>
@endsection

@section('scripts')
  <script type="application/javascript">
    //  function testa() {
    //    for ( var i = 1; i <= 17; i++ ) {
    //      $( '#inferior_' + i ).val( formatDinheiro( Math.floor( (Math.random() * 1000000) + 100 ) ) );
    //      $( '#superior_' + i ).val( formatDinheiro( Math.floor( (Math.random() * 1000000) + 100 ) ) ).blur();
    //    }
    //    $( '.dinheiro' ).mask( '000.000,00', { reverse: true } );
    //  }

    
    function calcmedia( id ) {
      var inf = $( '#inferior_' + id );
      var infv = inf.val().replace( /\D/g, '' );
      var sup = $( '#superior_' + id );
      var supv = sup.val().replace( /\D/g, '' );
      inf.val( formatDinheiro( infv ) );
      sup.val( formatDinheiro( supv ) );
      
      if ( infv === '' || supv === '' ) {
        return;
      }
      var med = $( '#media_' + id );
      
      var media = parseInt( (parseInt( infv ) + parseInt( supv ) ) / 2 );
      var media2 = formatDinheiro( media );
      med.html( media2 );
    }
    
    function dissidioMask() {
      $( '.dinheiro2' ).mask( '000.000,00', { reverse: true } );
      $( '.porcentagem' ).mask( '000,00', { reverse: true } );
    }
    
    $( '#div_dissidio' ).on( 'click', 'div.row div a#deleteRow', function ( e ) { //'div.row div  a#delete',
      e.preventDefault();
      $( this ).parent( 'div' ).parent( 'div.row' ).remove();
    } );
    
    $( "#addDissidio" ).click( function () {
      $( "#div_dissidio" ).each( function () {
        var row = '<div class="row">';
        row += '  <div class="col-md-2 form-group">';
        row += '    {!! Form::label('dis_ano[]', 'Ano', ['class'=>'control-label']) !!}';
        row += '    {!! Form::text('dis_ano[]', null, ['class'=>'form-control','required', 'placeholder'=>'0000'] ) !!}';
        row += '  </div>';
        row += '  <div class="col-md-9" style="padding: 0">';
        row += '    <div class="col-md-3 form-group">';
        row += '      {!! Form::label('dis_valor1[]', '1º Faixa (até)', ['class'=>'control-label']) !!}';
        row += '      <div class="input-group">';
        row += '        <div class="input-group-addon">R$</div>';
        row += '        {!! Form::text('dis_valor1[]', null,['class'=>'form-control dinheiro2','required', 'placeholder'=>'0,00'] ) !!}';
        row += '      </div>';
        row += '      <div class="input-group">';
        row += '        {!! Form::text('dis_porc1[]', null,['class'=>'form-control text-right porcentagem','required', 'placeholder'=>'0,00'] ) !!}';
        row += '        <div class="input-group-addon">%</div>';
        row += '      </div>';
        row += '    </div>';
        row += '    <div class="col-md-3 form-group">';
        row += '      {!! Form::label('dis_valor2[]', '2º Faixa (até)', ['class'=>'control-label', 'placeholder'=>'0,00']) !!}';
        row += '      <div class="input-group">';
        row += '        <div class="input-group-addon">R$</div>';
        row += '        {!! Form::text('dis_valor2[]', null,['class'=>'form-control dinheiro2','required', 'placeholder'=>'0,00'] ) !!}';
        row += '      </div>';
        row += '      <div class="input-group">';
        row += '        {!! Form::text('dis_porc2[]', null,['class'=>'form-control text-right porcentagem','required', 'placeholder'=>'0,00'] ) !!}';
        row += '        <div class="input-group-addon">%</div>';
        row += '      </div>';
        row += '    </div>';
        row += '    <div class="col-md-3 form-group">';
        row += '      {!! Form::label('dis_valor3[]', '3º Faixa (até)', ['class'=>'control-label']) !!}';
        row += '      <div class="input-group">';
        row += '        <div class="input-group-addon">R$</div>';
        row += '        {!! Form::text('dis_valor3[]', null,['class'=>'form-control dinheiro2','required', 'placeholder'=>'0,00'] ) !!}';
        row += '      </div>';
        row += '      <div class="input-group">';
        row += '        {!! Form::text('dis_porc3[]', null,['class'=>'form-control text-right porcentagem','required', 'placeholder'=>'0,00'] ) !!}';
        row += '        <div class="input-group-addon">%</div>';
        row += '      </div>';
        row += '    </div>';
        row += '    <div class="col-md-3 form-group">';
        row += '      {!! Form::label('dis_valor4[]', '4º Faixa (acima de)', ['class'=>'control-label']) !!}';
        row += '      <div class="input-group">';
        row += '        <div class="input-group-addon">R$</div>';
        row += '        {!! Form::text('dis_valor4[]', null,['class'=>'form-control dinheiro2','required', 'placeholder'=>'0,00'] ) !!}';
        row += '      </div>';
        row += '      <div class="input-group">';
        row += '        <div class="input-group-addon">R$</div>';
        row += '        {!! Form::text('dis_porc4[]', null,['class'=>'form-control dinheiro2','required', 'placeholder'=>'0,00'] ) !!}';
        row += '      </div>';
        row += '    </div>';
        row += '  </div>';
        row += '  <div class="col-md-1 form-group">';
        row += '    {!! Form::label('', '&nbsp;', ['class'=>'control-label hidden-sm hidden-xs']) !!}';
        row += '    {!! Form::hidden('dis_id[]', -1 ) !!}';
        row += '    <a id="deleteRow" class="btn btn-danger form-control" href="#">';
        row += '      <i class="fa fa-trash-o" aria-hidden="true"></i>';
        row += '    </a>';
        row += '  </div>';
        row += '</div>';
        $( this ).append( row );
        dissidioMask();
      } );
    } );
    
    
    $( function () {
      $( '.dinheiro' ).mask( '000.000,00', { reverse: true } );
      dissidioMask();
    } );
    
    $( '#form_FaixaSalarial' ).submit( function () {
      $( '.dinheiro' ).unmask();
      $( '.dinheiro2' ).unmask();
      $( '.porcentagem' ).unmask();
      return true;
    } );

  </script>
@endsection
