<script type="text/javascript">

  var formulario = {
    id: $( '#form_id' ),
    tipo: $( '#form_tipo' ),
    data: $( '#form_data' ),
    horas: $( '#form_horas' ),
    data_inicio: $( '#form_data_inicio' ),
    data_fim: $( '#form_data_fim' ),
    aprovador_id: $( '#form_aprovador_id' ),
    obs: $( '#form_obs' ),
    modal_title: $( '#modal_title' ),
    modal_salvar: $( '#modal_salvar' ),
    modal_delete: $( '#modal_delete' ),
    modal_row_unico: $( '#modal_row_unico' ),
    modal_row_lote: $( '#modal_row_lote' ),
    modal_add_lote: 0,

    getValores: function () {
      if ( this.modal_add_lote ) {
        return {
          id: this.id.val(),
          tipo: this.tipo.val(),
          data_inicio: this.data_inicio.val(),
          data_fim: this.data_fim.val(),
          aprovador_id: this.aprovador_id.val(),
          obs: this.obs.val(),
          add_lote: 1,
        }
      }
      return {
        id: this.id.val(),
        tipo: this.tipo.val(),
        data: this.data.val(),
        horas: this.horas.val(),
        aprovador_id: this.aprovador_id.val(),
        obs: this.obs.val(),
        add_lote: 0,
      };
    },
    setValores: function ( item ) {
      this.id.val( item.id );
      this.tipo.val( item.tipo );
      this.data.val( item.data );
      this.horas.val( item.horas );
      this.aprovador_id.val( item.aprovador_id );
      this.obs.val( item.obs );
    },
    clearValores: function ( date ) {
      this.id.val( '' );
      this.tipo.val( '' );
      this.data.val( date );
      this.data_inicio.val( date );
      this.data_fim.val( date );
      this.horas.val( '08:00' );
      this.aprovador_id.val( '' );
      this.obs.val( '' );
    },
    modalShow: function () {
      $( '#modal_form' ).modal( 'show' );
    },
    modalHide: function () {
      $( '#modal_form' ).modal( 'hide' );
      this.modal_salvar.html( 'modal_salvar' );
      this.modal_delete.html( '<i class="fa fa-trash"></i> Deletar Evento' );
    },
    showAdd: function ( date ) {
      this.clearValores( date ); // ?
      this.modal_row_unico.show();
      this.modal_row_lote.hide();
      this.modal_add_lote = 0;
      this.modal_title.html( 'Adicionar Ponto para o Funcionário' );
      this.modal_salvar.attr( 'class', 'btn btn-success' );
      this.modal_salvar.html( '<i class="fa fa-plus"></i> Inserir Evento' );
      this.modal_delete.hide();
      this.modalShow();
    },
    showAddLote: function ( date ) {
      this.clearValores( date ); // ?
      this.modal_row_unico.hide();
      this.modal_row_lote.show();
      this.modal_add_lote = 1;
      this.modal_title.html( 'Adicionar Período de Pontos para o Funcionário' );
      this.modal_salvar.attr( 'class', 'btn btn-success' );
      this.modal_salvar.html( '<i class="fa fa-calendar-plus-o"></i> Inserir Período' );
      this.modal_delete.hide();
      this.modalShow();
    },
    showEdit: function ( id ) {
      $.ajax( {
        url: '{{ route('api.controledeponto.edit', [$func->id,'']) }}/' + id + '?token=' + window.localStorage[ 'jwtToken' ],
        type: 'GET',
        success: function ( item ) {
          formulario.setValores( item );
          formulario.modal_row_unico.show();
          formulario.modal_row_lote.hide();
          formulario.modal_add_lote = 0;
          formulario.modal_title.html( 'Editar Ponto do Funcionário' );
          formulario.modal_salvar.attr( 'class', 'btn btn-primary' );
          formulario.modal_salvar.html( '<i class="fa fa-floppy-o"></i> Salvar Evento' );
          formulario.modal_delete.show();
          formulario.modalShow();
        },
        error: function () {
          console.error( 'error showEdit() ajax' );
        },
      } );
    },
  };

  function atualizaCalc( result ) {
    $( '#atrasos' ).html( result.atrasos );
    $( '#LI_atrasos' ).attr( 'class', result.atrasos > 0 ? 'list-group-item list-group-item-warning' : 'list-group-item' );

    $( '#faltas' ).html( result.faltas );
    $( '#LI_faltas' ).attr( 'class', result.faltas > 0 ? 'list-group-item list-group-item-warning' : 'list-group-item' );

    $( '#faltasDescontada' ).html( result.faltasDescontada );
    $( '#LI_faltasDescontada' ).attr( 'class', result.faltasDescontada > 0 ? 'list-group-item list-group-item-danger' : 'list-group-item' );

    $( '#faltasAtestado' ).html( result.faltasAtestado );
    $( '#LI_faltasAtestado' ).attr( 'class', result.faltasAtestado > 0 ? 'list-group-item list-group-item-info' : 'list-group-item' );

    $( '#folgas' ).html( result.folgas );
    $( '#LI_folgas' ).attr( 'class', result.folgas > 0 ? 'list-group-item list-group-item-warning' : 'list-group-item' );

    $( '#folgasabonada' ).html( result.folgasAbonada );
    $( '#LI_folgasabonada' ).attr( 'class', result.folgasAbonada > 0 ? 'list-group-item list-group-item-info' : 'list-group-item' );

    $( '#hrextras' ).html( result.hrExtras );
    $( '#LI_hrextras' ).attr( 'class', result.hrExtras > 0 ? 'list-group-item list-group-item-success' : 'list-group-item' );

    $( '#hrextrasremunerada' ).html( result.hrExtrasRemunerada );
    $( '#LI_hrextrasremunerada' ).attr( 'class', result.hrExtrasRemunerada > 0 ? 'list-group-item list-group-item-success' : 'list-group-item' );

    $( '#ferias' ).html( result.ferias );
    $( '#LI_ferias' ).attr( 'class', result.ferias > 0 ? 'list-group-item list-group-item-info' : 'list-group-item' );

    $( '#vrvt' ).html( result.vrvt );
    $( '#LI_vrvt' ).attr( 'class', result.vrvt > 0 ? 'list-group-item list-group-item-warning' : 'list-group-item' );

    $( '#salarioDescontado' ).html( result.salarioDescontado );
    $( '#LI_salarioDescontado' ).attr( 'class', result.salarioDescontado > 0 ? 'list-group-item list-group-item-warning' : 'list-group-item' );

    $( '#saldo' ).html( result.saldo );
    $( '#LI_saldo' ).attr( 'class', result.saldo > 0 ? 'list-group-item list-group-item-success' : result.saldo < 0 ? 'list-group-item list-group-item-danger' : 'list-group-item' );

    $( '#acumulado' ).html( result.acumulado );
    $( '#LI_acumulado' ).attr( 'class', result.acumulado > 0 ? 'list-group-item list-group-item-success' : 'list-group-item' );

    $( '#strong_data_inicio' ).html( result.dia_inicio );
    $( '#strong_data_fim' ).html( result.dia_fim );
  }

  function reloadCalendar() {
    $( '#calendar' ).fullCalendar( 'refetchEvents' );
  }

  function reloadCalculo() {
    var moment = $( '#calendar' ).fullCalendar( 'getDate' );
    $.ajax( {
      url: '{{ route('api.controledeponto.calc', $func->id) }}',
      type: 'GET',
      dataType: 'json',
      async: false,
      data: {
        ano: moment.year(),
        mes: moment.month() + 1,
        token: window.localStorage[ 'jwtToken' ]
      },
      success: atualizaCalc,
      error: function () {
        console.error( 'cannot load json of api.controledeponto.calc' );
      }
    } );
  }

  function loadCalendar() {
    $( '#calendar' ).fullCalendar( {
      aspectRatio: 1.4,
      locale: 'pt-br',
      weekends: true,
      header: {
        left: 'title',
        center: '',
        right: 'today prev,next'
      },
      disableDragging: true,
      editable: false,
      eventLimit: true,
      events: {
        url: '{{ route('api.controledeponto.index', $func->id) }}?token=' + window.localStorage[ 'jwtToken' ],
        type: 'GET',
        dataType: 'Json',
        async: false,
        borderColor: '#000000',
        className: 'fc-RCS',
        allDay: true,
        success: function () { // atualiza o calculo
          reloadCalculo();
        },
        error: function () {
          console.error( 'cannot load json of api.controledeponto.index' );
        }
      },
      navLinks: true,
      navLinkDayClick: function ( date, jsEvent, view, resourceObj ) {
        formulario.showAdd( date.format() );
      },
      eventClick: function ( calEvent ) {
        formulario.showEdit( calEvent.id );
      }
    } );
  }

  function storeEvento() {
    var item = formulario.getValores();
    if ( item.tipo === '' ) {
      alert( 'Selecione um Tipo de Evento!' );
      formulario.tipo.focus();
      return;
    }
    if ( item.aprovador_id === '' ) {
      alert( 'Selecione um Aprovador!' );
      formulario.aprovador_id.focus();
      return;
    }
    if ( item.add_lote ) {
      console.log(item.data_inicio, item.data_fim , item.data_inicio > item.data_fim );
      if ( item.data_inicio > item.data_fim ) {
        alert( 'Selecione uma Data Inicial anterior a Data Final!' );
        formulario.aprovador_id.focus();
        return;
      }
    }
    formulario.modal_salvar.html( '<i class="fa fa-spinner fa-pulse fa-fw"></i> Inserindo' );
    $.ajax( {
      url: '{{ route('api.controledeponto.store', $func->id ) }}' + '?token=' + window.localStorage[ 'jwtToken' ],
      type: 'POST',
      data: item,
      success: function ( data ) {
        reloadCalendar();
        formulario.modalHide();
      },
      error: function () {
        console.error( 'storeEvento() ajax error' );
      }
    } );
  }

  function updateEvento() {
    var item = formulario.getValores();
    if ( item.tipo === '' ) {
      alert( 'Selecione um Tipo de Evento!' );
      formulario.tipo.focus();
      return;
    }
    if ( item.aprovador_id === '' ) {
      alert( 'Selecione um Aprovador!' );
      formulario.aprovador_id.focus();
      return;
    }
    formulario.modal_salvar.html( '<i class="fa fa-spinner fa-pulse fa-fw"></i> Atualizando' );
    $.ajax( {
      url: '{{ route('api.controledeponto.update', [$func->id ,'']) }}/' + item.id + '?token=' + window.localStorage[ 'jwtToken' ],
      type: 'PUT',
      data: item,
      success: function ( data ) {
        reloadCalendar();
        formulario.modalHide();
      },
      error: function () {
        console.error( 'updateEvento() ajax error' );
      }
    } );
  }

  function deleteEvento() {
    var item = formulario.getValores();
    if ( item.id === '' ) {
      return;
    }
    if ( confirm( 'Deseja realmente deletar este Evento?' ) ) {
      formulario.modal_delete.html( '<i class="fa fa-spinner fa-pulse fa-fw"></i> Deletando' );
      $.ajax( {
        url: '{{ route('api.controledeponto.destroy', [$func->id, ''] ) }}/' + item.id + '?token=' + window.localStorage[ 'jwtToken' ],
        type: 'DELETE',
        success: function ( data ) {
          reloadCalendar();
          formulario.modalHide();
        },
        error: function () {
          console.error( 'deleteEvento() ajax error' );
        }
      } );
    }
  }

  function btn_salvar() {
    if ( formulario.id.val() === '' ) {
      storeEvento();
    } else {
      updateEvento();
    }
  }

  $( function () {
    $( '#btn_add' ).on( 'click', function () {
      formulario.showAdd( '{{ \Carbon\Carbon::now()->format('Y-m-d') }}' );
    } );
    $( '#btn_add_lote' ).on( 'click', function () {
      formulario.showAddLote( '{{ \Carbon\Carbon::now()->format('Y-m-d') }}' );
    } );
    formulario.modal_delete.on( 'click', deleteEvento );
    formulario.modal_salvar.on( 'click', btn_salvar );
    loadCalendar();
  } );

</script>