@extends('app')

@section('content')

  <div id="top" class="row">
    
    <div class="col-sm-3">
      <h2>Departamentos</h2>
    </div>
    
    <div class="col-sm-6">
      <form action="" method="get">
        <div class="input-group h2" style="width: 100%">
          <input name="nome" class="form-control" id="search" type="text" placeholder="Pesquisar por nome"
                 value="{{ \Illuminate\Support\Facades\Input::get('nome','') }}">
          <div class="input-group-btn">
            
            <div class="btn-group">
              
              <button tabindex="-1" data-toggle="dropdown" class="btn btn-default dropdown-toggle" type="button">
                <span class="caret"></span>
                <span class="sr-only">Toggle Dropdown</span>
              </button>
              <div id="avancado" class="dropdown-menu dropdown-menu-right" style="padding: 10px 30px; width: 350px">
                <div id="avancado_form">
                  
                  <div class="row">
                    <div class="col-xs-10">
                      <h4>Pesquisa Avançada</h4>
                    </div>
                    <div class="col-xs-2 h4 text-right">
                      <a href="?" class="text-danger" data-toggle="tooltip" data-placement="top"
                         title="Limpar Pesquisa">
                        <i class="fa fa-times-circle fa-lg"></i></a>
                    </div>
                  </div>
                  {{--
                  <div class="row">
                    <div class="col-md-12 form-group">
                      <label for="oi" class="control-label">asdasdasd: </label>
                      <input type="text" name="oi" class="form-control"
                             value="{{ \Illuminate\Support\Facades\Input::get('oi','') }}">
                    </div>
                  </div>
                  
                  <div class="row">
                    <div class="col-md-12 form-group">
                      {!! Form::label('depart', 'Departamento:', ['class'=>'control-label']) !!}
                      {!! Form::select('depart',[], \Illuminate\Support\Facades\Input::get('depart',null), ['placeholder'=>'-- Qualquer um --','class'=>'form-control','tabindex'=>'18', 'disabled']) !!}
                    </div>
                  </div>
                  
                  <div class="row">
                    <div class="col-md-12 form-group">
                      {!! Form::label('inativo', 'Inativo:', ['class'=>'control-label']) !!}
                      {!! Form::select('inativo',['Não','Sim'], \Illuminate\Support\Facades\Input::get('inativo',null), ['placeholder'=>'-- Qualquer um --','class'=>'form-control','tabindex'=>'19']) !!}
                    </div>
                  </div>
                  
                  <div class="row">
                    <div class="col-md-12 form-group">
                      {!! Form::label('teste_mbti', 'Teste MBTI:', ['class'=>'control-label']) !!}
                      {!! Form::select('teste_mbti',\App\Models\Cadastros\Funcionarios::enum_MBTI(), \Illuminate\Support\Facades\Input::get('teste_mbti',null), ['placeholder'=>'-- Qualquer um --','class'=>'form-control','tabindex'=>'18']) !!}
                    </div>
                  </div>
                  
                  <div class="row">
                    <div class="col-md-12 form-group">
                      {!! Form::label('regime', 'Regime:', ['class'=>'control-label']) !!}
                      {!! Form::select('regime',\App\Models\Cadastros\Funcionarios::enum_regime(), \Illuminate\Support\Facades\Input::get('regime',null), ['placeholder'=>'-- Qualquer um --','class'=>'form-control','tabindex'=>'20']) !!}
                    </div>
                  </div> --}}
                
                </div>
              </div>
            </div>
            
            <button class="btn btn-primary" type="submit">
              &nbsp;&nbsp;&nbsp;<i class="fa fa-search" aria-hidden="true"></i>&nbsp;&nbsp;&nbsp;
            </button>
          </div>
        </div>
      </form>
    </div>
    
    @can(CRP::P_Cadastro_edit)
      <div class=" col-sm-3 h2">
        <div class="pull-right">
          <a class="btn btn-success" href="{{ route('departamentos.create') }}">
            <i class="fa fa-user-plus" aria-hidden="true"></i> Novo Departamento
          </a>
        </div>
      </div>
    @endcan
  
  </div> <!-- /#top -->
  
  @include('flash::message')
  
  <hr />
  @if($numTotalDepartCad === 0)
    <div id="list" class="row">
      <div class="col-md-10 col-md-offset-1">
        <div class="alert alert-warning alert-important">
          <h4 style="margin-bottom: 0">
            <i class="fa fa-exclamation-circle fa-lg" aria-hidden="true"></i>
            Não há Departamentos cadastrados.
          </h4>
        </div>
      </div>
    </div>
  @else
    @if($pesquisas == true)
      <div class="row">
        <div class="col-md-10 col-md-offset-1">
          <div class="alert alert-info alert-important alert-block" style="padding: 5px 15px;">
            <i class="fa fa-info-circle" aria-hidden="true"></i>
            @if( $depart->total() === 0)
              Não foi encontrado nenhum Departamentos que corresponda a sua pesquisa.
            @elseif( $depart->total() === 1)
              Foi encontrado <strong>1</strong> Departamento que corresponde a sua pesquisa.
            @else
              Foram encontrados <strong>{{ $depart->total() }}</strong> Departamentos que correspondentes a sua
              pesquisa.
            @endif
          </div>
        </div>
      </div>
    @endif
    @if( $depart->total() > 0)
      <div id="list" class="row">
        <div class="table-responsive col-md-10 col-md-offset-1">
          <table class="table table-striped table-hover table-condensed">
            <thead>
            <tr>
              <th>@sortablelink('id', 'ID')</th>
              <th>@sortablelink('nome', 'Nome')</th>
              <th>Nº Funcionarios</th>
              <th class="actions" style="text-align: right">Ações</th>
            </tr>
            </thead>
            <tbody>
            @foreach($depart as $d)
              <tr>
                <td>{{$d->id}}</td>
                <td>{{$d->nome}}</td>
                <td>{{$d->Funcionarios()->count()}}</td>
                <td class="actions" style="text-align: right">
                  <a class="btn btn-primary btn-xs" href="{{ route('departamentos.show',[$d->id]) }}">
                    <i class="fa fa-eye" aria-hidden="true"></i>
                  </a>
                  @can(CRP::P_Cadastro_edit)
                    <a class="btn btn-warning btn-xs" href="{{ route('departamentos.edit',[$d->id]) }}">
                      <i class="fa fa-pencil" aria-hidden="true"></i>
                    </a>
                    {{ Form::open(['route' => ['departamentos.destroy' , $d->id], 'style'=>'display:inline;']) }}
                    {{ Form::hidden('_method', 'DELETE') }}
                    <button type="submit" class="btn btn-danger btn-xs inline" name="deleta_item">
                      <i class="fa fa-trash-o" aria-hidden="true"></i>
                    </button>
                    {{ Form::close() }}
                  @endcan
                
                </td>
              </tr>
            @endforeach
            </tbody>
          </table>
        </div>
      </div>
      <div class="row">
        <div class="col-md-12">
          <div class="text-center">
            {!! $depart->appends(\Request::except('page'))->render() !!}
          </div>
        </div>
      </div>
    @endif
  @endif
  @include('_fragments.modal', ['titulo'=>'Departamento'])
@endsection
