@extends('app')

@section('content')

  <div class="row">
    <div class="col-md-9">
      <h1>
        <a href="{{route('fornecedores.index')}}" class="btn btn-default" data-toggle="tooltip" title="Voltar">
          <i class="fa fa-arrow-left fa-2x" aria-hidden="true"></i>
        </a>
        Visualizar Fornecedor:
        @if($tipo==1) Empresa
        @elseif($tipo==2) Produto Serviço
        @endif
      </h1>
    </div>
    <div class="col-md-3 h1 text-right">
      @can(CRP::P_Cadastro_edit)
        {{ Form::open(['route' => ['fornecedores.destroy' , $empCod, $prodCod ]]) }}
        {{ Form::hidden('_method', 'DELETE') }}
        <a href="{{route('fornecedores.edit', [$empCod, $prodCod ])}}" class="btn btn-warning">
          <i class="fa fa-pencil" aria-hidden="true"></i> Editar
        </a>
        <button type="submit" class="btn btn-danger" name="deleta_item">
          <i class="fa fa-trash-o" aria-hidden="true"></i> Deletar
        </button>
        {{ Form::close() }}
      @endcan
    </div>
  </div>
  
  
  @if($tipo==1)
    {{--EMPRESA--}}
    <div class="row">
      <div class="col-md-12">
        <h3><i class="fa fa-briefcase" aria-hidden="true"></i> Empresa</h3>
      </div>
    </div>
    
    <div class="row">
      <div class="col-md-2 grupo">
        <p class="chave">Código:</p>
        <p class="valor">{{ sprintf('%02d',$empresa->codigo) }}</p>
      </div>
      <div class="col-md-10 grupo">
        <p class="chave">Nome Fantasia da Empresa:</p>
        <p class="valor">{{ $empresa->nome }}</p>
      </div>
    </div>
    
    <div class="row">
      <div class="col-md-4 grupo">
        <p class="chave">CNPJ:</p>
        <p class="valor">{{ $empresa->cnpj }}</p>
      </div>
      <div class="col-md-8 grupo">
        <p class="chave">Razão Social:</p>
        <p class="valor">{{ $empresa->razao_social }}</p>
      </div>
    </div>
    
    <div class="row">
      <div class="col-md-3 grupo">
        <p class="chave">Inscrição Estadual:</p>
        <p class="valor">{{ $empresa->inscr_estadual }}</p>
      </div>
      <div class="col-md-3 grupo">
        <p class="chave">Inscrição Municipal:</p>
        <p class="valor">{{ $empresa->inscr_municipal }}</p>
      </div>
      <div class="col-md-3 grupo"> {{--// TODO Condição de Pagament--}}
        <p class="chave">Condição de Pagamento:</p>
        <p class="valor">{{ null }}</p>
      </div>
    </div>
    
    <hr>
    <div class="row">
      <div class="col-md-12">
        <h3><i class="fa fa-university" aria-hidden="true"></i> Informação Bancária</h3>
      </div>
    </div>
    <div class="row">
      <div class="col-md-4">
        <p class="chave">Banco:</p>
        <p class="valor">{{$empresa->bancario_banco===null?'':\App\Models\Cadastros\ClientesEmpresas::enum_bancos()[$empresa->bancario_banco] }}</p>
      </div>
      <div class="col-md-2">
        <p class="chave">Agência:</p>
        <p class="valor">{{$empresa->bancario_agencia}}</p>
      </div>
      <div class="col-md-2">
        <p class="chave">Conta:</p>
        <p class="valor">{{$empresa->bancario_conta}}</p>
      </div>
    </div>
    
    
    <hr>
    <div class="row">
      <div class="col-md-12">
        <h3><i class="fa fa-star" aria-hidden="true"></i> Classificação</h3>
      </div>
    </div>
    
    <div class="row" id="caption_baixo">
      <div class="col-md-3 grupo">
        {!! Form::label('nota_geral', 'Nota Geral:', ['class'=>'control-label']) !!}
        {!! Form::text('nota_geral', $empresa->nota_geral, ['class'=>'nota_ratings', 'id'=>'nota_geral']) !!}
      </div>
      <div class="col-md-3 grupo">
        {!! Form::label('nota_qualidade', 'Nota Qualidade:', ['class'=>'control-label']) !!}
        {!! Form::text('nota_qualidade', $empresa->nota_qualidade, ['class'=>'nota_ratings', 'id'=>'nota_qualidade']) !!}
      </div>
      <div class="col-md-3 grupo">
        {!! Form::label('nota_atendimento', 'Nota Atendimento:', ['class'=>'control-label']) !!}
        {!! Form::text('nota_atendimento', $empresa->nota_atendimento, ['class'=>'nota_ratings', 'id'=>'nota_atendimento']) !!}
      </div>
      <div class="col-md-3 grupo">
        {!! Form::label('nota_prazo', 'Nota Prazo:', ['class'=>'control-label']) !!}
        {!! Form::text('nota_prazo', $empresa->nota_prazo, ['class'=>'nota_ratings', 'id'=>'nota_prazo']) !!}
      </div>
    </div>
    <div class="row">
      <div class="col-md-12 grupo">
        {!! Form::label('nota_media', 'Nota Média:', ['class'=>'control-label']) !!}
        <div class="">
          {!! Form::text('nota_media', $empresa->getNotaMedia(), ['id'=>'nota_media']) !!}
        </div>
      </div>
    </div>
    
    <div class="row">
      <div class="col-md-6 grupo">
        {!! Form::label('nota_obs', 'Observações:', ['class'=>'control-label']) !!}
        <p class="valor" style="height: 100%">{!!  nl2br(e($empresa->nota_obs)) !!}</p>
      </div>
      <div class="col-md-6 grupo">
        {!! Form::label('nota_recomendacao', 'Recomendação:', ['class'=>'control-label']) !!}
        <p class="valor" style="height: 100%">{!!  nl2br(e($empresa->nota_recomendacao)) !!}</p>
      </div>
    </div>
    
    <hr>
    <div class="row">
      <div class="col-md-12">
        <h3><i class="fa fa-map-marker" aria-hidden="true"></i> Endereços</h3>
      </div>
    </div>
    @if(count($enderecos)==0)
      <div class="alert alert-warning alert-important">
        <h4 style="margin-bottom: 0">
          <i class="fa fa-exclamation-circle fa-lg" aria-hidden="true"></i>
          Não há Endereços cadastrados.
        </h4>
      </div>
    @else
      @foreach($enderecos as $endereco)
        <div class="row">
          <div class="col-md-6 grupo">
            <p class="chave">Apelido:</p>
            <p class="valor">{{ $endereco->apelido }}</p>
          </div>
          <div class="col-md-3 grupo">
            <p class="chave">CEP:</p>
            <p class="valor">{{ $endereco->cep }}</p>
          </div>
        </div>
        
        <div class="row">
          <div class="col-md-7 grupo">
            <p class="chave">Logradouro:</p>
            <p class="valor">{{ $endereco->logradouro }}</p>
          </div>
          <div class="col-md-2 grupo">
            <p class="chave">Número:</p>
            <p class="valor">{{ $endereco->numero }}</p>
          </div>
          <div class="col-md-3 grupo">
            <p class="chave">Complemento:</p>
            <p class="valor">{{ $endereco->complemento }}</p>
          </div>
        </div>
        
        <div class="row">
          <div class="col-md-4 grupo">
            <p class="chave">Bairro:</p>
            <p class="valor">{{ $endereco->bairro }}</p>
          </div>
          <div class="col-md-5 grupo">
            <p class="chave">Cidade:</p>
            <p class="valor">{{ $endereco->cidade }}</p>
          </div>
          <div class="col-md-3 grupo">
            <p class="chave">Estado:</p>
            <p class="valor">{{ \App\Models\Cadastros\Funcionarios::enum_estado()[$endereco->estado] }}</p>
          </div>
        </div>
        <br>
      @endforeach
    @endif
    
    <hr>
    <div class="row">
      <div class="col-md-12">
        <h3><i class="fa fa-sticky-note-o" aria-hidden="true"></i> Observações</h3>
      </div>
    </div>
    
    <div class="row">
      <div class="col-md-12">
        <p class="valor" style="height: 100%">{!!  nl2br(e($empresa->obs)) !!}</p>
      </div>
    </div>
  
  @elseif($tipo==2)
    {{--PRODUTOS SERVICOS--}}
    <div class="row">
      <div class="col-md-12">
        <h3><i class="fa fa-briefcase" aria-hidden="true"></i> Empresa</h3>
      </div>
    </div>
    
    <div class="row">
      <div class="col-md-2 grupo">
        <p class="chave">Código:</p>
        <p class="valor">{{ sprintf('%02d',$empresa->codigo) }}</p>
      </div>
      <div class="col-md-10 grupo">
        <p class="chave">Nome Fantasia da Empresa:</p>
        <p class="valor">{{ $empresa->nome }}</p>
      </div>
    </div>
    
    <div class="row">
      <div class="col-md-12">
        <h3><i class="fa fa-briefcase" aria-hidden="true"></i> Produtos Serviços</h3>
      </div>
    </div>
    
    <div class="row">
      <div class="col-md-2 grupo">
        <p class="chave">Código:</p>
        <p class="valor">{{ sprintf('%02d',$produto->codigo) }}</p>
      </div>
      <div class="col-md-10 grupo">
        <p class="chave">Nome do Departamento:</p>
        <p class="valor">{{ $produto->nome }}</p>
      </div>
    </div>
    
    <div class="row">
      <div class="col-md-12 grupo">
        <p class="chave">Despesa:</p>
        <p class="valor">{{ $produto->Despesa==null?'':$produto->Despesa->getCodigoNome() }}</p>
      </div>
    </div>
    
    <hr>
    <div class="row">
      <div class="col-md-12">
        <h3><i class="fa fa-address-book-o" aria-hidden="true"></i> Contatos</h3>
      </div>
    </div>
    
    @if(count($contatos)==0)
      <div class="alert alert-warning alert-important">
        <h4 style="margin-bottom: 0">
          <i class="fa fa-exclamation-circle fa-lg" aria-hidden="true"></i>
          Não há Contatos cadastrados.
        </h4>
      </div>
    @else
      @foreach($contatos as $contato)
        <div class="row">
          <div class="col-md-4 grupo">
            <p class="chave">Nome:</p>
            <p class="valor">{{ $contato->nome }}</p>
          </div>
          <div class="col-md-2 grupo">
            <p class="chave">Telefone:</p>
            <p class="valor">{{ $contato->tel }}</p>
          </div>
          <div class="col-md-2 grupo">
            <p class="chave">Celular:</p>
            <p class="valor">{{ $contato->cel }}</p>
          </div>
          <div class="col-md-4 grupo">
            <p class="chave">E-mail:</p>
            <p class="valor">{{ $contato->email }}</p>
          </div>
        </div>
        <br>
      @endforeach
    @endif
    
    
    <hr>
    <div class="row">
      <div class="col-md-12">
        <h3><i class="fa fa-tags" aria-hidden="true"></i> TAGs</h3>
      </div>
    </div>
    @if(count($tags)==0)
      <div class="alert alert-warning alert-important">
        <h4 style="margin-bottom: 0">
          <i class="fa fa-exclamation-circle fa-lg" aria-hidden="true"></i>
          Não há TAGs cadastradas.
        </h4>
      </div>
    @else
      <div class="row">
        <div class="col-md-12">
          <ul class="list-group">
            @foreach($tags as $tag)
              <li class="list-group-item">
                {{ $tag->nome }}
              </li>
            @endforeach
          </ul>
        </div>
      </div>
      <br>
    @endif
  
  @endif
  
  <br><br><br>
  
  @if($tipo==1)
    @include('_fragments.modal', ['titulo'=>'a Empresa deste Cliente'])
  @elseif($tipo==2)
    @include('_fragments.modal', ['titulo'=>'o Produto/Serviço deste Cliente'])
  @endif

@endsection

@section('scripts')
  <script>
    $( function () {
      $( "#nota_media" ).rating( {
        min: 0,
        max: 4,
        stars: 4,
        step: 0.25,
        showCaption: true,
        starCaptions: function ( val ) {
          return val + ' Estrelas';
        },
        starCaptionClasses: function ( val ) {
          if ( val < 2 ) {
            return 'label label-danger';
          } else if ( val < 3 ) {
            return 'label label-warning';
          } else if ( val < 4 ) {
            return 'label label-primary';
          } else {
            return 'label label-success';
          }
        },
        theme: 'krajee-fa',
        filledStar: '<i class="fa fa-star"></i>',
        emptyStar: '<i class="fa fa-star-o"></i>',
        clearButton: '<i class="fa fa-lg fa-minus-circle"></i>',
        size: 'lg', // xl, lg, md, sm, xs.
        animate: true,
        readonly: true,
        rtl: false,
        showClear: false,
        containerClass: 'text-center'
      } );
      
      $( ".nota_ratings" ).rating( {
        min: 0,
        max: 4,
        stars: 4,
        step: 1,
        showCaption: true,
        starCaptions: {
          1: 'Muito Insatisfeito',
          2: 'Insatisfeito',
          3: 'Satisfeito',
          4: 'Muito Satisfeito',
        },
        starCaptionClasses: {
          1: 'label label-danger',
          2: 'label label-warning',
          3: 'label label-primary',
          4: 'label label-success',
        },
        theme: 'krajee-fa',
        filledStar: '<i class="fa fa-star"></i>',
        emptyStar: '<i class="fa fa-star-o"></i>',
        clearButton: '<i class="fa fa-lg fa-minus-circle"></i>',
        size: 'md',
        animate: true,
        readonly: true,
        rtl: false,
        showClear: false,
        
      } );
    } );
  </script>
  <style>
    #caption_baixo .rating-container .caption {
      display : block;
    }
  </style>
@endsection