@extends('app')

@section('content')
  <div class="row form-group">
    <div class="col-md-12">
      <h1>
        <a href="{{route('fornecedores.index')}}" class="btn btn-default" data-toggle="tooltip" title="Voltar">
          <i class="fa fa-arrow-left fa-2x" aria-hidden="true"></i>
        </a>
        <i class="fa fa-tags" aria-hidden="true"></i> Controle de TAGs
      </h1>
    </div>
  </div>

  @include('flash::message')
  
  <div class="row">
    <div class="col-md-6 col-md-offset-3">
      {{ Form::open(['route' => 'fornecedores.tagCreate', 'style'=>'display:inline;']) }}
      <div class="input-group form-group">
        {{ Form::text('nome', null, ['class'=>'form-control', 'placeholder'=>'Digite o nome da nova TAG']) }}
        <div class="input-group-btn">
          <button class="btn btn-success" type="submit">
            <i class="fa fa-plus" aria-hidden="true"></i> Inserir
          </button>
        </div>
      </div>
      {{ Form::close() }}
    </div>
  </div>
  
  @if($tagsCount === 0)
    <div id="list" class="row">
      <div class="col-md-10 col-md-offset-1">
        <div class="alert alert-warning alert-important">
          <h4 style="margin-bottom: 0">
            <i class="fa fa-exclamation-circle fa-lg" aria-hidden="true"></i>
            Não há TAGs cadastradas.
          </h4>
        </div>
      </div>
    </div>
  @else
    <div class="table-responsive">
      <table class="table table-hover table-responsive">
        <thead>
        <tr>
          <th>Nome da Tag</th>
          <th class="actions" style="text-align: right">Ações</th>
        </tr>
        </thead>
        <tbody>
        @foreach($tags as $tag)
          <tr>
            <td>{{$tag->nome}}</td>
            <td class="actions" style="text-align: right">
              {{ Form::open(['route' => ['fornecedores.tagDestroy' , $tag->id], 'style'=>'display:inline;']) }}
              {{ Form::hidden('_method', 'DELETE') }}
              <button type="submit" class="btn btn-danger btn-xs inline" name="deleta_item">
                <i class="fa fa-trash-o" aria-hidden="true"></i>
              </button>
              {{ Form::close() }}
            
            </td>
          </tr>
        @endforeach
        </tbody>
      </table>
    </div>
  @endif
  
  @include('_fragments.modal', ['titulo'=>'TAG'])

@endsection