@extends('app')

@section('content')
  <div class="row form-group">
    <div class="col-md-12">
      <h1>
        <a href="{{route('fornecedores.index')}}" class="btn btn-default" data-toggle="tooltip" title="Voltar">
          <i class="fa fa-arrow-left fa-2x" aria-hidden="true"></i>
        </a>
        <i class="fa fa-calculator" aria-hidden="true"></i> Teste de Orçamento
      </h1>
    </div>
  </div>

  @include('flash::message')
  
  <div class="row">
    <div class="col-md-6 col-md-offset-3">
      {{--      {{ Form::open(['route' => 'fornecedores.testeOrcamento', 'style'=>'display:inline;']) }}--}}
      <form action="" method="get">
        {{--        {!! Form::label('despesa', ':', ['class'=>'control-label']) !!}--}}
        <div class="input-group form-group">
          {!! Form::select('tag', \App\Models\Cadastros\FornecedoresTags::enum_tags(), Request::get('tag', ''), ['required', 'placeholder'=>'-- Selecione um item --', 'class'=>'form-control']) !!}
          <div class="input-group-btn">
            <button class="btn btn-success" type="submit">
              <i class="fa fa-search" aria-hidden="true"></i> Procurar
            </button>
          </div>
        </div>
        {{--        {{ Form::close() }}--}}
      </form>
    </div>
  </div>
  
  @if($prodCount === 0)
    @if(Request::has('tag'))
      <div id="list" class="row">
        <div class="col-md-10 col-md-offset-1">
          <div class="alert alert-warning alert-important">
            <h4 style="margin-bottom: 0">
              <i class="fa fa-exclamation-circle fa-lg" aria-hidden="true"></i>
              Não há nenhum Serviço ou Produto com esta TAG.
            </h4>
          </div>
        </div>
      </div>
    @else
      <div id="list" class="row">
        <div class="col-md-10 col-md-offset-1">
          <div class="alert alert-info alert-important">
            <h4 style="margin-bottom: 0">
              <i class="fa fa-exclamation-circle fa-lg" aria-hidden="true"></i>
              Selecione primeiro um TAG acima.
            </h4>
          </div>
        </div>
      </div>
    @endif
  @else
    <ul class="list-group">
      @foreach($prod as $p)
        <li class="list-group-item">
          {{ $p['text'] }}
          <div class="pull-right">
            <a class="btn btn-primary btn-xs" href="{{ route('fornecedores.show',[$p['idEmp'], $p['id']]) }}">
              <i class="fa fa-eye" aria-hidden="true"></i>
            </a>
          </div>
        </li>
      @endforeach
    </ul>
  
  @endif
  
  @include('_fragments.modal', ['titulo'=>'TAG'])

@endsection