<div class="row">
  <div class="form-group col-md-3">
    {!! Form::label('data', 'Data:', ['class' => 'control-label']) !!}
    {!! Form::date('data', isset($funcHist)?null:Carbon\Carbon::now(), ['class' => 'form-control']) !!}
  </div>
  <div class="form-group col-md-9">
    {!! Form::label('tipo', 'Tipo:', ['class' => 'control-label']) !!}
    {!! Form::select('tipo',\App\Models\Cadastros\FuncHistoricos::enum_historico(), null, ['placeholder' => '-- Selecione um Tipo de Histórico --','class' => 'form-control', 'required']) !!}
  </div>
</div>

<hr>
<div id="form_0" class="row">
  <div class="form-group col-md-3">
    {!! Form::label('cargo', 'Cargo:', ['class' => 'control-label']) !!}
    {!! Form::select('cargo',\App\Models\Cadastros\FuncHistoricos::enum_cargos(), null, ['placeholder' => '-- Selecione um Cargo --','class' => 'form-control', 'id'=>'cargo', 'onchange'=>'select_cargonivel()']) !!}
  </div>
  <div class="form-group col-md-3">
    {!! Form::label('nivel', 'Nível:', ['class' => 'control-label']) !!}
    {!! Form::select('nivel', \App\Models\Config\FaixaSalarial::enum_NivelGenerico(), null, ['placeholder' => '-- Selecione um Nível --', 'class' => 'form-control', 'id'=>'nivel', 'onchange'=>'select_cargonivel()']) !!}
  </div>
  <div class="form-group col-md-6">
    {!! Form::label('', 'Descrição:', ['class' => 'control-label']) !!}
    <div id="descricao" class="valorReadOnly"></div>
  </div>
</div>

<div id="form_1" class="row">
  <div class="form-group col-md-4">
    {!! Form::label('salario', 'Salário:', ['class' => 'control-label']) !!}
    <div class="input-group">
      <div class="input-group-addon">R$</div>
      {!! Form::text('salario', null, ['class' => 'form-control', 'placeholder'=>'0,00']) !!}
    </div>
  </div>
  <div class="form-group col-md-8">
    {!! Form::label('', 'Sujestão de Salário &nbsp;', ['class'=>'control-label hidden-sm hidden-xs']) !!}
    <span id="margSalarial" class="valorReadOnly"></span>
  </div>
</div>

<div id="form_2" class="row">
  <div class="form-group col-md-5">
    {!! Form::label('vr', 'Vale Refeição:', ['class' => 'control-label']) !!}
    <div class="input-group">
      <div class="input-group-addon">R$</div>
      {!! Form::text('vr', null, ['class' => 'form-control', 'placeholder'=>'0,00']) !!}
    </div>
  </div>
</div>

<div id="form_3" class="row">
  <div class="form-group col-md-5">
    {!! Form::label('vt', 'Vale Transporte:', ['class' => 'control-label']) !!}
    <div class="input-group">
      <div class="input-group-addon">R$</div>
      {!! Form::text('vt', null, ['class' => 'form-control', 'placeholder'=>'0,00']) !!}
    </div>
  </div>
</div>

<div id="form_4" class="row">
  <div class="form-group col-md-5">
    {!! Form::label('seguro_vida', 'Seguro de Vida:', ['class' => 'control-label']) !!}
    {!! Form::select('seguro_vida',['Não','Sim'], null, ['placeholder' => '-- Selecione uma opção --', 'class' => 'form-control']) !!}
  </div>
</div>

<div id="form_5" class="row">
  <div class="form-group col-md-6">
    {!! Form::label('ferias_dt_inicio', 'Data de Início:', ['class' => 'control-label']) !!}
    {!! Form::date('ferias_dt_inicio', null, ['class' => 'form-control']) !!}
  </div>
  <div class="form-group col-md-6">
    {!! Form::label('ferias_dt_termino', 'Data de Término:', ['class' => 'control-label']) !!}
    {!! Form::date('ferias_dt_termino', null, ['class' => 'form-control']) !!}
  </div>
</div>

<br>
@include('errors.list')


@section('scripts')
  <style>
    #custom-handle2 {
      width       : 6em;
      height      : 1.6em;
      top         : 50%;
      margin-top  : -.8em;
      text-align  : center;
      line-height : 1.6em;
    }
  </style>
  <script type="application/javascript">
    var form = [
      [ 1, 1, 1, 1, 1, 0 ], //Contratação
      [ 0, 0, 0, 0, 0, 0 ], //Demissâo
      [ 0, 1, 0, 0, 0, 0 ], //Mérito
      [ 0, 1, 0, 0, 0, 0 ], //Dissídio
      [ 1, 1, 0, 0, 0, 0 ], //Promoção
      [ 0, 0, 1, 0, 0, 0 ], //Reajuste VR
      [ 0, 0, 0, 1, 0, 0 ], //Reajuste VT
      [ 0, 0, 0, 0, 1, 0 ], //Modificação do Seguro de Vida
      [ 0, 0, 0, 0, 0, 1 ], //Aquisição de periodo aquisitivo
      [ 0, 0, 0, 0, 0, 1 ]  //Gozo de férias
    ];
    
    @unless( isset($LOTE) )
    function calcDissidio() {
      $.get( {
        url: '{{ route('api.funchistoricos.calcdissidio', $func->id ) }}',
        async: true,
        dataType: 'json',
        data: {
          token: window.localStorage[ 'jwtToken' ]
        },
        success: function ( data, status ) {
          var margSalarial = $( '#margSalarial' );
          if ( data.codigo > 1 ) {
            // func nao encontrado
            margSalarial.attr( 'style', 'background-color: #f2dede;' );
            margSalarial.html( '<i class="fa fa-exclamation-circle" aria-hidden="true"></i> ' + data.mensagem );
            return;
          }
          var valorAjust = 0;
          if ( data.regra == 4 ) {
            valorAjust = 'R$ ' + formatDinheiro( data.porc ) + '';
          } else {
            valorAjust = formatDinheiro( data.porc ) + '%';
          }
          var salOrig = formatDinheiro( data.salOrig );
          var salAjust = formatDinheiro( data.salAjust );
          var msg = 'O ajuste será de ' + valorAjust + ', ';
          msg += 'de R$ ' + salOrig + ' para R$ ' + salAjust + '. ';
          if ( data.dissInteiro == false ) {
            msg += '(1 ano incompleto)';
          }
          
          
          $( '#salario' ).val( salAjust );
          margSalarial.attr( 'style', 'background-color: #d9edf7;' );
          margSalarial.html( msg );
          
        },
        error: function ( data, status ) {
          alert( 'Deu erro no AJAX do DISSIDIO' );
          console.log( status );
          console.log( data );
        }
      } );
    }
    @endunless
    
    function select_tipo() {
      if ( this.value == "" ) {
        for ( var h = 0; h < 7; h++ ) {
          $( '#form_' + h ).hide();
        }
        return;
      }
      var hiddenshow = form[ this.value ];
      for ( var hs in hiddenshow ) {
        if ( hiddenshow[ hs ] == 0 ) {
          $( '#form_' + hs ).hide();
        } else {
          $( '#form_' + hs ).show();
        }
      }
      if ( this.value == 3 ) {
            @if( isset($LOTE)  )
        var margSalarial = $( '#margSalarial' );
        margSalarial.attr( 'style', 'background-color: #d9edf7;' );
        margSalarial.html( 'O Dissídio será calculado automaticamente para cada Funcionário.' );
            @elseif( isset($EDIT) )
        var margSalarial = $( '#margSalarial' );
        margSalarial.attr( 'style', 'background-color: #d9edf7;' );
        margSalarial.html( 'O Dissídio já foi calculado ao criar este Histórico.' );
        @else
          calcDissidio();
        @endif
      } else {
        // nao eh Dissidio, entao apagar se selecionou anteriormente
        var margSalarial = $( '#margSalarial' );
        margSalarial.removeAttr( 'style' );
        margSalarial.html( '' );
      }
    }
    
    function select_cargonivel() {
      var cargo = $( '#cargo' );
      var nivel = $( '#nivel' );
      var cv = cargo.val();
      var nv = nivel.val();
      if ( cv == "" || nv == "" ) {
        return;
      }
      
      var descricao = $( '#descricao' );
      var margSalarial = $( "#margSalarial" );
      $.ajax( {
        url: '/api/cadastros/faixasalarial/' + cv + '/' + nv,
        type: 'GET',
        data: { token: window.localStorage[ 'jwtToken' ] },
        success: function ( data, status ) {
          descricao.html( data.desc );
          var slider = '<table width="100%">' +
            '<tr>' +
            '<td width="10%">' + data.inf + '</td>' +
            '<td width="80%">' +
            '<div id="slider">' +
            '</div>' +
            '</td>' +
            '<td width="10%" align="right">' +
            data.sup +
            '</td>' +
            '</tr>' +
            '</table>';
          margSalarial.html( slider );
          
          // SLIDER
          var slideDefaultValue = data.medv;
          var salario = $( '#salario' );
          if ( salario.val() != '' ) {
            slideDefaultValue = salario.val().replace( /\D/g, '' );
          }
          $( "#slider" ).slider( {
            orientation: "horizontal",
            min: data.infv,
            value: slideDefaultValue,
            max: data.supv,
            step: 100,
            create: function () {
            },
            slide: function ( event, ui ) {
              fillSalario( formatDinheiro( ui.value ) );
            }
          } );
          salario.on( 'blur', function () {
            $( "#slider" ).slider( 'value', $( this ).val().replace( /\D/g, '' ) );
          } );
        },
        error: function ( data, status ) {
          console.error( "[AJAX error] FaixaSalarial(" + cv + "," + nv + ") -> " + data.status + " - " + data.statusText );
          descricao.html( '' );
          margSalarial.html( '' );
        }
      } );
    }
    
    $( '#tipo' ).on( 'change', select_tipo );
    
    function fillSalario( val ) {
      $( '#salario' ).val( val );
    }
    
    function salarioComplete( val ) {
      return "<a onclick=\"fillSalario('" + val + "')\">" + val + "</a>";
    }
    
    $( function () {
      $( '#tipo' ).change();
      $( '#cargo' ).change();
      $( '#nivel' ).change();
      $( '#salario' ).mask( '000.000,00', { reverse: true } );
      $( '#vr' ).mask( '000.000,00', { reverse: true } );
      $( '#vt' ).mask( '000.000,00', { reverse: true } );
    } );
    
    $( '#form_historicos' ).submit( function () {
      $( '#salario' ).unmask();
      $( '#vr' ).unmask();
      $( '#vt' ).unmask();
      return true;
    } );
    
    $( '#checkAll' ).click( function () {
      $( '.cbFunc' ).prop( 'checked', this.checked );
    } );
  </script>
@endsection