<?php $BASE = Route::current()->uri() ?>
@extends('app')

@section('content')
  <div class="row">
    <div class="col-md-12">
      <h1>
        <a href="{{route('funcionarios.show', $func->id)}}" class="btn btn-default" data-toggle="tooltip" title="Voltar">
          <i class="fa fa-arrow-left fa-2x" aria-hidden="true"></i>
        </a>
        Histórico do Funcionário:
        <small>
          {{ $func->nome }}
        </small>
        @can(CRP::P_Cadastro_edit)
          <a href="{{route('historicos.create',['id'=>$func->id])}}" class="btn btn-success pull-right">
            <i class="fa fa-plus" aria-hidden="true"></i> Adicionar Item
          </a>
        @endcan
      </h1>
    </div>
  </div>
  <hr>
  @include('flash::message')

  <div id="list" class="row">
    @if($funcHist->count()==0)
      <div class="col-md-10 col-md-offset-1">
        <div class="alert alert-warning alert-important alert-block">
          <h4>Atenção</h4>
          Não há Histórico cadastrado.
        </div>
      </div>
    @else
      <div class="table-responsive col-md-10 col-md-offset-1">
        <table class="table" cellspacing="0" cellpadding="0">
          <thead>
          <tr>
            <th>Tipo</th>
            @can(CRP::P_Cadastro_edit)
              <th class="actions" style="text-align: right">Ações</th>
            @endcan
          </tr>
          </thead>
          <tbody>
          @foreach($funcHist as $f )
            <tr>
              <td>

                <h4>{{\Carbon\Carbon::createFromFormat('Y-m-d', $f->data)->format('d/m/Y')}}
                  - {{App\Models\Cadastros\FuncHistoricos::enum_historico()[$f->tipo]}}</h4>

                @if($f->tipo == 0)
                  {{--Contratação--}}
                  <p>
                    <strong>Cargo:</strong>
                    {{ App\Models\Cadastros\FuncHistoricos::enum_cargos()[$f->cargo] }}
                  </p>
                  <p>
                    <strong>Nível:</strong>
                    {{ App\Models\Cadastros\FuncHistoricos::enum_DescricaoCargoNivel()[$f->cargo][$f->nivel]}}
                  </p>
                  <p>
                    <strong>Salário:</strong>
                    R$ {{ number_format( $f->salario / 100, 2, ',', '.') }}
                  </p>
                  <p>
                    <strong>VR:</strong>
                    R$ {{ number_format( $f->vr / 100, 2, ',', '.' ) }}/dia
                  </p>
                  <p>
                    <strong>VT:</strong>
                    R$ {{ number_format( $f->vt / 100, 2, ',', '.' ) }}/dia
                  </p>
                  <p>
                    <strong>Seguro de Vida:</strong>
                    {{ $f->seguro_vida?'Sim':'Não' }}
                  </p>

                @elseif($f->tipo == 1)
                  {{--Demissâo--}}
                  {{--?--}}

                @elseif($f->tipo == 2)
                  {{--Mérito--}}
                  <p>
                    <strong>Salário:</strong>
                    R$ {{ number_format( $f->salario / 100, 2, ',', '.') }}
                  </p>

                @elseif($f->tipo == 3)
                  {{--Dissídio--}}
                  <p>
                    <strong>Salário:</strong>
                    R$ {{ number_format( $f->salario / 100, 2, ',', '.' ) }}
                  </p>

                @elseif($f->tipo == 4)
                  {{--Promoção--}}
                  <p>
                    <strong>Cargo:</strong>
                    {{ App\Models\Cadastros\FuncHistoricos::enum_cargos()[$f->cargo] }}
                  </p>
                  <p>
                    <strong>Nível:</strong>
                    {{ App\Models\Cadastros\FuncHistoricos::enum_DescricaoCargoNivel()[$f->cargo][$f->nivel]}}
                  </p>
                  <p>
                    <strong>Salário:</strong>
                    R$ {{ number_format( $f->salario / 100, 2, ',', '.' ) }}
                  </p>

                @elseif($f->tipo == 5)
                  {{--Reajuste VR--}}
                  <p>
                    <strong>VR:</strong>
                    R$ {{ number_format( $f->vr / 100, 2, ',', '.' ) }}/dia
                  </p>

                @elseif($f->tipo == 6)
                  {{--Reajuste VT--}}
                  <p>
                    <strong>VT:</strong>
                    R$ {{ number_format( $f->vt / 100, 2, ',', '.' ) }}/dia
                  </p>

                @elseif($f->tipo == 7)
                  {{--Modificação Seguro de Vida--}}
                  <p>
                    <strong>Seguro de Vida:</strong>
                    {{ $f->seguro_vida?'Sim':'Não' }}
                  </p>

                @elseif($f->tipo == 8)
                  {{--Aquisição de periodo aquisitivo--}}
                  {{--?--}}
                  <p>
                    <strong>Data de Inicio</strong>
                    {{\Carbon\Carbon::createFromFormat('Y-m-d', $f->ferias_dt_inicio)->format('d/m/Y')}}<br>
                    <strong>Data de Termino</strong>
                    {{\Carbon\Carbon::createFromFormat('Y-m-d', $f->ferias_dt_termino)->format('d/m/Y')}}
                  </p>

                @elseif($f->tipo == 9)
                  {{--Gozo de férias--}}
                  <p>
                    <strong>Data de Inicio</strong>
                    {{\Carbon\Carbon::createFromFormat('Y-m-d', $f->ferias_dt_inicio)->format('d/m/Y')}}<br>
                    <strong>Data de Termino</strong>
                    {{\Carbon\Carbon::createFromFormat('Y-m-d', $f->ferias_dt_termino)->format('d/m/Y')}}
                  </p>

                @endif

              </td>
              @can(CRP::P_Cadastro_edit)
                <td class="actions" style="text-align: right">
                  <a class="btn btn-warning" href="{{ route('historicos.edit',[$func->id, $f->id]) }}">
                    <i class="fa fa-pencil" aria-hidden="true"></i>
                  </a>
                  {{ Form::open(['route' => ['historicos.destroy' , $func->id, $f->id], 'style'=>'display:inline;']) }}
                  {{ Form::hidden('_method', 'DELETE') }}
                  <button name="deleta_item" type="submit" class="btn btn-danger inline">
                    <i class="fa fa-trash-o" aria-hidden="true"></i>
                  </button>
                  {{ Form::close() }}
                </td>
              @endcan
            </tr>
          @endforeach
          </tbody>
        </table>
      </div>
    @endif
  </div>

  @include('_fragments.modal', ['titulo'=>'Histórico'])
@endsection
