@extends('app')

@section('content')
  <div id="top" class="row">
    
    <div class="col-sm-3">
      <h2>Funcionários</h2>
    </div>
    
    <div class="col-sm-6">
      <form action="" method="get">
        <div class="input-group h2" style="width: 100%">
          <input name="nome" class="form-control" id="search" type="text" placeholder="Pesquisar por nome"
                 value="{{ \Illuminate\Support\Facades\Input::get('nome','') }}">
          <div class="input-group-btn">
            
            <div class="btn-group">
              <button tabindex="-1" data-toggle="dropdown" class="btn btn-default dropdown-toggle" type="button">
                <span class="caret"></span>
                <span class="sr-only">Toggle Dropdown</span>
              </button>
              <div id="avancado" class="dropdown-menu dropdown-menu-right"
                   style="padding: 10px 30px; width: 350px">
                <div id="avancado_form">
                  
                  <div class="row">
                    <div class="col-xs-10">
                      <h4>Pesquisa Avançada</h4>
                    </div>
                    <div class="col-xs-2 h4 text-right">
                      <a href="?" class="text-danger" data-toggle="tooltip" data-placement="top"
                         title="Limpar Pesquisa">
                        <i class="fa fa-times-circle fa-lg"></i></a>
                    </div>
                  </div>
                  
                  <div class="row">
                    <div class="col-md-12 form-group">
                      {!! Form::label('departamentos_id', 'Departamento:', ['class'=>'control-label']) !!}
                      {!! Form::select('departamentos_id',\App\Models\Cadastros\Departamentos::enum_Departamentos(), \Illuminate\Support\Facades\Input::get('departamentos_id',null), ['placeholder'=>'-- Qualquer um --','class'=>'form-control']) !!}
                    </div>
                  </div>
                  <div class="row">
                    <div class="col-md-12 form-group">
                      {!! Form::label('inativo', 'Inativo:', ['class'=>'control-label']) !!}
                      {!! Form::select('inativo',[-1=>'-- Qualquer um --',0=>'Não',1=>'Sim'], \Illuminate\Support\Facades\Input::get('inativo', 0), ['class'=>'form-control']) !!}
                    </div>
                  </div>
                  
                  <div class="row">
                    <div class="col-md-12 form-group">
                      {!! Form::label('teste_mbti', 'Teste MBTI:', ['class'=>'control-label']) !!}
                      {!! Form::select('teste_mbti',\App\Models\Cadastros\Funcionarios::enum_MBTI(), \Illuminate\Support\Facades\Input::get('teste_mbti',null), ['placeholder'=>'-- Qualquer um --','class'=>'form-control']) !!}
                    </div>
                  </div>
                  <div class="row">
                    <div class="col-md-12 form-group">
                      {!! Form::label('regime', 'Regime:', ['class'=>'control-label']) !!}
                      {!! Form::select('regime',\App\Models\Cadastros\Funcionarios::enum_regime(), \Illuminate\Support\Facades\Input::get('regime',null), ['placeholder'=>'-- Qualquer um --','class'=>'form-control']) !!}
                    </div>
                  </div>
                </div>
              </div>
            </div>
            
            <button class="btn btn-primary" type="submit">
              &nbsp;&nbsp;&nbsp;<i class="fa fa-search" aria-hidden="true"></i>&nbsp;&nbsp;&nbsp;
            </button>
          
          </div>
        </div>
      </form>
    </div>
    
    @can(CRP::P_Cadastro_edit)
      <div class=" col-sm-3 h2">
        <div class="pull-right">
          <div class="btn-group" role="group" aria-label="...">
            <a class="btn btn-success" href="{{ route('funcionarios.create') }}">
              <i class="fa fa-user-plus" aria-hidden="true"></i> Novo Funcionário
            </a>
            <div class="btn-group" role="group">
              <button tabindex="-1" data-toggle="dropdown" class="btn btn-default dropdown-toggle"
                      type="button">
                <span class="caret"></span>
                <span class="sr-only">Toggle Dropdown</span>
              </button>
              <ul class="dropdown-menu dropdown-menu-right">
                <li>
                  <a class="" href="{{ route('funcionarios.getHistoricoLote') }}">
                    <i class="fa fa-calendar-plus-o" aria-hidden="true"></i> Adicionar Histórico em Lote
                  </a>
                </li>
                <li>
                  <a class="" href="{{ route('configadmin.faixasalarial.get') }}">
                    <i class="fa fa-cog" aria-hidden="true"></i> Configuração Faixa Salarial
                  </a>
                </li>
                <li>
                  <a class="" href="{{ route('funcionarios.relSalarial') }}">
                    <i class="fa fa-money" aria-hidden="true"></i> Relatório de Faixa Salarial
                  </a>
                </li>
                <li>
                  <a class="" href="{{ route('funcionarios.relFerias') }}">
                    <i class="fa fa-plane" aria-hidden="true"></i> Relatório de Férias
                  </a>
                </li>
                <li>
                  <a href="{{ route('export_contatos_funcionarios') }}" target="_blank">
                    <i class="fa fa-file-excel-o" aria-hidden="true"></i>
                    Exportar Contatos dos Funcionários
                  </a>
                </li>
                <li role="presentation">
                  <a role="menuitem" tabindex="-1" data-toggle="modal" href="#modal-relatorio-de-pontos">
                    <i class="fa fa-file-excel-o"></i>
                    Relatório de Pontos dos Funcionários
                  </a>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </div>
    @else
      <div class="col-sm-3 h2">
        <div class="pull-right btn-group" role="group" aria-label="...">
          <div class="btn-group" role="group">
            <button type="button" class="btn btn-default dropdown-toggle"
                    data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
              Relatórios <span class="caret"></span>
            </button>
            <ul class="dropdown-menu dropdown-menu-right">
              <li>
                <a class="" href="{{ route('funcionarios.relSalarial') }}">
                  <i class="fa fa-money" aria-hidden="true"></i> Relatório de Faixa Salarial
                </a>
              </li>
              <li>
                <a class="" href="{{ route('funcionarios.relFerias') }}">
                  <i class="fa fa-plane" aria-hidden="true"></i> Relatório de Férias
                </a>
              </li>
            </ul>
          </div>
        </div>
      </div>
    @endcan
  
  </div> <!-- /#top -->
  
  @include('flash::message')
  
  <hr />
  @if($numTotalFuncCad === 0)
    <div id="list" class="row">
      <div class="col-md-10 col-md-offset-1">
        <div class="alert alert-warning alert-important">
          <h4 style="margin-bottom: 0">
            <i class="fa fa-exclamation-circle fa-lg" aria-hidden="true"></i>
            Não há Funcionários cadastrados.
          </h4>
        </div>
      </div>
    </div>
  @else
    @if($pesquisas == true)
      <div class="row">
        <div class="col-md-10 col-md-offset-1">
          <div class="alert alert-info alert-important alert-block" style="padding: 5px 15px;">
            <i class="fa fa-info-circle" aria-hidden="true"></i>
            @if( $func->total() === 0)
              Não foi encontrado nenhum Funcionário que corresponda a sua pesquisa.
            @elseif( $func->total() === 1)
              Foi encontrado <strong>1</strong> Funcionário que corresponde a sua pesquisa.
            @else
              Foram encontrados <strong>{{ $func->total() }}</strong> Funcionários que correspondentes a sua pesquisa.
            @endif
          </div>
        </div>
      </div>
    @endif
    @if( $func->total() > 0)
      <div id="list" class="row">
        <div class="table-responsive col-md-12">
          <table class="table table-striped table-hover table-condensed">
            <thead>
            <tr>
              <th>@sortablelink('id', 'ID')</th>
              <th>@sortablelink('nome', 'Nome')</th>
              {{--<th>E-mail</th>--}}
              <th>Telefone</th>
              <th>@sortablelink('departamentos_id', 'Departamento')</th>
              <th>@sortablelink('regime', 'Regime')</th>
              <th>@sortablelink('inativo', 'Inativo')</th>
              <th class="actions" style="text-align: right">Ações</th>
            </tr>
            </thead>
            <tbody>
            @foreach($func as $f)
              <tr>
                <td>{{ $f->id }}</td>
                <td>{{ $f->nome }}</td>
                {{--            <td>{{$f->email}}</td>--}}
                <td>{{ $f->getUmTelefone()}}</td>
                <td>{{ $f->Departamento===null? '' : $f->Departamento->nome }}</td>
                <td>{{$f->getRegimeString() }}</td>
                <td>{{ $f->inativo ? 'sim' : 'não' }}</td>
                <td class="actions" style="text-align: right">
                  <a class="btn btn-primary btn-xs" href="{{ route('funcionarios.show',[$f->id]) }}">
                    <i class="fa fa-eye" aria-hidden="true"></i>
                  </a>
                  @can(CRP::P_Cadastro_edit)
                    <a class="btn btn-warning btn-xs" href="{{ route('funcionarios.edit',[$f->id]) }}">
                      <i class="fa fa-pencil" aria-hidden="true"></i>
                    </a>
                    {{ Form::open(['route' => ['funcionarios.destroy' , $f->id], 'style'=>'display:inline;']) }}
                    {{ Form::hidden('_method', 'DELETE') }}
                    <button type="submit" class="btn btn-danger btn-xs inline" name="deleta_item">
                      <i class="fa fa-trash-o" aria-hidden="true"></i>
                    </button>
                    {{ Form::close() }}
                  @endcan
                </td>
              </tr>
            @endforeach
            </tbody>
          </table>
        </div>
      </div>
      <div class="row">
        <div class="col-md-12">
          <div class="text-center">
            {!! $func->appends(\Request::except('page'))->render() !!}
          </div>
        </div>
      </div>
    @endif
  @endif

  {!! Form::open(['route' => 'controledeponto.relatorio_todos', 'method' => 'get', 'target'=>'_blank']) !!}
  <div class="modal fade" id="modal-relatorio-de-pontos">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
          <h4 class="modal-title">Relatório de Pontos de Todos os Funcionários</h4>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-md-6 form-group">
              {!! Form::label('dt_inicio', 'Data Inicial', ['class' => 'control-label']) !!}
              {!! Form::date('dt_inicio', Carbon\Carbon::now()->subMonth(1)->day(20)->toDateString(), ['class'=>'form-control']) !!}
            </div>
            <div class="col-md-6 form-group">
              {!! Form::label('dt_fim', 'Data Final', ['class' => 'control-label']) !!}
              {!! Form::date('dt_fim', Carbon\Carbon::now()->day(19)->toDateString(), ['class'=>'form-control']) !!}
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal">
            Fechar
          </button>
          <button type="submit" class="btn btn-primary">
            <i class="fa fa-file-excel-o" aria-hidden="true"></i>
            Gerar Relatório
          </button>
        </div>
      </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
  </div><!-- /.modal -->
  {!! Form::close() !!}

  @include('_fragments.modal', ['titulo'=>'Funcionário'])
@endsection

