@extends('app')

@section('content')
  <div class="row">
    <div class="col-md-12">
      <h2>
        <a href="{{route('funcionarios.index')}}" class="btn btn-default" data-toggle="tooltip" title="Voltar">
          <i class="fa fa-arrow-left fa-2x" aria-hidden="true"></i>
        </a>
        Relatório de Férias dos Funcionário Ativos
      </h2>
    </div>
  </div>
  
  <div class="row">
    <div class="col-md-10 col-md-offset-1">
      <table class="table table-striped table-condensed">
        <thead>
        <tr>
          <th>Funcionário</th>
          <th>Periodo Aquisitivo</th>
          <th>Meses</th>
          <th>Dias de Férias Acumulados</th>
          <th>Porcentagem de tempo</th>
          <th></th>
        </tr>
        </thead>
        <tbody>
        @foreach($funcs as $f)
          <tr>
            <td>{{ $f['nome'] }}</td>
            <td>{{ $f['aquisitivo'] }}</td>
            <td>{{ $f['meses'] }}</td>
            <td>{{ $f['dias'] }}</td>
            <td>
              <div class="progress" style="margin-bottom: 0">
                <div class="progress-bar progress-bar-success"
                     role="progressbar"
                     aria-valuenow="{{ $f['porc'] }}"
                     aria-valuemin="0"
                     aria-valuemax="100"
                     style="width: {{ $f['porc'] }}%">
                  {{ $f['porc'] }}%
                </div>
              </div>
            </td>
            <td class="text-right">
              <a class="btn btn-primary btn-xs" href="{{ route('funcionarios.show',[$f['id']] ) }}">
                <i class="fa fa-eye" aria-hidden="true"></i>
              </a>
            </td>
          </tr>
        @endforeach
        </tbody>
      </table>
    </div>
  </div>
@endsection
