@extends('app')

@section('content')
  <div class="row">
    <div class="col-md-12">
      <h2>
        <a href="{{route('funcionarios.index')}}" class="btn btn-default" data-toggle="tooltip" title="Voltar">
          <i class="fa fa-arrow-left fa-2x" aria-hidden="true"></i>
        </a>
        Relatório Salarial dos Funcionário Ativos
      </h2>
    </div>
  </div>

  <div class="row">
    <div class="col-md-10 col-md-offset-1">
      <table class="table table-striped table-condensed">
        <thead>
        <tr>
          <th>Funcionário</th>
          <th>Nível</th>
          <th>Salário</th>
          <th>Faixa Salarial</th>
          <th></th>
          <th></th>
        </tr>
        </thead>
        <tbody>
        @foreach($funcs as $f)
          <tr>
            <td>{{ $f['nome'] }}</td>
            <td>{{ $f['nivel'] }}</td>
            <td> R$ {{ number_format( $f['salario'] / 100, 2, ',', '.' ) }}</td>
            <td>
              <div class="progress" style="margin-bottom: 0">
                <div class="progress-bar progress-bar-success"
                     role="progressbar"
                     aria-valuenow="{{ $f['porc'] }}"
                     aria-valuemin="0"
                     aria-valuemax="100"
                     style="width: {{ $f['porc'] }}%">
                  {{ $f['porc'] }}%
                </div>
              </div>
            </td>
            <td>
              @if( $f['dissidio'])
                <span class="text-success"
                      data-toggle="tooltip"
                      data-placement="top"
                      title="O Dissídio de {{ Carbon\Carbon::now()->year }} já foi aplicado.">
                  <i class="fa fa-check-circle" aria-hidden="true"></i>
                </span>
              @else
                <span class="text-danger"
                      data-toggle="tooltip"
                      data-placement="top"
                      title="O Dissídio de {{ Carbon\Carbon::now()->year }} ainda não foi aplicado.">
                  <i class="fa fa-exclamation-circle" aria-hidden="true"></i>
                </span>
              @endif
            </td>
            <td class="text-right">
              <a class="btn btn-primary btn-xs" href="{{ route('funcionarios.show',[$f['id']] ) }}">
                <i class="fa fa-eye" aria-hidden="true"></i>
              </a>
            </td>
          </tr>
        @endforeach
        </tbody>
      </table>
    </div>
  </div>
@endsection
