<?php
//      PESSOAL
//      nome sexo
//      foto
//      email
//      CPF RG dtNasc
//      pai
//      mae
//      civil
//      cep
//      rua num compl
//      bairro cidade estado
//      EMPRESA
//      teste inativo
//      regime hrEntrada hrSaida
//      HISTORICO
?>
@extends('app')

@section('content')
  <div class="row">
    <div class="col-md-12">
      <h1>
        <a href="{{route('funcionarios.index')}}" class="btn btn-default" data-toggle="tooltip" title="Voltar">
          <i class="fa fa-arrow-left fa-2x" aria-hidden="true"></i>
        </a>
        Editar Funcionário
        <span class="pull-right">
        @can(CRP::P_Cadastro_edit)
            <a href="{{route('funcionarios.edit',[$func->id])}}" class="btn btn-warning">
            <i class="fa fa-pencil" aria-hidden="true"></i> Editar
          </a>
          @endcan
          @can(CRP::P_ControleDePonto_read)
            <a href="{{route('controledeponto.index',[$func->id])}}" class="btn btn-primary">
            <i class="fa fa-clock-o" aria-hidden="true"></i> Controle de Pontos
          </a>
          @endcan
        </span>
      </h1>
    </div>
  </div>

  <div class="row">
    <div class="col-md-12">
      <h3><i class="fa fa-user" aria-hidden="true"></i> Informação Pessoal</h3>
    </div>
  </div>

  <div class="row">
    <div class="col-md-8">

      <div class="row">
        <div class="col-md-9 grupo">
          <p class="chave">Nome Completo:</p>
          <p class="valor">{{ $func->nome }}</p>
        </div>
        <div class="col-md-3 grupo">
          <p class="chave">Sexo:</p>
          <p class="valor">{{ \App\Models\Cadastros\Funcionarios::enum_sexo()[$func->sexo] }}</p>
        </div>
      </div>

      <div class="row">
        <div class="col-md-9 grupo">
          <p class="chave">E-mail:</p>
          <p class="valor">{{ $func->email }}</p>
        </div>
        <div class="col-md-3 grupo">
          <p class="chave">Estado Civil:</p>
          <p class="valor">{{ \App\Models\Cadastros\Funcionarios::enum_estado_civil()[$func->estado_civil] }}</p>
        </div>
      </div>

      <div class="row">
        <div class="col-md-4 grupo">
          <p class="chave">CPF:</p>
          <p class="valor">{{ $func->cpf }}</p>
        </div>
        <div class="col-md-4 grupo">
          <p class="chave">RG:</p>
          <p class="valor">{{ $func->rg }}</p>
        </div>
        <div class="col-md-4 grupo">
          <p class="chave">Data de Nascimento:</p>
          <p class="valor">
            {{ \Carbon\Carbon::createFromFormat('Y-m-d',$func->dt_nascimento)->format('d/m/Y') }}
            ({{ \Carbon\Carbon::now()->diffInYears( \Carbon\Carbon::createFromFormat('Y-m-d',$func->dt_nascimento) ) }}
            anos)
          </p>
        </div>
      </div>

    </div>
    <div class="col-md-4 grupo">
      @unless($func->foto==null)
        <img src="{{ asset('images/profiles/' . $func->foto) }}" />
      @endunless
    </div>
  </div>


  <div class="row">
    <div class="col-md-6 grupo">
      <p class="chave">Nome Completo do Pai:</p>
      <p class="valor">{{ $func->nome_pai }}</p>
    </div>
    <div class="col-md-6 grupo">
      <p class="chave">Nome Completo da Mãe:</p>
      <p class="valor">{{ $func->nome_mae }}</p>
    </div>
  </div>

  <hr>
  <div class="row">
    <div class="col-xs-10">
      <h3><i class="fa fa-map-marker" aria-hidden="true"></i> Endereço</h3>
    </div>
  </div>

  <div class="row">
    <div class="col-md-2 grupo">
      <p class="chave">CEP:</p>
      <p class="valor">{{ $func->end_cep }}</p>
    </div>
    <div class="col-md-6 grupo">
      <p class="chave">Logradouro:</p>
      <p class="valor">{{ $func->end_logradouro }}</p>
    </div>
    <div class="col-md-2 grupo">
      <p class="chave">Número:</p>
      <p class="valor">{{ $func->end_numero }}</p>
    </div>
    <div class="col-md-2 grupo">
      <p class="chave">Complemento:</p>
      <p class="valor">{{ $func->end_complemento }}</p>
    </div>
  </div>

  <div class="row">
    <div class="col-md-4 grupo">
      <p class="chave">Bairro:</p>
      <p class="valor">{{ $func->end_bairro }}</p>
    </div>
    <div class="col-md-5 grupo">
      <p class="chave">Cidade:</p>
      <p class="valor">{{ $func->end_cidade }}</p>
    </div>
    <div class="col-md-3 grupo">
      <p class="chave">Estado:</p>
      <p class="valor">{{ \App\Models\Cadastros\Funcionarios::enum_estado()[$func->end_estado] }}</p>
    </div>
  </div>

  <hr>
  <div class="row">
    <div class="col-xs-10">
      <h3><i class="fa fa-phone" aria-hidden="true"></i> Telefones de contato</h3>
    </div>
  </div>
  <div class="row">
    <div class="col-md-12" id="div_telefones">
      @if($telefones->count()==0)
        <div class="alert alert-warning alert-important">
          <strong>Não há nenhum Telefone cadastrado.</strong>
        </div>
      @else
        {{--<div class="row">--}}
        {{--<div class="col-md-3"><p class="chave">Tipo</p></div>--}}
        {{--<div class="col-md-2"><p class="chave">Telefone</p></div>--}}
        {{--<div class="col-md-2"><p class="chave">Recado</p></div>--}}
        {{--<div class="col-md-5"><p class="chave">Observação</p></div>--}}
        {{--</div>--}}
        @foreach($telefones as $tel)
          <div class="row">
            <div class="col-md-3">
              <p class="chave">Tipo</p>
              <p class="valor">{{ \App\Models\Cadastros\FuncTelefones::enum_telefones()[$tel->tipo] }}</p>
            </div>
            <div class="col-md-2">
              <p class="chave">Telefone</p>
              <p class="valor">{{ $tel->telefone }}</p>
            </div>
            <div class="col-md-2">
              <p class="chave">Recado</p>
              <p class="valor">{{ $tel->recado?'sim':'não' }}</p>
            </div>
            <div class="col-md-5">
              <p class="chave">Observação</p>
              <p class="valor">{{ $tel->obs }}</p>
            </div>
          </div>
        @endforeach
      @endif
    </div>
  </div>


  <hr>
  <div class="row">
    <div class="col-xs-10">
      <h3><i class="fa fa-child" aria-hidden="true"></i> Dependentes</h3>
    </div>
  </div>
  <div class="row">
    <div class="col-md-12" id="div_dependentes">
      @if($dependentes->count()==0)
        <div class="alert alert-warning alert-important">
          <strong>Não há nenhum Dependente cadastrado.</strong>
        </div>
      @else
        {{--<div class="row">--}}
        {{--<div class="col-md-5"><p class="chave">Nome</p></div>--}}
        {{--<div class="col-md-3"><p class="chave">Parentesco</p></div>--}}
        {{--<div class="col-md-2"><p class="chave">Data de Nascimento</p></div>--}}
        {{--<div class="col-md-2"><p class="chave">Falecido</p></div>--}}
        {{--</div>--}}
        @foreach($dependentes as $dep)
          <div class="row">
            <div class="col-md-5">
              <p class="chave">Nome</p>
              <p class="valor">{{ $dep-> nome }}</p>
            </div>
            <div class="col-md-3">
              <p class="chave">Parentesco</p>
              <p class="valor">{{ $dep-> parentesco }}</p>
            </div>
            <div class="col-md-2">
              <p class="chave">Data de Nascimento</p>
              <p class="valor">{{date_format(date_create($dep->data_nascimento), 'd/m/Y') }}</p>
            </div>
            <div class="col-md-2">
              <p class="chave">Falecido</p>
              <p class="valor">{{ $dep->falecido?'Não':'Sim' }}</p>
            </div>
          </div>
        @endforeach
      @endif
    </div>
  </div>

  <hr>
  <div class="row">
    <div class="col-xs-12">
      <h3><i class="fa fa-university" aria-hidden="true"></i> Informação Bancária</h3>
    </div>
  </div>
  <div class="row">
    <div class="col-xs-12">
      // TODO
    </div>
  </div>

  <hr>
  <div class="row">
    <div class="col-xs-12">
      <h3><i class="fa fa-users" aria-hidden="true"></i> Departamento</h3>
    </div>
  </div>
  <div class="row">
    <div class="col-xs-12">
      @if($func->Departamento == null)
        <div class="alert alert-warning alert-important">
          Este Funcionário não pertence a nenhum Departamento.
        </div>
      @else
        <p class="chave">Nome do Departamento:</p>
        <p class="valor">{{ $func->Departamento->nome}}</p>
      @endif
    </div>
  </div>

  <hr>
  <div class="row">
    <div class="col-xs-12">
      <h3><i class="fa fa-briefcase" aria-hidden="true"></i> Informação Profissional</h3>
    </div>
  </div>

  <div class="row">
    <div class="col-md-8 grupo">
      <p class="chave">Teste MBTI:</p>
      <p class="valor">{{ \App\Models\Cadastros\Funcionarios::enum_MBTI_string()[$func->teste_mbti] }}</p>
    </div>
    <div class="col-md-4 grupo">
      <p class="chave">Inativo:</p>
      <p class="valor">{{ $func->inativo ?'sim':'não'}}</p>
    </div>
  </div>

  <div class="row">
    <div class="col-md-5 grupo">
      <p class="chave">Regime:</p>
      <p class="valor">{{ \App\Models\Cadastros\Funcionarios::enum_regime()[$func->regime] }}</p>
    </div>
    <div class="col-md-7 grupo">
      <p class="chave">Horário do Expediente:</p>
      <p class="valor">{{ $func->hr_entrada}} às {{ $func->hr_saida }}</p>
    </div>
  </div>

  <hr>
  <div class="row">
    <div class="col-md-12">
      <h3><i class="fa fa-cog" aria-hidden="true"></i> Permissões Especiais</h3>
    </div>
  </div>

  <div class="row">
    <div class="col-md-4 form-group">
      <p class="chave">Elegível como Aprovador de Controle de Pontos:</p>
      <p class="valor">{{ $func->perm_aprovador_ctl_pontos? 'Sim' : 'Não' }}</p>
    </div>
  </div>


  <hr>
  <div class="row">
    <div class="col-xs-10">
      <h3><i class="fa fa-calendar-check-o" aria-hidden="true"></i> Situação atual na Empresa</h3>
    </div>
    <div class="col-xs-2">
      <a class="btn btn-default h3 pull-right" href="{{ route('historicos.index', [$func->id ]) }}">
        <i class="fa fa-calendar " aria-hidden="true"></i> Histórico
      </a>
    </div>
  </div>
  @if($hist[ 'numHist' ] === 0)
    <div class="alert alert-warning alert-important">
      <strong>Não há nenhum Histórico cadastrado para este Funcionário.</strong>
    </div>
  @else
    <div class="row">
      <div class="form-group col-md-4">
        <p class="chave">Tempo de Casa:</p>

        <p class="valor">
          @unless( $hist[ 'dataContratacao' ] == null )
            <?php \Carbon\Carbon::setLocale( 'pt_BR' );
            $inicio = \Carbon\Carbon::createFromFormat( 'Y-m-d', $hist[ 'dataContratacao' ] );
            $inicioS = $inicio->format( 'd/m/Y' );
            if ( $hist[ 'dataDemissao' ] != null ) {
              $fim  = \Carbon\Carbon::createFromFormat( 'Y-m-d', $hist[ 'dataDemissao' ] );
              $fimS = $fim->format( 'd/m/Y' );
            } else {
              $fim  = \Carbon\Carbon::now();
              $fimS = 'hoje';
            }
            $tempo = $inicio->diffForHumans( $fim, true );
            ?>
            de {{ $inicioS }} até {{ $fimS }} ({{ $tempo }})
          @endunless
        </p>
      </div>
      <div class="form-group col-md-8">
        <p class="chave"> Cargo e Nível:</p>
        <p class="valor">
          {{ \App\Models\Cadastros\FuncHistoricos::getCargoNivel($hist['cargo'],$hist['nivel']) }}
        </p>
      </div>
    </div>

    <div class="row">
      <div class="form-group col-md-4">
        <p class="chave">Salário:</p>
        <p class="valor">
          @unless($hist['salario']===null)
            R$ {{ number_format( $hist['salario'] / 100, 2, ',', '.') }}
          @endunless
        </p>
      </div>
      <div class="form-group col-md-4">
        <p class="chave">Vale Refeição:</p>
        <p class="valor">
          @unless($hist['vr']===null)
            R$ {{ number_format( $hist['vr'] / 100, 2, ',', '.' ) }}/dia
          @endunless
        </p>
      </div>
      <div class="form-group col-md-4">
        <p class="chave">Vale Transporte:</p>
        <p class="valor">
          @unless($hist['vt']===null)
            R$ {{ number_format( $hist['vt'] / 100, 2, ',', '.' ) }}/dia
          @endunless
        </p>
      </div>
    </div>

    <div class="row">
      <div class="form-group col-md-4">
        <p class="chave">Seguro de Vida:</p>
        <p class="valor">{{ $hist['seguro_vida']===null?'':($hist['seguro_vida']?'Sim':'Não') }}</p>
      </div>
      <div class="form-group col-md-8">
        <p class="chave">Última Férias:</p>
        <p class="valor">
          @unless($hist['ferias_dt_inicio']===null || $hist['ferias_dt_termino']===null)
            de
            {{\Carbon\Carbon::createFromFormat('Y-m-d', $hist['ferias_dt_inicio'])->format('d/m/Y')}}
            até
            {{\Carbon\Carbon::createFromFormat('Y-m-d', $hist['ferias_dt_termino'])->format('d/m/Y')}}
          @endunless
        </p>
      </div>
    </div>
  @endif

  <br><br><br>
@endsection
