@extends('app')

@section('content')

  <div class="row">
    <div class="col-md-12 form-group">
      <div class="h1">
        <a href="{{route('cadastros.planodecontas.index')}}" class="btn btn-default" data-toggle="tooltip" title="Voltar">
          <i class="fa fa-arrow-left fa-2x" aria-hidden="true"></i>
        </a>
        Editar
        {{ $tipo == 'GRUPO' ? 'Grupo': 'Item' }}
        de Plano de Contas

        {{ Form::open(['route' => ['cadastros.planodecontas.destroy' , $grupoID, $itemID], 'style'=>'display:inline;']) }}
        {{ Form::hidden('_method', 'DELETE') }}
        <button type="submit" class="btn btn-danger inline pull-right" name="deleta_item">
          <i class="fa fa-trash-o" aria-hidden="true"></i>
          Deletar {{ $tipo == 'GRUPO' ? 'Grupo': 'Item' }}
        </button>
        {{ Form::close() }}
      </div>
    </div>
  </div>

  {!! Form::model(
    ( $tipo == 'GRUPO' ? $grupo : $item), [
    'method'=> 'PUT',
    'route' => ['cadastros.planodecontas.update',$grupoID, $itemID]
  ]) !!}

  @include('Cadastros.PlanoDeContas.form')

  <br>
  <div class="row">
    <div class="col-md-12">
      <button class="btn btn-primary" type="submit">
        <i class="fa fa-floppy-o" aria-hidden="true"></i>
        Salvar
        {{ $tipo == 'GRUPO' ? 'Grupo': 'Item' }}
        de Plano de Contas
      </button>
      <a class="btn btn-default" href="{{ route('cadastros.planodecontas.index') }}">
        <i class="fa fa-ban" aria-hidden="true"></i> Cancelar
      </a>
    </div>
  </div>
  {!! Form::close() !!}
  <br><br><br><br>

  @include('_fragments.modal', ['titulo'=>($tipo == 'GRUPO' ? 'Grupo': 'Item') ])
@endsection
