@extends('app')

@section('content')

  <div class="row">
    <div class="col-md-12">
      <h1>
        <a href="{{route('usuarios.index')}}" class="btn btn-default" data-toggle="tooltip" title="Voltar">
          <i class="fa fa-arrow-left fa-2x" aria-hidden="true"></i>
        </a>
        Cadastrar Usuário
      </h1>
    </div>
  </div>
  
  {!! Form::open([
      'route' => 'usuarios.store',
  ]) !!}
  
  <div class="row">
    <div class="col-md-12">
      <h3><i class="fa fa-user" aria-hidden="true"></i> Informação Básica</h3>
    </div>
  </div>
  
  <div class="row">
    <div class="col-md-12 form-group">
      {!! Form::label('funcionarios_id', 'Funcionário Associado:', ['class'=>'control-label']) !!}
      {!! Form::select('funcionarios_id',\App\Models\Cadastros\Usuarios::enum_Funcionarios_sem_Usuario(), null, ['placeholder'=>'-- Selecione um item --','class'=>'form-control', 'id'=>'func', 'required']) !!}
    </div>
  </div>
  
  <div class="row">
    <div class="col-md-12 form-group">
      {!! Form::label('crp_role', 'Função do Funcionário:', ['class'=>'control-label']) !!}
      {!! Form::select('crp_role',\App\Models\Cadastros\Usuarios::enum_Roles(), null, ['placeholder'=>'-- Selecione uma Função --','class'=>'form-control', 'required']) !!}
    </div>
  </div>
  
  <div class="row">
    <div class="col-md-12 form-group">
      {!! Form::label('name', 'Nome a ser Exibido:', ['class'=>'control-label']) !!}
      {!! Form::text('name', null, ['class'=>'form-control','id'=>'nome']) !!}
    </div>
  </div>
  
  <div class="row">
    <div class="col-md-12 form-group">
      {!! Form::label('email', 'E-mail:', ['class'=>'control-label']) !!}
      {!! Form::email('email', null, ['class'=>'form-control', 'id'=>'email']) !!}
    </div>
  </div>
  
  <div class="row">
    <div class="col-md-12 form-group">
      {!! Form::label('', 'Senha:', ['class'=>'control-label']) !!}
      <div class="alert alert-info alert-important">
        <i class="fa fa-info-circle"></i>&nbsp;
        Será enviado para o e-mail deste Funcionário (indicado acima) as
        instruções para acessar o sistema, junto com uma senha aleatória!
      </div>
    </div>
  </div>
  
  @include('errors.list')
  
  <div class="row">
    <div class="col-md-12">
      <button class="btn btn-primary" type="submit">
        <i class="fa fa-plus" aria-hidden="true"></i> Inserir Novo Usuário
      </button>
      <a class="btn btn-default" href="{{ route('usuarios.index') }}">
        <i class="fa fa-ban" aria-hidden="true"></i> Cancelar
      </a>
    </div>
  </div>
  {!! Form::close() !!}
  <br><br><br><br>
  
@endsection
@section('scripts')
  <script>
    $( document ).ready( function () {
      $( "#func" ).change( function () {
        $.ajax( {
          url: '{{route('api.funcionarios.show', '')}}/' + this.value,
          type: 'GET',
          data: { token: window.localStorage[ 'jwtToken' ] },
          success: function ( dados, status ) {
            $( "#nome" ).val( dados.nome );
            $( "#email" ).val( dados.email );
          },
        } );
      } );
    } );
  </script>
@endsection
