@extends('app')

@section('content')
  <div class="row">
    <div class="col-md-12">
      <h1>
        <a href="{{route('usuarios.index')}}" class="btn btn-default" data-toggle="tooltip" title="Voltar">
          <i class="fa fa-arrow-left fa-2x" aria-hidden="true"></i>
        </a>
        Editar Usuário
      </h1>
    </div>
  </div>
  
  {!! Form::model(
    $user, [
    'method'=> 'PUT',
    'route' => ['usuarios.update', $user->id]
   ]) !!}
  
  {!! Form::hidden('editando', '1') !!}
  <div class="row">
    <div class="col-md-12">
      <h3><i class="fa fa-user" aria-hidden="true"></i> Informação Básica</h3>
    </div>
  </div>
  
  <div class="row">
    <div class="col-md-12 form-group">
      {!! Form::label('funcionarios_id', 'Funcionário Associado:', ['class'=>'control-label']) !!}
      <p class="valor">{{ $nomeFunc }}</p>
    </div>
  </div>
  
  <div class="row">
    <div class="col-md-12 form-group">
      {!! Form::label('crp_role', 'Função do Funcionário:', ['class'=>'control-label']) !!}
      {!! Form::select('crp_role',\App\Models\Cadastros\Usuarios::enum_Roles(), null, ['placeholder'=>'-- Selecione uma Função --','class'=>'form-control', 'required']) !!}
    </div>
  </div>
  
  <div class="row">
    <div class="col-md-12 form-group">
      {!! Form::label('name', 'Nome a ser Exibido:', ['class'=>'control-label']) !!}
      {!! Form::text('name', null, ['class'=>'form-control','id'=>'nome']) !!}
    </div>
  </div>
  
  <div class="row">
    <div class="col-md-12 form-group">
      {!! Form::label('email', 'E-mail:', ['class'=>'control-label']) !!}
      <p class="valor">{{$user->email}}</p>
    </div>
  </div>
  
  <div class="row">
    <div class="col-md-12 form-group">
      {!! Form::label('', 'Senha:', ['class'=>'control-label']) !!}
      <div class="alert alert-info alert-important">
        <i class="fa fa-info-circle"></i>&nbsp;
        A senha continuará a mesma definida por este Usuário!
      </div>
    </div>
  </div>
  
  <br>
  <br>
  @include('errors.list')
  
  <div class="row">
    <div class="col-md-12">
      <button class="btn btn-primary" type="submit">
        <i class="fa fa-floppy-o" aria-hidden="true"></i> Salvar Usuário
      </button>
      <a class="btn btn-default" href="{{ route('usuarios.index') }}">
        <i class="fa fa-ban" aria-hidden="true"></i> Cancelar
      </a>
    </div>
  </div>
  {!! Form::close() !!}
  <br><br><br><br>
@endsection
