@extends('app')

@section('content')

  <div class="row">
    <div class="col-md-12">
      <h1>
        <a href="{{route('usuarios.index')}}" class="btn btn-default" data-toggle="tooltip" title="Voltar">
          <i class="fa fa-arrow-left fa-2x" aria-hidden="true"></i>
        </a>
        Visualizar Usuário
        @can(CRP::P_Cadastro_edit)
          <a href="{{route('usuarios.edit',[$user->id])}}" class="btn btn-warning pull-right">
            <i class="fa fa-pencil" aria-hidden="true"></i> Editar
          </a>
        @endcan
      </h1>
    </div>
  </div>
  
  <div class="row">
    <div class="col-md-10 grupo">
      <p class="chave">Funcionário Associado:</p>
      <p class="valor">{{\App\Models\Cadastros\Funcionarios::enum_Funcionarios()[$user->funcionarios_id]}}</p>
    </div>
    <div class="col-md-2 grupo">
      <p class="chave hidden-sm hidden-xs">&nbsp;</p>
      <a href="{{route('funcionarios.show', $user->funcionarios_id)}}" class="btn btn-primary btn-block">
        <i class="fa fa-eye" aria-hidden="true"></i> Visualizar
      </a>
    </div>
  </div>
  
  <div class="row">
    <div class="col-md-12 grupo">
      <p class="chave">Função do Funcionário:</p>
      @if($user->crp_role)
        <p class="valor">{{ \App\Models\Cadastros\Usuarios::enum_Roles()[$user->crp_role]}}</p>
      @else
        <p class="valor alert alert-warning alert-important" style="margin:0;">
          <i class="fa fa-exclamation-circle"></i>&nbsp;
          Nenhuma Função associada a este Usuário!
        </p>
      @endif
    </div>
  </div>
  
  <div class="row">
    <div class="col-md-12 grupo">
      <p class="chave">Nome:</p>
      <p class="valor">{{ $user->name }}</p>
    </div>
  </div>
  
  <div class="row">
    <div class="col-md-12 grupo">
      <p class="chave">E-mail:</p>
      <p class="valor">{{ $user->email }}</p>
    </div>
  </div>
  
  <div class="row">
    <div class="col-md-12 form-group">
      <p class="chave">Senha:</p>
      <p class="valor alert alert-info alert-important">
        <i class="fa fa-info-circle"></i>&nbsp;
        A senha é visivel somente para o próprio Usuário.
      </p>
    </div>
  </div>
  
  
  <br><br><br>
@endsection