@extends('app')

@section('content')
  <style type="text/css">
    .label {
      padding: .2em .6em .1em;
    }
  </style>
  <div class="row">
    <div class="col-md-12 form-group">
      <h1>
        <a href="{{route('jobs.index')}}" class="btn btn-default" data-toggle="tooltip" title="Voltar">
          <i class="fa fa-arrow-left fa-2x" aria-hidden="true"></i>
        </a>
        <span class="label label-success">{{$job->etapa_atual }}</span>
        Job {{ $job->id }}:
        <span style="color: #777;">{{$job->nome_job}}</span>
      </h1>
    </div>
  </div>

  @include('flash::message')

  {!! Form::open([
      'method'=> 'PUT',
      'route' => ['jobs.update', $job->id],
      'id'=>"Job_form"
  ]) !!}
  {!! Form::hidden('JOB_ETAPA_ATUAL', $job->StageTop()->etapa ) !!}

  @yield('form')

  <br>
  <br>
  @include('errors.list')

  @can( App\CRP::enum_P_comercial_edit[ $job->etapa_atual ] )

    @unless($job->etapa_atual == 'P' || $job->etapa_atual == 'Z')
      <div class="row">
        <div class="col-md-12">
          @if($job->StageTop()->salvo === null)
            <div class="alert alert-warning alert-important">
              <i class="fa fa-warning" aria-hidden="true"></i>
              Ainda não salvo.
            </div>
          @else
            <div class="alert alert-info alert-important">
              <i class="fa fa-info-circle"></i>
              Salvo às
              {{ Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $job->StageTop()->salvo)->format('H:i:s d/m/Y') }}
            </div>
          @endif
        </div>
      </div>
    @endunless

    <div class="row">
      <div class="col-lg-3 col-lg-offset-1 col-md-4 col-sm-12 form-group">
        @unless( $job->etapa_atual === 'A')
          <button class="btn btn-warning btn-lg btn-block" type="submit" id="BTN_back"
                  data-toggle="tooltip" title="Descarta alterações e Retorna para a Etapa Anterior.">
            <i class="fa fa-arrow-left fa-lg" aria-hidden="true"></i>&nbsp;&nbsp;RETORNAR ETAPA
          </button>
        @endunless
      </div>
      <div class="col-md-4 col-sm-12 form-group">
        @if( !in_array( $job->etapa_atual, [ 'G', 'Z' ] ) ||
          ( $job->etapa_atual === 'G' && auth()->check() && auth()->user()->hasAnyRole( [ App\CRP::R_Admin, App\CRP::R_Diretor ] ) ))
          <button class="btn btn-primary btn-lg btn-block" type="submit" id="BTN_save"
                  data-toggle="tooltip" title="Salva as Alterações e Continua nesta mesma Etapa.">
            <i class="fa fa-save fa-lg" aria-hidden="true"></i>&nbsp;&nbsp;SALVAR RASCUNHO
          </button>
        @endif
      </div>
      <div class="col-lg-3 col-md-4 col-sm-12 form-group">
        @unless( in_array( $job->estado_atual, [ 'G', 'Z' ] ) )
          <button class="btn btn-success btn-lg btn-block" type="submit" id="BTN_send"
                  data-toggle="tooltip" title="Salva as Alterações e Avança para a Etapa Seguinte.">
            AVANÇAR ETAPA&nbsp;&nbsp;<i class="fa fa-arrow-right fa-lg" aria-hidden="true"></i>
          </button>
        @endunless
      </div>
    </div>

  @endcan

  {!! Form::hidden('tipo_submit', '', ['id'=>'tipo_submit']) !!}
  {!! Form::close() !!}
  <br><br><br><br>
  <div class="modal fade" id="back-modal" tabindex="-1" role="dialog" aria-labelledby="modalLabel">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-label="Fechar">
            <span aria-hidden="true">&times;</span></button>
          <h4 class="modal-title" id="modalLabel">Retorna esta Proposta Comercial para a Etapa Anterior</h4>
        </div>
        <div class="modal-body">
          Deseja realmente Retorna para a Etapa Anterior? <br>
          Todas as alterações não salvas serão descartas!
        </div>
        <div class="modal-footer">
          <button type="button" id="confimar_back" class="btn btn-primary">
            <i class="fa fa-check" aria-hidden="true"></i> Sim
          </button>
          <button type="button" class="btn btn-default" data-dismiss="modal">
            <i class="fa fa-ban" aria-hidden="true"></i> N&atilde;o
          </button>
        </div>
      </div>
    </div>
  </div>

  <div class="modal fade" id="send-modal" tabindex="-1" role="dialog" aria-labelledby="modalLabel">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-label="Fechar">
            <span aria-hidden="true">&times;</span></button>
          <h4 class="modal-title" id="modalLabel">Avançar esta Proposta Comercial para a Próxima Etapa</h4>
        </div>
        <div class="modal-body">
          Deseja realmente Avançar para a Etapa Seguinte? <br>
          Todas as alterações serão salvas!
        </div>
        <div class="modal-footer">
          <button type="button" id="confimar_send" class="btn btn-primary">
            <i class="fa fa-check" aria-hidden="true"></i> Sim
          </button>
          <button type="button" class="btn btn-default" data-dismiss="modal">
            <i class="fa fa-ban" aria-hidden="true"></i> N&atilde;o
          </button>
        </div>
      </div>
    </div>
  </div>
@endsection

@section('scripts')
  <script type="application/javascript">
    $( '#BTN_back' ).on( 'click', function ( e ) {
      var $form = $( this ).closest( 'form' );
      $( '#tipo_submit' ).val( 'back' );
      e.preventDefault();
      $( '#back-modal' ).modal( { backdrop: 'static', keyboard: false } )
        .one( 'click', '#confimar_back', function () {
          $form.trigger( 'submit' );
        } );
    } );

    $( '#BTN_save' ).on( 'click', function ( e ) {
      e.preventDefault();
      $( '#tipo_submit' ).val( 'save' );
      var $form = $( this ).closest( 'form' );
      $form.trigger( 'submit' );
    } );

    $( '#BTN_send' ).on( 'click', function ( e ) {
      var $form = $( this ).closest( 'form' );
      $( '#tipo_submit' ).val( 'send' );
      e.preventDefault();
      $( '#send-modal' ).modal( { backdrop: 'static', keyboard: false } )
        .one( 'click', '#confimar_send', function () {
          $form.trigger( 'submit' );
        } );
    } );
  </script>

  @yield('form_scripts')
@endsection
