@extends('app')

@section('content')
  <style type="text/css">
    .label {
      padding : .2em .6em .1em;
    }
  </style>
  <div class="row form-group">
    <div class="col-md-4">
      <h1>
        <a class="no-link" href="{{route('jobs.index')}}">
          Propostas Comerciais
        </a>
      </h1>
    </div>

    <div class="col-md-5">
      <form action="" method="get">
        <div class="input-group h2" style="width: 100%">
          <input name="nome_job" class="form-control" id="search" type="text" placeholder="Pesquisar por Nome ou Código"
                 value="{{ Request::get('nome_job','') }}">
          <div class="input-group-btn">

            <div class="btn-group">
              <button tabindex="-1" data-toggle="dropdown" class="btn btn-default dropdown-toggle" type="button">
                <span class="caret"></span>
                <span class="sr-only">Toggle Dropdown</span>
              </button>
              <div id="avancado" class="dropdown-menu dropdown-menu-right"
                   style="padding: 10px 30px; width: 350px">
                <div id="avancado_form">

                  <div class="row">
                    <div class="col-xs-10">
                      <h4>Pesquisa Avançada</h4>
                    </div>
                    <div class="col-xs-2 h4 text-right">
                      <a href="?" class="text-danger" data-toggle="tooltip" data-placement="top"
                         title="Limpar Pesquisa">
                        <i class="fa fa-times-circle fa-lg"></i></a>
                    </div>
                  </div>

                  <div class="row">
                    <div class="col-md-12 form-group">
                      {!! Form::label('responsavel_id', 'Responsável:', ['class'=>'control-label']) !!}
                      {!! Form::select('responsavel_id',\App\Models\Comercial\Jobs::enum_responsaveis(), Request::get('responsavel_id',null), ['placeholder'=>'-- Qualquer um --','class'=>'form-control']) !!}
                    </div>
                  </div>
                  <div class="row">
                    <div class="col-md-12 form-group">
                      {!! Form::label('cliente_cdc_id', 'Centro de Custo do Cliente:', ['class'=>'control-label']) !!}
                      {!! Form::select('cliente_cdc_id', \App\Models\Comercial\Jobs::enum_clientes_centro_de_custo(),Request::get('cliente_cdc_id', null), ['placeholder'=>'-- Qualquer um --','class'=>'form-control', 'id'=>'cliente_cdc_id']) !!}
                    </div>
                  </div>
                </div>
              </div>
            </div>

            <button class="btn btn-primary" type="submit">
              &nbsp;&nbsp;&nbsp;<i class="fa fa-search" aria-hidden="true"></i>&nbsp;&nbsp;&nbsp;
            </button>

          </div>
        </div>
      </form>
    </div>
    @role(App\CRP::R_Admin)
    <div class="col-md-3 h2 text-right">
      <div class="btn-group" role="group" aria-label="...">
        <a href="{{route('jobs.create')}}" class="btn btn-success">
          <i class="fa fa-plus" aria-hidden="true"></i> Adicionar JOB
        </a>
        <div class="btn-group" role="group">
          <button tabindex="-1" data-toggle="dropdown" class="btn btn-default dropdown-toggle"
                  type="button">
            <span class="caret"></span>
            <span class="sr-only">Toggle Dropdown</span>
          </button>
          <ul class="dropdown-menu dropdown-menu-right">
            <li>
              <a class="" href="{{ route('export_jobs') }}" target="_blank">
                <i class="fa fa-file-excel-o" aria-hidden="true"></i>
                Exportar Jobs para Excel
              </a>
            </li>
            <li>
              <a class="" href="{{ route('jobs.campanhasIndex') }}">
                <i class="fa fa-money" aria-hidden="true"></i> Campanhas
              </a>
            </li>
            <li>
              <a class="" href="{{ route('jobs.servicoCustoInternoIndex') }}">
                <i class="fa fa-money" aria-hidden="true"></i> Serviços dos Custos Interno
              </a>
            </li>
          </ul>
        </div>
      </div>
    </div>
    @else
      @can(App\CRP::P_Comercial_0_edit)
        <div class="col-md-3 h2 text-right">
          <div class="btn-group" role="group" aria-label="...">
            <a href="{{route('jobs.create')}}" class="btn btn-success">
              <i class="fa fa-plus" aria-hidden="true"></i> Adicionar JOB
            </a>
            <div class="btn-group" role="group">
              <button tabindex="-1" data-toggle="dropdown" class="btn btn-default dropdown-toggle"
                      type="button">
                <span class="caret"></span>
                <span class="sr-only">Toggle Dropdown</span>
              </button>
              <ul class="dropdown-menu dropdown-menu-right">
                <li>
                  <a class="" href="{{ route('jobs.campanhasIndex') }}">
                    <i class="fa fa-money" aria-hidden="true"></i> Campanhas
                  </a>
                </li>
              </ul>
            </div>
          </div>
        </div>
      @elsecan(App\CRP::P_Comercial_B_edit)
        <div class="col-md-3 h2 text-right">
          <div class="btn-group" role="group" aria-label="...">
            <div class="btn-group" role="group">
              <button tabindex="-1" data-toggle="dropdown" class="btn btn-default dropdown-toggle"
                      type="button">
                Administração <span class="caret"></span>
                <span class="sr-only">Toggle Dropdown</span>
              </button>
              <ul class="dropdown-menu dropdown-menu-right">
                <li>
                  <a class="" href="{{ route('jobs.servicoCustoInternoIndex') }}">
                    <i class="fa fa-money" aria-hidden="true"></i> Servico do Custos Internos
                  </a>
                </li>
              </ul>
            </div>
          </div>
        </div>
      @endcan
    @endrole

  </div>

  @include('flash::message')

  @include('Comercial.JobIndex_all')

  <br><br><br><br><br>
  <!-- Modal -->
  <div class="modal fade" id="delete-modal" tabindex="-1" role="dialog" aria-labelledby="modalLabel">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-label="Fechar">
            <span aria-hidden="true">&times;</span></button>
          <h4 class="modal-title" id="modalLabel">Enviar para a Lixeira este Job</h4>
        </div>
        <div class="modal-body">
          <p>
            Deseja realmente enviar para a <strong>Lixeira</strong> este Job? <br>
          </p>
          <p>
            Está ação poderá ser desfeita acessando o <strong>Job na Lixeira</strong> e clicando em <strong>Restaurar Job</strong>!
          </p>
        </div>
        <div class="modal-footer">
          <button type="button" id="confimar_delete" class="btn btn-danger">
            <i class="fa fa-trash-o" aria-hidden="true"></i>&nbsp;
            Sim
          </button>
          <button type="button" class="btn btn-default" data-dismiss="modal">
            <i class="fa fa-ban" aria-hidden="true"></i>&nbsp;
            N&atilde;o
          </button>
        </div>
      </div>
    </div>
  </div>

@endsection