<?php
$titulo = [
  'A' => '<span class="label label-info">A</span> Comercial <small>Confecção do Briefing e do Cronograma</small>',
  'B' => '<span class="label label-success">B</span> Financeiro <small>Orçamento e Condição de Pagamento</small>',
  'C' => '<span class="label label-primary">C</span> Diretoria <small>Aprovação do Diretor</small>',
  'D' => '<span class="label label-warning">D</span> Planejamento <small>Gerar PDF e Aprovação do Cliente</small>',
  'E' => '<span class="label label-info">E</span> Em Produção',
  'F' => '<span class="label label-warning">F</span> Em Faturamento',
  'G' => '<span class="label label-success">G</span> Finalizado',
  'Z' => '<span class="label label-danger">Z</span> Arquivado',
  'L' => '<span class="label label-danger"><i class="fa fa-trash-o" aria-hidden="true"></i></span> Lixeira'
];
?>

@foreach( $allJobs as $stage => $jobs)
  <div class="row">
    <div class="col-md-12">
      <h2> {!! $titulo[$stage] !!} </h2>
    </div>
  </div>


  @if( $jobs->count() === 0)
    <div class="row">
      <div class="col-md-12">
        <div class="alert alert-warning alert-important">
          <h4 style="margin-bottom: 0;">
            <i class="fa fa-exclamation-circle fa-lg" aria-hidden="true"></i>
            Não há Jobs nesta etapa!
          </h4>
        </div>
      </div>
    </div>

  @else
    <div class="row">
      <div class="col-md-12 table-responsive">
        <table class="table table-hover">
          <thead>
          <tr>
            <th style="width: 5%;">@sortablelink('id', 'ID')</th>
            <th style="width: 35%;">@sortablelink('nome_job', 'Nome do Job')</th>
            <th style="width: 8%;">@sortablelink('created_at', 'Abertura')</th>
            <th style="width: 18%;">@sortablelink('responsavel_id', 'Responsável')</th>
            <th style="width: 28%;">@sortablelink('cliente_cdc_id', 'Cliente')</th>
            <th style="width: 6%;" class="text-right">&nbsp;</th>
          </tr>
          </thead>
          <tbody>
          @foreach($jobs as $job)
            <?php /** @var App\Models\Comercial\Jobs $job */ ?>
            <tr>
              <td>
                <strong>
                  {{ $job->id }}
                </strong>
              </td>
              <td>
                {{ $job->nome_job }}
              </td>
              <td>
                {{ $job->created_at->format('d/m/Y') }}
              </td>
              <td>
                {{ $job->_Responsavel()}}
              </td>
              <td>
                {{ $job->_ClienteConta() }}
              </td>
              <td class="text-right" style="text-align: right">
                @if($allPerm[$stage])
                  <a class="btn btn-primary btn-xs" href="{{ route('jobs.show',[$job->id]) }}"
                     title="Acessar Job">
                    <i class="fa fa-arrow-right" aria-hidden="true"></i>
                  </a>
                @else
                  {{--<a class="btn btn-primary btn-xs" href="{{ route('jobs.show',[$job->id]) }}"--}}
                  {{--title="Visualizar Proposta Comercial">--}}
                  {{--<i class="fa fa-eye" aria-hidden="true"></i>--}}
                  {{--</a>--}}
                @endif
                @role( App\CRP::R_Admin, App\CRP::R_Diretor )
                  @if($stage != 'L')
                    {{ Form::open(['route' => ['jobs.destroy' , $job->id], 'style'=>'display:inline;']) }}
                    {{ Form::hidden('_method', 'DELETE') }}
                    <button type="submit" class="btn btn-danger btn-xs inline" name="deleta_item" title="Enviar Job para a Lixeira">
                      <i class="fa fa-trash-o" aria-hidden="true"></i>
                    </button>
                    {{ Form::close() }}
                  @endif
                @endrole
              </td>
            </tr>
          @endforeach
          </tbody>
        </table>
      </div>
    </div>
    <div class="row">
      <div class="col-md-10 col-md-offset-1 text-center">
        {!! $jobs->appends(\Request::except('page'))->render() !!}
      </div>
    </div>
  @endif
@endforeach
  