@extends('Comercial.PDF.jobsPDF')

@section('itens')

  @foreach($datas['itens'] as $data)
    @if ($datas['orcs_count']>1)
      <div class="row orcamento">
        <div class="col-12 text-lg text-left text-bold">
          {{ $data['orc_letra'] }} - {{ $data['orc_nome'] }}
        </div>
      </div>
    @endif

    <div class="row descricao">
      <div class="col-12 text-md text-left text-bold">
        Descrição Geral
      </div>
      <div class="col-12 text-md text-left">
        {!! nl2br( $data[ 'orc_descricao' ] ) !!}
      </div>
    </div>

    <table class="itens_agrupado">
      <tbody>
      <tr>
        <td colspan="2" class="td_espaco">
          {{--  Custos de Operacionalização  --}}
          <table class="itens">
            <thead>
            <tr>
              <th class="td-9 text-bold text-left text-md">Custos de Operacionalização</th>
              <th class="td-3 text-bold text-right text-md">Valor</th>
            </tr>
            </thead>
            <tbody>
            @foreach($data[ 'co_itens' ] as $item)
              <tr>
                <td class="text-left">
                  {{ $item['nome'] }}
                </td>
                <td class="text-right">
                  R$ {{ number_format( $item['valor']/100, 2, ',', '.') }}
                </td>
              </tr>
            @endforeach
            </tbody>
            <tfoot>
            <tr>
              <td class="text-right text-md text-bold">Valor Total</td>
              <td class="text-right text-md">
                R$ {{ number_format( $data[ 'co_subtotal' ]/100, 2, ',', '.') }}
              </td>
            </tr>
            </tfoot>
          </table>
        </td>
      </tr>

      </tbody>
    </table>

  @endforeach

@endsection
