@extends('app')

@section('content')
  <div class="row">
    <div class="col-md-12 form-group">
      <h1>
        <a href="{{route('jobs.index')}}" class="btn btn-default" data-toggle="tooltip" title="Voltar">
          <i class="fa fa-arrow-left fa-2x" aria-hidden="true"></i>
        </a>
        <i class="fa fa-money" aria-hidden="true"></i> Campanhas
      </h1>
    </div>
  </div>
  
  @include('flash::message')
  
  <div class="row">
    <div class="col-md-8 col-md-offset-2">
      {{ Form::open(['route' => 'jobs.campanhasCreate', 'style'=>'display:inline;']) }}
      <div class="col-md-9">
        {{Form::label('nome','Nome da Campanha')}}
        {{ Form::text('nome', null, ['class'=>'form-control']) }}
      </div>
      <div class="col-md-3">
        <label for="" class="control-label">&nbsp;</label>
        <button class="btn btn-success form-control" type="submit">
          <i class="fa fa-plus" aria-hidden="true"></i> Inserir
        </button>
      </div>
      {{ Form::close() }}
    </div>
  </div>
  <br>
  
  @if($campanhasCount === 0)
    <div id="list" class="row">
      <div class="col-md-10 col-md-offset-1">
        <div class="alert alert-warning alert-important">
          <h4 style="margin-bottom: 0">
            <i class="fa fa-exclamation-circle fa-lg" aria-hidden="true"></i>
            Não há Campanhas cadastradas.
          </h4>
        </div>
      </div>
    </div>
  @else
    <div class="table-responsive">
      <table class="table table-hover table-responsive">
        <thead>
        <tr>
          <th>Código - Nome da Despesa</th>
          <th class="actions" style="text-align: right">Ações</th>
        </tr>
        </thead>
        <tbody>
        @foreach($campanhas as $campanha)
          <tr>
            <td>{{$campanha->nome}}</td>
            <td class="actions" style="text-align: right">
              {{ Form::open(['route' => ['jobs.campanhasDestroy' , $campanha->id], 'style'=>'display:inline;']) }}
              {{ Form::hidden('_method', 'DELETE') }}
              <button type="submit" class="btn btn-danger btn-xs inline" name="deleta_item">
                <i class="fa fa-trash-o" aria-hidden="true"></i>
              </button>
              {{ Form::close() }}
            
            </td>
          </tr>
        @endforeach
        </tbody>
      </table>
    </div>
  @endif
  
  @include('_fragments.modal', ['titulo'=>'Campanha'])

@endsection