{{--   CRONOGRAMA    --}}
{{-- https://github.com/Paul-DS/bootstrap-year-calendar --}}
<div class="row">
  <div class="col-xs-6 h2">
    <i class="fa fa-calendar"></i> Cronograma
  </div>
  <div class="col-xs-6 h2 text-right">
    <a class="btn btn-info" id="crono_import" onclick="crono_importar_show()">
      <i class="fa fa-cloud-download" aria-hidden="true"></i>
      Importar Cronograma
    </a>
    @if ( $job->etapa_atual === 'D' )
      <div class="btn-group" role="group" aria-label="..." data-toggle="tooltip" title="Salve o Cronograma antes de Exportar">
        <div class="btn-group" role="group">
          <button type="button" class="btn btn-default dropdown-toggle"
                  data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            <i class="fa fa-cloud-download"></i>
            Exportar <span class="caret"></span>
          </button>
          <ul class="dropdown-menu dropdown-menu-right">
            <li>
              <a href="{{ route('jobs.cronograma_pdf', $job->id ) }}" target="_blank">
                <i class=" fa fa-file-pdf-o"></i> Exportar em PDF
              </a>
            </li>
            <li>
              <a href="{{ route('jobs.cronograma_xlsx', $job->id ) }}" target="_blank">
                <i class="fa fa-file-excel-o"></i> Exportar em Excel
              </a>
            </li>
          </ul>
        </div>
      </div>
    @endif
  </div>
</div>

<div class="row">
  <div class="col-md-12">
    <div class="table-responsive">
      <table class="table">
        <colgroup>
          <col class="col-md-1">
          <col class="col-md-2" style="width: 20%;">
          <col class="col-md-2">
          <col class="col-md-7">
        </colgroup>
        <thead>
        <tr>
          <th>Cor</th>
          <th>Data Início - Data Término</th>
          <th>Responsável</th>
          <th>Descrição</th>
        </tr>
        </thead>
        <tbody id="crono_tabela">
        </tbody>
      </table>
    </div>
  </div>
</div>

<div class="row">
  <div class="col-md-12">
    <div id="Calendar" style="overflow-y: hidden;"></div>
  </div>
</div>

{!! Form::hidden('cronograma_hidden', $cronograma_hidden, ['id'=>'cronograma_hidden']) !!}

<div class="modal modal-fade" id="event-modal">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">
          <span aria-hidden="true">&times;</span>
          <span class="sr-only">Close</span>
        </button>
        <h4 class="modal-title">
          Item do Cronograma
        </h4>
      </div>
      <div class="modal-body">
        <input type="hidden" id="event_index">
        <div class="row form-group">
          <div class="col-sm-3">
            <label for="event_responsavel" class="control-label">Responsável:</label>
          </div>
          <div class="col-sm-9">
            <select id="event_responsavel" class="form-control">
              <option value=""> -- Selecione um --</option>
              <option value="1"> Atendimento</option>
              <option value="2"> Produção</option>
              <option value="3"> Financeiro</option>
              <option value="4"> Planejamento</option>
              <option value="5"> Diretoria</option>
              <option value="6"> Cliente</option>
              <option value="7"> Terceiros</option>
            </select>
          </div>
        </div>
        <div class="row form-group">
          <div class="col-sm-3">
            <label for="event_desc" class="control-label">Descrição:</label>
          </div>
          <div class="col-sm-9">
            <input id="event_desc" type="text" class="form-control" maxlength="255">
          </div>
        </div>
        <div class="row form-group">
          <div class="col-sm-3">
            <label for="event_data_inicio" class="control-label">Período:</label>
          </div>
          <div class="col-sm-9">
            <div class="input-group">
              <input id="event_data_inicio" type="text" class="form-control" value="">
              <span class="input-group-addon">até</span>
              <input id="event_data_termino" type="text" class="form-control" value="">
            </div>
          </div>
        </div>
        <div class="row" id="div_propagar">
          <div class="col-sm-6 form-group">
            <label>
              {!! Form::checkbox('crono_prop_dt', '1', null,  ['id' => 'crono_prop_dt']) !!}
              Propagar no eventos posteriores
            </label>
          </div>
          <div class="col-sm-6 form-group">
            <label>
              {!! Form::checkbox('crono_prop_dt_fds', '1', null,  ['id' => 'crono_prop_dt_fds']) !!}
              Somente dias comerciais
            </label>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
        <button type="button" class="btn btn-primary" id="event_salvar">Salvar</button>
      </div>
    </div>
  </div>
</div>

<style>
  .event-tooltip-content:not(:last-child) {
    border-bottom  : 1px solid #ddd;
    padding-bottom : 5px;
    margin-bottom  : 5px;
  }

  .event-tooltip-content .event-name {
    font-size : 18px;
  }

  .event-tooltip-content .event-descricao {
    font-size : 12px;
  }
</style>

<div id="crono_modalBuscaJobs" class="modal fade" role="dialog">
  <div class="modal-dialog modal-lg">

    <!-- Modal content -->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Importar Cronograma de outra Proposta Comercial</h4>
      </div>
      <div class="modal-body">

        <div class="tab-content">
          <div class="row">
            <div class="col-md-12 form-group">
              <div class="input-group">
                {!! Form::text('busca_crono_nome', '', ['class'=>'form-control', 'id'=>'busca_crono_nome', 'placeholder'=>'Pesquisar Propostas Comerciais pelo nome']) !!}
                <div class="input-group-btn">
                  <button class="btn btn-primary" onclick="busca_crono_buscar(); return false;">
                    &nbsp;&nbsp;&nbsp;<i class="fa fa-search" aria-hidden="true"></i>&nbsp;&nbsp;&nbsp;
                  </button>
                </div>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-md-12 form-group">
              <table class="table table-striped busca_crono" id="busca_crono_table">
                <thead>
                <tr>
                  <th style="width: 8.33333333%">ID</th>
                  <th style="width: 41.66666667%">Nome da Proposta Comercial</th>
                  <th style="width: 41.66666667%">Cliente</th>
                  <th style="width: 8.33333333%">&nbsp;</th>
                </tr>
                </thead>
                <tbody id="busca_crono_tbody">
                </tbody>
              </table>
              <div id="busca_crono_alert" class="alert alert-warning alert-important alert-block">
                <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                Nenhum Cronograma foi encontrado para essa Proposta Comercial pesquisada!
              </div>

            </div>

          </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal" onclick="crono_importar_cancelar()">
          Cancelar
        </button>
      </div>
    </div>

  </div>
</div>
<style type="text/css">
  table.busca_crono {
    width          : 100%;
    border-spacing : 0;
  }

  table.busca_crono thead, table.busca_crono tbody, table.busca_crono tr, table.busca_crono th, table.busca_crono td {
    display   : block;
    word-wrap : break-word;
  }

  table.busca_crono thead tr {
    /* fallback */
    width : 97%;
    /* minus scroll bar width */
    width : -webkit-calc(100% - 16px);
    width : -moz-calc(100% - 16px);
    width : calc(100% - 16px);
  }

  table.busca_crono tbody {
    height     : 250px;
    overflow-y : scroll;
    overflow-x : auto;
    display    : block;
  }

  @media (min-width : 768px) {
    table.busca_crono tbody {
      overflow-x : hidden;
    }
  }

  table.busca_crono tr:after { /* clearing float */
    content    : ' ';
    display    : block;
    visibility : hidden;
    clear      : both;
  }

  table.busca_crono tbody td, table.busca_crono thead th {
    float : left;
  }
</style>
