<script type="text/javascript">

  function editEvent( event ) {
    $( '#event_index' ).val( event.id ? event.id : '' );
    $( '#event_responsavel' ).val( event.tipo ? event.tipo : '' );
    $( '#event_desc' ).val( event.descricao ? event.descricao : '' );
    $( '#event_data_inicio' ).datepicker( 'update', event.startDate ? event.startDate : '' );
    $( '#event_data_termino' ).datepicker( 'update', event.endDate ? event.endDate : '' );
    $( '#crono_prop_dt' ).prop( 'checked', false );
    $( '#crono_prop_dt_fds' ).prop( 'checked', false );
    if ( event.id )
      $( '#div_propagar' ).show();
    else
      $( '#div_propagar' ).hide();
    $( '#event-modal' ).modal();
  }

  function deleteEvent( event ) {
    var dataSource = $( '#Calendar' ).data( 'calendar' ).getDataSource();

    for ( var i in dataSource ) {
      if ( dataSource[ i ].id == event.id ) {
        dataSource.splice( i, 1 );
        break;
      }
    }

    $( '#Calendar' ).data( 'calendar' ).setDataSource( dataSource );
    crono_render_tabela();

  }

  var tipos = [
    [ 'Atendimento', '#3333ff' ], // azul
    [ 'Produção', '#33ff33' ], // verde
    [ 'Financeiro', '#ff8533' ], // laranja
    [ 'Planejamento', '#8c1aff' ], // roxo
    [ 'Diretoria', '#ff3399' ], // rosa
    [ 'Cliente', '#e6e600' ], // amarelo
    [ 'Terceiros', '#ff3333' ] // vermelho
  ];

  function dateDiffInDays( a, b ) {
    // Discard the time and time-zone information.
    var utc1 = Date.UTC( a.getFullYear(), a.getMonth(), a.getDate() );
    var utc2 = Date.UTC( b.getFullYear(), b.getMonth(), b.getDate() );

    return Math.floor( (utc1 - utc2) / (1000 * 60 * 60 * 24) );
  }

  function dataAtualFormatada( data ) {
    var dia = data.getDate();
    if ( dia.toString().length == 1 )
      dia = '0' + dia;
    var mes = data.getMonth() + 1;
    if ( mes.toString().length == 1 )
      mes = '0' + mes;
    var ano = data.getFullYear();
    return dia + '/' + mes + '/' + ano;
  }

  function crono_render_tabela() {
    var dataSource = $( '#Calendar' ).data( 'calendar' ).getDataSource();

    dataSource.sort( function ( a, b ) {
      return a.startDate - b.startDate;
    } );

    var crono_tabela = $( '#crono_tabela' );
    crono_tabela.empty();
    for ( var i in  dataSource ) {
      var ev = dataSource[ i ];
      crono_tabela.append( '<tr>' +
        ' <td>' +
        ' <span class="badge" style="background-color: ' + ev.color + '">&nbsp;</span>' +
        ' </td>' +
        ' <td>' +
        dataAtualFormatada( ev.startDate ) +
        ' - ' +
        dataAtualFormatada( ev.endDate ) +
        ' </td>' +
        ' <td>' + ev.name + '</td>' +
        ' <td>' + ev.descricao + '</td>' +
        '</tr>' );
    }

  }

  function saveEvent() {
    var tipo = $( '#event_responsavel' ).val();
    if ( tipo == '' ) {
      alert( 'Selecione um Responsável!' );
      return false;
    }
    var name = tipos[ tipo - 1 ][ 0 ];
    var cor  = tipos[ tipo - 1 ][ 1 ];

    var event = {
      id: $( '#event_index' ).val(),
      tipo: tipo,
      name: name,
      descricao: $( '#event_desc' ).val(),
      color: cor,
      startDate: $( '#event_data_inicio' ).datepicker( 'getDate' ),
      endDate: $( '#event_data_termino' ).datepicker( 'getDate' )
    };

    var crono_prop_dt     = $( '#crono_prop_dt' ).is( ':checked' );
    var crono_prop_dt_fds = $( '#crono_prop_dt_fds' ).is( ':checked' );

    if ( event.startDate > event.endDate ) {
      alert( 'As datas do Periodo não são validas!' );
      return false;
    }

    var dataSource = $( '#Calendar' ).data( 'calendar' ).getDataSource();

    if ( event.id ) {
      for ( var i in dataSource ) {
        if ( dataSource[ i ].id == event.id ) {

          // Propagar atraso
          if ( crono_prop_dt ) {
            var dt_antiga = dataSource[ i ].startDate;
            var days_diff = dateDiffInDays( event.startDate, dt_antiga );
            var diff_real = days_diff;

            // desconsiderando o FDS do primeiro
            if ( crono_prop_dt_fds ) {
              diff_real = 0;
              var d1    = new Date( dt_antiga );
              if ( days_diff > 0 ) {
                for ( var d = 0; d < days_diff; d++ ) {
                  if ( d1.getDay() % 6 != 0 )
                    diff_real++;
                  d1.setDate( d1.getDate() + 1 );
                }
              } else {
                for ( var d = 0; d > days_diff; d-- ) {
                  if ( d1.getDay() % 6 != 0 )
                    diff_real--;
                  d1.setDate( d1.getDate() - 1 );
                }
              }
            }

            for ( var j in dataSource ) {
              if ( dt_antiga <= dataSource[ j ].startDate ) {
                console.log( dt_antiga <= dataSource[ j ].startDate, dt_antiga, dataSource[ j ].startDate );
                var days_diff_real = days_diff;

                // desconsiderando o FDS dos seguintes
                if ( crono_prop_dt_fds ) {

                  var d2  = 0;
                  var day = new Date( dataSource[ j ].startDate );
                  if ( days_diff > 0 ) {
                    while ( d2 < diff_real ) {
                      day.setDate( day.getDate() + 1 );
                      if ( day.getDay() % 6 != 0 )
                        d2++;
                    }
                    days_diff_real = dateDiffInDays( day, dataSource[ j ].startDate );
                  } else {
                    while ( d2 > diff_real ) {
                      day.setDate( day.getDate() - 1 );
                      if ( day.getDay() % 6 != 0 )
                        d2--;
                    }
                    days_diff_real = dateDiffInDays( dataSource[ j ].startDate, day );
                  }
                }

                dataSource[ j ].startDate.setDate( dataSource[ j ].startDate.getDate() + days_diff_real );
                dataSource[ j ].endDate.setDate( dataSource[ j ].endDate.getDate() + days_diff_real );
              }
            }
          }

          // set novos valores daquele evento
          dataSource[ i ].tipo      = event.tipo;
          dataSource[ i ].name      = event.name;
          dataSource[ i ].descricao = event.descricao;
          dataSource[ i ].color     = event.color;
          dataSource[ i ].startDate = event.startDate;
          dataSource[ i ].endDate   = event.endDate;
          break;
        }
      }
    } else {
      var newId = 0;
      for ( var i in dataSource ) {
        if ( dataSource[ i ].id > newId ) {
          newId = dataSource[ i ].id;
        }
      }
      newId++;
      event.id = newId;
      dataSource.push( event );
    }

    $( '#Calendar' ).data( 'calendar' ).setDataSource( dataSource );
    crono_render_tabela();
    $( '#event-modal' ).modal( 'hide' );
  }

  function submitCronograma() {
    var dataSource = $( '#Calendar' ).data( 'calendar' ).getDataSource();
    var dados      = JSON.stringify( dataSource );
    $( '#cronograma_hidden' ).val( dados );
  }

  function text2Date( txt ) {
    return new Date(
      parseInt( txt.substr( 0, 4 ) ),
      parseInt( txt.substr( 5, 2 ) ) - 1,
      parseInt( txt.substr( 8, 2 ) )
    );
  }

  function loadCronograma() {
    var dados = $( '#cronograma_hidden' ).val();
    if ( dados ) {
      var dataSource = JSON.parse( dados );
      for ( var i in dataSource ) {
        dataSource[ i ].startDate = text2Date( dataSource[ i ].startDate );
        dataSource[ i ].endDate   = text2Date( dataSource[ i ].endDate );
      }
      $( '#Calendar' ).data( 'calendar' ).setDataSource( dataSource );
      crono_render_tabela();
    }
  }

  $( function () {
    $( '#event_data_inicio' ).datepicker( {
      format: 'dd/mm/yyyy',
      language: 'pt-BR',
    } );
    $( '#event_data_termino' ).datepicker( {
      format: 'dd/mm/yyyy',
      language: 'pt-BR',
    } );

    $( '#Calendar' ).calendar( {
      enableContextMenu: true,
      enableRangeSelection: true,
      language: 'pt',
      style: 'background',
      contextMenuItems: [
        {
          text: 'Atualizar',
          click: editEvent
        },
        {
          text: 'Deletar',
          click: deleteEvent
        }
      ],
      selectRange: function ( e ) {
        editEvent( { startDate: e.startDate, endDate: e.endDate } );
      },
      mouseOnDay: function ( e ) {
        if ( e.events.length > 0 ) {
          var content = '';

          for ( var i in e.events ) {
            content += '<div class="event-tooltip-content">'
              + '<div class="event-name" style="color:' + e.events[ i ].color + '">' + e.events[ i ].name + '</div>'
              + '<div class="event-descricao">' + e.events[ i ].descricao + '</div>'
              + '</div>';
          }

          $( e.element ).popover( {
            trigger: 'manual',
            container: 'body',
            html: true,
            placement: 'top',
            content: content
          } );

          $( e.element ).popover( 'show' );
        }
      },
      mouseOutDay: function ( e ) {
        if ( e.events.length > 0 ) {
          $( e.element ).popover( 'hide' );
        }
      },
      dayContextMenu: function ( e ) {
        $( e.element ).popover( 'hide' );
      },
      dataSource: [],
    } );

    $( '#event_salvar' ).click( function () {
      saveEvent();
    } );
    loadCronograma();
    $( '#Job_form' ).submit( function () {
      submitCronograma();
      return true;
    } );
  } );

</script>

{{-- Importador de Cronograma --}}
<script type="application/javascript">
  var crono_import_form = {
    nome: $( '#busca_crono_nome' ),
    tbody: $( '#busca_crono_tbody' ),

    modalShow: function () {
      $( '#crono_modalBuscaJobs' ).modal( 'show' );
    },
    modalHide: function () {
      $( '#crono_modalBuscaJobs' ).modal( 'hide' );
    },
    alertShow: function () {
      $( '#busca_crono_alert' ).show();
      $( '#busca_crono_table' ).hide();
    },
    alertHide: function () {
      $( '#busca_crono_table' ).show();
      $( '#busca_crono_alert' ).hide();
    }
  };

  function crono_importar_cancelar() {
    crono_import_form.modalHide();
  }

  function crono_importar_show() {
    crono_import_form.nome.val( '' );
    $( '#busca_crono_table' ).hide();
    $( '#busca_crono_alert' ).hide();
    crono_import_form.modalShow();
    busca_crono_buscar();
  }

  function busca_crono_addTR( item ) {
    crono_import_form.tbody.append( '<tr>' +
      '<td style="width: 8.33333333%;">' + item.id + '</td>' +
      '<td style="width: 41.66666667%;">' + item.nome_job + '</td>' +
      '<td style="width: 41.66666667%;">' + item.cliente + '</td>' +
      '<td class="text-right" style="width: 8.33333333%;">' +
      '<a class="btn btn-primary btn-xs" onclick="busca_crono_import(' + item.id + ')" title="Importar este Cronograma">' +
      '<i class="fa fa-cloud-download" aria-hidden="true"></i>' +
      '</a>' +
      '</td>' +
      '</tr>' );
  }

  function busca_crono_buscar() {
    $.ajax( {
      url: '{{ route('api.crono.busca_cronos') }}',
      type: 'GET',
      data: {
        nome: crono_import_form.nome.val(),
        token: window.localStorage[ 'jwtToken' ]
      },
      success: function ( data ) {
        crono_import_form.tbody.empty();
        if ( data.length > 0 ) {
          crono_import_form.alertHide();
          for ( var i in data ) {
            busca_crono_addTR( data[ i ] );
          }
        } else {
          crono_import_form.alertShow();
        }
      }
    } );
  }

  function busca_crono_import( id ) {
    if ( id == '' ) return;
    if ( confirm( 'Deseja realmente importar este Cronograma?' ) ) {
      $.ajax( {
        url: '{{ route('api.crono.get_crono', '') }}/' + id,// + '?token=' + window.localStorage[ 'jwtToken' ],
        data: {
          token: window.localStorage[ 'jwtToken' ]
        },
        type: 'GET',
        success: function ( data ) {
          var dataSource = $( '#Calendar' ).data( 'calendar' ).getDataSource();
          var newId      = 0;
          for ( var i in dataSource )
            if ( dataSource[ i ].id > newId )
              newId = dataSource[ i ].id;

          for ( var j in data ) {
            data[ j ].id        = ++newId;
            data[ j ].startDate = text2Date( data[ j ].startDate );
            data[ j ].endDate   = text2Date( data[ j ].endDate );
            dataSource.push( data[ j ] );
          }

          $( '#Calendar' ).data( 'calendar' ).setDataSource( dataSource );
          crono_render_tabela();
        }
      } );
      crono_import_form.modalHide();
    }
  }
</script>