{{--   CRONOGRAMA EM PRODUCAO    --}}
{{-- https://github.com/Paul-DS/bootstrap-year-calendar --}}
<div class="row">
  <div class="col-xs-8 h2">
    <i class="fa fa-calendar"></i> Cronograma
  </div>
  <div class="col-xs-4 h2 text-right">
    <div class="btn-group" role="group" aria-label="...">
      <div class="btn-group" role="group">
        <button type="button" class="btn btn-default dropdown-toggle"
                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          <i class="fa fa-cloud-download"></i>
          Exportar <span class="caret"></span>
        </button>
        <ul class="dropdown-menu dropdown-menu-right">
          <li>
            <a href="{{ route('jobs.cronograma_pdf', $job->id ) }}" target="_blank">
              <i class=" fa fa-file-pdf-o"></i> Exportar em PDF
            </a>
          </li>
          <li>
            <a href="{{ route('jobs.cronograma_xlsx', $job->id ) }}" target="_blank">
              <i class="fa fa-file-excel-o"></i> Exportar em Excel
            </a>
          </li>
        </ul>
      </div>
    </div>
  </div>
</div>

<div class="row">
  <div class="col-md-12">
    <div class="table-responsive">
      <table class="table">
        <colgroup>
          <col class="col-md-1">
          <col class="col-md-3">
          <col class="col-md-3">
          <col class="col-md-5">
        </colgroup>
        <thead>
        <tr>
          <th>Cor</th>
          <th>Data Início - Data Término</th>
          <th>Responsável</th>
          <th>Descrição</th>
        </tr>
        </thead>
        <tbody>
        @foreach($cronograma as $crono)
          <tr>
            <td>
              <span class="badge" style="background-color: {{ $crono->color }}">&nbsp;</span>
            </td>
            <td>
              {{ \Carbon\Carbon::parse( $crono->startDate)->format('d/m/Y') }}
              -
              {{ \Carbon\Carbon::parse( $crono->endDate)->format('d/m/Y') }}
            </td>
            <td>{{ $crono->name }}</td>
            <td>{{ $crono->descricao }}</td>
          </tr>
        @endforeach
        </tbody>
      </table>
    </div>
  </div>
</div>

<div class="row">
  <div class="col-md-12">
    <div id="Calendar" style="overflow-y: hidden;"></div>
  </div>
</div>

{!! Form::hidden('cronograma_hidden', $cronograma_hidden, ['id'=>'cronograma_hidden']) !!}

<div class="modal modal-fade" id="event-modal">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">
          <span aria-hidden="true">&times;</span>
          <span class="sr-only">Close</span>
        </button>
        <h4 class="modal-title">
          Item do Cronograma
        </h4>
      </div>
      <div class="modal-body">
        <input type="hidden" id="event_index">
        <div class="row form-group">
          <div class="col-sm-3">
            <label for="event_responsavel" class="control-label">Responsável:</label>
          </div>
          <div class="col-sm-9">
            <select id="event_responsavel" class="form-control">
              <option value=""> -- Selecione um -- </option>
              <option value="1"> Atendimento </option>
              <option value="2"> Produção </option>
              <option value="3"> Financeiro </option>
              <option value="4"> Planejamento </option>
              <option value="5"> Diretoria </option>
              <option value="6"> Cliente </option>
              <option value="7"> Terceiros </option>
            </select>
          </div>
        </div>
        <div class="row form-group">
          <div class="col-sm-3">
            <label for="event_desc" class="control-label">Descrição:</label>
          </div>
          <div class="col-sm-9">
            <input id="event_desc" type="text" class="form-control">
          </div>
        </div>
        <div class="row form-group">
          <div class="col-sm-3">
            <label for="event_data_inicio" class="control-label">Período:</label>
          </div>
          <div class="col-sm-9">
            <div class="input-group">
              <input id="event_data_inicio" type="text" class="form-control" value="">
              <span class="input-group-addon">até</span>
              <input id="event_data_termino" type="text" class="form-control" value="">
            </div>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
        <button type="button" class="btn btn-primary" id="event_salvar">Salvar</button>
      </div>
    </div>
  </div>
</div>

<style>
  .event-tooltip-content:not(:last-child) {
    border-bottom  : 1px solid #ddd;
    padding-bottom : 5px;
    margin-bottom  : 5px;
  }
  
  .event-tooltip-content .event-name {
    font-size : 18px;
  }
  
  .event-tooltip-content .event-descricao {
    font-size : 12px;
  }
</style>
