<script type="text/javascript">
  
  function editEvent( event ) {
    $( '#event_index' ).val( event ? event.id : '' );
    $( '#event_responsavel' ).val( event ? event.tipo : '' );
    $( '#event_desc' ).val( event ? event.descricao : '' );
    $( '#event_data_inicio' ).datepicker( 'update', event ? event.startDate : '' );
    $( '#event_data_termino' ).datepicker( 'update', event ? event.endDate : '' );
    $( '#event-modal' ).modal();
  }
  
  function deleteEvent( event ) {
    var dataSource = $( '#Calendar' ).data( 'calendar' ).getDataSource();
    
    for ( var i in dataSource ) {
      if ( dataSource[ i ].id == event.id ) {
        dataSource.splice( i, 1 );
        break;
      }
    }
    
    $( '#Calendar' ).data( 'calendar' ).setDataSource( dataSource );
  }
  
  var tipos = [
    [ 'Atendimento', '#3333ff' ], // azul
    [ 'Produção', '#33ff33' ], // verde
    [ 'Financeiro', '#ff8533' ], // laranja
    [ 'Planejamento', '#8c1aff' ], // roxo
    [ 'Diretoria', '#ff3399' ], // rosa
    [ 'Cliente', '#e6e600' ], // amarelo
    [ 'Terceiros', '#ff3333' ] // vermelho
  ];
  
  function saveEvent() {
    var tipo = $( '#event_responsavel' ).val();
    if ( tipo == '' ) {
      alert( 'Selecione um Responsável!' );
      return false;
    }
    var name = tipos[ tipo - 1 ][ 0 ];
    var cor = tipos[ tipo - 1 ][ 1 ];
    
    var event = {
      id: $( '#event_index' ).val(),
      tipo: tipo,
      name: name,
      descricao: $( '#event_desc' ).val(),
      color: cor,
      startDate: $( '#event_data_inicio' ).datepicker( 'getDate' ),
      endDate: $( '#event_data_termino' ).datepicker( 'getDate' )
    };
    
    if ( event.startDate > event.endDate ) {
      alert( 'As datas do Periodo não são validas!' );
      return false;
    }
    
    var dataSource = $( '#Calendar' ).data( 'calendar' ).getDataSource();
    
    if ( event.id ) {
      for ( var i in dataSource ) {
        if ( dataSource[ i ].id == event.id ) {
          dataSource[ i ].tipo = event.tipo;
          dataSource[ i ].name = event.name;
          dataSource[ i ].descricao = event.descricao;
          dataSource[ i ].color = event.color;
          dataSource[ i ].startDate = event.startDate;
          dataSource[ i ].endDate = event.endDate;
        }
      }
    } else {
      var newId = 0;
      for ( var i in dataSource ) {
        if ( dataSource[ i ].id > newId ) {
          newId = dataSource[ i ].id;
        }
      }
      newId++;
      event.id = newId;
      dataSource.push( event );
    }
    
    $( '#Calendar' ).data( 'calendar' ).setDataSource( dataSource );
    $( '#event-modal' ).modal( 'hide' );
  }
  
  function submitCronograma() {
    var dataSource = $( '#Calendar' ).data( 'calendar' ).getDataSource();
    var dados = JSON.stringify( dataSource );
    $( '#cronograma_hidden' ).val( dados );
  }
  
  function text2Date( txt ) {
    return new Date(
      parseInt( txt.substr( 0, 4 ) ),
      parseInt( txt.substr( 5, 2 ) ) - 1,
      parseInt( txt.substr( 8, 2 ) )
    );
  }
  
  function loadCronograma() {
    var dados = $( '#cronograma_hidden' ).val();
    if ( dados ) {
      var dataSource = JSON.parse( dados );
      for ( var i in dataSource ) {
        dataSource[ i ].startDate = text2Date( dataSource[ i ].startDate );
        dataSource[ i ].endDate = text2Date( dataSource[ i ].endDate );
      }
      $( '#Calendar' ).data( 'calendar' ).setDataSource( dataSource );
    }
  }
  
  $( function () {
    $( '#event_data_inicio' ).datepicker( {
      format: 'dd/mm/yyyy',
      language: 'pt-BR',
    } );
    $( '#event_data_termino' ).datepicker( {
      format: 'dd/mm/yyyy',
      language: 'pt-BR',
    } );
    
    $( '#Calendar' ).calendar( {
      enableContextMenu: true,
      enableRangeSelection: true,
      language: 'pt',
      style: 'background',
      contextMenuItems: [
        {
          text: 'Atualizar',
          click: editEvent
        },
        {
          text: 'Deletar',
          click: deleteEvent
        }
      ],
      selectRange: function ( e ) {
        editEvent( { startDate: e.startDate, endDate: e.endDate } );
      },
      mouseOnDay: function ( e ) {
        if ( e.events.length > 0 ) {
          var content = '';
          
          for ( var i in e.events ) {
            content += '<div class="event-tooltip-content">'
              + '<div class="event-name" style="color:' + e.events[ i ].color + '">' + e.events[ i ].name + '</div>'
              + '<div class="event-descricao">' + e.events[ i ].descricao + '</div>'
              + '</div>';
          }
          
          $( e.element ).popover( {
            trigger: 'manual',
            container: 'body',
            html: true,
            placement: 'top',
            content: content
          } );
          
          $( e.element ).popover( 'show' );
        }
      },
      mouseOutDay: function ( e ) {
        if ( e.events.length > 0 ) {
          $( e.element ).popover( 'hide' );
        }
      },
      dayContextMenu: function ( e ) {
        $( e.element ).popover( 'hide' );
      },
      dataSource: [],
    } );
    
    $( '#event_salvar' ).click( function () {
      saveEvent();
    } );
    loadCronograma();
    $( '#Job_form' ).submit( function () {
      submitCronograma();
      return true;
    } );
  } );
</script>