{{--   CRONOGRAMA    --}}
{{-- https://github.com/Paul-DS/bootstrap-year-calendar --}}
<div class="row">
  <div class="col-xs-8 h2">
    <i class="fa fa-calendar"></i> Cronograma
  </div>
  <div class="col-xs-4 h2 text-right">
    <div class="btn-group" role="group" aria-label="...">
      <div class="btn-group" role="group">
        <button type="button" class="btn btn-default dropdown-toggle"
                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          <i class="fa fa-cloud-download"></i>
          Exportar <span class="caret"></span>
        </button>
        <ul class="dropdown-menu dropdown-menu-right">
          <li>
            <a href="{{ route('jobs.cronograma_pdf', $job->id ) }}" target="_blank">
              <i class=" fa fa-file-pdf-o"></i> Exportar em PDF
            </a>
          </li>
          <li>
            <a href="{{ route('jobs.cronograma_xlsx', $job->id ) }}" target="_blank">
              <i class="fa fa-file-excel-o"></i> Exportar em Excel
            </a>
          </li>
        </ul>
      </div>
    </div>
  </div>
</div>

<div class="row">
  <div class="col-md-12">
    <div class="table-responsive">
      <table class="table">
        <colgroup>
          <col class="col-md-1">
          <col class="col-md-2" style="width: 20%;">
          <col class="col-md-2">
          <col class="col-md-7">
        </colgroup>
        <thead>
        <tr>
          <th>Cor</th>
          <th>Data Início - Data Término</th>
          <th>Responsável</th>
          <th>Descrição</th>
        </tr>
        </thead>
        <tbody>
        @foreach($cronograma as $crono)
          <tr>
            <td>
              <span class="badge" style="background-color: {{ $crono->color }}">&nbsp;</span>
            </td>
            <td>
              {{ \Carbon\Carbon::parse( $crono->startDate)->format('d/m/Y') }}
              -
              {{ \Carbon\Carbon::parse( $crono->endDate)->format('d/m/Y') }}
            </td>
            <td>{{ $crono->name }}</td>
            <td>{{ $crono->descricao }}</td>
          </tr>
        @endforeach
        </tbody>
      </table>
    </div>
  </div>
</div>

{!! Form::hidden('', $cronograma_hidden, ['id'=>'cronograma_hidden']) !!}

<div class="row">
  <div class="col-md-12">
    <div id="Calendar" style="overflow-y: hidden;"></div>
  </div>
</div>

<style>
  .event-tooltip-content:not(:last-child) {
    border-bottom  : 1px solid #ddd;
    padding-bottom : 5px;
    margin-bottom  : 5px;
  }

  .event-tooltip-content .event-name {
    font-size : 18px;
  }

  .event-tooltip-content .event-descricao {
    font-size : 12px;
  }
</style>
