<script type="application/javascript">
  var busca_jobs_form = {
    nome: $( '#busca_jobs_nome' ),
    tbody: $( '#busca_jobs_tbody' ),
    est_tbody: $( '#busca_ests_tbody' ),
    
    voltar_click: function () {
      $( '#busca_job_voltar' ).click();
    },
    modalShow: function () {
      $( '#modalBuscaJobs' ).modal( 'show' );
    },
    modalHide: function () {
      $( '#modalBuscaJobs' ).modal( 'hide' );
    },
    alertShow: function () {
      $( '#busca_job_alert' ).show();
      $( '#busca_jobs_table' ).hide();
    },
    alertHide: function () {
      $( '#busca_jobs_table' ).show();
      $( '#busca_job_alert' ).hide();
    },
    est_alertShow: function () {
      $( '#busca_est_table' ).hide();
      $( '#busca_est_alert' ).show();
    },
    est_alertHide: function () {
      $( '#busca_est_table' ).show();
      $( '#busca_est_alert' ).hide();
    }
  };
  
  function busca_jobs_show() {
    busca_jobs_form.voltar_click();
    busca_jobs_form.nome.val( '' );
    busca_jobs_form.modalShow();
    busca_jobs_buscar();
  }
  function busca_jobs_addTR( item ) {
    var linha = '';
    linha += '<tr>';
    linha += '<td style="width: 41.66666667%;">' + item.nome_job + '</td>';
    linha += '<td style="width: 41.66666667%;">' + item.cliente + '</td>';
    linha += '<td style="width: 8.33333333%;">' + item.contagem_estimativas + '</td>';
    linha += '<td class="text-right" style="width: 8.33333333%;">';
    linha += '<a href="#busca_tab_est" role="tab" data-toggle="tab" class="btn btn-primary btn-xs" onclick="busca_ests_buscar(' + item.id + ')" title="Listar Estimativas desta Proposta Comercial">';
    linha += '<i class="fa fa-list-ul" aria-hidden="true"></i>';
    linha += '</a>';
    linha += '</td>';
    linha += '</tr>';
    
    busca_jobs_form.tbody.append( linha );
  }
  function busca_jobs_buscar() {
    $.ajax( {
      url: '{{ route('api.orc_est.busca_jobs', $job->id) }}',
      type: 'GET',
      data: {
        nome: busca_jobs_form.nome.val(),
        token: window.localStorage[ 'jwtToken' ]
      },
      success: function ( data ) {
        busca_jobs_form.tbody.empty();
        if ( data.length > 0 ) {
          busca_jobs_form.alertHide();
          for ( var i in data ) {
            busca_jobs_addTR( data[ i ] );
          }
        } else {
          busca_jobs_form.alertShow();
        }
      }
    } );
  }
  function busca_ests_addTR( item ) {
    var linha = '';
    linha += '<tr>';
    linha += '<td style="width: 41.66666667%;">' + item.nome + '</td>';
    linha += '<td style="width: 16.66666667%;">' + item.data_formatada + '</td>';
    linha += '<td style="width: 33.33333333%;">' + item.descricao_geral + '</td>';
    linha += '<td class="text-right" style="width: 8.33333333%;">';
    linha += '<a class="btn btn-primary btn-xs" onclick="est_importarEstimativa(' + item.id + ');" title="Importar esta Estimativa">';
    linha += '<i class="fa fa-cloud-download" aria-hidden="true"></i>';
    linha += '</a>';
    linha += '</td>';
    linha += '</tr>';
    
    busca_jobs_form.est_tbody.append( linha );
  }
  function busca_ests_buscar( id ) {
    if ( id == '' ) return;
    $.ajax( {
      url: '{{ route('api.orc_est.busca_jobs_estimativas', '') }}/' + id,
      type: 'GET',
      data: {
        token: window.localStorage[ 'jwtToken' ]
      },
      success: function ( data ) {
        busca_jobs_form.est_tbody.empty();
        if ( data.length > 0 ) {
          busca_jobs_form.est_alertHide();
          for ( var i in data ) {
            busca_ests_addTR( data[ i ] );
          }
        } else {
          busca_jobs_form.est_alertShow();
        }
      }
    } );
  }
  function est_importarEstimativa( id ) {
    if ( id == '' ) return;
    if ( confirm( "Deseja realmente importar esta Estimativa?" ) ) {
      $.ajax( {
        url: '{{ route('api.orc_est.duplicar', [$job->id,'']) }}/' + id + '?token=' + window.localStorage[ 'jwtToken' ],
        type: 'GET',
        success: function ( data ) {
          est_addTR( data );
          estimativa_form.setValores( data );
          estimativa_form.btn_salvar.attr( 'class', 'btn btn-primary' );
          estimativa_form.btn_salvar.html( '<i class="fa fa-floppy-o"></i> Salvar Evento' );
          estimativa_form.btn_deletar.show();
          estimativa_form.modalShow();
        }
      } );
      busca_jobs_form.voltar_click();
      busca_jobs_form.modalHide();
    }
  }
  function busca_jobs_cancelar() {
    busca_jobs_form.voltar_click();
  }
</script>
