<script type="application/javascript">
  var estimativa_form = {
    est_id: $( '#orcEST_id' ),
    
    id: $( '#est_id' ),
    nome: $( '#est_nome' ),
    data: $( '#est_data' ),
    descricao_geral: $( '#est_descricao_geral' ),
    
    p_nome: $( '#p_est_nome' ),
    p_data: $( '#p_est_data' ),
    p_descricao_geral: $( '#p_est_descricao_geral' ),
    
    btn_salvar: $( '#est_btn_salvarEstimativa' ),
    btn_deletar: $( '#est_btn_deletarEstimativa' ),
    
    tbody: $( '#estimativa_tbody' ),
    
    getValores: function () {
      return {
        id: this.id.val(),
        nome: this.nome.val(),
        data: this.data.val(),
        descricao_geral: this.descricao_geral.val(),
      };
    },
    setValores: function ( item ) {
      this.id.val( item.id );
      this.nome.val( item.nome );
      this.data.val( item.data );
      this.descricao_geral.val( item.descricao_geral );
    },
    clearValores: function () {
      this.id.val( '' );
      this.nome.val( '' );
      this.descricao_geral.val( '' );
      
      var today = new Date();
      var y     = today.getFullYear();
      var m     = today.getMonth() + 1;
      m         = (m > 9 ? m : '0' + m);
      var d     = today.getDate();
      d         = (d > 9 ? d : '0' + d);
      var ymd   = y + '-' + m + '-' + d;
      this.data.val( ymd );
      this.btn_salvar.html( 'Salvar' );
    },
    modalShow: function () {
      $( '#modalEstimativa' ).modal( 'show' );
    },
    modalHide: function () {
      $( '#modalEstimativa' ).modal( 'hide' );
      this.btn_salvar.html( 'Salvar' );
      this.btn_deletar.html( '<i class="fa fa-trash"></i> Deletar Estimativa' );
      this.btn_deletar.hide();
    },
  };
  function est_addTR( item ) {
    var linha = '';
    linha += '<tr>';
    linha += '<td class="quebra-texto">' + item.nome + '</td>';
    linha += '<td class="nao-quebra-texto">' + item.data + '</td>';
    linha += '<td class="quebra-texto">' + item.descricao_geral + '</td>';
    linha += '<td class="nao-quebra-texto ' + item.aprov_diretor_c + '">' + item.aprov_diretor + '</td>';
    linha += '<td class="text-right nao-quebra-texto">';
    linha += '<a class="btn btn-warning btn-xs" onclick="est_editarEstimativa(' + item.id + ')" title="Editar esta Estimativa">';
    linha += '<i class="fa fa-pencil" aria-hidden="true"></i>';
    linha += '</a>&nbsp;';
    linha += '<a class="btn btn-danger btn-xs" onclick="est_deletarEstimativa(' + item.id + ')" title="Deletar esta Estimativa">';
    linha += '<i class="fa fa-trash-o" aria-hidden="true"></i>';
    linha += '</a>&nbsp;&nbsp;&nbsp;';
    linha += '<a class="btn btn-info btn-xs" onclick="est_duplicaEstimativa(' + item.id + ')" title="Duplicar esta Estimativa">';
    linha += '<i class="fa fa-files-o" aria-hidden="true"></i>';
    linha += '</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
    linha += '<a href="#orc_tab_itens" role="tab" data-toggle="tab" class="btn btn-primary btn-xs" onclick="est_visualizarEstimativa(' + item.id + ')" title="Listar Itens desta Estimativa">';
    linha += '<i class="fa fa-arrow-right" aria-hidden="true"></i>';
    linha += '</a>';
    linha += '</td>';
    linha += '</tr>';
    
    estimativa_form.tbody.append( linha );
  }
  function est_loadEstimativas() {
    $.ajax( {
      url: '{{ route('api.orc_est.index', $job->id) }}' + '?token=' + window.localStorage[ 'jwtToken' ],
      type: 'GET',
      success: function ( data ) {
        estimativa_form.tbody.empty();
        for ( var i in data ) {
          est_addTR( data[ i ] );
        }
      },
    } );
    orc_TELA = orc_TELA_est;
  }
  function est_novoEstimativa() {
    estimativa_form.clearValores();
    estimativa_form.btn_salvar.attr( 'class', 'btn btn-success' );
    estimativa_form.btn_salvar.html( '<i class="fa fa-plus"></i> Inserir Estimativa' );
    estimativa_form.btn_deletar.hide();
    estimativa_form.modalShow();
  }
  function est_duplicaEstimativa( id ) {
    if ( id == '' ) return;
    if ( confirm( 'Deseja realmente duplicar este item?' ) ) {
      $.ajax( {
        url: '{{ route('api.orc_est.duplicar', [$job->id,'']) }}/' + id + '?token=' + window.localStorage[ 'jwtToken' ],
        type: 'GET',
        success: function ( data ) {
          est_addTR( data );
          estimativa_form.setValores( data );
          estimativa_form.btn_salvar.attr( 'class', 'btn btn-primary' );
          estimativa_form.btn_salvar.html( '<i class="fa fa-floppy-o"></i> Salvar Evento' );
          estimativa_form.btn_deletar.show();
          estimativa_form.modalShow();
        },
      } );
    }
  }
  function est_editarEstimativa( id ) {
    if ( id == '' ) return;
    $.ajax( {
      url: '{{ route('api.orc_est.show', [$job->id,'']) }}/' + id + '?token=' + window.localStorage[ 'jwtToken' ],
      type: 'GET',
      success: function ( data ) {
        estimativa_form.setValores( data );
        estimativa_form.btn_salvar.attr( 'class', 'btn btn-primary' );
        estimativa_form.btn_salvar.html( '<i class="fa fa-floppy-o"></i> Salvar Estimativa' );
        estimativa_form.btn_deletar.show();
        estimativa_form.modalShow();
      },
    } );
  }
  function est_editarEstimativaItem() {
    est_editarEstimativa( estimativa_form.est_id.val() );
  }
  function est_salvarEstimativa() {
    var item = estimativa_form.getValores();
    if ( item.nome == '' ) {
      alert( 'O campo Nome deve ser preenchido!' );
      return false;
    }

    if ( item.id == '' ) {
      // novo
      estimativa_form.btn_salvar.html( '<i class="fa fa-spinner fa-pulse fa-fw"></i> Inserindo...' );
      $.ajax( {
        url: '{{ route('api.orc_est.store', $job->id) }}' + '?token=' + window.localStorage[ 'jwtToken' ],
        type: 'POST',
        data: item,
        success: function ( data ) {
          est_loadEstimativas();
          estimativa_form.clearValores();
          estimativa_form.modalHide();
        },
      } );
    } else {
      // update
      estimativa_form.btn_salvar.html( '<i class="fa fa-spinner fa-pulse fa-fw"></i> Atualizando...' );
      $.ajax( {
        url: '{{ route('api.orc_est.update',[ $job->id, '']) }}/' + item.id + '?token=' + window.localStorage[ 'jwtToken' ],
        type: 'PUT',
        data: item,
        success: function ( data ) {
          if ( orc_TELA == orc_TELA_est ) {
            est_loadEstimativas();
          } else {
            est_loadItens();
          }
          estimativa_form.clearValores();
          estimativa_form.modalHide();
        },
      } );
    }
  }
  function est_deletarEstimativaItem() {
    est_deletarEstimativa( estimativa_form.id.val() );
  }
  function est_deletarEstimativa( id ) {
    if ( id === '' )return;
    if ( confirm( 'Deseja realmente deletar esta Estimativa?' ) ) {
      estimativa_form.btn_deletar.html( '<i class="fa fa-spinner fa-pulse fa-fw"></i> Deletando...' );
      $.ajax( {
        url: '{{ route('api.orc_est.destroy', [$job->id, ''] ) }}/' + id + '?token=' + window.localStorage[ 'jwtToken' ],
        type: 'DELETE',
        success: function ( data ) {
          est_loadEstimativas();
          estimativa_form.modalHide();
          $( 'a[href="#orc_tab_orc"]' ).tab( 'show' );
        },
      } );
    }
  }
  function est_loadItens() {
    var est_id = estimativa_form.est_id.val();
    $.ajax( {
      url: '{{ route('api.orc_est.show', [$job->id,'']) }}/' + est_id + '?token=' + window.localStorage[ 'jwtToken' ],
      type: 'GET',
      success: function ( data ) {
        estimativa_form.p_nome.html( data.nome );
        estimativa_form.p_data.html( data.data_formatada );
        estimativa_form.p_descricao_geral.html( nl2br( data.descricao_geral ) );
      },
    } );
    ci_loadItems();
    co_loadItems();
    orc_TELA = orc_TELA_itens;
  }
  function est_visualizarEstimativa( id ) {
    estimativa_form.est_id.val( id );
    est_loadItens();
    $( '#orc_tab_estimas' ).tab( 'show' );
  }
  $( function () {
    $( '#est_btn_novoEstimativa' ).on( 'click', est_novoEstimativa );
    $( '#est_btn_salvarEstimativa' ).on( 'click', est_salvarEstimativa );
    $( '#est_btn_editarEst' ).on( 'click', est_editarEstimativaItem );
    $( '#est_btn_deletarEstimativa' ).on( 'click', est_deletarEstimativaItem );
    est_loadEstimativas();
  } );
</script>
