<script type="application/javascript">
  var ci_item_form = {
    id: $( '#ci_id_form' ),
    nome: $( '#ci_nome_form' ),
    descricao: $( '#ci_descricao_form' ),
    custos_apoio: $( '#ci_custos_apoio_form' ),
    taxa_comissao: $( '#ci_taxa_comissao_form' ),
    taxa_planejamento: $( '#ci_taxa_planejamento_form' ),
    taxa_impostos: $( '#ci_taxa_impostos_form' ),

    btn_deletar: $( '#ci_btn_deletarItem' ),
    btn_salvar: $( '#ci_btn_salvarItem' ),

    tbody: $( '#itens_ci_tbody' ),

    getValores: function () {
      return {
        id: this.id.val(),
        nome: this.nome.val(),
        descricao: this.descricao.val(),
        custos_apoio: this.custos_apoio.val().replace( /\D/g, '' ),
        taxa_comissao: this.taxa_comissao.val(),
        taxa_planejamento: this.taxa_planejamento.val(),
        taxa_impostos: this.taxa_impostos.val(),
      };
    },
    setValores: function ( item ) {
      this.id.val( item.id );
      this.nome.val( item.nome );
      this.descricao.val( item.descricao );
      this.custos_apoio.val( formatDinheiro( item.custos_apoio ).replace( /\./g, '' ) );
      this.taxa_comissao.val( item.taxa_comissao );
      this.taxa_planejamento.val( item.taxa_planejamento );
      this.taxa_impostos.val( item.taxa_impostos );
    },
    clearValores: function () {
      this.id.val( '' );
      this.nome.val( '' );
      this.descricao.val( '' );
      this.custos_apoio.val( '0,00' );
      this.taxa_comissao.val( '10' );
      this.taxa_planejamento.val( '0' );
      this.taxa_impostos.val( '20' );
      this.btn_salvar.html( 'Salvar' );
    },
    modalShow: function () {
      $( '#modalCI' ).modal( 'show' );
    },
    modalHide: function () {
      $( '#modalCI' ).modal( 'hide' );
      this.btn_salvar.html( 'Salvar' );
      this.btn_deletar.html( '<i class="fa fa-trash"></i> Deletar Estimativa' );
      this.btn_deletar.hide();
    },
  };
  function ci_addTR( item ) {
    var linha = '';
    linha += '<tr>';
    linha += '<td class="quebra-texto">' + item.nome + '</td>';
    linha += '<td class="quebra-texto">' + item.descricao + '</td>';
    linha += '<td class="text-right"> R$ ' + formatDinheiro( item.valor ) + '</td>';
    linha += '<td class="text-right nao-quebra-texto">';
    linha += '<a class="btn btn-warning btn-xs" onclick="ci_editarItem(' + item.id + ')" title="Editar este Item">';
    linha += '<i class="fa fa-pencil" aria-hidden="true"></i>';
    linha += '</a>&nbsp;';
    linha += '<a class="btn btn-danger btn-xs" onclick="ci_deletarItem(' + item.id + ')" title="Deletar este Item">';
    linha += '<i class="fa fa-trash-o" aria-hidden="true"></i>';
    linha += '</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
    linha += '<a href="#orc_tab_ci" role="tab" data-toggle="tab" class="btn btn-primary btn-xs" onclick="ci_visualizarItem(' + item.id + ')" title="Listar os Serviços deste Item">';
    linha += '<i class="fa fa-arrow-right" aria-hidden="true"></i>';
    linha += '</a>';
    linha += '</td>';
    linha += '</tr>';

    ci_item_form.tbody.append( linha );
  }
  function ci_loadItems() {
    $.ajax( {
      url: '{{ route('api.orc_ci_item.index', $job->id) }}' + '?token=' + window.localStorage[ 'jwtToken' ],
      type: 'GET',
      data: { orcEST_id: estimativa_form.est_id.val() },
      success: function ( data ) {
        ci_item_form.tbody.empty();
        for ( var i in data.itens ) {
          ci_addTR( data.itens[ i ] );
        }
        $( '#orc_ci_valor' ).html( 'R$ ' + formatDinheiro( data.valor ) );
        orc_CalcTotal( 'ci', data.valor );
      },
    } );
    orc_TELA = orc_TELA_itens;
  }
  function ci_novoItem() {
    ci_item_form.clearValores();
    ci_item_form.btn_salvar.attr( 'class', 'btn btn-success' );
    ci_item_form.btn_salvar.html( '<i class="fa fa-plus"></i> Inserir Item CI' );
    ci_item_form.btn_deletar.hide();
    ci_item_form.modalShow();
  }
  function ci_visualizarItem( id ) {
    if ( id == '' ) return;
    $( '#itemCI_id' ).val( id );
    ci_loadServ();
    $( '#orc_tab_ci' ).tab( 'show' );
  }

  function ci_editarItem( id ) {
    if ( id == '' ) return;
    $.ajax( {
      url: '{{ route('api.orc_ci_item.show', [$job->id,'']) }}/' + id + '?token=' + window.localStorage[ 'jwtToken' ],
      type: 'GET',
      data: { orcEST_id: estimativa_form.est_id.val() },
      success: function ( data ) {
        ci_item_form.setValores( data );
        ci_item_form.btn_salvar.attr( 'class', 'btn btn-primary' );
        ci_item_form.btn_salvar.html( '<i class="fa fa-floppy-o"></i> Salvar Item CI' );
        ci_item_form.btn_deletar.show();
        ci_item_form.modalShow();
      },
    } );
  }
  function ci_salvarItem() {
    var item = ci_item_form.getValores();
    if ( item.nome == '' ) {
      alert( 'O campo Nome deve ser preenchido!' );
      return false;
    }

    item.orcEST_id = estimativa_form.est_id.val();
    if ( item.id == '' ) {
      // novo
      ci_item_form.btn_salvar.html( '<i class="fa fa-spinner fa-pulse fa-fw"></i> Inserindo...' );
      $.ajax( {
        url: '{{ route('api.orc_ci_item.store', $job->id) }}' + '?token=' + window.localStorage[ 'jwtToken' ],
        type: 'POST',
        data: item,
        success: function ( data ) {
          ci_loadItems();
          ci_item_form.clearValores();
          ci_item_form.modalHide();
        },
      } );
    } else {
      // update
      ci_item_form.btn_salvar.html( '<i class="fa fa-spinner fa-pulse fa-fw"></i> Atualizando...' );
      $.ajax( {
        url: '{{ route('api.orc_ci_item.update',[ $job->id, '']) }}/' + item.id + '?token=' + window.localStorage[ 'jwtToken' ],
        type: 'PUT',
        data: item,
        success: function ( data ) {
          if ( orc_TELA == orc_TELA_itens ) {
            ci_loadItems();
          } else {
            ci_loadServ();
          }
          ci_item_form.clearValores();
          ci_item_form.modalHide();
        },
      } );
    }
  }
  function ci_deletarItem_btn() {
    ci_deletarItem( ci_item_form.id.val() );
  }
  function ci_deletarItem( id ) {
    if ( id == '' ) return;
    if ( confirm( 'Deseja realmente deletar este Item?' ) ) {
      ci_item_form.btn_deletar.html( '<i class="fa fa-spinner fa-pulse fa-fw"></i> Deletando...' );
      $.ajax( {
        url: '{{ route('api.orc_ci_item.destroy', [$job->id, ''] ) }}/' + id + '?token=' + window.localStorage[ 'jwtToken' ],
        type: 'DELETE',
        data: { orcEST_id: estimativa_form.est_id.val() },
        success: function ( data ) {
          ci_loadItems();
          ci_item_form.modalHide();
          $( 'a[href="#orc_tab_itens"]' ).tab( 'show' );
        },
      } );
    }
  }
  $( function () {
    $( '#ci_btn_novoItem' ).on( 'click', ci_novoItem );
    $( '#ci_btn_salvarItem' ).on( 'click', ci_salvarItem );
    $( '#ci_btn_deletarItem' ).on( 'click', ci_deletarItem_btn );
    ci_item_form.custos_apoio.maskMoney( { thousands: '', decimal: ',', allowZero: true } );
  } );
</script>