<script type="application/javascript">
  var co_item_form = {
    id: $( '#co_id_form' ),
    nome: $( '#co_nome_form' ),
    descricao: $( '#co_descricao_form' ),
    custos_apoio: $( '#co_custos_apoio_form' ),
    taxa_bv: $( '#co_taxa_bv_form' ),
    taxa_planejamento: $( '#co_taxa_planejamento_form' ),
    taxa_impostos: $( '#co_taxa_impostos_form' ),
    
    btn_deletar: $( '#co_btn_deletarItem' ),
    btn_salvar: $( '#co_btn_salvarItem' ),
    
    tbody: $( '#itens_co_tbody' ),
    
    getValores: function () {
      return {
        id: this.id.val(),
        nome: this.nome.val(),
        descricao: this.descricao.val(),
        taxa_bv: this.taxa_bv.val(),
        taxa_planejamento: this.taxa_planejamento.val(),
        taxa_impostos: this.taxa_impostos.val(),
      };
    },
    setValores: function ( item ) {
      this.id.val( item.id );
      this.nome.val( item.nome );
      this.descricao.val( item.descricao );
      this.taxa_bv.val( item.taxa_bv );
      this.taxa_planejamento.val( item.taxa_planejamento );
      this.taxa_impostos.val( item.taxa_impostos );
    },
    clearValores: function () {
      this.id.val( '' );
      this.nome.val( '' );
      this.descricao.val( '' );
      this.taxa_bv.val( '10' );
      this.taxa_planejamento.val( '0' );
      this.taxa_impostos.val( '20' );
      this.btn_salvar.html( 'Salvar' );
    },
    modalShow: function () {
      $( '#modalCO' ).modal( 'show' );
    },
    modalHide: function () {
      $( '#modalCO' ).modal( 'hide' );
      this.btn_salvar.html( 'Salvar' );
      this.btn_deletar.html( '<i class="fa fa-trash"></i> Deletar Estimativa' );
      this.btn_deletar.hide();
    },
  };
  function co_addTR( item ) {
    var linha = '';
    linha += '<tr>';
    linha += '<td class="quebra-texto">' + item.nome + '</td>';
    linha += '<td class="quebra-texto">' + item.descricao + '</td>';
    linha += '<td class="text-right"> R$ ' + formatDinheiro( item.valor ) + '</td>';
    linha += '<td class="text-right nao-quebra-texto">';
    linha += '<a class="btn btn-warning btn-xs" onclick="co_editarItem(' + item.id + ')" title="Editar este Item">';
    linha += '<i class="fa fa-pencil" aria-hidden="true"></i>';
    linha += '</a>&nbsp;';
    linha += '<a class="btn btn-danger btn-xs" onclick="co_deletarItem(' + item.id + ')" title="Deletar este Item">';
    linha += '<i class="fa fa-trash-o" aria-hidden="true"></i>';
    linha += '</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
    linha += '<a href="#orc_tab_co" role="tab" data-toggle="tab" class="btn btn-primary btn-xs" onclick="co_visualizarItem(' + item.id + ')" title="Listar os Serviços deste Item">';
    linha += '<i class="fa fa-arrow-right" aria-hidden="true"></i>';
    linha += '</a>';
    linha += '</td>';
    linha += '</tr>';
    
    co_item_form.tbody.append( linha );
  }
  function co_loadItems() {
    $.ajax( {
      url: '{{ route('api.orc_co_item.index', $job->id) }}' + '?token=' + window.localStorage[ 'jwtToken' ],
      type: 'GET',
      data: { orcEST_id: estimativa_form.est_id.val() },
      success: function ( data ) {
        co_item_form.tbody.empty();
        for ( var i in data.itens ) {
          co_addTR( data.itens[ i ] );
        }
        $( '#orc_co_valor' ).html( 'R$ ' + formatDinheiro( data.valor ) );
        orc_CalcTotal( 'co', data.valor );
      },
    } );
    orc_TELA = orc_TELA_itens;
  }
  function co_novoItem() {
    co_item_form.clearValores();
    co_item_form.btn_salvar.attr( 'class', 'btn btn-success' );
    co_item_form.btn_salvar.html( '<i class="fa fa-plus"></i> Inserir Item CO' );
    co_item_form.btn_deletar.hide();
    co_item_form.modalShow();
  }
  function co_visualizarItem( id ) {
    if ( id == '' ) return;
    $( '#itemCO_id' ).val( id );
    co_loadServ();
    $( '#orc_tab_co' ).tab( 'show' );
  }
  
  function co_editarItem( id ) {
    if ( id == '' ) return;
    $.ajax( {
      url: '{{ route('api.orc_co_item.show', [$job->id,'']) }}/' + id + '?token=' + window.localStorage[ 'jwtToken' ],
      type: 'GET',
      data: { orcEST_id: estimativa_form.est_id.val() },
      success: function ( data ) {
        co_item_form.setValores( data );
        co_item_form.btn_salvar.attr( 'class', 'btn btn-primary' );
        co_item_form.btn_salvar.html( '<i class="fa fa-floppy-o"></i> Salvar Item CO' );
        co_item_form.btn_deletar.show();
        co_item_form.modalShow();
      },
    } );
  }
  function co_salvarItem() {
    var item = co_item_form.getValores();
    if(item.nome==''){
      alert('O campo Nome deve ser preenchido!');
      return false;
    }
    
    item.orcEST_id = estimativa_form.est_id.val();
    item.orcEST_id = estimativa_form.est_id.val();
    if ( item.id === '' ) {
      // novo
      co_item_form.btn_salvar.html( '<i class="fa fa-spinner fa-pulse fa-fw"></i> Inserindo...' );
      $.ajax( {
        url: '{{ route('api.orc_co_item.store', $job->id) }}' + '?token=' + window.localStorage[ 'jwtToken' ],
        type: 'POST',
        data: item,
        success: function ( data ) {
          co_loadItems();
          co_item_form.clearValores();
          co_item_form.modalHide();
        },
      } );
    } else {
      // update
      co_item_form.btn_salvar.html( '<i class="fa fa-spinner fa-pulse fa-fw"></i> Atualizando...' );
      $.ajax( {
        url: '{{ route('api.orc_co_item.update',[ $job->id, '']) }}/' + item.id + '?token=' + window.localStorage[ 'jwtToken' ],
        type: 'PUT',
        data: item,
        success: function ( data ) {
          if ( orc_TELA === orc_TELA_itens ) {
            co_loadItems();
          } else {
            co_loadServ();
          }
          co_item_form.clearValores();
          co_item_form.modalHide();
        },
      } );
    }
  }
  function co_deletarItem_btn() {
    co_deletarItem( co_item_form.id.val() );
  }
  function co_deletarItem( id ) {
    if ( confirm( "Deseja realmente deletar este Item?" ) ) {
      co_item_form.btn_deletar.html( '<i class="fa fa-spinner fa-pulse fa-fw"></i> Deletando...' );
      $.ajax( {
        url: '{{ route('api.orc_co_item.destroy', [$job->id, ''] ) }}/' + id + '?token=' + window.localStorage[ 'jwtToken' ],
        type: 'DELETE',
        data: { orcEST_id: estimativa_form.est_id.val() },
        success: function ( data ) {
          co_loadItems();
          co_item_form.modalHide();
          $( 'a[href="#orc_tab_itens"]' ).tab( 'show' );
        },
      } );
    }
  }
  $( function () {
    $( '#co_btn_novoItem' ).on( 'click', co_novoItem );
    $( '#co_btn_salvarItem' ).on( 'click', co_salvarItem );
    $( '#co_btn_deletarItem' ).on( 'click', co_deletarItem_btn );
  } )
</script>