<script type="application/javascript">
  var CI_PRECOS = JSON.parse( '{!! \App\Models\Config\ServicoCustoInterno::json_precos_servicos() !!}' );
  
  var ci_servico_form = {
    item_id: $( '#itemCI_id' ),
    item_nome: $( '#itemCI_nome' ),
    item_descricao: $( '#itemCI_descricao' ),
    
    serv_ci_tbody: $( '#serv_ci_tbody' ),
    serv_ci_custos_apoio: $( '#serv_ci_custos_apoio' ),
    serv_ci_arredondamento: $( '#serv_ci_arredondamento' ),
    serv_ci_subtotal: $( '#serv_ci_subtotal' ),
    serv_ci_taxa_comissao: $( '#serv_ci_taxa_comissao' ),
    serv_ci_comissao: $( '#serv_ci_comissao' ),
    serv_ci_taxa_planejamento: $( '#serv_ci_taxa_planejamento' ),
    serv_ci_planejamento: $( '#serv_ci_planejamento' ),
    serv_ci_taxa_imposto: $( '#serv_ci_taxa_imposto' ),
    serv_ci_impostos: $( '#serv_ci_impostos' ),
    serv_ci_total: $( '#serv_ci_total' ),
    serv_ci_div_custos_apoio: $( '#serv_ci_div_custos_apoio' ),
    serv_ci_div_arredondamento: $( '#serv_ci_div_arredondamento' ),
    serv_ci_li_taxa_planejamento: $( '#serv_ci_li_taxa_planejamento' ),
    
    id: $( '#ci_id_form' ),
    tipo_servico: $( '#ci_tipo_servico_form' ),
    tipo_servico_nivel: $( '#ci_tipo_servico_nivel_form' ),
    obs: $( '#ci_obs_form' ),
    valor_unitario: 0,
    horas: $( '#ci_horas_form' ),
    valor_total: 0,

    i_valor_unitario: $( '#ci_valor_unitario_form' ),
    p_valor_total: $( '#ci_valor_serv_form' ),
    
    btn_deletar: $( '#ci_btn_deletarServ' ),
    btn_salvar: $( '#ci_btn_salvarServ' ),
    
    getValores: function () {
      // retorna o objeto do item preenchidos no formulario
      var tipo_servico_string = '';
      var servID              = this.tipo_servico.val();
      var nivelID             = this.tipo_servico_nivel.val();

      var preco = null;
      for ( var i in CI_PRECOS ) {
        if ( CI_PRECOS[ i ].id == servID ) {
          preco = CI_PRECOS[ i ];
          tipo_servico_string += CI_PRECOS[ i ].nome;
          break;
        }
      }

      var valor_suj = -1;
      if ( nivelID == 1 ) {
        valor_suj = preco.sinapro_min;
      } else if ( nivelID == 2 ) {
        valor_suj = preco.sinapro_max;
      } else if ( nivelID == 3 ) {
        valor_suj = preco.desc_15;
      } else if ( nivelID == 4 ) {
        valor_suj = preco.desc_30;
      } else if ( nivelID == 5 ) {
        valor_suj = preco.desc_50;
      }

      if ( this.valor_unitario == (valor_suj * 100) ) {
        if ( nivelID == 1 ) {
          tipo_servico_string += ' (Sinapro Min)';
        } else if ( nivelID == 2 ) {
          tipo_servico_string += ' (Sinapro Max)';
        } else if ( nivelID == 3 ) {
          tipo_servico_string += ' (Desconto 15%)';
        } else if ( nivelID == 4 ) {
          tipo_servico_string += ' (Desconto 30%)';
        } else if ( nivelID == 5 ) {
          tipo_servico_string += ' (Desconto 50%)';
        }
      } else {
        //tipo_servico_string += ' (Personalizado)';
        nivelID = 0;
      }

      return {
        id: this.id.val(),
        tipo_servico: servID,
        tipo_servico_nivel: nivelID,
        tipo_servico_string: tipo_servico_string,
        obs: this.obs.val(),
        valor_unitario: this.valor_unitario,
        horas: this.horas.val().replace( /\D/g, '.' ),
        valor_total: this.valor_total,
      };
    },
    setValores: function ( item ) {
      // insere os valores nos elementos do formulario
      this.id.val( item.id );
      this.tipo_servico.val( item.tipo_servico );
      this.tipo_servico_nivel.val( item.tipo_servico_nivel == 0 ? '' : item.tipo_servico_nivel );
      this.obs.val( item.obs );
      this.valor_unitario = item.valor_unitario;
      this.horas.val( item.horas.toString().replace( /\D/g, ',' ) );
      this.i_valor_unitario.val( formatDinheiro( item.valor_unitario ).replace( /\./g, '' ) );
      ci_subtotal();
    },
    clearValores: function () {
      // limpa o conteudo preenchido no formulario
      this.id.val( '' );
      this.tipo_servico.val( '' );
      this.tipo_servico_nivel.val( '' );
      this.obs.val( '' );
      this.horas.val( '0,00' );
      this.valor_unitario = 0;
      this.i_valor_unitario.val( '0,00' );
      this.valor_total = 0;
      this.p_valor_total.html( 'R$ 0,00' );
      this.btn_salvar.html( 'Salvar' );
    },
    modalShow: function () {
      $( '#modalCIserv' ).modal( 'show' );
    },
    modalHide: function () {
      $( '#modalCIserv' ).modal( 'hide' );
      this.btn_salvar.html( 'Salvar' );
      this.btn_deletar.html( '<i class="fa fa-trash"></i> Deletar Serviço' );
      this.btn_deletar.hide();
    },
  };
  
  function serv_ci_addTR( item ) {
    var linha = '';
    linha += '<tr>';
    linha += '<td class="quebra-texto">' + item.tipo_servico_string + '</td>';
    linha += '<td class="quebra-texto">' + item.obs + '</td>';
    linha += '<td>R$ ' + formatDinheiro( item.valor_unitario ) + ' &times; ' + item.horas + ' horas</td>';
    linha += '<td class="text-right"> R$ ' + formatDinheiro( item.valor_total ) + '</td>';
    linha += '<td class="text-right nao-quebra-texto">';
    linha += '<a class="btn btn-warning btn-xs" onclick="ci_editarServ(' + item.id + ')" title="Editar este Serviço">';
    linha += '<i class="fa fa-pencil" aria-hidden="true"></i>';
    linha += '</a>&nbsp;';
    linha += '<a class="btn btn-danger btn-xs" onclick="ci_deletarServ(' + item.id + ')" title="Deletar este Serviço">';
    linha += '<i class="fa fa-trash-o" aria-hidden="true"></i>';
    linha += '</a>';
    linha += '</td>';
    linha += '</tr>';
    ci_servico_form.serv_ci_tbody.append( linha );
  }
  
  function ci_loadServ() {
    $.ajax( {
      url: '{{ route('api.orc_ci_serv.index', $job->id) }}' + '?token=' + window.localStorage[ 'jwtToken' ],
      type: 'GET',
      data: {
        item_id: ci_servico_form.item_id.val(),
        orcEST_id: estimativa_form.est_id.val(),
      },
      success: function ( data ) {
        ci_servico_form.item_nome.html( data.nome );
        ci_servico_form.item_descricao.html( nl2br( data.descricao ) );
        
        var servicos = data.servicos;
        ci_servico_form.serv_ci_tbody.empty();
        for ( var i in servicos.itens ) {
          serv_ci_addTR( servicos.itens[ i ] );
        }
        
        ci_servico_form.serv_ci_custos_apoio.html( 'R$ ' + formatDinheiro( servicos.custos_apoio ) );
        ci_servico_form.serv_ci_arredondamento.html( 'R$ ' + formatDinheiro( servicos.arredondamento ) );
        ci_servico_form.serv_ci_subtotal.html( 'R$ ' + formatDinheiro( servicos.sub_total ) );
        ci_servico_form.serv_ci_taxa_comissao.html( servicos.taxa_comissao );
        ci_servico_form.serv_ci_comissao.html( 'R$ ' + formatDinheiro( servicos.comissao ) );
        ci_servico_form.serv_ci_taxa_planejamento.html( servicos.taxa_planejamento );
        ci_servico_form.serv_ci_planejamento.html( 'R$ ' + formatDinheiro( servicos.planejamento ) );
        ci_servico_form.serv_ci_taxa_imposto.html( servicos.taxa_impostos );
        ci_servico_form.serv_ci_impostos.html( 'R$ ' + formatDinheiro( servicos.impostos ) );
        ci_servico_form.serv_ci_total.html( 'R$ ' + formatDinheiro( servicos.total ) );
        if ( servicos.custos_apoio === 0 ) {
          ci_servico_form.serv_ci_div_custos_apoio.hide();
        } else {
          ci_servico_form.serv_ci_div_custos_apoio.show();
        }
        if ( servicos.arredondamento === 0 ) {
          ci_servico_form.serv_ci_div_arredondamento.hide();
        } else {
          ci_servico_form.serv_ci_div_arredondamento.show();
        }
        if ( servicos.taxa_planejamento === 0 ) {
          ci_servico_form.serv_ci_li_taxa_planejamento.hide();
        } else {
          ci_servico_form.serv_ci_li_taxa_planejamento.show();
        }
      },
    } );
    orc_TELA = orc_TELA_serv_ci;
  }
  
  function ci_salvarServ() {
    var item = ci_servico_form.getValores();
    
    if ( item.tipo_servico === '' ||
      item.tipo_servico_nivel === '' ||
      item.horas === '' ||
      item.horas === '0.00' ) {
      alert( 'Preencha corretamente os campos!' );
      return;
    }
    item.item_id   = ci_servico_form.item_id.val();
    item.orcEST_id = estimativa_form.est_id.val();
    
    if ( item.id === '' ) {
      // create
      ci_servico_form.btn_salvar.html( '<i class="fa fa-spinner fa-pulse fa-fw"></i> Inserindo...' );
      $.ajax( {
        url: '{{ route('api.orc_ci_serv.store', $job->id) }}' + '?token=' + window.localStorage[ 'jwtToken' ],
        type: 'POST',
        data: item,
        success: function ( data ) {
          ci_loadServ();
          ci_servico_form.modalHide();
          ci_servico_form.clearValores();
        },
      } );
      
    } else {
      // update
      ci_servico_form.btn_salvar.html( '<i class="fa fa-spinner fa-pulse fa-fw"></i> Atualizando...' );
      $.ajax( {
        url: '{{ route('api.orc_ci_serv.update',[ $job->id, '']) }}/' + item.id + '?token=' + window.localStorage[ 'jwtToken' ],
        type: 'PUT',
        data: item,
        success: function ( data ) {
          ci_loadServ();
          ci_servico_form.modalHide();
          ci_servico_form.clearValores();
        },
      } );
    }
  }
  
  function ci_novoServ() {
    ci_servico_form.clearValores();
    ci_servico_form.btn_salvar.attr( 'class', 'btn btn-success' );
    ci_servico_form.btn_salvar.html( '<i class="fa fa-plus"></i> Inserir Serviço' );
    ci_servico_form.btn_deletar.hide();
    ci_servico_form.modalShow();
  }
  
  function ci_editarServ( id ) {
    if ( id == '' ) return;
    $.ajax( {
      url: '{{ route('api.orc_ci_serv.show', [$job->id,'']) }}/' + id,
      type: 'GET',
      data: {
        token: window.localStorage[ 'jwtToken' ],
        item_id: ci_servico_form.item_id.val(),
        orcEST_id: estimativa_form.est_id.val(),
      },
      success: function ( data ) {
        ci_servico_form.setValores( data );
        ci_servico_form.btn_salvar.attr( 'class', 'btn btn-primary' );
        ci_servico_form.btn_salvar.html( '<i class="fa fa-floppy-o"></i> Salvar Serviço' );
        ci_servico_form.btn_deletar.show();
        ci_servico_form.modalShow();
      },
    } );
  }
  function ci_deletarServ_btn() {
    ci_deletarServ( ci_servico_form.id.val() );
  }
  function ci_deletarServ( id ) {
    if ( id == '' ) return;
    if ( confirm( 'Deseja realmente deletar este Serviço?' ) ) {
      ci_servico_form.btn_deletar.html( '<i class="fa fa-spinner fa-pulse fa-fw"></i> Deletando...' );
      $.ajax( {
        url: '{{ route('api.orc_ci_serv.destroy', [$job->id, ''] ) }}/' + id + '?token=' + window.localStorage[ 'jwtToken' ],
        type: 'DELETE',
        data: {
          item_id: ci_servico_form.item_id.val(),
          orcEST_id: estimativa_form.est_id.val(),
        },
        success: function ( data ) {
          ci_loadServ();
          ci_servico_form.modalHide();
        },
      } );
    }
  }
  
  function ci_tipo() {
    var escolhaID = ci_servico_form.tipo_servico.val();
    var nivel     = ci_servico_form.tipo_servico_nivel.val();
    
    if ( escolhaID === '' || nivel === '' ) {
      return;
    }
    var item = null;
    for ( var i in CI_PRECOS ) {
      if ( CI_PRECOS[ i ].id == escolhaID ) {
        item = CI_PRECOS[ i ];
        break;
      }
    }
    if ( item === null ) {
      return;
    }
    
    var preco = 0;
    if ( nivel == 1 ) {
      preco = item.sinapro_min;
    } else if ( nivel == 2 ) {
      preco = item.sinapro_max;
    } else if ( nivel == 3 ) {
      preco = item.desc_15;
    } else if ( nivel == 4 ) {
      preco = item.desc_30;
    } else if ( nivel == 5 ) {
      preco = item.desc_50;
    }
    
    ci_servico_form.i_valor_unitario.maskMoney( 'mask', preco );
    ci_servico_form.valor_unitario = preco;
    ci_subtotal();
  }
  
  function ci_subtotal() {
    ci_servico_form.valor_unitario = parseInt( ci_servico_form.i_valor_unitario.val().replace( /\D/g, '' ) );

    var v_unit = ci_servico_form.valor_unitario;
    var hrs    = ci_servico_form.horas.val().replace( /\D/g, '' );
    var valor  = parseInt( v_unit * hrs / 100 );

    ci_servico_form.valor_total = valor;
    ci_servico_form.p_valor_total.html( 'R$ ' + formatDinheiro( valor ) );
  }
  
  function serv_ci_editarItem() {
    ci_editarItem( ci_servico_form.item_id.val() );
  }
  
  $( function () {
    $( '#ci_btn_editarItem' ).on( 'click', serv_ci_editarItem );// TODO
    $( '#serv_ci_btn_novoItem' ).on( 'click', ci_novoServ );
    $( '#ci_btn_salvarServ' ).on( 'click', ci_salvarServ );
    $( '#ci_btn_deletarItem' ).on( 'click', ci_deletarServ_btn );
    ci_servico_form.tipo_servico.on( 'change', ci_tipo );
    ci_servico_form.tipo_servico_nivel.on( 'change', ci_tipo );
    ci_servico_form.horas.on( 'keyup', ci_subtotal );
    ci_servico_form.horas.maskMoney( { thousands: '', decimal: ',', allowZero: true } );
    ci_servico_form.i_valor_unitario.on( 'keyup', ci_subtotal );
    ci_servico_form.i_valor_unitario.maskMoney( { thousands: '', decimal: ',', allowZero: true } );
  } );
</script>