<script type="application/javascript">
  var co_servico_form = {
    item_id: $( '#itemCO_id' ),
    item_nome: $( '#itemCO_nome' ),
    item_descricao: $( '#itemCO_descricao' ),
    
    serv_co_tbody: $( '#serv_co_tbody' ),
    serv_co_arredondamento: $( '#serv_co_arredondamento' ),
    serv_co_subtotal: $( '#serv_co_subtotal' ),
    serv_co_taxa_bv: $( '#serv_co_taxa_bv' ),
    serv_co_bv: $( '#serv_co_bv' ),
    serv_co_taxa_planejamento: $( '#serv_co_taxa_planejamento' ),
    serv_co_planejamento: $( '#serv_co_planejamento' ),
    serv_co_taxa_imposto: $( '#serv_co_taxa_imposto' ),
    serv_co_impostos: $( '#serv_co_impostos' ),
    serv_co_total: $( '#serv_co_total' ),
    serv_co_div_arredondamento: $( '#serv_co_div_arredondamento' ),
    serv_co_li_taxa_planejamento: $( '#serv_co_li_taxa_planejamento' ),
    
    id: $( '#co_id_form' ),
    fornecedor: $( '#co_fornecedor_form' ),
    obs: $( '#co_obs_form' ),
    quantidade: $( '#co_quantidade_form' ),
    valor_unitario: $( '#co_valor_unitario_form' ),
    p_valor_item: $( '#co_valor_item_form' ),
    v_preco: 0,
    
    btn_deletar: $( '#co_btn_deletarServ' ),
    btn_salvar: $( '#co_btn_salvarServ' ),
    
    getValores: function () {
      // retorna o objeto do item preenchidos no formulario
      co_subtotal();
      return {
        id: this.id.val(),
        fornecedor_id: this.fornecedor.val(),
        obs: this.obs.val(),
        valor_unitario: this.valor_unitario.val().replace( /\D/g, '.' ),
        quantidade: this.quantidade.val(),
        valor_total: this.v_preco,
      };
    },
    setValores: function ( item ) {
      // insere os valores nos elementos do formulario
      this.id.val( item.id );
      this.fornecedor.val( item.fornecedor_id );
      this.obs.val( item.obs );
      this.valor_unitario.val( item.valor_unitario.replace( /\D/g, ',' ) );
      this.quantidade.val( item.quantidade );
      this.v_preco = item.valor_total;
      co_subtotal();
    },
    clearValores: function () {
      // limpa o conteudo preenchido no formulario
      this.id.val( '' );
      this.fornecedor.val( '' );
      this.obs.val( '' );
      this.valor_unitario.val( '0,00' );
      this.quantidade.val( '' );
      this.p_valor_item.html( 'R$ 0,00' );
      this.btn_salvar.html( 'Salvar' );
    },
    modalShow: function () {
      $( '#modalCOserv' ).modal( 'show' );
    },
    modalHide: function () {
      $( '#modalCOserv' ).modal( 'hide' );
      this.btn_salvar.html( 'Salvar' );
      this.btn_deletar.html( '<i class="fa fa-trash"></i> Deletar Estimativa' );
      this.btn_deletar.hide();
    },
  };
  function serv_co_addTR( item ) {
    var linha = '';
    linha += '<tr>';
    linha += '<td class="quebra-texto">' + item.fornecedor_string + '</td>';
    linha += '<td class="quebra-texto">' + item.obs + '</td>';
    linha += '<td>R$ ' + formatDinheiro( item.valor_unitario.replace( /\D/g, '' ) ) + ' &times; ' + item.quantidade + '</td>';
    linha += '<td class="text-right"> R$ ' + formatDinheiro( item.valor_total ) + '</td>';
    linha += '<td class="text-right nao-quebra-texto">';
    linha += '<a class="btn btn-warning btn-xs" onclick="co_editarServ(' + item.id + ')" title="Editar este Serviço">';
    linha += '<i class="fa fa-pencil" aria-hidden="true"></i>';
    linha += '</a>&nbsp;';
    linha += '<a class="btn btn-danger btn-xs" onclick="co_deletarServ(' + item.id + ')" title="Deletar este Serviço">';
    linha += '<i class="fa fa-trash-o" aria-hidden="true"></i>';
    linha += '</a>';
    linha += '</td>';
    linha += '</tr>';
    co_servico_form.serv_co_tbody.append( linha );
  }
  function co_loadServ() {
    $.ajax( {
      url: '{{ route('api.orc_co_serv.index', $job->id) }}' + '?token=' + window.localStorage[ 'jwtToken' ],
      type: 'get',
      data: {
        item_id: co_servico_form.item_id.val(),
        orcEST_id: estimativa_form.est_id.val(),
      },
      success: function ( data ) {
        co_servico_form.item_nome.html( data.nome );
        co_servico_form.item_descricao.html( nl2br( data.descricao ) );
        
        var servicos = data.servicos;
        co_servico_form.serv_co_tbody.empty();
        for ( var i in servicos.itens ) {
          serv_co_addTR( servicos.itens[ i ] );
        }
        co_servico_form.serv_co_subtotal.html( 'R$ ' + formatDinheiro( servicos.sub_total ) );
        co_servico_form.serv_co_arredondamento.html( 'R$ ' + formatDinheiro( servicos.arredondamento ) );
        co_servico_form.serv_co_taxa_bv.html( servicos.taxa_bv );
        co_servico_form.serv_co_bv.html( 'R$ ' + formatDinheiro( servicos.bv ) );
        co_servico_form.serv_co_taxa_planejamento.html( servicos.taxa_planejamento );
        co_servico_form.serv_co_planejamento.html( 'R$ ' + formatDinheiro( servicos.planejamento ) );
        co_servico_form.serv_co_taxa_imposto.html( servicos.taxa_impostos );
        co_servico_form.serv_co_impostos.html( 'R$ ' + formatDinheiro( servicos.impostos ) );
        co_servico_form.serv_co_total.html( 'R$ ' + formatDinheiro( servicos.total ) );
        if ( servicos.arredondamento == 0 ) {
          co_servico_form.serv_co_div_arredondamento.hide();
        } else {
          co_servico_form.serv_co_div_arredondamento.show();
        }
        if ( servicos.taxa_planejamento == 0 ) {
          co_servico_form.serv_co_li_taxa_planejamento.hide();
        } else {
          co_servico_form.serv_co_li_taxa_planejamento.show();
        }
      },
    } );
    orc_TELA = orc_TELA_serv_co;
  }
  function co_salvarServ() {
    var item = co_servico_form.getValores();
    
    if ( item.fornecedor_id === '' ||
      item.valor_unitario === '0.00' ||
      item.quantidade === '' ) {
      return;
    }
    
    item.item_id   = co_servico_form.item_id.val();
    item.orcEST_id = estimativa_form.est_id.val();
    if ( item.id === '' ) {
      // create
      co_servico_form.btn_salvar.html( '<i class="fa fa-spinner fa-pulse fa-fw"></i> Inserindo...' );
      $.ajax( {
        url: '{{ route('api.orc_co_serv.store', $job->id) }}' + '?token=' + window.localStorage[ 'jwtToken' ],
        type: 'POST',
        data: item,
        success: function ( data ) {
          co_loadServ();
        },
      } );
      
    } else {
      // update
      co_servico_form.btn_salvar.html( '<i class="fa fa-spinner fa-pulse fa-fw"></i> Atualizando...' );
      $.ajax( {
        url: '{{ route('api.orc_co_serv.update',[ $job->id, '']) }}/' + item.id + '?token=' + window.localStorage[ 'jwtToken' ],
        type: 'PUT',
        data: item,
        success: function ( data ) {
          co_loadServ();
        },
      } );
    }
    co_servico_form.modalHide();
    co_servico_form.clearValores();
  }
  function co_novoServ() {
    co_servico_form.clearValores();
    co_servico_form.btn_salvar.attr( 'class', 'btn btn-success' );
    co_servico_form.btn_salvar.html( '<i class="fa fa-plus"></i> Inserir Serviço' );
    co_servico_form.btn_deletar.hide();
    co_servico_form.modalShow();
  }
  function co_editarServ( id ) {
    if ( id == '' ) return;
    $.ajax( {
      url: '{{ route('api.orc_co_serv.show', [$job->id,'']) }}/' + id + '?token=' + window.localStorage[ 'jwtToken' ],
      type: 'GET',
      data: {
        item_id: co_servico_form.item_id.val(),
        orcEST_id: estimativa_form.est_id.val(),
      },
      success: function ( data ) {
        co_servico_form.setValores( data );
        co_servico_form.btn_salvar.attr( 'class', 'btn btn-primary' );
        co_servico_form.btn_salvar.html( '<i class="fa fa-floppy-o"></i> Salvar Serviço' );
        co_servico_form.btn_deletar.show();
        co_servico_form.modalShow();
      },
    } );
  }
  function co_deletarServ_btn() {
    co_deletarServ( co_servico_form.id.val() );
  }
  function co_deletarServ( id ) {
    if ( id == '' ) return;
    if ( confirm( "Deseja realmente deletar este Serviço?" ) ) {
      co_servico_form.btn_deletar.html( '<i class="fa fa-spinner fa-pulse fa-fw"></i> Deletando...' );
      $.ajax( {
        url: '{{ route('api.orc_co_serv.destroy', [$job->id, ''] ) }}/' + id + '?token=' + window.localStorage[ 'jwtToken' ],
        type: 'DELETE',
        data: {
          item_id: co_servico_form.item_id.val(),
          orcEST_id: estimativa_form.est_id.val(),
        },
        success: function ( data ) {
          co_loadServ();
        },
      } );
    }
  }
  function serv_co_editarItem() {
    co_editarItem( co_servico_form.item_id.val() );
  }
  function co_subtotal() {
    var unid = co_servico_form.valor_unitario.val().replace( /\D/g, '.' );
    var qtdd = co_servico_form.quantidade.val().replace( /\D/g, '' );
    co_servico_form.quantidade.val( qtdd );
    unid = parseFloat( unid );
    if ( unid <= 0 || qtdd === '' ) {
      co_servico_form.p_valor_item.html( "R$ 0,00" );
      return;
    }
    qtdd = parseInt( qtdd );
    if ( qtdd === 0 ) {
      co_servico_form.p_valor_item.html( "R$ 0,00" );
      return;
    }
    
    var valor               = parseInt( unid * qtdd * 100 );
    co_servico_form.v_preco = valor;
    co_servico_form.p_valor_item.html( "R$ " + formatDinheiro( valor ) );
  }
  
  $( function () {
    $( '#co_btn_editarItem' ).on( 'click', serv_co_editarItem );// TODO
    $( '#serv_co_btn_novoServ' ).on( 'click', co_novoServ );
    $( '#co_btn_salvarServ' ).on( 'click', co_salvarServ );
    $( '#co_btn_deletarItem' ).on( 'click', co_deletarServ_btn );
    co_servico_form.quantidade.on( 'keyup', co_subtotal );
    co_servico_form.valor_unitario.on( 'keyup', co_subtotal );
    co_servico_form.valor_unitario.maskMoney( { thousands: '', decimal: ',', allowZero: true } );
  } );
</script>