@extends('Comercial.JobBase')

@section('form')
  
  <!-- TAB NAVIGATION -->
  <ul class="nav nav-tabs" role="tablist">
    <li class="active">
      <a href="#tab_info" role="tab" data-toggle="tab">
        <i class="fa fa-briefcase"></i> Informações
      </a>
    </li>
    <li>
      <a href="#tab_briefing" role="tab" data-toggle="tab">
        <i class="fa fa-file-text-o"></i> Briefing
      </a>
    </li>
    <li>
      <a href="#tab_cronograma" role="tab" data-toggle="tab">
        <i class="fa fa-calendar"></i> Cronograma
      </a>
    </li>
    <li class="pull-right" data-toggle="tooltip" data-placement="left" title="Histórico de Alterações deste Job">
      <a href="#tab_logs" role="tab" data-toggle="tab">
        <i class="fa fa-history" aria-hidden="true"></i>
      </a>
    </li>
  </ul>
  <!-- TAB CONTENT -->
  <div class="tab-content RCS_tab-pane">
    <div class="active tab-pane fade in" id="tab_info">
      @can(\App\CRP::P_Comercial_A_edit)
        @include('Comercial.componentes.0_info')
      @else
        @include('Comercial.componentes.0_info_static')
      @endcan
    </div>
    <div class="tab-pane fade" id="tab_briefing">
      @can(\App\CRP::P_Comercial_A_edit)
        @include('Comercial.componentes.A_briefing__form')
      @else
        @include('Comercial.componentes.A_briefing_static')
      @endcan
    </div>
    <div class="tab-pane fade" id="tab_cronograma">
      @can(\App\CRP::P_Comercial_A_edit)
        @include('Comercial.componentes.A_cronograma_yearCalendar')
      @else
        @include('Comercial.componentes.A_cronograma_yearCalendar_static')
      @endcan
    </div>
    <div class="tab-pane fade in" id="tab_logs">
      @include('Comercial.componentes.logs')
    </div>
  </div>

@endsection
@section('form_scripts')
  
  {{-- BRIEFING Tabs --}}
  @can(\App\CRP::P_Comercial_A_edit)
    @include('Comercial.componentes.A_briefing__form_scripts')
  @endcan
  
  {{-- CRONOGRAMA --}}
  @can(\App\CRP::P_Comercial_A_edit)
    @include('Comercial.componentes.A_cronograma_yearCalendar_scripts')
  @else
    @include('Comercial.componentes.A_cronograma_yearCalendar_static_scripts')
  @endcan

@endsection
