@extends('Comercial.JobBase')

@section('form')
  
  <!-- TAB NAVIGATION -->
  <ul class="nav nav-tabs" role="tablist">
    <li>
      <a href="#tab_info" role="tab" data-toggle="tab">
        <i class="fa fa-briefcase"></i> Informações
      </a>
    </li>
    <li>
      <a href="#tab_briefing" role="tab" data-toggle="tab">
        <i class="fa fa-file-text-o"></i> Briefing
      </a>
    </li>
    <li>
      <a href="#tab_cronograma" role="tab" data-toggle="tab">
        <i class="fa fa-calendar"></i> Cronograma
      </a>
    </li>
    <li>
      <a href="#tab_orcamento" role="tab" data-toggle="tab">
        <i class="fa fa-dollar"></i> Orçamento
      </a>
    </li>
    <li>
      <a href="#tab_condpagto" role="tab" data-toggle="tab">
        <i class="fa fa-calendar-check-o"></i> Condição de Pagamento
      </a>
    </li>
    <li class="active">
      <a href="#tab_aprovDiretoria" role="tab" data-toggle="tab">
        <i class="fa fa-check"></i> Aprovação da Diretoria
      </a>
    </li>
    <li class="pull-right" data-toggle="tooltip" data-placement="left" title="Histórico de Alterações deste Job">
      <a href="#tab_logs" role="tab" data-toggle="tab">
        <i class="fa fa-history" aria-hidden="true"></i>
      </a>
    </li>
  </ul>
  <!-- TAB CONTENT -->
  <div class="tab-content RCS_tab-pane">
    <div class="tab-pane fade" id="tab_info">
      @can(\App\CRP::P_Comercial_C_edit)
        @include('Comercial.componentes.0_info')
      @else
        @include('Comercial.componentes.0_info_static')
      @endcan
    </div>
    <div class="tab-pane fade" id="tab_briefing">
      @can(\App\CRP::P_Comercial_C_edit)
        @include('Comercial.componentes.A_briefing__form')
      @else
        @include('Comercial.componentes.A_briefing_static')
      @endcan
    </div>
    <div class="tab-pane fade" id="tab_cronograma">
      @can(\App\CRP::P_Comercial_C_edit)
        @include('Comercial.componentes.A_cronograma_yearCalendar')
      @else
        @include('Comercial.componentes.A_cronograma_yearCalendar_static')
      @endcan
    </div>
    <div class="tab-pane fade" id="tab_orcamento">
      @include('Comercial.componentes.ORCAMENTO.B_orcamento_static')
    </div>
    <div class="tab-pane fade" id="tab_condpagto">
      @include('Comercial.componentes.B_condpagto_static')
    </div>
    <div class="active tab-pane fade in" id="tab_aprovDiretoria">
      @can(\App\CRP::P_Comercial_C_edit)
        @include('Comercial.componentes.C_aprovacaoDiretoria')
      @else
        @include('Comercial.componentes.C_aprovacaoDiretoria_static')
      @endcan
    </div>
    <div class="tab-pane fade in" id="tab_logs">
      @include('Comercial.componentes.logs')
    </div>
  </div>

@endsection
@section('form_scripts')
  @can(\App\CRP::P_Comercial_C_edit)
    @include('Comercial.componentes.A_briefing__form_scripts')
    @include('Comercial.componentes.A_cronograma_yearCalendar_scripts')
  @else
    @include('Comercial.componentes.A_cronograma_yearCalendar_static_scripts')
  @endcan
  @include('Comercial.componentes.ORCAMENTO.B_orcamento_static_scripts')

@endsection
