@extends('Comercial.JobBase')

@section('form')

  <!-- TAB NAVIGATION -->
  <ul class="nav nav-tabs" role="tablist">
    <li>
      <a href="#tab_info" role="tab" data-toggle="tab">
        <i class="fa fa-briefcase"></i> Informações
      </a>
    </li>
    <li>
      <a href="#tab_briefing" role="tab" data-toggle="tab">
        <i class="fa fa-file-text-o"></i> Briefing
      </a>
    </li>
    <li>
      <a href="#tab_cronograma" role="tab" data-toggle="tab">
        <i class="fa fa-calendar"></i> Cronograma
      </a>
    </li>
    @role( App\CRP::R_Func_Planejamento)
    @else
      <li>
        <a href="#tab_orcamento" role="tab" data-toggle="tab">
          <i class="fa fa-dollar"></i> Orçamento
        </a>
      </li>
      <li>
        <a href="#tab_condpagto" role="tab" data-toggle="tab">
          <i class="fa fa-calendar-check-o"></i> Cond. de Pagamento
        </a>
      </li>
    @endrole
    <li>
      <a href="#tab_aprovDiretoria" role="tab" data-toggle="tab">
        <i class="fa fa-check"></i> Aprov. da Diretoria
      </a>
    </li>
    <li>
      <a href="#tab_PDF" role="tab" data-toggle="tab">
        <i class="fa fa-file-pdf-o"></i> PDF
      </a>
    </li>
    <li class="active">
      <a href="#tab_aprovCliente" role="tab" data-toggle="tab">
        <i class="fa fa-check"></i> Aprov. do Cliente
      </a>
    </li>
    <li class="pull-right" data-toggle="tooltip" data-placement="left" title="Histórico de Alterações deste Job">
      <a href="#tab_logs" role="tab" data-toggle="tab">
        <i class="fa fa-history" aria-hidden="true"></i>
      </a>
    </li>
  </ul>
  <!-- TAB CONTENT -->
  <div class="tab-content RCS_tab-pane">
    <div class="tab-pane fade" id="tab_info">
      @can(\App\CRP::P_Comercial_D_edit)
        @include('Comercial.componentes.0_info')
      @else
        @include('Comercial.componentes.0_info_static')
      @endcan
    </div>
    <div class="tab-pane fade" id="tab_briefing">
      @can(\App\CRP::P_Comercial_D_edit)
        @include('Comercial.componentes.A_briefing__form')
      @else
        @include('Comercial.componentes.A_briefing_static')
      @endcan
    </div>
    <div class="tab-pane fade" id="tab_cronograma">
      @can(\App\CRP::P_Comercial_D_edit)
        @include('Comercial.componentes.A_cronograma_yearCalendar')
      @else
        @include('Comercial.componentes.A_cronograma_yearCalendar_static')
      @endcan
    </div>
    @role( App\CRP::R_Func_Planejamento)
    @else
      <div class="tab-pane fade" id="tab_orcamento">
        @include('Comercial.componentes.ORCAMENTO.B_orcamento_static')
      </div>
      <div class="tab-pane fade" id="tab_condpagto">
        @include('Comercial.componentes.B_condpagto_static')
      </div>
    @endrole
    <div class="tab-pane fade" id="tab_aprovDiretoria">
      @include('Comercial.componentes.C_aprovacaoDiretoria_static')
    </div>
    <div class="tab-pane fade" id="tab_PDF">
      @can(\App\CRP::P_Comercial_D_edit)
        @include('Comercial.componentes.D_PDF')
      @else
        <div class="row">
          <div class="col-md-12 form-group">
            <h2><i class="fa fa-file-pdf-o" aria-hidden="true"></i> Gerar PDF do Orçamento</h2>
          </div>
        </div>
        <div class="row">
          <div class="col-md-8 col-md-offset-2">
            <div class="alert alert-warning alert-important" role="alert">
              <strong>
                <i class="fa fa-exclamation-triangle"></i>
                Usuário sem permissão para Gerar PDF!
              </strong>
            </div>
          </div>
        </div>
      @endcan
    </div>
    <div class="active tab-pane fade in" id="tab_aprovCliente">
      @can(\App\CRP::P_Comercial_D_edit)
        @include('Comercial.componentes.D_aprovacaoCliente')
      @else
        @include('Comercial.componentes.D_aprovacaoCliente_static')
      @endcan
    </div>
    <div class="tab-pane fade in" id="tab_logs">
      @include('Comercial.componentes.logs')
    </div>
  </div>

@endsection
@section('form_scripts')
  @include('Comercial.componentes.ORCAMENTO.B_orcamento_static_scripts')
  @can(\App\CRP::P_Comercial_D_edit)
    @include('Comercial.componentes.A_briefing__form_scripts')
    @include('Comercial.componentes.A_cronograma_yearCalendar_scripts')
    @include('Comercial.componentes.D_PDF_scripts')
  @else
    @include('Comercial.componentes.A_cronograma_yearCalendar_static_scripts')
  @endcan

@endsection
