@extends('Comercial.JobBase')

@section('form')

  <div class="row">
    <div class="col-md-12 grupo">
      <h2><i class="fa fa-wrench" aria-hidden="true"></i> Em Produção</h2>
    </div>
  </div>


  <!-- TAB NAVIGATION -->
  <ul class="nav nav-tabs" role="tablist">
    <li class="active">
      <a href="#tab_info" role="tab" data-toggle="tab">
        <i class="fa fa-briefcase"></i> Informações
      </a>
    </li>
    <li>
      <a href="#tab_briefing" role="tab" data-toggle="tab">
        <i class="fa fa-file-text-o"></i> Briefing
      </a>
    </li>
    <li>
      <a href="#tab_cronograma" role="tab" data-toggle="tab">
        <i class="fa fa-calendar"></i> Cronograma
      </a>
    </li>
    @hasanyrole( [ App\CRP::R_Admin, App\CRP::R_Diretor ] )
      <li>
        <a href="#tab_orcamento" role="tab" data-toggle="tab">
          <i class="fa fa-dollar"></i> Orçamento
        </a>
      </li>
    @endhasanyrole
    @hasanyrole( [ App\CRP::R_Admin, App\CRP::R_Diretor, App\CRP::R_Func_Planejamento ] )
      <li>
        <a href="#tab_PDF" role="tab" data-toggle="tab">
          <i class="fa fa-file-pdf-o"></i> PDF
        </a>
      </li>
    @endhasanyrole
    <li class="pull-right" data-toggle="tooltip" data-placement="left" title="Histórico de Alterações deste Job">
      <a href="#tab_logs" role="tab" data-toggle="tab">
        <i class="fa fa-history" aria-hidden="true"></i>
      </a>
    </li>
  </ul>
  <!-- TAB CONTENT -->
  <div class="tab-content RCS_tab-pane">
    <div class="active tab-pane fade in" id="tab_info">
      @can(\App\CRP::P_Comercial_E_edit)
        @include('Comercial.componentes.0_info')
      @else
        @include('Comercial.componentes.0_info_static')
      @endcan
    </div>
    <div class="tab-pane fade" id="tab_briefing">
      @can(\App\CRP::P_Comercial_E_edit)
        @include('Comercial.componentes.A_briefing__form')
      @else
        @include('Comercial.componentes.A_briefing_static')
      @endcan
    </div>
    <div class="tab-pane fade" id="tab_cronograma">
      @can(\App\CRP::P_Comercial_E_edit)
        @include('Comercial.componentes.A_cronograma_yearCalendar_stage_prod')
      @else
        @include('Comercial.componentes.A_cronograma_yearCalendar_static')
      @endcan
    </div>
    @hasanyrole( [ App\CRP::R_Admin, App\CRP::R_Diretor ] )
      <div class="tab-pane fade" id="tab_orcamento">
        @include('Comercial.componentes.ORCAMENTO.B_orcamento_static')
      </div>
    @endhasanyrole
    @hasanyrole( [ App\CRP::R_Admin, App\CRP::R_Diretor, App\CRP::R_Func_Planejamento ] )
      <div class="tab-pane fade" id="tab_PDF">
        @include('Comercial.componentes.D_PDF_prod')
      </div>
    @endhasanyrole
    <div class="tab-pane fade in" id="tab_logs">
      @include('Comercial.componentes.logs')
    </div>
  </div>

@endsection
@section('form_scripts')
  @can(\App\CRP::P_Comercial_E_edit)
    @include('Comercial.componentes.A_briefing__form_scripts')
    @include('Comercial.componentes.A_cronograma_yearCalendar_stage_prod_scripts')
    @include('Comercial.componentes.D_PDF_scripts')
  @else
    @include('Comercial.componentes.A_cronograma_yearCalendar_static_scripts')
  @endcan
  @hasanyrole( [ App\CRP::R_Admin, App\CRP::R_Diretor ] )
    @include('Comercial.componentes.ORCAMENTO.B_orcamento_static_scripts')
  @endhasanyrole
  @hasanyrole( [ App\CRP::R_Admin, App\CRP::R_Diretor, App\CRP::R_Func_Planejamento ] )
    @include('Comercial.componentes.D_PDF_scripts')
  @endhasanyrole
@endsection
