@extends('Comercial.JobBase')

@section('form')

  <!-- TAB NAVIGATION -->
  <ul class="nav nav-tabs" role="tablist">
    <li class="active">
      <a href="#tab_info" role="tab" data-toggle="tab">
        <i class="fa fa-briefcase"></i> Informações
      </a>
    </li>
    <li>
      <a href="#tab_briefing" role="tab" data-toggle="tab">
        <i class="fa fa-file-text-o"></i> Briefing
      </a>
    </li>
    <li>
      <a href="#tab_cronograma" role="tab" data-toggle="tab">
        <i class="fa fa-calendar"></i> Cronograma
      </a>
    </li>
    <li>
      <a href="#tab_orcamento" role="tab" data-toggle="tab">
        <i class="fa fa-dollar"></i> Orçamento
      </a>
    </li>
    <li>
      <a href="#tab_condpagto" role="tab" data-toggle="tab">
        <i class="fa fa-calendar-check-o"></i> Cond. de Pagamento
      </a>
    </li>
    <li>
      <a href="#tab_PDF" role="tab" data-toggle="tab">
        <i class="fa fa-file-pdf-o"></i> PDF
      </a>
    </li>
    <li class="pull-right" data-toggle="tooltip" data-placement="left" title="Histórico de Alterações deste Job">
      <a href="#tab_logs" role="tab" data-toggle="tab">
        <i class="fa fa-history" aria-hidden="true"></i>
      </a>
    </li>
  </ul>
  <!-- TAB CONTENT -->
  <div class="tab-content RCS_tab-pane">
    <div class="active tab-pane fade in" id="tab_info">
      @can(\App\CRP::P_Comercial_F_edit)
        @include('Comercial.componentes.0_info')
      @else
        @include('Comercial.componentes.0_info_static')
      @endcan
    </div>
    <div class="tab-pane fade" id="tab_briefing">
      @include('Comercial.componentes.A_briefing_static')
    </div>
    <div class="tab-pane fade" id="tab_cronograma">
      @include('Comercial.componentes.A_cronograma_yearCalendar_static')
    </div>
    <div class="tab-pane fade" id="tab_orcamento">
      @include('Comercial.componentes.ORCAMENTO.B_orcamento_static')
    </div>
    <div class="tab-pane fade" id="tab_condpagto">
      @include('Comercial.componentes.B_condpagto_static')
    </div>
    <div class="tab-pane fade" id="tab_PDF">
      @include('Comercial.componentes.D_PDF_prod')
    </div>
    <div class="tab-pane fade in" id="tab_logs">
      @include('Comercial.componentes.logs')
    </div>
  </div>

{{--
  <div class="row">
    <div class="col-md-12 grupo">
      <h2><i class="fa fa-calculator" aria-hidden="true"></i> Faturamento</h2>
    </div>
  </div>

  <div class="row">
    <div class="col-md-12 grupo">
      <p class="chave">Nome do Job:</p>
      <p class="valor">{{$job->nome_job}}</p>
    </div>
  </div>
  <div class="row">
    <div class="col-md-12 grupo">
      <p class="chave">Cliente:</p>
      <p class="valor">{{$job->_ClienteConta()}}</p>
    </div>
  </div>
  <div class="row">
    <div class="col-md-12 grupo">
      <p class="chave">Responsável:</p>
      <p class="valor">{{$job->_Responsavel()}}</p>
    </div>
  </div>
  <div class="row">
    <div class="col-md-12 grupo">
      <p class="chave">Data de entrega:</p>
      <p class="valor">{{ \Carbon\Carbon::parse($job->previsao_entrega )->format('d/m/Y H:i') }}</p>
    </div>
  </div>

  <div class="row">
    <div class="col-md-12 grupo">
      <p class="chave">PO:</p>
      <p class="valor">{{ '?' }}</p>
    </div>
  </div>
  <div class="row">
    <div class="col-md-12 grupo">
      <p class="chave">A/C:</p>
      <p class="valor">{{ $contato_ac }}</p>
    </div>
  </div>
  <div class="row">
    <div class="col-md-12 grupo">
      <p class="chave">E-mail:</p>
      <p class="valor">{{ $contato_email }}</p>
    </div>
  </div>
--}}

@endsection
@section('form_scripts')
  @include('Comercial.componentes.A_cronograma_yearCalendar_static_scripts')
  @include('Comercial.componentes.ORCAMENTO.B_orcamento_static_scripts')
  @include('Comercial.componentes.D_PDF_scripts')
@endsection
