@extends('Comercial.JobBase')

@section('form')
  <!-- TAB NAVIGATION -->
  <ul class="nav nav-tabs" role="tablist">
    <li class="active">
      <a href="#tab_info" role="tab" data-toggle="tab">
        <i class="fa fa-briefcase"></i> Informações
      </a>
    </li>
    <li>
      <a href="#tab_briefing" role="tab" data-toggle="tab">
        <i class="fa fa-file-text-o"></i> Briefing
      </a>
    </li>
    <li>
      <a href="#tab_cronograma" role="tab" data-toggle="tab">
        <i class="fa fa-calendar"></i> Cronograma
      </a>
    </li>
    <li>
      <a href="#tab_orcamento" role="tab" data-toggle="tab">
        <i class="fa fa-dollar"></i> Orçamento
      </a>
    </li>
    <li>
      <a href="#tab_condpagto" role="tab" data-toggle="tab">
        <i class="fa fa-calendar-check-o"></i> Cond. de Pagamento
      </a>
    </li>
    <li>
      <a href="#tab_aprovDiretoria" role="tab" data-toggle="tab">
        <i class="fa fa-check"></i> Aprov. da Diretoria
      </a>
    </li>
    <li>
      <a href="#tab_PDF" role="tab" data-toggle="tab">
        <i class="fa fa-file-pdf-o"></i> PDF
      </a>
    </li>
    <li>
      <a href="#tab_aprovCliente" role="tab" data-toggle="tab">
        <i class="fa fa-check"></i> Aprov. do Cliente
      </a>
    </li>
    <li class="pull-right" data-toggle="tooltip" data-placement="left" title="Histórico de Alterações deste Job">
      <a href="#tab_logs" role="tab" data-toggle="tab">
        <i class="fa fa-history" aria-hidden="true"></i>
      </a>
    </li>
  </ul>
  <!-- TAB CONTENT -->
  <div class="tab-content RCS_tab-pane">
    <div class="active tab-pane fade in" id="tab_info">
      @if( auth()->check() && auth()->user()->hasAnyRole( [ App\CRP::R_Admin, App\CRP::R_Diretor ] ) )
        @include('Comercial.componentes.0_info')
      @else
        @include('Comercial.componentes.0_info_static')
      @endif
    </div>
    <div class="tab-pane fade" id="tab_briefing">
      @include('Comercial.componentes.A_briefing_static')
    </div>
    <div class="tab-pane fade" id="tab_cronograma">
      @include('Comercial.componentes.A_cronograma_yearCalendar_static')
    </div>
    <div class="tab-pane fade" id="tab_orcamento">
      @include('Comercial.componentes.ORCAMENTO.B_orcamento_static')
    </div>
    <div class="tab-pane fade" id="tab_condpagto">
      @include('Comercial.componentes.B_condpagto_static')
    </div>
    <div class="tab-pane fade" id="tab_aprovDiretoria">
      @include('Comercial.componentes.C_aprovacaoDiretoria_static')
    </div>
    <div class="tab-pane fade" id="tab_PDF">
      <div class="row">
        <div class="col-md-12 form-group">
          <h2><i class="fa fa-file-pdf-o" aria-hidden="true"></i> Gerar PDF do Orçamento</h2>
        </div>
      </div>
      <div class="row">
        <div class="col-md-8 col-md-offset-2">
          <div class="alert alert-warning alert-important" role="alert">
            <strong>
              <i class="fa fa-exclamation-triangle"></i>
              Não é possível Gerar PDF!
            </strong>
          </div>
        </div>
      </div>
    </div>
    <div class="tab-pane fade" id="tab_aprovCliente">
      @include('Comercial.componentes.D_aprovacaoCliente_static')
    </div>
    <div class="tab-pane fade in" id="tab_logs">
      @include('Comercial.componentes.logs')
    </div>
  </div>
@endsection
@section('form_scripts')
  @include('Comercial.componentes.A_cronograma_yearCalendar_static_scripts')
  @include('Comercial.componentes.ORCAMENTO.B_orcamento_static_scripts')

@endsection
