@extends('app')

@section('content')
  <div class="row">
    <div class="col-md-12 form-group">
      <h1>
        <a href="{{route('financeiro.caixa.index')}}" class="btn btn-default" data-toggle="tooltip" title="Voltar">
          <i class="fa fa-arrow-left fa-2x" aria-hidden="true"></i>
        </a>
        <i class="fa fa-line-chart" aria-hidden="true"></i>
        Fluxo de Caixa:
        <span style="color: #777">{{ $inicio_f }} até {{ $fim_f }}</span>
      </h1>
    </div>
  </div>

  <div class="row">
    <div class="col-md-8 col-md-offset-2 form-group">
      {!! Form::label('conta_bancaria', 'Conta Bancária:') !!}
      {!! Form::select('conta_bancaria', \App\Models\Financeiro\ContaBancaria::enum_contas(), $conta_id?? null, ['placeholder'=>'-- Selecione uma Conta Bancária --', 'class'=>'form-control', 'id'=>'conta_bancaria']) !!}
    </div>
    @if(!isset($semCaixa))
      <div class="col-md-2 form-group">
        <p class="chave">&nbsp;</p>
        <a class="btn btn-block btn-success" href="{!! route( 'financeiro.caixa.fluxo_de_caixa_xlsx', $periodo ) !!}?conta_bancaria={{ $conta_id ?? 0 }}&todas_contas=1">
          <i class="fa fa-file-excel-o" aria-hidden="true"></i>&nbsp;
          Exportar Todas
        </a>
      </div>
    @endif
  </div>

  @if(isset($semCaixa))
    <div class="row">
      <div class="col-md-8 col-md-offset-2 form-group">
        <div class="alert alert-info alert-important">
          <strong>
            <i class="fa fa-exclamation-circle" aria-hidden="true"></i>
            Selecione uma Conta Bancaria para exibir o Fluxo de Caixa!
          </strong>
        </div>
      </div>
    </div>
  @else
    @include('flash::message')

    <div class="row">
      <div class="col-md-12 form-group">

        <!-- TAB NAVIGATION -->
        <ul class="nav nav-tabs" role="tablist">
          <li class="active">
            <a href="#tab1" role="tab" data-toggle="tab">
              <i class="fa fa-calculator" aria-hidden="true"></i>
              Fluxo de Caixa
            </a>
          </li>
          <li>
            <a href="#tab2" role="tab" data-toggle="tab">
              <i class="fa fa-sign-in fa-rotate-90" aria-hidden="true"></i>
              Contas a Receber
            </a>
          </li>
          <li>
            <a href="#tab3" role="tab" data-toggle="tab">
              <i class="fa fa-sign-out fa-rotate-270" aria-hidden="true"></i>
              Contas a Pagar
            </a>
          </li>
        </ul>
        <!-- TAB CONTENT -->
        <div class="tab-content RCS_tab-pane">
          <div class="active tab-pane fade in" id="tab1">
            @include('Financeiro.Caixas.caixas_show_total')
          </div>
          <div class="tab-pane fade" id="tab2">
            @include('Financeiro.Caixas.caixas_show_receber')
          </div>
          <div class="tab-pane fade" id="tab3">
            @include('Financeiro.Caixas.caixas_show_pagar')
          </div>
        </div>

      </div>
    </div>
  @endif

  {{--
    {!!  Form::open([
        'route' => ['financeiro.caixa.update', $caixa->id],
        'method'=>'PUT',
        'id'=>'form_caixa_update'
    ]) !!}
    <div class="modal fade" id="modal_caixa_editar">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title">Editar Caixa</h4>
          </div>
          <div class="modal-body">
            <div class="row">
              <div class="col-md-12 grupo">
                <p class="chave">Ano/Mês:</p>
                <p class="valorReadOnly">{{ $caixa->ano }} / {{ $caixa->mes }}</p>
              </div>
            </div>
            <div class="row">
              <div class="col-md-12 form-group">
                {!! Form::label('valor_inicial', 'Valor inicial do Caixa deste mês:', ['class'=>'control-label']) !!}
                <div class="input-group">
                  <span class="input-group-addon">R$</span>
                  {!! Form::text('valor_inicial', number_format($caixa->valor_inicial/100, 2,',','.'), ['class'=>'form-control', 'id'=>'modal_input_valor_inicial'] ) !!}
                </div>
              </div>
            </div>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Fechar</button>
            <button type="submit" class="btn btn-primary">
              <i class="fa fa-floppy-o" aria-hidden="true"></i>
              Salvar
            </button>
          </div>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->
    {!! Form::close() !!}
  --}}
@endsection
@section('scripts')
  <script type="application/javascript">
    $( function () {
      $( '#modal_input_valor_inicial' ).maskMoney( { thousands: '.', decimal: ',', allowZero: true, allowNegative: true } );
      $( '#form_caixa_update' ).submit( function () {
        var valor = $( '#modal_input_valor_inicial' );
        valor.maskMoney( 'unmasked' );
        valor.val( valor.val().replace( /\D/g, '' ) );
        return true;
      } );

      $( '#conta_bancaria' ).on( 'change', function () {
        window.open( '?conta_bancaria=' + $( this ).val(), '_self' );
      } );
    } );
  </script>
@endsection
