<?php /** @var \App\Models\Financeiro\ContaDeConsumo $conta */ ?>
<div class="row">
  <div class="col-md-12 form-group">
    <div class="h3">
      <i class="fa fa-envelope" aria-hidden="true"></i>
      Contas de Consumo
      <a href="{{ route('financeiro.contasdeconsumo.index') }}{{ $caixaVoltar }}" class="btn btn-info pull-right"
         data-toggle="tooltip" title="Acessar todas as Contas de Consumo">
        <i class="fa fa-external-link" aria-hidden="true"></i>
        Acessar Contas de Consumo
      </a>
    </div>
  </div>
</div>

<div class="row">
  <div class="col-md-12">

    <div class="table-responsive">
      <table class="table table-hover">
        <thead>
        <tr>
          <th class="text-left" style="width: 4%">Pago</th>
          <th class="text-left" style="width: 30%">Nome</th>
          <th class="text-left" style="width: 8%">Vencimento</th>
          <th class="text-left" style="width: 35%">Despesa</th>
          <th class="text-right" style="width: 15%">Valor</th>
          <th class="text-right" style="width: 8%">Ações</th>
        </tr>
        </thead>
        <tbody>
        @foreach($contas as $conta)
          <?php $data = \Carbon\Carbon::parse( $conta->data ); ?>
          <tr class="{{ ($data->isToday()? 'info': (!$conta->pago && $data->isPast()? 'danger':'')) }}">
            <td class="text-left"><i class="fa {{ $conta->pago? 'fa-check-square' : 'fa-square-o' }}" aria-hidden="true"></i></td>
            <td class="text-left">{{ $conta->nome }}</td>
            <td class="text-left">{{ $data->format('d/m/Y')}}</td>
            <td class="text-left">{{ $conta->DespesaCodigoNome() }}</td>
            <td class="text-right">R$ {{ number_format($conta->valor/100, 2, ',','.') }}</td>
            <td class="text-right">
              <a class="btn btn-warning btn-xs" href="{{ route('financeiro.contasdeconsumo.edit',[$conta->id]) }}{{ $caixaVoltar }}">
                <i class="fa fa-pencil" aria-hidden="true"></i>
              </a>
            </td>
          </tr>
        @endforeach
        </tbody>
        <tfoot>
        <tr>
          <td colspan="4" class="text-right h4 text-bold">
            Sub-Total<br>
            <small>Sub-Total Projetado</small>
          </td>
          <td class="text-right h4 text-bold">
            R$ {{ number_format( $subtotal['contas']/100, 2, ',', '.' ) }}<br>
            <small>R$ {{ number_format( $subtotal['contasEst']/100, 2, ',', '.' ) }}</small>
          </td>
          <td></td>
        </tr>
        </tfoot>
      </table>
    </div>

  </div>
</div>
