<?php /** @var \App\Models\Financeiro\Ferias $feria */ ?>
<div class="row">
  <div class="col-md-12 form-group">
    <div class="h3">
      <i class="fa fa-user" aria-hidden="true"></i>
      Pagamento de Férias
      <a href="{{ route('financeiro.ferias.index') }}{{ $caixaVoltar }}" class="btn btn-info pull-right"
         data-toggle="tooltip" title="Acessar todos os Pagamentos de Férias" target="_blank">
        <i class="fa fa-external-link" aria-hidden="true"></i>
        Acessar Pagamento de Férias
      </a>
    </div>
  </div>
</div>

<div class="row">
  <div class="col-md-12">

    <div class="table-responsive">
      <table class="table table-hover">
        <thead>
        <tr>
          <th class="text-left" style="width: 4%">Pago</th>
          <th class="text-left" style="width: 33%">Nome do Funcionário</th>
          <th class="text-left" style="width: 25%">Período</th>
          <th class="text-left" style="width: 15%">Data de Pagamento</th>
          <th class="text-right" style="width: 15%">Valor</th>
          <th class="text-right" style="width: 8%">Ações</th>
        </tr>
        </thead>
        <tbody>
        @foreach($ferias as $feria)
          <?php $data = \Carbon\Carbon::parse( $feria->data_pagamento ); ?>
          <tr class="{{ ($data->isToday()? 'info': (!$feria->pago && $data->isPast()? 'danger':'')) }}">
            <td class="text-left"><i class="fa {{ $feria->pago?'fa-check-square':'fa-square-o'  }}" aria-hidden="true"></i></td>
            <td class="text-left">{{ $feria->Funcionario->nome }}</td>
            <td class="text-left">
              {{ \Carbon\Carbon::parse($feria->data_inicio)->format('d/m/Y')}} - {{ \Carbon\Carbon::parse($feria->data_fim)->format('d/m/Y')}}
            </td>
            <td class="text-left">{{ \Carbon\Carbon::parse($feria->data_pagamento)->format('d/m/Y') }}</td>
            <td class="text-right">R$ {{ number_format( $feria->valor_total_bruto/100, 2, ',', '.' ) }}</td>
            <td class="text-right">
              <a class="btn btn-warning btn-xs" href="{{ route('financeiro.ferias.edit',[$feria->id]) }}{{ $caixaVoltar }}">
                <i class="fa fa-pencil" aria-hidden="true"></i>
              </a>
            </td>
          </tr>
        @endforeach
        </tbody>
        <tfoot>
        <tr>
          <td colspan="4" class="text-right h4 text-bold">
            Sub-Total<br>
            <small>Sub-Total Projetado</small>
          </td>
          <td class="text-right h4 text-bold">
            R$ {{ number_format( $subtotal['ferias']/100, 2, ',', '.' ) }}<br>
            <small>R$ {{ number_format( $subtotal['feriasEst']/100, 2, ',', '.' ) }}</small>
          </td>
          <td></td>
        </tr>
        </tfoot>
      </table>
    </div>

  </div>
</div>