<?php /**  @var \App\Models\Financeiro\ContaFornecedor $fornecedor */ ?>
<div class="row">
  <div class="col-md-12 form-group">
    <div class="h3">
      <i class="fa fa-briefcase" aria-hidden="true"></i>
      Contas dos Fornecedores
      <a href="{{ route('financeiro.fornecedores.index') }}{{ $caixaVoltar }}" class="btn btn-info pull-right"
         data-toggle="tooltip" title="Acessar todas as Contas de Fornecedores" target="_blank">
        <i class="fa fa-external-link" aria-hidden="true"></i>
        Acessar Contas de Fornecedores
      </a>
    </div>
  </div>
</div>

<div class="row">
  <div class="col-md-12">

    <div class="table-responsive">
      <table class="table table-hover">
        <thead>
        <tr>
          <th class="text-left" style="width: 4%">Pago</th>
          <th class="text-left" style="width: 30%">Nome</th>
          <th class="text-left" style="width: 8%">Vencimento</th>
          <th class="text-left" style="width: 35%">Fornecedor</th>
          <th class="text-right" style="width: 15%">Valor</th>
          <th class="text-right" style="width: 8%">Ações</th>
        </tr>
        </thead>
        <tbody>
        @foreach($jobFornecedores as $fornecedor)
          <?php $data = \Carbon\Carbon::parse( $fornecedor->data ); ?>
          <tr class="{{ ($data->isToday()? 'info': (!$fornecedor->pago && $data->isPast()? 'danger':'')) }}">
            <td class="text-left"><i class="fa {{ $fornecedor->pago? 'fa-check-square' : 'fa-square-o' }}" aria-hidden="true"></i></td>
            <td class="text-left">{{ $fornecedor->nome }}</td>
            <td class="text-left">{{ $data->format('d/m/Y')}}</td>
            <td class="text-left">{{ $fornecedor->FornecedorNome() }}</td>
            <td class="text-right">R$ {{ number_format($fornecedor->valor/100, 2, ',','.') }}</td>
            <td class="text-right">
              <a class="btn btn-warning btn-xs" href="{{ route('financeiro.fornecedores.edit',[$fornecedor->id]) }}{{ $caixaVoltar }}">
                <i class="fa fa-pencil" aria-hidden="true"></i>
              </a>
            </td>
          </tr>
        @endforeach
        </tbody>
        <tfoot>
        <tr>
          <td colspan="4" class="text-right h4 text-bold">
            Sub-Total<br>
            <small>Sub-Total Projetado</small>
          </td>
          <td class="text-right h4 text-bold">
            R$ {{ number_format( $subtotal['jobFornecedores']/100, 2, ',', '.' ) }}<br>
            <small>R$ {{ number_format( $subtotal['jobFornecedoresEst']/100, 2, ',', '.' ) }}</small>
          </td>
          <td></td>
        </tr>
        </tfoot>
      </table>
    </div>

  </div>
</div>
