<?php /** @var \App\Models\Financeiro\Salario $salario */ ?>
<div class="row">
  <div class="col-md-12 form-group">
    <div class="h3">
      <i class="fa fa-user" aria-hidden="true"></i>
      Folha de Pagamento
      <a href="{{ route('financeiro.salarios.index') }}{{ $caixaVoltar }}" class="btn btn-info pull-right"
         data-toggle="tooltip" title="Acessar todas as Folhas de Pagamentos" target="_blank">
        <i class="fa fa-external-link" aria-hidden="true"></i>
        Acessar Folha de Pagamento
      </a>
    </div>
  </div>
</div>

<div class="row">
  <div class="col-md-12">

    <div class="table-responsive">
      <table class="table table-hover">
        <thead>
        <tr>
          <th class="text-left" style="width: 4%">Pago</th>
          <th class="text-left" style="width: 58%">Nome do Funcionário</th>
          <th class="text-left" style="width: 15%">Data de Pagamento</th>
          <th class="text-right" style="width: 15%">Valor</th>
          <th class="text-right" style="width: 8%">Ações</th>
        </tr>
        </thead>
        <tbody>
        @foreach($salarios as $salario)
          <?php $data = \Carbon\Carbon::parse( $salario->data_pagamento ); ?>
          <tr class="{{ ($data->isToday()? 'info': (!$salario->pago && $data->isPast()? 'danger':'')) }}">
            <td class="text-left"><i class="fa {{ $salario->pago?'fa-check-square':'fa-square-o'  }}" aria-hidden="true"></i></td>
            <td class="text-left">{{ $salario->Funcionario->nome }}</td>
            <td class="text-left">{{ \Carbon\Carbon::parse($salario->data_pagamento)->format('d/m/Y') }}</td>
            <td class="text-right">R$ {{ number_format( $salario->valor_total/100, 2, ',', '.' ) }}</td>
            <td class="text-right">
              <a class="btn btn-warning btn-xs" href="{{ route('financeiro.salarios.edit',[$salario->id]) }}{{ $caixaVoltar }}">
                <i class="fa fa-pencil" aria-hidden="true"></i>
              </a>
            </td>
          </tr>
        @endforeach
        </tbody>
        <tfoot>
        <tr>
          <td colspan="3" class="text-right h4 text-bold">
            Sub-Total<br>
            <small>Sub-Total Projetado</small>
          </td>
          <td class="text-right h4 text-bold">
            R$ {{ number_format( $subtotal['salarios']/100, 2, ',', '.' ) }}<br>
            <small>R$ {{ number_format( $subtotal['salariosEst']/100, 2, ',', '.' ) }}</small>
          </td>
          <td></td>
        </tr>
        </tfoot>
      </table>
    </div>

  </div>
</div>
