<?php /** @var \App\Models\Financeiro\Transferencia $transfSai */ ?>
<div class="row">
  <div class="col-md-12 form-group">
    <h2>
      <i class="fa fa-sign-out fa-rotate-270" aria-hidden="true"></i>
      Transferências de Saída
      <a href="{{ route('financeiro.transferencias.index') }}{{ $caixaVoltar }}" class="btn btn-info pull-right"
         data-toggle="tooltip" title="Acessar todas as Transferências entre Contas Bancárias" target="_blank">
        <i class="fa fa-external-link" aria-hidden="true"></i>
        Acessar Transferências
      </a>
    </h2>
  </div>
</div>

<div class="row">
  <div class="col-md-12 form-group">
    <div class="table-responsive">
      <table class="table table-hover">
        <thead>
        <tr>
          <th class="text-left" style="width: 45%">Nome</th>
          <th class="text-left" style="width: 12%">Data</th>
          <th class="text-left" style="width: 20%">Conta de Destino</th>
          <th class="text-right" style="width: 15%">Valor + Taxa</th>
          <th class="text-right" style="width: 8%">Ações</th>
        </tr>
        </thead>
        <tbody>
        @foreach($transfSais as $transfSai)
          <tr>
            <td>{{ $transfSai->nome }}</td>
            <td>{{ \Carbon\Carbon::parse($transfSai->data)->format('d/m/Y') }}</td>
            <td>{{ $transfSai->ContaBancariaEntradaNome() }}</td>
            <td class="text-right">R$ {{ number_format(($transfSai->valor+$transfSai->valor_taxa)/100, 2, ',','.') }}</td>
            <td class="text-right">
              <a class="btn btn-warning btn-xs" href="{{ route('financeiro.transferencias.edit',[$transfSai->id]) }}{{ $caixaVoltar }}">
                <i class="fa fa-pencil" aria-hidden="true"></i>
              </a>
            </td>
          </tr>
        @endforeach
        </tbody>
        <tfoot>
        <tr>
          <td colspan="3" class="text-right h4 text-bold">
            Sub-Total<br>
          </td>
          <td class="text-right h4 text-bold">
            R$ {{ number_format( $subtotal['transfSai']/100, 2, ',', '.' ) }}<br>
          </td>
          <td></td>
        </tr>
        </tfoot>
      </table>
    </div>
  </div>
</div>

