<?php /** @var \App\Models\Financeiro\Investimentos $investimento */ ?>
<div class="row">
  <div class="col-md-12 form-group">
    <h2>
      <i class="fa fa-bank" aria-hidden="true"></i>
      Rendimentos de Investimentos
      <a href="{{ route('financeiro.investimentos.index') }}{{ $caixaVoltar }}" class="btn btn-info pull-right"
         data-toggle="tooltip" title="Acessar todos os Rendimentos de Investimentos">
        <i class="fa fa-external-link" aria-hidden="true"></i>
        Acessar Rendimentos
      </a>
    </h2>
  </div>
</div>

<div class="row">
  <div class="col-md-12 form-group">
    <div class="table-responsive">
      <table class="table table-hover">
        <thead>
        <tr>
          <th class="col-md-4 text-left">Nome</th>
          <th class="col-md-3 text-left">Rendimento</th>
          <th class="col-md-2 text-left">Data</th>
          <th class="col-md-2 text-right">Valor Líquido</th>
          <th class="col-md-1 text-right">Ações</th>
        </tr>
        </thead>
        <tbody>
        @foreach($investimentos as $investimento)
          <tr>
            <td>{{ $investimento->nome }}</td>
            <td>{{ $investimento->rendimento }}</td>
            <td>{{ \Carbon\Carbon::parse($investimento->data)->format('d/m/Y') }}</td>
            <td class="text-right">R$ {{ number_format($investimento->valor_liquido/100, 2, ',','.') }}</td>
            <td class="text-right">
              <a class="btn btn-warning btn-xs" href="{{ route('financeiro.investimentos.edit',[$investimento->id]) }}{{ $caixaVoltar }}">
                <i class="fa fa-pencil" aria-hidden="true"></i>
              </a>
            </td>
          </tr>
        @endforeach
        </tbody>
        <tfoot>
        <tr>
          <td colspan="3" class="text-right h4 text-bold">
            Sub-Total<br>
          </td>
          <td class="text-right h4 text-bold">
            R$ {{ number_format( $subtotal['investimentos']/100, 2, ',', '.' ) }}<br>
          </td>
          <td></td>
        </tr>
        </tfoot>
      </table>
    </div>
  </div>
</div>

