<?php /** @var \App\Models\Financeiro\JobParcela $jobCliente */ ?>
<div class="row">
  <div class="col-md-12 form-group">
    <div class="h2">
      <i class="fa fa-briefcase" aria-hidden="true"></i>
      Faturamento dos Jobs
      <a href="{{ route('financeiro.jobs.index') }}{{ $caixaVoltar }}" class="btn btn-info pull-right"
         data-toggle="tooltip" title="Acessar todos os Jobs em Faturamento">
        <i class="fa fa-external-link" aria-hidden="true"></i>
        Jobs em Faturamento
      </a>
    </div>
  </div>
</div>

<div class="row">
  <div class="col-md-12">

    <div class="table-responsive">
      <table class="table table-hover">
        <thead>
        <tr>
          <th class="text-left" style="width: 4%">Pago</th>
          <th class="text-left" style="width: 35%">Job</th>
          <th class="text-left" style="width: 30%">Nome</th>
          <th class="text-left" style="width: 8%">Data</th>
          <th class="text-right" style="width: 15%">Valor Líquido</th>
          <th class="text-right" style="width: 8%">Ações</th>
        </tr>
        </thead>
        <tbody>
        @foreach($jobClientes as $jobCliente )
          <tr class="{{ ($jobCliente->data->isToday()? 'info': (!$jobCliente->pago && $jobCliente->data->isPast()? 'danger':'')) }}">
            <td class="text-left"><i class="fa {{ $jobCliente->pago?'fa-check-square':'fa-square-o'  }}" aria-hidden="true"></i></td>
            <td class="text-left">{{ $jobCliente->Job->id }} - {{ $jobCliente->Job->nome_job }}</td>
            <td class="text-left">{{ $jobCliente->nome }}</td>
            <td class="text-left">{{ $jobCliente->data->format('d/m/Y') }}</td>
            <td class="text-right">R$ {{ number_format( $jobCliente->valor_liquido/100, 2, ',', '.' ) }}</td>
            <td class="text-right">
              <a class="btn btn-warning btn-xs"
                 href="{{ route('financeiro.jobs.parcela.edit',[$jobCliente->job_id, $jobCliente->id]) }}{{ $caixaVoltar }}"
                 data-toggle="tooltip" title="Editar esta Parcela">
                <i class="fa fa-pencil" aria-hidden="true"></i>
              </a>
              <a class="btn btn-primary btn-xs"
                 href="{{ route('financeiro.jobs.show',$jobCliente->job_id) }}{{ $caixaVoltar }}"
                 data-toggle="tooltip" title="Visualizar todas Parcelas">
                <i class="fa fa-arrow-right" aria-hidden="true"></i>
              </a>
            </td>
          </tr>
        @endforeach
        </tbody>
        <tfoot>
        <tr>
          <td colspan="4" class="text-right h4 text-bold">
            Sub-Total<br>
            <small>Sub-Total Projetado</small>
          </td>
          <td class="text-right h4 text-bold">
            R$ {{ number_format( $subtotal['jobClientes']/100, 2, ',', '.' ) }}<br>
            <small> R$ {{ number_format( $subtotal['jobClientesEst']/100, 2, ',', '.' ) }}</small>
          </td>
          <td></td>
        </tr>
        </tfoot>
      </table>
    </div>

  </div>
</div>


