<?php /**  @var \App\Models\Financeiro\ContaBancaria $conta */ ?>
@extends('app')

@section('content')
  <div class="row">
    <div class="col-md-12 form-group">
      <h1>
        <i class="fa fa-bank" aria-hidden="true"></i>
        Contas Bancárias
        <a class="btn btn-success pull-right" href="{{ route('financeiro.contas.create') }}">
          <i class="fa fa-plus" aria-hidden="true"></i>
          Adicionar Conta
        </a>
      </h1>
    </div>
  </div>

  <div class="row">
    <div class="col-md-8 col-md-offset-2 form-group">
      <div class="table-responsive">
        <table class="table table-hover">
          <thead>
          <tr>
            <th>Nome da Conta</th>
            <th>Banco</th>
            <th>Agência</th>
            <th>Conta</th>
            <th class="text-right">Ações</th>
          </tr>
          </thead>
          <tbody>
          @foreach($contas as $conta)
            <tr>
              <td>{{ $conta->nome }}</td>
              <td>{{ \App\Models\Cadastros\ClientesEmpresas::enum_bancos()[$conta->banco] }}</td>
              <td>{{ $conta->agencia }}</td>
              <td>{{ $conta->conta }}</td>
              <td class="text-right">
                <a class="btn btn-warning btn-xs" href="{{ route('financeiro.contas.edit',[$conta->id]) }}">
                  <i class="fa fa-pencil" aria-hidden="true"></i>
                </a>
                {{ Form::open(['route' => ['financeiro.contas.destroy' , $conta->id], 'style'=>'display:inline;']) }}
                {{ Form::hidden('_method', 'DELETE') }}
                <button type="submit" class="btn btn-danger btn-xs inline" name="deleta_item">
                  <i class="fa fa-trash-o" aria-hidden="true"></i>
                </button>
                {{ Form::close() }}
              </td>
            </tr>
          @endforeach
          </tbody>
        </table>
      </div>

    </div>
  </div>
  @include('_fragments.modal', ['titulo'=>'Conta Bancária'])
@endsection
@section('scripts')
  <script type="application/javascript">
    $( function () {

    } );
  </script>
@endsection
