<?php /**  @var \App\Models\Financeiro\ContaDeConsumoGerador $consumo */ ?>
@extends('app')

@section('content')
  <div class="row">
    <div class="col-md-4 form-group">
      <h2>
        <a href="{{route('financeiro.contasdeconsumo.index')}}" class="btn btn-default" data-toggle="tooltip" title="Voltar">
          <i class="fa fa-arrow-left fa-2x" aria-hidden="true"></i>
        </a>
        Contas de Consumo Gerador
      </h2>
    </div>
    <div class="col-md-6 form-group">
      @include('_fragments.ListagemPadronizada_form')
    </div>
    <div class="col-md-2 form-group">
      <a class="btn btn-success pull-right h2" href="{{ route('financeiro.contasdeconsumogerador.create') }}">
        <i class="fa fa-plus" aria-hidden="true"></i>
        Adicionar Conta
      </a>
    </div>
  </div>

  @include('flash::message')

  <div class="row">
    <div class="col-md-12 form-group">
      <div class="table-responsive">
        <table class="table table-hover">
          <thead>
          <tr>
            <th class="text-left" style="width: 30%">@sortablelink('nome','Nome')</th>
            <th class="text-left" style="width: 12%">@sortablelink('frequencia','Frequência')</th>
            <th class="text-left" style="width: 16%">@sortablelink('forma_pagamento','Forma de Pagamento')</th>
            <th class="text-left" style="width: 35%">@sortablelink('despesas_id','Despesa')</th>
            <th class="text-right" style="width: 7%">Ações</th>
          </tr>
          </thead>
          <tbody>
          @foreach($consumos as $consumo)
            <tr>
              <td class="text-left">{{ $consumo->nome }}</td>
              <td class="text-left">{{ $consumo->frequencia }}</td>
              <td class="text-left">{{ $consumo->forma_pagamento }}</td>
              <td class="text-left">{{ $consumo->DespesaCodigoNome() }}</td>
              <td class="text-right">
                <a class="btn btn-warning btn-xs" href="{{ route('financeiro.contasdeconsumogerador.edit',[$consumo->id]) }}">
                  <i class="fa fa-pencil" aria-hidden="true"></i>
                </a>
                {{ Form::open(['route' => ['financeiro.contasdeconsumogerador.destroy' , $consumo->id], 'style'=>'display:inline;']) }}
                {{ Form::hidden('_method', 'DELETE') }}
                <button type="submit" class="btn btn-danger btn-xs inline" name="deleta_item">
                  <i class="fa fa-trash-o" aria-hidden="true"></i>
                </button>
                {{ Form::close() }}
              </td>
            </tr>
          @endforeach
          </tbody>
        </table>
      </div>

    </div>
  </div>

  <div class="row">
    <div class="col-md-12 text-center">
      {!! $consumos->appends(\Request::except('page'))->render() !!}
    </div>
  </div>

  @include('_fragments.modal', ['titulo'=>'Conta de Consumo Gerador'])

@endsection
