<?php /** @var \App\Models\Financeiro\Ferias $ferias */ ?>

<div class="row">
  @if( isset($ehEdit) && $ehEdit)
    <div class="col-md-4 form-group">
      <p class="chave">Nome Do Funcionário:</p>
      <p class="valorReadOnly">{{ $ferias->FuncionarioNome() }}</p>
    </div>
  @else
    <div class="col-md-4 form-group">
      {!! Form::label('funcionario_id', 'Selecione um Funcionário:', ['class'=>'control-label']) !!}
      {!! Form::select('funcionario_id', \App\Models\Cadastros\Funcionarios::enum_Funcionarios(), null, ['class'=>'form-control', 'required', 'placeholder'=>'-- Selecione um Funcionário --'] ) !!}
    </div>
  @endif
  <div class="col-md-2 form-group">
    {!! Form::label('dias', 'Número de Dias:', ['class'=>'control-label']) !!}
    {!! Form::number('dias', (( isset($ehEdit) && $ehEdit)?null:0), ['class'=>'form-control', 'required', 'id'=>'input_dias'] ) !!}
  </div>
  <div class="col-md-2 form-group">
    {!! Form::label('data_inicio', 'Data de Início:', ['class'=>'control-label']) !!}
    {!! Form::date('data_inicio', null, ['class'=>'form-control', 'required'] ) !!}
  </div>
  <div class="col-md-2 form-group">
    {!! Form::label('data_fim', 'Data de Término:', ['class'=>'control-label']) !!}
    {!! Form::date('data_fim', null, ['class'=>'form-control', 'required'] ) !!}
  </div>
  <div class="col-md-2 form-group">
    {!! Form::label('pago', 'Está Paga:', ['class'=>'control-label']) !!}
    {!! Form::select('pago', [ 0=>'Não', 1=>'Sim' ], null, ['class'=>'form-control', 'required'] ) !!}
  </div>
</div>

<div class="row">
  <div class="col-md-3 form-group">
    {!! Form::label('data_pagamento', 'Data de Pagamento:', ['class'=>'control-label']) !!}
    {!! Form::date('data_pagamento', ( ( isset( $ehEdit ) && $ehEdit ) ? null : \Carbon\Carbon::now()->format( 'Y-m-d' ) ), ['class'=>'form-control', 'required'] ) !!}
  </div>
  <div class="col-md-3 form-group">
    {!! Form::label('conta_id', 'Conta Bancária:') !!}
    {!! Form::select('conta_id', \App\Models\Financeiro\ContaBancaria::enum_contas(), null, ['class'=>'form-control', 'required', 'placeholder'=>'-- Selecione uma Conta Bancária --']) !!}
  </div>
  <div class="col-md-3 form-group">
    {!! Form::label('centros_de_custo_cadaris_id', 'Centro de Custo da Cadaris:') !!}
    {!! Form::select('centros_de_custo_cadaris_id', \App\Models\Cadastros\CentrosDeCustoCadaris::enum_centros_de_custo_cadaris(), null, ['class'=>'form-control', 'required', 'placeholder'=>'-- Selecione um Centro de Custo da Cadaris --']) !!}
  </div>
  <div class="col-md-3 form-group">
    {!! Form::label('plano_de_contas_item_id', 'Código de Despesa:', ['class'=>'control-label']) !!}
    {!! Form::select('plano_de_contas_item_id', \App\Models\Cadastros\PlanoDeContas::enum_despesas_reduzida(), null, [ 'placeholder'=>'-- Selecione um item --', 'class'=>'form-control', 'required']) !!}
  </div>
</div>

<div class="row">
  <div class="col-md-4 form-group">
    {!! Form::label('valor_salario_mensal', 'Valor do Salário Mensal:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('valor_salario_mensal', number_format($ferias->valor_salario_mensal/100, 2, ',' ,'.'), ['class'=>'form-control', 'id'=>'input_valor_salario_mensal', 'required'] ) !!}
    </div>
  </div>
  <div class="col-md-4 form-group">
    {!! Form::label('valor_ferias', 'Valor das Férias:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('valor_ferias', number_format($ferias->valor_ferias/100, 2, ',' ,'.'), ['class'=>'form-control', 'id'=>'input_valor_ferias', 'required'] ) !!}
    </div>
  </div>
  <div class="col-md-4 form-group">
    {!! Form::label('valor_acrescimo', 'Valor do Acréscimo:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('valor_acrescimo', number_format($ferias->valor_acrescimo/100, 2, ',' ,'.'), ['class'=>'form-control', 'id'=>'input_valor_acrescimo', 'required'] ) !!}
    </div>
  </div>
</div>

<div class="row">
  <div class="col-md-4 form-group">
    {!! Form::label('valor_retido', 'Valor Retido:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('valor_retido', number_format($ferias->valor_retido/100, 2, ',' ,'.'), ['class'=>'form-control', 'id'=>'input_valor_retido', 'required'] ) !!}
    </div>
  </div>
  <div class="col-md-4 form-group">
    {!! Form::label('valor_total_liquido', 'Valor Líquido:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('valor_total_liquido', number_format($ferias->valor_total_liquido/100, 2, ',' ,'.'), ['class'=>'form-control', 'id'=>'input_valor_total_liquido', 'required'] ) !!}
    </div>
  </div>
  <div class="col-md-4 form-group">
    {!! Form::label('valor_total_bruto', 'Valor do Bruto:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('valor_total_bruto', number_format($ferias->valor_total_bruto/100, 2, ',' ,'.'), ['class'=>'form-control', 'id'=>'input_valor_total_bruto', 'required'] ) !!}
    </div>
  </div>
</div>

<br>
<br>

@include('errors.list')