<?php /**  @var \App\Models\Financeiro\Salario $salario */ ?>
@extends('app')

@section('content')
  <div class="row">
    <div class="col-md-4 form-group">
      <h2>
        @if( $caixaVoltar )
          <a href="{{ $caixaVoltar }}" class="btn btn-default" data-toggle="tooltip" title="Voltar">
            <i class="fa fa-arrow-left fa-2x" aria-hidden="true"></i>
          </a>
        @endif
        <i class="fa fa-minus" aria-hidden="true"></i>
        Pagamento de Férias
      </h2>
    </div>
    <div class="col-md-6 form-group">
      @include('_fragments.ListagemPadronizada_form')
    </div>
    <div class="col-md-2 form-group">
      <a class="btn btn-success pull-right h2" data-toggle="modal" href="{{ route( 'financeiro.ferias.create' ) }}">
        <i class="fa fa-plus" aria-hidden="true"></i>
        Adicionar um Férias
      </a>
    </div>
  </div>

  @include('flash::message')

  <div class="row">
    <div class="col-md-12 form-group">
      <div class="table-responsive">
        <table class="table table-hover">
          <thead>
          <tr>
            <th class="text-left" style="width: 6%">@sortablelink('pago','Pago')</th>
            <th class="text-left" style="width: 30%">@sortablelink('funcionario_id','Nome do Funcionário')</th>
            <th class="text-left" style="width: 10%">@sortablelink('data_pagamento','Data')</th>
            <th class="text-left" style="width: 17%">@sortablelink('conta_id','Conta Bancária')</th>
            <th class="text-left" style="width: 20%">@sortablelink('data_inicio','Período')</th>
            <th class="text-right" style="width: 10%">@sortablelink('valor_total_bruto','Valor')</th>
            <th class="text-right" style="width: 7%">Ações</th>
          </tr>
          </thead>
          <tbody>
          @foreach($ferias as $feria)
            <tr>
              <td class="text-left">
                <i class="fa {{ $feria->pago? 'fa-check-square' : 'fa-square-o' }}" aria-hidden="true"></i>
              </td>
              <td class="text-left">
                {{ $feria->FuncionarioNome() }}
              </td>
              <td class="text-left">{{ \Carbon\Carbon::parse($feria->data_pagamento)->format('d/m/Y')}}</td>
              <td class="text-left">{{ $feria->ContaBancariaNome() }}</td>
              <td class="text-left">
                {{ \Carbon\Carbon::parse($feria->data_inicio)->format('d/m/Y')}} - {{ \Carbon\Carbon::parse($feria->data_fim)->format('d/m/Y')}}
              </td>
              <td class="text-right">R$ {{ number_format($feria->valor_total_bruto/100, 2, ',','.') }}</td>
              <td class="text-right">
                <a class="btn btn-warning btn-xs" href="{{ route('financeiro.ferias.edit',[$feria->id]) }}">
                  <i class="fa fa-pencil" aria-hidden="true"></i>
                </a>
                {{ Form::open(['route' => ['financeiro.ferias.destroy' , $feria->id], 'style'=>'display:inline;']) }}
                {{ Form::hidden('_method', 'DELETE') }}
                <button type="submit" class="btn btn-danger btn-xs inline" name="deleta_item">
                  <i class="fa fa-trash-o" aria-hidden="true"></i>
                </button>
                {{ Form::close() }}
              </td>
            </tr>
          @endforeach
          </tbody>
        </table>
      </div>

    </div>
  </div>

  <div class="row">
    <div class="col-md-12 text-center">
      {!! $ferias->appends(\Request::except('page'))->render() !!}
    </div>
  </div>

  @include('_fragments.modal', ['titulo'=>'Férias'])

@endsection
