@extends('app')
<?php $ehEdit = true; ?>

@section('content')
  <div class="row">
    <div class="col-md-12">
      <h1>
        <a href="{{ $caixaVoltar }}" class="btn btn-default" data-toggle="tooltip" title="Voltar">
          <i class="fa fa-arrow-left fa-2x" aria-hidden="true"></i>
        </a>
        Editar Rendimento
      </h1>
    </div>
  </div>
  
  {!! Form::model(
    $investimento, [
    'method'=> 'PUT',
    'route' => ['financeiro.investimentos.update', $investimento->id],
    'id' => 'form_invest'
   ]) !!}
  
  {{ Form::hidden('_voltar', $periodo) }}
  
  @include('Financeiro.Investimentos.form')
  
  <div class="row">
    <div class="col-md-12">
      <button class="btn btn-primary" type="submit">
        <i class="fa fa-floppy-o" aria-hidden="true"></i> Salvar Rendimento
      </button>
      <a class="btn btn-default" href="{{ $caixaVoltar }}">
        <i class="fa fa-ban" aria-hidden="true"></i> Cancelar
      </a>
    </div>
  </div>
  {!! Form::close() !!}
  <br><br><br><br>
@endsection

@section('scripts')
  <script type="application/javascript">
    function calc_invest_liquido() {
      var valor_bruto   = $( '#input_valor_bruto' );
      var valor_ir      = $( '#input_valor_ir' );
      var valor_liquido = $( '#input_valor_liquido' );

      var bruto = valor_bruto.val().replace( /\D/g, '' );
      var ir    = valor_ir.val().replace( /\D/g, '' );

      valor_liquido.val( formatDinheiro( bruto - ir ) );
    }

    $( function () {
      $( '#input_valor_bruto' ).maskMoney( { thousands: '.', decimal: ',', allowZero: true, allowNegative: false } );
      $( '#input_valor_ir' ).maskMoney( { thousands: '.', decimal: ',', allowZero: true, allowNegative: false } );
      $( '#input_valor_liquido' ).maskMoney( { thousands: '.', decimal: ',', allowZero: true, allowNegative: false } );

      $( '#input_valor_bruto' ).on( 'blur', calc_invest_liquido );
      $( '#input_valor_ir' ).on( 'blur', calc_invest_liquido );

      $( '#form_invest' ).submit( function ( e ) {
        calc_invest_liquido();

        var valor_bruto = $( '#input_valor_bruto' );
        valor_bruto.maskMoney( 'unmasked' );
        valor_bruto.val( valor_bruto.val().replace( /\D/g, '' ) );

        var valor_ir = $( '#input_valor_ir' );
        valor_ir.maskMoney( 'unmasked' );
        valor_ir.val( valor_ir.val().replace( /\D/g, '' ) );

        var valor_liquido = $( '#input_valor_liquido' );
        valor_liquido.maskMoney( 'unmasked' );
        valor_liquido.val( valor_liquido.val().replace( /\D/g, '' ) );

        return true;
      } );
    } );
  </script>
@endsection