<?php /** @var \App\Models\Financeiro\Investimentos $investimento */ ?>
<div class="row">
  <div class="col-md-12 form-group">
    {!! Form::label('nome', 'Nome:', ['class'=>'control-label']) !!}
    {!! Form::text('nome', null, ['class'=>'form-control', 'required']) !!}
  </div>
</div>
<div class="row">
  <div class="col-md-6 form-group">
    {!! Form::label('rendimento', 'Rendimento:', ['class'=>'control-label']) !!}
    {!! Form::text('rendimento', null, ['class'=>'form-control', 'required']) !!}
  </div>
  <div class="col-md-3 form-group">
    {!! Form::label('conta_id', 'Conta Bancária:') !!}
    {!! Form::select('conta_id', \App\Models\Financeiro\ContaBancaria::enum_contas(), null, ['class'=>'form-control', 'required', 'placeholder'=>'-- Selecione uma Conta Bancária --']) !!}
  </div>
  <div class="col-md-3 form-group">
    {!! Form::label('data', 'Data:', ['class'=>'control-label']) !!}
    {!! Form::date('data', ( ( isset( $ehEdit ) && $ehEdit ) ? null : \Carbon\Carbon::now()->format( 'Y-m-d' ) ), ['class'=>'form-control', 'required'] ) !!}
  </div>
</div>

<div class="row">
  <div class="col-md-4 form-group">
    {!! Form::label('valor_bruto', 'Valor Bruto:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('valor_bruto', ( isset($ehEdit)? number_format($investimento->valor_bruto/100 ,2, ',','.') : '0,00' ), ['class'=>'form-control', 'id'=>'input_valor_bruto', 'required'] ) !!}
    </div>
  </div>
  <div class="col-md-4 form-group">
    {!! Form::label('valor_ir', 'Valor IR:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('valor_ir', ( isset($ehEdit)? number_format($investimento->valor_ir/100 ,2, ',','.') : '0,00' ), ['class'=>'form-control', 'id'=>'input_valor_ir', 'required'] ) !!}
    </div>
  </div>
  <div class="col-md-4 form-group">
    {!! Form::label('valor_liquido', 'Valor Líquido:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('valor_liquido', ( isset($ehEdit)? number_format($investimento->valor_liquido/100 ,2, ',','.') : '0,00' ), ['class'=>'form-control', 'id'=>'input_valor_liquido', 'required'] ) !!}
    </div>
  </div>
</div>

<br>
<br>

@include('errors.list')