<?php /**  @var \App\Models\Financeiro\Investimentos $investimento */ ?>
@extends('app')

@section('content')
  <div class="row">
    <div class="col-md-4 form-group">
      <h2>
        @if( $caixaVoltar )
          <a href="{{ $caixaVoltar }}" class="btn btn-default" data-toggle="tooltip" title="Voltar">
            <i class="fa fa-arrow-left fa-2x" aria-hidden="true"></i>
          </a>
        @endif
        <i class="fa fa-plus" aria-hidden="true"></i>
        Investimentos
      </h2>
    </div>
    <div class="col-md-6 form-group">
      @include('_fragments.ListagemPadronizada_form')
    </div>
    <div class="col-md-2 form-group">
      <a class="btn btn-success pull-right h2" href="{{ route('financeiro.investimentos.create') }}">
        <i class="fa fa-plus" aria-hidden="true"></i>
        Adicionar
      </a>
    </div>
  </div>

  @include('flash::message')

  <div class="row">
    <div class="col-md-12 form-group">
      <div class="table-responsive">
        <table class="table table-hover">
          <thead>
          <tr>
            <th class="text-left" style="width: 28%">@sortablelink('nome', 'Nome')</th>
            <th class="text-left" style="width: 20%">@sortablelink('rendimento', 'Rendimento')</th>
            <th class="text-left" style="width: 10%">@sortablelink('data', 'Data')</th>
            <th class="text-left" style="width: 20%">@sortablelink('conta_id', 'Conta Bancária')</th>
            <th class="text-right" style="width: 15%">@sortablelink('valor_liquido', 'Valor Líquido')</th>
            <th class="text-right" style="width: 7%">Ações</th>
          </tr>
          </thead>
          <tbody>
          @foreach($investimentos as $investimento)
            <tr>
              <td class="text-left">{{ $investimento->nome }}</td>
              <td class="text-left">{{ $investimento->rendimento }}</td>
              <td class="text-left">{{ \Carbon\Carbon::parse($investimento->data)->format('d/m/Y')}}</td>
              <td class="text-left">{{ $investimento->ContaBancariaNome() }}</td>
              <td class="text-right">R$ {{ number_format($investimento->valor_liquido/100, 2, ',','.') }}</td>
              <td class="text-right">
                <a class="btn btn-warning btn-xs" href="{{ route('financeiro.investimentos.edit',[$investimento->id]) }}">
                  <i class="fa fa-pencil" aria-hidden="true"></i>
                </a>
                {{ Form::open(['route' => ['financeiro.investimentos.destroy' , $investimento->id], 'style'=>'display:inline;']) }}
                {{ Form::hidden('_method', 'DELETE') }}
                <button type="submit" class="btn btn-danger btn-xs inline" name="deleta_item">
                  <i class="fa fa-trash-o" aria-hidden="true"></i>
                </button>
                {{ Form::close() }}
              </td>
            </tr>
          @endforeach
          </tbody>
        </table>
      </div>
    </div>
  </div>

  <div class="row">
    <div class="col-md-12 text-center">
      {!! $investimentos->appends(\Request::except('page'))->render() !!}
    </div>
  </div>

  @include('_fragments.modal', ['titulo'=>'Rendimento'])
@endsection
