<?php /** @var \App\Models\Comercial\Jobs $job */ ?>
@extends('app')

@section('content')

  <div class="row">
    <div class="col-md-4 form-group">
      <h2>
        @if( $caixaVoltar )
          <a href="{{ $caixaVoltar }}" class="btn btn-default" data-toggle="tooltip" title="Voltar">
            <i class="fa fa-arrow-left fa-2x" aria-hidden="true"></i>
          </a>
        @endif
        <i class="fa fa-plus" aria-hidden="true"></i>
        Jobs em Faturamento
      </h2>
    </div>
    <div class="col-md-5 form-group">
      @include('_fragments.ListagemPadronizada_form')
    </div>
    <div class="col-md-3 form-group">
      <div class="btn-group pull-right h2">
        <a class="btn btn-info" href="{{ route('jobs.index') }}" data-toggle="tooltip" data-container="body" title="Acessar Propostas Comerciais">
          <i class="fa fa-external-link" aria-hidden="true"></i>
          Acessar Prop. Comerc.
        </a>
        <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          <span class="caret"></span>
        </button>
        <ul class="dropdown-menu dropdown-menu-right">
          <li>
            <a role="menuitem" target="_blank" href="{{ route('financeiro.jobs.xlsx') }}">
              <i class="fa fa-file-excel-o"></i>
              Exportar Jobs em Faturamento em Excel
            </a>
          </li>
        </ul>
      </div>
    </div>
  </div>

  @include('flash::message')

  <div class="row">
    <div class="col-md-12">
      <div class="table-responsive">
        <table class="table table-hover">
          <thead>
          <tr>
            <th style="width: 6%;">@sortablelink('id', 'ID')</th>
            <th style="width: 30%;">@sortablelink('nome_job', 'Nome do Job')</th>
            <th style="width: 10%;">@sortablelink('created_at', 'Abertura')</th>
            <th style="width: 15%;">@sortablelink('responsavel_id', 'Responsável')</th>
            <th style="width: 22%;">@sortablelink('cliente_cdc_id', 'Cliente')</th>
            <th style="width: 12%;" class="text-right">Valor Bruto</th>
            <th style="width: 5%;" class="text-right">Ações</th>
          </tr>
          </thead>
          <tbody>
          @foreach($jobsF as $job)
            <?php /** @var App\Models\Comercial\Jobs $job */ ?>
            <tr>
              <td class="text-bold">
                {{ $job->id }}
              </td>
              <td>
                {{ $job->nome_job }}
              </td>
              <td>
                {{ $job->created_at->format('d/m/Y') }}
              </td>
              <td>
                {{ $job->_Responsavel()}}
              </td>
              <td>
                {{ $job->_ClienteConta() }}
              </td>
              <td class="text-right">
                R$ {{ number_format($job->valor_total/100, 2, ',', '.') }}
              </td>
              <td class="text-right">
                <a class="btn btn-primary btn-xs" href="{{ route('financeiro.jobs.show',[$job->id]) }}"
                   title="Faturar esta Proposta Comercial">
                  <i class="fa fa-arrow-right" aria-hidden="true"></i>
                </a>
              </td>
            </tr>
          @endforeach
          </tbody>
        </table>
      </div>
    </div>
  </div>
  <div class="row">
    <div class="col-md-12 text-center">
      {!! $jobsF->appends(\Request::except('page'))->render() !!}
    </div>
  </div>

@endsection
