@extends('app')

@section('content')

  <div class="row">
    <div class="col-md-12 form-group">
      <div class="h1">
        <a href="{{ $caixaVoltar }}" class="btn btn-default" data-toggle="tooltip" title="Voltar">
          <i class="fa fa-arrow-left fa-2x" aria-hidden="true"></i>
        </a>
        <i class="fa fa-briefcase" aria-hidden="true"></i>
        Faturamento do Job:
        <span style="color: #777;">{{ $job->nome_job }}</span>
      </div>
    </div>
  </div>

  @include('flash::message')

  <div class="row">
    <div class="col-md-12">

      <!-- TAB NAVIGATION -->
      <ul class="nav nav-tabs" role="tablist">
        <li>
          <a href="#tab1" role="tab" data-toggle="tab">
            <i class="fa fa-briefcase" aria-hidden="true"></i> Informações Básicas
          </a>
        </li>
        <li>
          <a href="#tab2" role="tab" data-toggle="tab">
            <i class="fa fa-dollar" aria-hidden="true"></i> Orçamento Aprovado
          </a>
        </li>
        <li>
          <a href="#tab3" role="tab" data-toggle="tab">
            <i class="fa fa-calculator" aria-hidden="true"></i> Valor do Job
          </a>
        </li>
        <li class="active">
          <a href="#tab4" role="tab" data-toggle="tab">
            <i class="fa fa-percent" aria-hidden="true"></i> Parcelas
          </a>
        </li>
      </ul>
      <!-- TAB CONTENT -->
      <div class="tab-content RCS_tab-pane">
        <div class="tab-pane fade" id="tab1">
          @include('Comercial.componentes.0_info_static')
        </div>
        <div class="tab-pane fade" id="tab2">
          @include('Comercial.componentes.ORCAMENTO.B_orcamento_static')
        </div>
        <div class="tab-pane fade" id="tab3">
          @include('Financeiro.Jobs.jobs_show_valortotal')
        </div>
        <div class="active tab-pane fade in" id="tab4">
          @include('Financeiro.Jobs.jobs_show_parcelas')
        </div>
      </div>

    </div>
  </div>

  @include('_fragments.modal', ['titulo'=>'Parcela'])

@endsection
@section('scripts')
  @include('Financeiro.Jobs.jobs_show_parcelas_scripts')
  @include('Comercial.componentes.ORCAMENTO.B_orcamento_static_scripts')
@endsection



