<?php /**  @var \App\Models\Financeiro\JobParcela $parcela */ ?>
<?php /**  @var \App\Models\Comercial\Jobs $job */ ?>
<?php
$dataPagamento = \Carbon\Carbon::now();
$dataPagamento->addDays( $job->condpagto );
$dataPagamento = $dataPagamento->format( 'Y-m-d' );
?>
<div class="row">
  <div class="col-md-12 form-group">
    <div class="h2">
      <i class="fa fa-percent" aria-hidden="true"></i>
      Parcelamento do Job
      <div class="dropdown pull-right">
        <button class="btn btn-success dropdown-toggle" type="button" data-toggle="dropdown">
          <i class="fa fa-plus" aria-hidden="true"></i>
          &nbsp;Adicionar Parcela&nbsp;
          <span class="caret"></span>
        </button>
        <ul class="dropdown-menu" role="menu" aria-labelledby="dropdownMenu1">
          <li role="presentation">
            <a role="menuitem" tabindex="-1" id="btn_addParcela_manual" href="#">
              <i class="fa fa-hand-paper-o" aria-hidden="true"></i>
              Adicionar Manualmente
            </a>
          </li>
          <li role="presentation">
            <a role="menuitem" tabindex="-1" id="btn_addParcela_porcentagem" href="#">
              <i class="fa fa-percent" aria-hidden="true"></i>
              Adicionar em Porcentagem
            </a>
          </li>
        </ul>
      </div>
    </div>
  </div>
</div>

<div class="row">
  <div class="col-md-12 form-group">
    @if( $soma_parcelas_b == $valores['valor_total']  )
      <div class="alert alert-success alert-important">
        <div class="h4">
          <i class="fa fa-check" aria-hidden="true"></i>
          O <strong>Valor Total das Parcelas</strong> é igual ao <strong>Valor Total do Job</strong>!
        </div>
      </div>
    @elseif($soma_parcelas_b < $valores['valor_total'] )
      <div class="alert alert-danger alert-important">
        <div class="h4">
          <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
          O <strong>Valor Total das Parcelas</strong> não atingiu o <strong>Valor Total do Job</strong> por:
          <span class="text-bold">
            R$ {{ number_format(($valores['valor_total'] - $soma_parcelas_b)/100, 2, ',','.') }}
          </span>
        </div>
      </div>
    @else
      <div class="alert alert-warning alert-important">
        <div class="h4">
          <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
          O <strong>Valor Total das Parcelas</strong> excederam o <strong>Valor Total do Job</strong> em:
          <span class="text-bold">
            R$ {{ number_format(($soma_parcelas_b - $valores['valor_total'])/100, 2, ',','.') }}
          </span>
        </div>
      </div>
    @endif
  </div>
</div>

<div class="row">
  <div class="col-md-12 form-group">
    <div class="table-responsive">
      <table class="table table-hover">
        <thead>
        <tr>
          <th class="text-left" style="width: 4%">Pago</th>
          <th class="text-left" style="width: 30%">Nome</th>
          <th class="text-left" style="width: 8%">Data</th>
          <th class="text-left" style="width: 20%">Conta Bancária</th>
          <th class="text-right" style="width: 15%">Valor Bruto</th>
          <th class="text-right" style="width: 15%">Valor Líquido</th>
          <th class="text-right" style="width: 8%">Ações</th>

        </tr>
        </thead>
        <tbody>
        @foreach($parcelas as $parcela)
          <tr>
            <td><i class="fa {{ $parcela->pago? 'fa-check-square' : 'fa-square-o' }}" aria-hidden="true"></i></td>
            <td>{{ $parcela->nome }}</td>
            <td>{{ $parcela->data->format('d/m/Y') }}</td>
            <td>{{ $parcela->conta_id == null ? '-- Pago pelo Cliente --' : $parcela->ContaBancariaNome() }}</td>
            <td class="text-right">R$ {{ number_format($parcela->valor_bruto/100, 2, ',','.') }}</td>
            <td class="text-right">R$ {{ number_format($parcela->valor_liquido/100, 2, ',','.') }}</td>
            <td class="text-right">
              <a class="btn btn-warning btn-xs" href="{{ route('financeiro.jobs.parcela.edit',[$job->id, $parcela->id]) }}">
                <i class="fa fa-pencil" aria-hidden="true"></i>
              </a>
              {{ Form::open(['route' => ['financeiro.jobs.parcela.destroy' , $job->id, $parcela->id], 'style'=>'display:inline;']) }}
              {{ Form::hidden('_method', 'DELETE') }}
              <button type="submit" class="btn btn-danger btn-xs inline" name="deleta_item">
                <i class="fa fa-trash-o" aria-hidden="true"></i>
              </button>
              {{ Form::close() }}
            </td>
          </tr>
        @endforeach
        </tbody>
        <tfoot>
        <tr>
          <td class="text-right" colspan="4"><strong>Valor Total</strong></td>
          <td class="text-right"><strong>R$ {{ number_format($soma_parcelas_b/100, 2, ',','.') }}</strong></td>
          <td class="text-right"><strong>R$ {{ number_format($soma_parcelas_l/100, 2, ',','.') }}</strong></td>
          <td class="text-right"></td>
        </tr>
        </tfoot>
      </table>
    </div>
  </div>
</div>

<div class="row">
  <div class="col-md-12 form-group">
    <div class="alert alert-success alert-important">
      <div class="h4 text-bold">
        Valor Total do Job:
        <div class="pull-right">
          R$ {{ number_format($valores['valor_total']/100, 2, ',','.') }}
        </div>
      </div>
    </div>
  </div>
</div>


{!!  Form::open([
    'route' => ['financeiro.jobs.add_parcela_manual', $job->id],
    'method'=>'POST',
    'id'=>'form_add_parcela_manual'
]) !!}
<div class="modal fade" id="modal_addParcela_manual">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h4 class="modal-title">Adicionar Parcela Manualmente</h4>
      </div>
      <div class="modal-body">
        <div class="row">
          <div class="col-md-8 form-group">
            {!! Form::label('nome', 'Nome:', ['class'=>'control-label']) !!}
            {!! Form::text('nome', null , ['class'=>'form-control', 'required'] ) !!}
          </div>
          <div class="col-md-4 form-group">
            {!! Form::label('data', 'Data de Pagamento:', ['class'=>'control-label']) !!}
            {!! Form::date('data', $dataPagamento, ['class'=>'form-control', 'required'] ) !!}
          </div>
        </div>
        <div class="row">
          <div class="col-md-12 form-group">
            {!! Form::label('conta_id', 'Conta Bancária:') !!}
            {!! Form::select('conta_id', \App\Models\Financeiro\ContaBancaria::enum_contas_pelo_cliente(), null, ['class'=>'form-control', 'required', 'placeholder'=>'-- Selecione uma Conta Bancária --']) !!}
          </div>
        </div>
        <div class="row">
          <div class="col-md-4 form-group">
            {!! Form::label('valor_bruto', 'Valor Bruto:', ['class'=>'control-label']) !!}
            <div class="input-group">
              <span class="input-group-addon">R$</span>
              {!! Form::text('valor_bruto', '0,00' , ['class'=>'form-control', 'id'=>'modal_parcela_manual_input_valor_bruto', 'required'] ) !!}
            </div>
          </div>
          <div class="col-md-4 form-group">
            {!! Form::label('valor_imposto', 'Valor Retido:', ['class'=>'control-label']) !!}
            <div class="input-group">
              <span class="input-group-addon">R$</span>
              {!! Form::text('valor_imposto', '0,00' , ['class'=>'form-control', 'id'=>'modal_parcela_manual_input_imposto', 'required'] ) !!}
            </div>
          </div>
          <div class="col-md-4 form-group">
            {!! Form::label('valor_liquido', 'Valor Líquido:', ['class'=>'control-label']) !!}
            <div class="input-group">
              <span class="input-group-addon">R$</span>
              {!! Form::text('valor_liquido', '0,00' , ['class'=>'form-control','readonly', 'id'=>'modal_parcela_manual_input_valor_liquido', 'required'] ) !!}
            </div>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Fechar</button>
        <button type="submit" class="btn btn-primary">
          <i class="fa fa-floppy-o" aria-hidden="true"></i>
          Adicionar
        </button>
      </div>
    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
{!! Form::close() !!}

{!!  Form::open([
    'route' => ['financeiro.jobs.add_parcela_porcentagem', $job->id],
    'method'=>'POST',
    'id'=>'form_add_parcela_porcentagem'
]) !!}
<div class="modal fade" id="modal_addParcela_porcentagem">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h4 class="modal-title">Adicionar Parcela da Porcentagem do Total</h4>
      </div>
      <div class="modal-body">
        <div class="row">
          <div class="col-sm-8 form-group">
            {!! Form::label('nome', 'Nome:', ['class'=>'control-label']) !!}
            {!! Form::text('nome', null , ['class'=>'form-control', 'required'] ) !!}
          </div>
          <div class="col-sm-4 form-group">
            {!! Form::label('data', 'Data de Pagamento:', ['class'=>'control-label']) !!}
            {!! Form::date('data', $dataPagamento, ['class'=>'form-control', 'required'] ) !!}
          </div>
        </div>
        <div class="row">
          <div class="col-md-12 form-group">
            {!! Form::label('conta_id', 'Conta Bancária:') !!}
            {!! Form::select('conta_id', \App\Models\Financeiro\ContaBancaria::enum_contas_pelo_cliente(), null, ['class'=>'form-control', 'required', 'placeholder'=>'-- Selecione uma Conta Bancária --']) !!}
          </div>
        </div>
        <div class="row">

          <div class="col-sm-6 form-group">
            {!! Form::label('valor_total', 'Valor Total:', ['class'=>'control-label']) !!}
            <div class="input-group">
              <span class="input-group-addon">R$</span>
              {!! Form::text('valor_total', number_format($valores['valor_total']/100, 2, ',','.') , ['class'=>'form-control', 'id'=>'modal_parcela_porcentagem_input_valor_total', 'required', 'readonly'] ) !!}
            </div>
          </div>

          <div class="col-sm-6 form-group">
            {!! Form::label('porcentagem', 'Porcentagem sobre o Valor Total:', ['class'=>'control-label']) !!}
            <div class="input-group">
              {!! Form::text('porcentagem', '0' , ['class'=>'form-control', 'id'=>'modal_parcela_porcentagem_input_porcentagem', 'required'] ) !!}
              <span class="input-group-addon">%</span>
            </div>
          </div>

        </div>
        <div class="row">

          <div class="col-sm-4 form-group">
            {!! Form::label('valor_bruto', 'Valor Bruto:', ['class'=>'control-label']) !!}
            <div class="input-group">
              <span class="input-group-addon">R$</span>
              {!! Form::text('valor_bruto', '0,00' , ['class'=>'form-control', 'id'=>'modal_parcela_porcentagem_input_valor_bruto', 'required', 'readonly'] ) !!}
            </div>
          </div>

          <div class="col-sm-4 form-group">
            {!! Form::label('valor_imposto', 'Valor Retido:', ['class'=>'control-label']) !!}
            <div class="input-group">
              <span class="input-group-addon">R$</span>
              {!! Form::text('valor_imposto', '0,00' , ['class'=>'form-control', 'id'=>'modal_parcela_porcentagem_input_imposto', 'required'] ) !!}
            </div>
          </div>

          <div class="col-sm-4 form-group">
            {!! Form::label('valor_liquido', 'Valor Líquido:', ['class'=>'control-label']) !!}
            <div class="input-group">
              <span class="input-group-addon">R$</span>
              {!! Form::text('valor_liquido', '0,00' , ['class'=>'form-control','readonly', 'id'=>'modal_parcela_porcentagem_input_valor_liquido', 'required'] ) !!}
            </div>
          </div>

        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Fechar</button>
        <button type="submit" class="btn btn-primary">
          <i class="fa fa-floppy-o" aria-hidden="true"></i>
          Adicionar
        </button>
      </div>
    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
{!! Form::close() !!}


