<?php /** @var \App\Models\Financeiro\OutroRecebimento $recebimento */ ?>
<div class="row">
  <div class="col-md-12 form-group">
    {!! Form::label('nome', 'Nome:', ['class'=>'control-label']) !!}
    {!! Form::text('nome', null, ['class'=>'form-control', 'required']) !!}
  </div>
</div>

<div class="row">
  <div class="col-md-12 form-group">
    {!! Form::label('fornecedor_id', 'Fornecedor:', ['class'=>'control-label']) !!}
    {!! Form::select('fornecedor_id', \App\Models\Cadastros\FornecedoresEmpresas::enum_fornecedores(), null, ['class'=>'form-control', 'required', 'placeholder'=>'-- Atribua este recebimento a um Fornecedor --']) !!}
  </div>
</div>

<div class="row">
  <div class="col-md-3 form-group">
    {!! Form::label('data', 'Data de Pagamento:', ['class'=>'control-label']) !!}
    {!! Form::date('data', ( ( isset( $ehEdit ) && $ehEdit ) ? null : \Carbon\Carbon::now()->format( 'Y-m-d' ) ), ['class'=>'form-control', 'required'] ) !!}
  </div>
  <div class="col-md-3 form-group">
    {!! Form::label('conta_id', 'Conta Bancária:') !!}
    {!! Form::select('conta_id', \App\Models\Financeiro\ContaBancaria::enum_contas(), null, ['class'=>'form-control', 'required', 'placeholder'=>'-- Selecione uma Conta Bancária --']) !!}
  </div>
  <div class="col-md-4 form-group">
    {!! Form::label('centros_de_custo_cadaris_id', 'Centro de Custo da Cadaris:') !!}
    {!! Form::select('centros_de_custo_cadaris_id', \App\Models\Cadastros\CentrosDeCustoCadaris::enum_centros_de_custo_cadaris(), null, ['class'=>'form-control', 'required', 'placeholder'=>'-- Selecione um Centro de Custo da Cadaris --']) !!}
  </div>
  <div class="col-md-2 form-group">
    {!! Form::label('pago', 'Está Paga:', ['class'=>'control-label']) !!}
    {!! Form::select('pago', [ 0=>'Não', 1=>'Sim' ], null, ['class'=>'form-control', 'required'] ) !!}
  </div>
</div>
<div class="row">
  <div class="col-md-4 form-group">
    {!! Form::label('valor', 'Valor:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      @if(isset($ehEdit))
        {!! Form::text('valor', number_format($recebimento->valor/100 ,2, ',','.'), ['class'=>'form-control', 'id'=>'input_valor', 'required'] ) !!}
      @else
        {!! Form::text('valor', '0,00', ['class'=>'form-control', 'id'=>'input_valor', 'required'] ) !!}
      @endif
    </div>
  </div>
</div>

<div class="row">
  <div class="col-md-7 form-group">
    {!! Form::label('forma_pagamento', 'Forma de Pagamento:', ['class'=>'control-label']) !!}
    {!! Form::text('forma_pagamento', null , ['class'=>'form-control'] ) !!}
  </div>
  <div class="col-md-5 form-group">
    {!! Form::label('cod_receita', 'Código de Recebimento:', ['class'=>'control-label']) !!}
    {!! Form::select('cod_receita', \App\Models\Cadastros\CodigoReceita::enum_cod_receita(), null, ['placeholder' => '-- Selecione um Item --', 'class'=>'form-control'] ) !!}
  </div>
</div>

<div class="row">
  <div class="col-md-12 form-group">
    {!! Form::label('nota_fiscal', 'Nota Fiscal:', ['class'=>'control-label']) !!}
    {!! Form::text('nota_fiscal', null, ['class'=>'form-control'] ) !!}
  </div>
</div>

@if(isset($ehEdit))
  <div class="row">
    @if($recebimento->boleto)
      <div class="col-md-6 form-group">
        <p class="chave">Documento Fiscal Disponível</p>
        <p class="valor">
          <a href="{{ url($recebimento->getLocalBoletoLink()) }}" target="_blank">
            <i class="fa fa-file-o" aria-hidden="true"></i>&nbsp;
            {{ $recebimento->boleto }}
          </a>
        </p>
      </div>
      <div class="col-md-1 form-group">
        <p class="chave hidden-sm hidden-xs">&nbsp;</p>
        <div class="checkbox">
          <label>
            <input type="checkbox" name="deletar_boleto"> Deletar
          </label>
        </div>
      </div>
    @else
      <div class="col-md-7 form-group">
        <p class="chave">Documento Fiscal Disponível</p>
        <p class="valor alert-info">
          <i class="fa fa-exclamation-circle" aria-hidden="true"></i>
          Não há Documento Fiscal anexado!
        </p>
      </div>
    @endif

    <div class="col-md-5 form-group">
      @if(isset($ehEdit))
        {!! Form::label('file_boleto', 'Trocar Documento Fiscal Anexado:', ['class'=>'control-label']) !!}
      @else
        {!! Form::label('file_boleto', 'Anexar Documento Fiscal:', ['class'=>'control-label']) !!}
      @endif
      {!! Form::file('file_boleto', ['class'=>'form-control'] ) !!}
    </div>
  </div>
@else
  <div class="row">
    <div class="col-md-12 form-group">
      {!! Form::label('file_boleto', 'Documento Fiscal:', ['class'=>'control-label']) !!}
      {!! Form::file('file_boleto', ['class'=>'form-control'] ) !!}
    </div>
  </div>
@endif

@if(isset($ehEdit))
  <div class="row">
    @if($recebimento->comprovante)
      <div class="col-md-6 form-group">
        <p class="chave">Comprovante Disponível</p>
        <p class="valor">
          <a href="{{ url($recebimento->getLocalComprovanteLink()) }}" target="_blank">
            <i class="fa fa-file-o" aria-hidden="true"></i>&nbsp;
            {{ $recebimento->comprovante }}
          </a>
        </p>
      </div>
      <div class="col-md-1 form-group">
        <p class="chave hidden-sm hidden-xs">&nbsp;</p>
        <div class="checkbox">
          <label>
            <input type="checkbox" name="deletar_comprovante"> Deletar
          </label>
        </div>
      </div>
    @else
      <div class="col-md-7 form-group">
        <p class="chave">Comprovante Disponível</p>
        <p class="valor alert-info">
          <i class="fa fa-exclamation-circle" aria-hidden="true"></i>
          Não há Comprovante anexado!
        </p>
      </div>
    @endif

    <div class="col-md-5 form-group">
      @if(isset($ehEdit))
        {!! Form::label('file_comprovante', 'Trocar Comprovante Anexado:', ['class'=>'control-label']) !!}
      @else
        {!! Form::label('file_comprovante', 'Anexar Comprovante:', ['class'=>'control-label']) !!}
      @endif
      {!! Form::file('file_comprovante', ['class'=>'form-control'] ) !!}
    </div>
  </div>
@else
  <div class="row">
    <div class="col-md-12 form-group">
      {!! Form::label('file_comprovante', 'Comprovante:', ['class'=>'control-label']) !!}
      {!! Form::file('file_comprovante', ['class'=>'form-control'] ) !!}
    </div>
  </div>
@endif

<br>
<br>

@include('errors.list')
