<?php /** @var \App\Models\Financeiro\Rescisao $rescisao */ ?>
<div class="row">
  <div class="col-md-5 form-group">
    {!! Form::label('nome', 'Nome:', ['class'=>'control-label']) !!}
    {!! Form::text('nome', null, ['class'=>'form-control', 'required']) !!}
  </div>
  <div class="col-md-5 form-group">
    {!! Form::label('funcionario_id', 'Funcionário:', ['class'=>'control-label']) !!}
    {!! Form::select('funcionario_id', \App\Models\Cadastros\Funcionarios::enum_Funcionarios(), null, ['class'=>'form-control', 'required', 'placeholder'=>'-- Atribua esta conta a um Funcionário --']) !!}
  </div>
  <div class="col-md-2 form-group">
    {!! Form::label('pago', 'Está Paga:', ['class'=>'control-label']) !!}
    {!! Form::select('pago', [ 0=>'Não', 1=>'Sim' ], null, ['class'=>'form-control', 'required'] ) !!}
  </div>
</div>

<div class="row">
  <div class="col-md-3 form-group">
    {!! Form::label('data', 'Data de Pagamento:', ['class'=>'control-label']) !!}
    {!! Form::date('data', ( ( isset( $ehEdit ) && $ehEdit ) ? null : \Carbon\Carbon::now()->format( 'Y-m-d' ) ), ['class'=>'form-control', 'required'] ) !!}
  </div>
  <div class="col-md-3 form-group">
    {!! Form::label('conta_id', 'Conta Bancária:') !!}
    {!! Form::select('conta_id', \App\Models\Financeiro\ContaBancaria::enum_contas(), null, ['class'=>'form-control', 'required', 'placeholder'=>'-- Selecione uma Conta Bancária --']) !!}
  </div>
  <div class="col-md-3 form-group">
    {!! Form::label('centros_de_custo_cadaris_id', 'Centro de Custo da Cadaris:') !!}
    {!! Form::select('centros_de_custo_cadaris_id', \App\Models\Cadastros\CentrosDeCustoCadaris::enum_centros_de_custo_cadaris(), null, ['class'=>'form-control', 'required', 'placeholder'=>'-- Selecione um Centro de Custo da Cadaris --']) !!}
  </div>
  <div class="col-md-3 form-group">
    {!! Form::label('plano_de_contas_item_id', 'Código de Despesa:', ['class'=>'control-label']) !!}
    {!! Form::select('plano_de_contas_item_id', \App\Models\Cadastros\PlanoDeContas::enum_despesas_reduzida(), null, [ 'placeholder'=>'-- Selecione um item --', 'class'=>'form-control', 'required']) !!}
  </div>
</div>

<div class="row">
  <div class="col-md-4 form-group">
    {!! Form::label('salario_trabalhado', 'Salário dos Dias Trabalhado:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('salario_trabalhado', (isset($ehEdit) ? number_format($rescisao->salario_trabalhado/100 ,2, ',','.') : '0,00'), ['class'=>'form-control', 'id'=>'input_salario_trabalhado', 'required'] ) !!}
    </div>
  </div>
  <div class="col-md-4 form-group">
    {!! Form::label('hora_extra', 'Hora Extra:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('hora_extra', (isset($ehEdit) ? number_format($rescisao->hora_extra/100 ,2, ',','.') : '0,00'), ['class'=>'form-control', 'id'=>'input_hora_extra', 'required'] ) !!}
    </div>
  </div>
  <div class="col-md-4 form-group">
    {!! Form::label('dsr_salario', 'DSR Salário:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('dsr_salario', (isset($ehEdit) ? number_format($rescisao->dsr_salario/100 ,2, ',','.') : '0,00'), ['class'=>'form-control', 'id'=>'input_dsr_salario', 'required'] ) !!}
    </div>
  </div>
</div>

<div class="row">
  <div class="col-md-3 form-group">
    {!! Form::label('ferias', 'Férias:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('ferias', (isset($ehEdit) ? number_format($rescisao->ferias/100 ,2, ',','.') : '0,00'), ['class'=>'form-control', 'id'=>'input_ferias', 'required'] ) !!}
    </div>
  </div>
  <div class="col-md-3 form-group">
    {!! Form::label('terco_ferias', 'Terço de Férias:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('terco_ferias', (isset($ehEdit) ? number_format($rescisao->terco_ferias/100 ,2, ',','.') : '0,00'), ['class'=>'form-control', 'id'=>'input_terco_ferias', 'required'] ) !!}
    </div>
  </div>
  <div class="col-md-3 form-group">
    {!! Form::label('ferias_proporcionais', 'Férias Proporcionais:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('ferias_proporcionais', (isset($ehEdit) ? number_format($rescisao->ferias_proporcionais/100 ,2, ',','.') : '0,00'), ['class'=>'form-control', 'id'=>'input_ferias_proporcionais', 'required'] ) !!}
    </div>
  </div>
  <div class="col-md-3 form-group">
    {!! Form::label('ferias_paga', 'Férias Paga:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('ferias_paga', (isset($ehEdit) ? number_format($rescisao->ferias_paga/100 ,2, ',','.') : '0,00'), ['class'=>'form-control', 'id'=>'input_ferias_paga', 'required'] ) !!}
    </div>
  </div>
</div>

<div class="row">
  <div class="col-md-4 form-group">
    {!! Form::label('aviso_previo', 'Aviso Prévio:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('aviso_previo', (isset($ehEdit) ? number_format($rescisao->aviso_previo/100 ,2, ',','.') : '0,00'), ['class'=>'form-control', 'id'=>'input_aviso_previo', 'required'] ) !!}
    </div>
  </div>
  <div class="col-md-4 form-group">
    {!! Form::label('salario_13', '13º Salário:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('salario_13', (isset($ehEdit) ? number_format($rescisao->salario_13/100 ,2, ',','.') : '0,00'), ['class'=>'form-control', 'id'=>'input_salario_13', 'required'] ) !!}
    </div>
  </div>
  <div class="col-md-4 form-group">
    {!! Form::label('salario_13_proporcional', '13º Salário Proporcional:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('salario_13_proporcional', (isset($ehEdit) ? number_format($rescisao->salario_13_proporcional/100 ,2, ',','.') : '0,00'), ['class'=>'form-control', 'id'=>'input_salario_13_proporcional', 'required'] ) !!}
    </div>
  </div>
</div>

<div class="row">
  <div class="col-md-4 form-group">
    {!! Form::label('previdencia', 'Previdência:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('previdencia', (isset($ehEdit) ? number_format($rescisao->previdencia/100 ,2, ',','.') : '0,00'), ['class'=>'form-control', 'id'=>'input_previdencia', 'required'] ) !!}
    </div>
  </div>
  <div class="col-md-4 form-group">
    {!! Form::label('previdencia_salario_13', 'Previdência 13º Salário:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('previdencia_salario_13', (isset($ehEdit) ? number_format($rescisao->previdencia_salario_13/100 ,2, ',','.') : '0,00'), ['class'=>'form-control', 'id'=>'input_previdencia_salario_13', 'required'] ) !!}
    </div>
  </div>
  <div class="col-md-4 form-group">
    {!! Form::label('inss_ferias', 'INSS Férias:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('inss_ferias', (isset($ehEdit) ? number_format($rescisao->inss_ferias/100 ,2, ',','.') : '0,00'), ['class'=>'form-control', 'id'=>'input_inss_ferias', 'required'] ) !!}
    </div>
  </div>
</div>

<div class="row">

  <div class="col-md-4 form-group">
    {!! Form::label('indenizacao', 'Indenização:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('indenizacao', (isset($ehEdit) ? number_format($rescisao->indenizacao/100 ,2, ',','.') : '0,00'), ['class'=>'form-control', 'id'=>'input_indenizacao', 'required'] ) !!}
    </div>
  </div>

  <div class="col-md-4 form-group">
    {!! Form::label('desc_vr', 'Desconto VR:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('desc_vr', (isset($ehEdit) ? number_format($rescisao->desc_vr/100 ,2, ',','.') : '0,00'), ['class'=>'form-control', 'id'=>'input_desc_vr', 'required'] ) !!}
    </div>
  </div>
  <div class="col-md-4 form-group">
    {!! Form::label('desc_vt', 'Desconto VT:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('desc_vt', (isset($ehEdit) ? number_format($rescisao->desc_vt/100 ,2, ',','.') : '0,00'), ['class'=>'form-control', 'id'=>'input_desc_vt', 'required'] ) !!}
    </div>
  </div>
</div>

<div class="row">
  <div class="col-md-offset-8 col-md-4 form-group-lg">
    {!! Form::label('valor_total', 'Valor Total:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('valor_total', (isset($ehEdit) ? number_format($rescisao->valor_total/100 ,2, ',','.') : '0,00'), ['class'=>'form-control', 'id'=>'input_valor_total', 'required'] ) !!}
    </div>
  </div>
</div>

<br>
<br>

@include('errors.list')

@section('scripts')
  <script type="application/javascript">
    function moneyValorSet( id ) {
      var input = $( '#input_' + id );
      input.maskMoney( 'unmasked' );
      var valor = parseInt( input.val().replace( /\D/g, '' ) );
      input.val( valor );
      return valor;
    }

    function moneyValorGet( id ) {
      return parseInt( $( '#input_' + id ).val().replace( /\D/g, '' ) );
    }

    function calc_rescisao() {
      var valor_soma = moneyValorGet( 'salario_trabalhado' )
        + moneyValorGet( 'terco_ferias' )
        + moneyValorGet( 'ferias' )
        + moneyValorGet( 'hora_extra' )
        + moneyValorGet( 'dsr_salario' )
        + moneyValorGet( 'ferias_proporcionais' )
        + moneyValorGet( 'aviso_previo' )
        + moneyValorGet( 'salario_13_proporcional' )
        + moneyValorGet( 'salario_13' )
        + moneyValorGet( 'ferias_paga' );
      var valor_sub  = moneyValorGet( 'previdencia' )
        + moneyValorGet( 'previdencia_salario_13' )
        + moneyValorGet( 'inss_ferias' )
        + moneyValorGet( 'indenizacao' )
        + moneyValorGet( 'desc_vr' )
        + moneyValorGet( 'desc_vt' );

      var valor_total = valor_soma - valor_sub;
      $( '#input_valor_total' ).val( formatDinheiro( valor_total ) );
      console.log( valor_total );
    }

    $( function () {
      var inputs = [ 'salario_trabalhado',
        'terco_ferias',
        'ferias',
        'hora_extra',
        'dsr_salario',
        'ferias_proporcionais',
        'aviso_previo',
        'salario_13_proporcional',
        'salario_13',
        'ferias_paga',

        'previdencia',
        'previdencia_salario_13',
        'inss_ferias',
        'indenizacao',
        'desc_vr',
        'desc_vt' ];

      for ( var id in inputs ) {
        $( '#input_' + inputs[ id ] ).maskMoney( { thousands: '.', decimal: ',', allowZero: true, allowNegative: false } );
        $( '#input_' + inputs[ id ] ).on( 'blur', calc_rescisao );
      }
      $( '#input_valor_total' ).maskMoney( { thousands: '.', decimal: ',', allowZero: true, allowNegative: false } );
      $( '#form_rescisao' ).submit( function () {
        var salario_trabalhado      = moneyValorSet( 'salario_trabalhado' );
        var terco_ferias            = moneyValorSet( 'terco_ferias' );
        var ferias                  = moneyValorSet( 'ferias' );
        var hora_extra              = moneyValorSet( 'hora_extra' );
        var dsr_salario             = moneyValorSet( 'dsr_salario' );
        var ferias_proporcionais    = moneyValorSet( 'ferias_proporcionais' );
        var aviso_previo            = moneyValorSet( 'aviso_previo' );
        var salario_13_proporcional = moneyValorSet( 'salario_13_proporcional' );
        var salario_13              = moneyValorSet( 'salario_13' );
        var ferias_paga             = moneyValorSet( 'ferias_paga' );

        var previdencia            = moneyValorSet( 'previdencia' );
        var previdencia_salario_13 = moneyValorSet( 'previdencia_salario_13' );
        var inss_ferias            = moneyValorSet( 'inss_ferias' );
        var indenizacao            = moneyValorSet( 'indenizacao' );
        var desc_vr                = moneyValorSet( 'desc_vr' );
        var desc_vt                = moneyValorSet( 'desc_vt' );

        var valor_soma  = salario_trabalhado
          + terco_ferias
          + ferias
          + hora_extra
          + dsr_salario
          + ferias_proporcionais
          + aviso_previo
          + salario_13_proporcional
          + salario_13
          + ferias_paga;
        var valor_sub   = previdencia
          + previdencia_salario_13
          + inss_ferias
          + indenizacao
          + desc_vr
          + desc_vt        ;
        var valor_total = valor_soma - valor_sub;
        $( '#input_valor_total' ).val( valor_total );

        return true;
      } );
    } );
  </script>
@endsection
