@extends('app')

@section('content')

  <div class="row">
    <div class="col-md-12">
      <h1>
        <a href="{{route('financeiro.retiradadesocios.index')}}" class="btn btn-default" data-toggle="tooltip" title="Voltar">
          <i class="fa fa-arrow-left fa-2x" aria-hidden="true"></i>
        </a>
        Cadastrar Retirada de Sócio
      </h1>
    </div>
  </div>

  {!! Form::open([
      'route' => 'financeiro.retiradadesocios.store',
      'enctype'=>'multipart/form-data',
      'id' => 'form_retirada'
  ]) !!}

  @include('Financeiro.RetiradaDeSocios.form')

  <div class="row">
    <div class="col-md-12">
      <button class="btn btn-primary" type="submit">
        <i class="fa fa-plus" aria-hidden="true"></i> Inserir Nova Retirada de Sócio
      </button>
      <a class="btn btn-default" href="{{ route('financeiro.retiradadesocios.index') }}">
        <i class="fa fa-ban" aria-hidden="true"></i> Cancelar
      </a>
    </div>
  </div>
  {!! Form::close() !!}
  <br><br><br><br>

@endsection

@section('scripts')
  <script type="application/javascript">
    $( function () {
      $( '#input_valor' ).maskMoney( { thousands: '.', decimal: ',', allowZero: true, allowNegative: false } );
      $( '#form_retirada' ).submit( function () {
        var valor = $( '#input_valor' );
        valor.maskMoney( 'unmasked' );
        valor.val( valor.val().replace( /\D/g, '' ) );

        return true;
      } );
    } );
  </script>
@endsection
