@extends('app')

@section('content')
  <div class="row">
    <div class="col-md-12 form-group">
      <h1>
        <a href="{!! $voltar !!}" class="btn btn-default" data-toggle="tooltip" title="Voltar">
          <i class="fa fa-arrow-left fa-2x" aria-hidden="true"></i>
        </a>
        Editar Salário
      </h1>
    </div>
  </div>

  {!! Form::model(
    $salario, [
    'method'=> 'PUT',
    'route' => ['financeiro.salarios.update', $salario->id],
    'enctype'=>'multipart/form-data',
    'id' => 'form_salario'
   ]) !!}

  {{ Form::hidden('_voltar', $periodo) }}

  @include('Financeiro.Salarios.form')

  <div class="row">
    <div class="col-md-12">
      <button class="btn btn-primary" type="submit">
        <i class="fa fa-floppy-o" aria-hidden="true"></i> Salvar Salário
      </button>
      <a class="btn btn-default" href="{!! $voltar !!}">
        <i class="fa fa-ban" aria-hidden="true"></i> Cancelar
      </a>
    </div>
  </div>
  {!! Form::close() !!}
  <br><br><br><br>
@endsection
@section('scripts')
  <script type="application/javascript">

    var SALARIO = {
      dias_uteis: $( '#input_dias_uteis' ),

      valor_salario: $( '#input_valor_salario' ),
      valor_salario_desc: $( '#input_valor_salario_desc' ),
      valor_salario_total: $( '#input_valor_salario_total' ),

      valor_vr_unitario: $( '#input_valor_vr_unitario' ),
      valor_vr: $( '#input_valor_vr' ),
      valor_vr_desc_dia: $( '#input_valor_vr_desc_dia' ),
      valor_vr_desc: $( '#input_valor_vr_desc' ),
      valor_vr_total: $( '#input_valor_vr_total' ),

      valor_vt_unitario: $( '#input_valor_vt_unitario' ),
      valor_vt: $( '#input_valor_vt' ),
      valor_vt_desc_dia: $( '#input_valor_vt_desc_dia' ),
      valor_vt_desc: $( '#input_valor_vt_desc' ),
      valor_vt_total: $( '#input_valor_vt_total' ),

      comissao: $( '#input_comissao' ),
      reembolso: $( '#input_reembolso' ),

      valor_total: $( '#input_valor_total' ),


      init: function () {
        // SALARIO
        this.valor_salario.maskMoney( { thousands: '.', decimal: ',', allowZero: true, allowNegative: false } );
        this.valor_salario.on( 'blur', calc_Salario_Total );

        this.valor_salario_desc.maskMoney( { thousands: '.', decimal: ',', allowZero: true, allowNegative: false } );
        this.valor_salario_desc.on( 'blur', calc_Salario_Total );

        // VR
        this.valor_vr_unitario.maskMoney( { thousands: '.', decimal: ',', allowZero: true, allowNegative: false } );
        this.valor_vr_unitario.on( 'blur', calc_Salario_Total );

        this.valor_vr.maskMoney( { thousands: '.', decimal: ',', allowZero: true, allowNegative: false } );
        this.valor_vr.on( 'blur', calc_Salario_Total );

        this.valor_vr_desc_dia.on( 'blur', calc_Salario_Total );

        this.valor_vr_desc.maskMoney( { thousands: '.', decimal: ',', allowZero: true, allowNegative: false } );
        this.valor_vr_desc.on( 'blur', calc_Salario_Total );

        // VT
        this.valor_vt_unitario.maskMoney( { thousands: '.', decimal: ',', allowZero: true, allowNegative: false } );
        this.valor_vt_unitario.on( 'blur', calc_Salario_Total );

        this.valor_vt.maskMoney( { thousands: '.', decimal: ',', allowZero: true, allowNegative: false } );
        this.valor_vt.on( 'blur', calc_Salario_Total );

        this.valor_vt_desc_dia.on( 'blur', calc_Salario_Total );

        this.valor_vt_desc.maskMoney( { thousands: '.', decimal: ',', allowZero: true, allowNegative: false } );
        this.valor_vt_desc.on( 'blur', calc_Salario_Total );

        // TOTAL
        this.comissao.maskMoney( { thousands: '.', decimal: ',', allowZero: true, allowNegative: false } );
        this.comissao.on( 'blur', calc_Salario_Total );

        this.reembolso.maskMoney( { thousands: '.', decimal: ',', allowZero: true, allowNegative: false } );
        this.reembolso.on( 'blur', calc_Salario_Total );

      },

      getValores: function () {
        return {
          dias_uteis: parseInt( this.dias_uteis.val().replace( /\D/g, '' ) ),

          valor_salario: parseInt( this.valor_salario.val().replace( /\D/g, '' ) ),
          valor_salario_desc: parseInt( this.valor_salario_desc.val().replace( /\D/g, '' ) ),

          valor_vr_unitario: parseInt( this.valor_vr_unitario.val().replace( /\D/g, '' ) ),
          valor_vr: parseInt( this.valor_vr.val().replace( /\D/g, '' ) ),
          valor_vr_desc_dia: parseInt( this.valor_vr_desc_dia.val().replace( /\D/g, '' ) ),
          valor_vr_desc: parseInt( this.valor_vr_desc.val().replace( /\D/g, '' ) ),

          valor_vt_unitario: parseInt( this.valor_vt_unitario.val().replace( /\D/g, '' ) ),
          valor_vt: parseInt( this.valor_vt.val().replace( /\D/g, '' ) ),
          valor_vt_desc_dia: parseInt( this.valor_vt_desc_dia.val().replace( /\D/g, '' ) ),
          valor_vt_desc: parseInt( this.valor_vt_desc.val().replace( /\D/g, '' ) ),

          comissao: parseInt( this.comissao.val().replace( /\D/g, '' ) ),
          reembolso: parseInt( this.reembolso.val().replace( /\D/g, '' ) ),

          valor_salario_total: parseInt( this.valor_salario_total.val().replace( /\D/g, '' ) ),
          valor_vr_total: parseInt( this.valor_vr_total.val().replace( /\D/g, '' ) ),
          valor_vt_total: parseInt( this.valor_vt_total.val().replace( /\D/g, '' ) ),
          valor_total: parseInt( this.valor_total.val().replace( /\D/g, '' ) )
        };
      },

      submitValores: function () {
        this.dias_uteis.val( this.dias_uteis.val().replace( /\D/g, '' ) );

        this.valor_salario.val( this.valor_salario.val().replace( /\D/g, '' ) );
        this.valor_salario_desc.val( this.valor_salario_desc.val().replace( /\D/g, '' ) );

        this.valor_vr_unitario.val( this.valor_vr_unitario.val().replace( /\D/g, '' ) );
        this.valor_vr.val( this.valor_vr.val().replace( /\D/g, '' ) );
        this.valor_vr_desc.val( this.valor_vr_desc.val().replace( /\D/g, '' ) );
        this.valor_vr_desc_dia.val( this.valor_vr_desc_dia.val().replace( /\D/g, '' ) );

        this.valor_vt_unitario.val( this.valor_vt_unitario.val().replace( /\D/g, '' ) );
        this.valor_vt.val( this.valor_vt.val().replace( /\D/g, '' ) );
        this.valor_vt_desc.val( this.valor_vt_desc.val().replace( /\D/g, '' ) );
        this.valor_vt_desc_dia.val( this.valor_vt_desc_dia.val().replace( /\D/g, '' ) );

        this.comissao.val( this.comissao.val().replace( /\D/g, '' ) );
        this.reembolso.val( this.reembolso.val().replace( /\D/g, '' ) );

        this.valor_salario_total.val( this.valor_salario_total.val().replace( /\D/g, '' ) );
        this.valor_vr_total.val( this.valor_vr_total.val().replace( /\D/g, '' ) );
        this.valor_vt_total.val( this.valor_vt_total.val().replace( /\D/g, '' ) );
        this.valor_total.val( this.valor_total.val().replace( /\D/g, '' ) );
      }

    };

    $( function () {
      SALARIO.init();
      $( '#form_salario' ).submit( function () {
        calc_Salario_Total();
        SALARIO.submitValores();
      } );
    } );

    function calc_Salario_Total() {
      var form = SALARIO.getValores();

      // SALARIO
      var valor_salario_total = parseInt( form.valor_salario - form.valor_salario_desc );
      SALARIO.valor_salario_total.val( formatDinheiro( valor_salario_total ) );

      // VR
      var valor_vr = parseInt( (form.valor_vr_unitario * form.dias_uteis) );
      SALARIO.valor_vr.val( formatDinheiro( valor_vr ) );

      var valor_vr_desc = parseInt( form.valor_vr_unitario * form.valor_vr_desc_dia );
      SALARIO.valor_vr_desc.val( formatDinheiro( valor_vr_desc ) );

      var valor_vr_total = parseInt( valor_vr - (form.valor_vr_unitario * form.valor_vr_desc_dia) );
      SALARIO.valor_vr_total.val( formatDinheiro( valor_vr_total ) );

      // VT
      var valor_vt = parseInt( (form.valor_vt_unitario * form.dias_uteis) );
      SALARIO.valor_vt.val( formatDinheiro( valor_vt ) );

      var valor_vt_desc = parseInt( form.valor_vt_unitario * form.valor_vt_desc_dia );
      SALARIO.valor_vt_desc.val( formatDinheiro( valor_vt_desc ) );

      var valor_vt_total = parseInt( valor_vt - (form.valor_vt_unitario * form.valor_vt_desc_dia) );
      SALARIO.valor_vt_total.val( formatDinheiro( valor_vt_total ) );

      // VALOR TOTAL
      var valor_total = parseInt( valor_salario_total + valor_vr_total + valor_vt_total + form.comissao + form.reembolso );
      SALARIO.valor_total.val( formatDinheiro( valor_total ) );
    }
  </script>
@endsection
