<?php /** @var \App\Models\Financeiro\Salario $salario */ ?>

<div class="row">
  <div class="col-md-6 form-group">
    <p class="chave">Nome Do Funcionário:</p>
    <p class="valorReadOnly">{{ $salario->FuncionarioNome() }}</p>
  </div>
  <div class="col-md-2 form-group">
    <p class="chave">Ano Referente:</p>
    <p class="valorReadOnly">{{ $salario->ano }}</p>
  </div>
  <div class="col-md-2 form-group">
    <p class="chave">Mês Referente:</p>
    <p class="valorReadOnly">{{ $salario->mes }}</p>
  </div>
  <div class="col-md-2 form-group">
    {!! Form::label('pago', 'Está Paga:', ['class'=>'control-label']) !!}
    {!! Form::select('pago', [ 0=>'Não', 1=>'Sim' ], null, ['class'=>'form-control', 'required'] ) !!}
  </div>
</div>

<div class="row">
  <div class="col-md-2 form-group">
    {!! Form::label('data_pagamento', 'Data de Pagamento:', ['class'=>'control-label']) !!}
    {!! Form::date('data_pagamento', null, ['class'=>'form-control', 'required'] ) !!}
  </div>
  <div class="col-md-2 form-group">
    {!! Form::label('dias_uteis', 'Dias Úteis:', ['class'=>'control-label']) !!}
    {!! Form::number('dias_uteis', null, ['class'=>'form-control', 'required', 'id'=>'input_dias_uteis'] ) !!}
  </div>
  <div class="col-md-2 form-group">
    {!! Form::label('conta_id', 'Conta Bancária:') !!}
    {!! Form::select('conta_id', \App\Models\Financeiro\ContaBancaria::enum_contas(), null, ['class'=>'form-control', 'required', 'placeholder'=>'-- Selecione uma Conta Bancária --']) !!}
  </div>
  <div class="col-md-3 form-group">
    {!! Form::label('centros_de_custo_cadaris_id', 'Centro de Custo da Cadaris:') !!}
    {!! Form::select('centros_de_custo_cadaris_id', \App\Models\Cadastros\CentrosDeCustoCadaris::enum_centros_de_custo_cadaris(), null, ['class'=>'form-control', 'required', 'placeholder'=>'-- Selecione um Centro de Custo da Cadaris --']) !!}
  </div>
  <div class="col-md-3 form-group">
    {!! Form::label('plano_de_contas_item_id', 'Código de Despesa:', ['class'=>'control-label']) !!}
    {!! Form::select('plano_de_contas_item_id', \App\Models\Cadastros\PlanoDeContas::enum_despesas_reduzida(), null, [ 'placeholder'=>'-- Selecione um item --', 'class'=>'form-control', 'required']) !!}
  </div>
</div>

<div class="row">
  <div class="col-md-12">
    <h3>Salário</h3>
  </div>
</div>
<div class="row">
  <div class="col-md-4 form-group">
    {!! Form::label('valor_salario', 'Valor do Salário:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('valor_salario', number_format($salario->valor_salario/100, 2, ',' ,'.'), ['class'=>'form-control', 'id'=>'input_valor_salario', 'required'] ) !!}
    </div>
  </div>
  <div class="col-md-4 form-group">
    {!! Form::label('valor_salario_desc', 'Valor do Desconto do Salário:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('valor_salario_desc', number_format($salario->valor_salario_desc/100, 2, ',' ,'.'), ['class'=>'form-control', 'id'=>'input_valor_salario_desc', 'required'] ) !!}
    </div>
  </div>
  <div class="col-md-3 col-md-offset-1 form-group">
    {!! Form::label('valor_salario_total', 'Valor Total do Salário:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('valor_salario_total', number_format($salario->valor_salario_total/100, 2, ',' ,'.'), ['class'=>'form-control', 'id'=>'input_valor_salario_total', 'required', 'readonly'] ) !!}
    </div>
  </div>
</div>

<div class="row">
  <div class="col-md-12">
    <h3>Vale Refeição</h3>
  </div>
</div>
<div class="row">
  <div class="col-md-2 form-group">
    {!! Form::label('valor_vr_unitario', 'Valor Unitário do VR:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('valor_vr_unitario', number_format($salario->valor_vr_unitario/100, 2, ',' ,'.'), ['class'=>'form-control', 'id'=>'input_valor_vr_unitario', 'required'] ) !!}
    </div>
  </div>
  <div class="col-md-2 form-group">
    {!! Form::label('valor_vr', 'Valor VR:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('valor_vr', number_format($salario->valor_vr/100, 2, ',' ,'.'), ['class'=>'form-control', 'id'=>'input_valor_vr', 'required'] ) !!}
    </div>
  </div>
  <div class="col-md-2 form-group">
    {!! Form::label('valor_vr_desc_dia', 'Dias Descontados VR:', ['class'=>'control-label']) !!}
    <div class="input-group">
      {!! Form::text('valor_vr_desc_dia', $salario->valor_vr_desc_dia, ['class'=>'form-control somenteNumeros', 'id'=>'input_valor_vr_desc_dia', 'required'] ) !!}
      <span class="input-group-addon">dia(s)</span>
    </div>
  </div>
  <div class="col-md-2 form-group">
    {!! Form::label('valor_vr_desc', 'Desconto de VR:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('valor_vr_desc', number_format($salario->valor_vr_desc/100, 2, ',' ,'.'), ['class'=>'form-control', 'id'=>'input_valor_vr_desc', 'required'] ) !!}
    </div>
  </div>
  <div class="col-md-3 col-md-offset-1 form-group">
    {!! Form::label('valor_vr_total', 'Valor Total do VR:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('valor_vr_total', number_format($salario->valor_vr_total/100 , 2, ',','.'), ['class'=>'form-control', 'id'=>'input_valor_vr_total', 'required', 'readonly'] ) !!}
    </div>
  </div>
</div>


<div class="row">
  <div class="col-md-12">
    <h3>Vale Transporte</h3>
  </div>
</div>

<div class="row">
  <div class="col-md-2 form-group">
    {!! Form::label('valor_vt_unitario', 'Valor Unitário do VT:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('valor_vt_unitario', number_format($salario->valor_vt_unitario/100, 2, ',' ,'.'), ['class'=>'form-control', 'id'=>'input_valor_vt_unitario', 'required'] ) !!}
    </div>
  </div>
  <div class="col-md-2 form-group">
    {!! Form::label('valor_vt', 'Valor VT:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('valor_vt', number_format($salario->valor_vt/100, 2, ',' ,'.'), ['class'=>'form-control', 'id'=>'input_valor_vt', 'required'] ) !!}
    </div>
  </div>
  <div class="col-md-2 form-group">
    {!! Form::label('valor_vt_desc_dia', 'Dias Descontados VT:', ['class'=>'control-label']) !!}
    <div class="input-group">
      {!! Form::text('valor_vt_desc_dia', $salario->valor_vt_desc_dia, ['class'=>'form-control somenteNumeros', 'id'=>'input_valor_vt_desc_dia', 'required'] ) !!}
      <span class="input-group-addon">dia(s)</span>
    </div>
  </div>
  <div class="col-md-2 form-group">
    {!! Form::label('valor_vt_desc', 'Desconto de VT:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('valor_vt_desc', number_format($salario->valor_vt_desc/100, 2, ',' ,'.'), ['class'=>'form-control', 'id'=>'input_valor_vt_desc', 'required'] ) !!}
    </div>
  </div>
  <div class="col-md-3 col-md-offset-1 form-group">
    {!! Form::label('valor_vt_total', 'Valor Total do VT:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('valor_vt_total', number_format($salario->valor_vt_total/100 , 2, ',','.'), ['class'=>'form-control', 'id'=>'input_valor_vt_total', 'required', 'readonly'] ) !!}
    </div>
  </div>
</div>

<div class="row">
  <div class="col-md-12">
    <h3>Adicionais</h3>
  </div>
</div>
<div class="row">
  <div class="col-md-3 form-group">
    {!! Form::label('comissao', 'Comissão:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('comissao', number_format($salario->comissao/100, 2, ',' ,'.'), ['class'=>'form-control', 'id'=>'input_comissao', 'required'] ) !!}
    </div>
  </div>
  <div class="col-md-3 form-group">
    {!! Form::label('reembolso', 'Reembolso:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('reembolso', number_format($salario->reembolso/100, 2, ',' ,'.'), ['class'=>'form-control', 'id'=>'input_reembolso', 'required'] ) !!}
    </div>
  </div>

  <div class="col-md-3 col-md-offset-3 form-group-lg">
    {!! Form::label('valor_total', 'Valor Total:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      {!! Form::text('valor_total', number_format($salario->valor_total/100, 2, ',' ,'.'), ['class'=>'form-control', 'id'=>'input_valor_total', 'required', 'readonly'] ) !!}
    </div>
  </div>
</div>


<div class="row">
  <div class="col-md-12">
    <h3>Holerite/Recibo</h3>
  </div>
</div>
<div class="row">
  @if($salario->holerite)
    <div class="col-md-6 form-group">
      <p class="chave">Holerite/Recibo Disponível</p>
      <p class="valor bg-success">
        <a href="{{ route( 'financeiro.salarios.holerite', $salario->id ) }}" target="_blank">
          <i class="fa fa-file-o" aria-hidden="true"></i>&nbsp;
          {{ $salario->holerite_nome }}
        </a>
      </p>
    </div>
    <div class="col-md-1 form-group">
      <p class="chave hidden-sm hidden-xs">&nbsp;</p>
      <div class="checkbox">
        <label>
          <input type="checkbox" name="deletar_holerite"> Deletar
        </label>
      </div>
    </div>
  @else
    <div class="col-md-7 form-group">
      <p class="chave">Holerite/Recibo Disponível</p>
      <p class="valor alert-warning">
        <i class="fa fa-exclamation-circle" aria-hidden="true"></i>
        Não há Holerite/Recibo anexado!
      </p>
    </div>
  @endif
  <div class="col-md-5 form-group">
    {!! Form::label('file_holerite', 'Anexar Holerite/Recibo:', ['class'=>'control-label']) !!}
    {!! Form::file('file_holerite', ['class'=>'form-control', 'accept'=>'application/pdf'] ) !!}
  </div>
</div>

<br>
<br>

@include('errors.list')
