@extends('app')
<?php $ehEdit = true; ?>

@section('content')
  <div class="row">
    <div class="col-md-12">
      <h1>
        <a href="{{ $caixaVoltar }}" class="btn btn-default" data-toggle="tooltip" title="Voltar">
          <i class="fa fa-arrow-left fa-2x" aria-hidden="true"></i>
        </a>
        Editar Transferência entre Contas Bancárias
      </h1>
    </div>
  </div>

  {!! Form::model(
    $transf, [
    'method'=> 'PUT',
    'route' => ['financeiro.transferencias.update', $transf->id],
    'id' => 'form_transf'
   ]) !!}

  {{ Form::hidden('_voltar', $periodo) }}

  @include('Financeiro.Transferencias.form')

  <div class="row">
    <div class="col-md-12">
      <button class="btn btn-primary" type="submit">
        <i class="fa fa-floppy-o" aria-hidden="true"></i> Salvar Transferência
      </button>
      <a class="btn btn-default" href="{{ $caixaVoltar }}">
        <i class="fa fa-ban" aria-hidden="true"></i> Cancelar
      </a>
    </div>
  </div>
  {!! Form::close() !!}
  <br><br><br><br>
@endsection
@section('scripts')
  <script type="application/javascript">
    $( function () {
      $( '#valor' ).maskMoney( { thousands: '.', decimal: ',', allowZero: true, allowNegative: false } );
      $( '#valor_taxa' ).maskMoney( { thousands: '.', decimal: ',', allowZero: true, allowNegative: false } );
      $( '#form_transf' ).submit( function ( e ) {
        var ent = $( '#conta_saida' );
        var sai = $( '#conta_entrada' );
        if ( ent.val() == sai.val() ) {
          alert( 'A conta Bancária de Saída e Entrada são iguais!' );
          e.preventDefault();
          return false;
        }
        var valor = $( '#valor' );
        valor.maskMoney( 'unmasked' );
        valor.val( valor.val().replace( /\D/g, '' ) );

        var taxa = $( '#valor_taxa' );
        taxa.maskMoney( 'unmasked' );
        taxa.val( taxa.val().replace( /\D/g, '' ) );

        return true;
      } );
    } );
  </script>
@endsection