<div class="row">
  <div class="col-md-12 form-group">
    {!! Form::label('nome', 'Nome da Transferência:', ['class'=>'control-label']) !!}
    {!! Form::text('nome', null, ['class'=>'form-control', 'required']) !!}
  </div>
</div>

<div class="row">
  <div class="col-md-6 form-group">
    {!! Form::label('conta_saida_id', 'Conta Bancária de Origem:') !!}
    {!! Form::select('conta_saida_id', \App\Models\Financeiro\ContaBancaria::enum_contas(), null, ['class'=>'form-control', 'required', 'placeholder'=>'-- Selecione uma Conta Bancária --', 'id'=>'conta_saida']) !!}
  </div>
  <div class="col-md-6 form-group">
    {!! Form::label('conta_entrada_id', 'Conta Bancária de Destino:') !!}
    {!! Form::select('conta_entrada_id', \App\Models\Financeiro\ContaBancaria::enum_contas(), null, ['class'=>'form-control', 'required', 'placeholder'=>'-- Selecione uma Conta Bancária --', 'id'=>'conta_entrada']) !!}
  </div>
</div>

<div class="row">
  <div class="col-md-2 form-group">
    {!! Form::label('data', 'Data Inicial:', ['class'=>'control-label']) !!}
    @if(isset($ehEdit))
      {!! Form::date('data', null, ['class'=>'form-control', 'required']) !!}
    @else
      {!! Form::date('data', \Carbon\Carbon::now()->format('Y-m-d'), ['class'=>'form-control', 'required']) !!}
    @endif
  </div>
  <div class="col-md-5 form-group">
    {!! Form::label('valor', 'Valor Transferido:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      @if(isset($ehEdit))
        {!! Form::text('valor', number_format($transf->valor/100 ,2, ',','.'), ['class'=>'form-control', 'id'=>'valor', 'required'] ) !!}
      @else
        {!! Form::text('valor', '0,00', ['class'=>'form-control', 'id'=>'valor', 'required'] ) !!}
      @endif
    </div>
  </div>
  <div class="col-md-5 form-group">
    {!! Form::label('valor_taxa', 'Valor da Taxa:', ['class'=>'control-label']) !!}
    <div class="input-group">
      <span class="input-group-addon">R$</span>
      @if(isset($ehEdit))
        {!! Form::text('valor_taxa', number_format($transf->valor_taxa/100 ,2, ',','.'), ['class'=>'form-control', 'id'=>'valor_taxa', 'required'] ) !!}
      @else
        {!! Form::text('valor_taxa', '0,00', ['class'=>'form-control', 'id'=>'valor_taxa', 'required'] ) !!}
      @endif
    </div>
  </div>
</div>

<br>
<br>

@include('errors.list')