<?php /** @var \App\Models\Financeiro\Transferencia $transf */ ?>
@extends('app')

@section('content')
  <div class="row">
    <div class="col-md-4 form-group">
      <h2>
        @if( $caixaVoltar )
          <a href="{{ $caixaVoltar }}" class="btn btn-default" data-toggle="tooltip" title="Voltar">
            <i class="fa fa-arrow-left fa-2x" aria-hidden="true"></i>
          </a>
        @endif
        <i class="fa fa-exchange" aria-hidden="true"></i>
        Transferências entre Contas Bancárias
      </h2>
    </div>
    <div class="col-md-5 form-group">
      @include('_fragments.ListagemPadronizada_form')
    </div>
    <div class="col-md-3 form-group">
        <a class="btn btn-success pull-right h2" href="{{ route('financeiro.transferencias.create') }}">
          <i class="fa fa-plus" aria-hidden="true"></i>
          Adicionar Transferências
        </a>
    </div>
  </div>


  <div class="row">
    <div class="col-md-12 form-group">
      <div class="table-responsive">
        <table class="table table-hover">
          <thead>
          <tr>
            <th class="text-left" style="width: 30%;">@sortablelink('nome', 'Nome')</th>
            <th class="text-left" style="width: 12%;">@sortablelink('data', 'Data')</th>
            <th class="text-left" style="width: 20%;">@sortablelink('conta_saida_id', 'Conta Origem')</th>
            <th class="text-left" style="width: 20%;">@sortablelink('conta_entrada_id', 'Conta Destino')</th>
            <th class="text-right" style="width: 12%;">@sortablelink('valor','Valor')</th>
            <th class="text-right" style="width: 6%;">Ações</th>
          </tr>
          </thead>
          <tbody>
          @foreach($transfs as $transf)
            <tr>
              <td>{{ $transf->nome }}</td>
              <td>{{ \Carbon\Carbon::parse($transf->data)->format('d/m/Y')}}</td>
              <td>{{ $transf->ContaBancariaSaidaNome() }}</td>
              <td>{{ $transf->ContaBancariaEntradaNome() }}</td>
              <td class="text-right">R$ {{ number_format($transf->valor/100, 2, ',','.') }}</td>
              <td class="text-right">
                <a class="btn btn-warning btn-xs" href="{{ route('financeiro.transferencias.edit',[$transf->id]) }}">
                  <i class="fa fa-pencil" aria-hidden="true"></i>
                </a>
                {{ Form::open(['route' => ['financeiro.transferencias.destroy' , $transf->id], 'style'=>'display:inline;']) }}
                {{ Form::hidden('_method', 'DELETE') }}
                <button type="submit" class="btn btn-danger btn-xs inline" name="deleta_item">
                  <i class="fa fa-trash-o" aria-hidden="true"></i>
                </button>
                {{ Form::close() }}
              </td>
            </tr>
          @endforeach
          </tbody>
        </table>
      </div>

    </div>
  </div>

  <div class="row">
    <div class="col-md-12 text-center">
      {!! $transfs->appends(\Request::except('page'))->render() !!}
    </div>
  </div>

  @include('_fragments.modal', ['titulo'=>'Transferência entre Contas Bancárias'])

@endsection
@section('scripts')
  <script type="application/javascript">
    $( function () {

    } );
  </script>
@endsection
