@extends('app')

@section('content')

  <div class="row grupo">
    <div class="col-md-12">
      <h1><i class="fa fa-cog"></i> Configurar Conta</h1>
    </div>
  </div>

  @include('flash::message')

  <div class="row">
    <div class="col-md-4">

      <div class="panel panel-primary">
        <div class="panel-heading">
          <h3 class="panel-title">
            <i class="fa fa-info-circle" aria-hidden="true"></i>
            Informações do Usuário
          </h3>
        </div>
        <div class="panel-body">

          <div class="row">
            <div class="col-md-12 grupo">
              <p class="chave">Nome do Usuário</p>
              <p class="valor">{{ $user->name }}</p>
            </div>
          </div>

          <div class="row">
            <div class="col-md-12 grupo">
              <p class="chave">E-mail:</p>
              <p class="valor">{{ $user->email }}</p>
            </div>
          </div>

          <div class="row">
            <div class="col-md-12 grupo">
              <p class="chave">Função</p>
              <p class="valor">{{ $user->get_enum_Roles() }}</p>
            </div>
          </div>

        </div>
      </div>

    </div>

    <div class="col-md-4">

      <div class="panel panel-primary">
        <div class="panel-heading">
          <h3 class="panel-title">
            <i class="fa fa-key" aria-hidden="true"></i>
            Trocar Senha de Acesso
          </h3>
        </div>
        <div class="panel-body">
          {!! Form::open(['route' => 'usuario.ConfigurarConta.AlteraSenha']) !!}
          <div class="row form-group{{ $errors->has('senha') ? ' has-error' : '' }}">
            <div class="col-md-12">
              {!! Form::label('senha','Senha Atual:', ['class'=>'control-label']) !!}
              {!! Form::password('senha' , ['class'=>'form-control'] ) !!}
              @if ($errors->has('senha'))
                <span class="help-block">
                    <strong>{{ $errors->first('senha') }}</strong>
                </span>
              @endif
            </div>
          </div>
          <div class="row form-group{{ $errors->has('nova_senha') ? ' has-error' : '' }}">
            <div class="col-md-12">
              {!! Form::label('senha','Nova Senha:', ['class'=>'control-label']) !!}
              {!! Form::password('nova_senha' , ['class'=>'form-control'] ) !!}
              @if ($errors->has('nova_senha'))
                <span class="help-block">
                    <strong>{{ $errors->first('nova_senha') }}</strong>
                </span>
              @endif
            </div>
          </div>
          <div class="row form-group{{ $errors->has('nova_senha_confirmation') ? ' has-error' : '' }}">
            <div class="col-md-12">
              {!! Form::label('senha','Confirme a Nova Senha:', ['class'=>'control-label']) !!}
              {!! Form::password('nova_senha_confirmation' , ['class'=>'form-control'] ) !!}
              @if ($errors->has('nova_senha_confirmation'))
                <span class="help-block">
                    <strong>{{ $errors->first('nova_senha_confirmation') }}</strong>
                </span>
              @endif
            </div>
          </div>
          <div class="row">
            <div class="col-md-12 text-right">
              <button type="submit" class="btn btn-primary">
                <i class="fa fa-exchange" aria-hidden="true"></i> Trocar Senha
              </button>
            </div>
          </div>
          {!! Form::close() !!}
        </div>
      </div>

    </div>

  </div>

@endsection
