@extends('app')

@section('content')

  <?php
    /** @var App\Models\Financeiro\Salario[] $salarios */
  ?>

  <div class="row grupo">
    <div class="col-md-12">
      <h1><i class="fa fa-file-pdf-o"></i> Meus Holerites/Recibos</h1>
    </div>
  </div>

  @include('flash::message')

  <div class="row">
    <div class="col-md-12 form-group">
      <p><strong>Funcionário</strong>: {{ $funcionario->nome }}</p>
    </div>
  </div>

  <div class="row">
    <div class="col-md-12 form-group">
      <table class="table table-striped table-hover">
        <thead>
        <th style="width: 6%; text-align: right;">Ano</th>
        <th style="width: 5%; text-align: right;">Mês</th>
        <th style="width: 15%; text-align: right;">Valor</th>
        <th>Holerite/Recibo</th>
        <th style="width: 10%;"></th>
        </thead>
        <tbody>
        @foreach ( $salarios as $salario )
          <tr>
            <td class="text-right">{{ $salario->ano }}</td>
            <td class="text-right">{{ $salario->mes }}</td>
            <td class="text-right">R$ {{ number_format($salario->valor_total/100, 2, ',' ,'.') }}</td>
            <td>{{ $salario->holerite_nome }}</td>
            <td class="text-right">
              <a
                href="{{ route( 'usuario.holerites.download', $salario->id ) }}"
                target="_blank"
                class="btn btn-sm btn-link">
                <i class="fa fa-file-pdf-o"></i>
                Baixar
              </a>
            </td>
          </tr>
        @endforeach
        </tbody>
      </table>
    </div>
  </div>

@endsection
