<!DOCTYPE html>
<html lang="pt-br">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="robots" content="noindex, nofollow, noarchive, noimageindex">

  <!-- CSRF Token -->
  <meta name="csrf-token" content="{{ csrf_token() }}">

  <title>Sistema Cadaris</title>

  <!-- FavIcon -->
  <link rel="apple-touch-icon" sizes="57x57" href="/apple-touch-icon-57x57.png?v=2">
  <link rel="apple-touch-icon" sizes="60x60" href="/apple-touch-icon-60x60.png?v=2">
  <link rel="apple-touch-icon" sizes="72x72" href="/apple-touch-icon-72x72.png?v=2">
  <link rel="apple-touch-icon" sizes="76x76" href="/apple-touch-icon-76x76.png?v=2">
  <link rel="apple-touch-icon" sizes="114x114" href="/apple-touch-icon-114x114.png?v=2">
  <link rel="apple-touch-icon" sizes="120x120" href="/apple-touch-icon-120x120.png?v=2">
  <link rel="apple-touch-icon" sizes="144x144" href="/apple-touch-icon-144x144.png?v=2">
  <link rel="apple-touch-icon" sizes="152x152" href="/apple-touch-icon-152x152.png?v=2">
  <link rel="apple-touch-icon" sizes="180x180" href="/apple-touch-icon-180x180.png?v=2">
  <link rel="icon" type="image/png" href="/favicon-32x32.png?v=2" sizes="32x32">
  <link rel="icon" type="image/png" href="/favicon-194x194.png?v=2" sizes="194x194">
  <link rel="icon" type="image/png" href="/android-chrome-192x192.png?v=2" sizes="192x192">
  <link rel="icon" type="image/png" href="/favicon-16x16.png?v=2" sizes="16x16">
  <link rel="manifest" href="/manifest.json?v=2">
  <link rel="mask-icon" href="/safari-pinned-tab.svg?v=2" color="#ff1111">
  <link rel="shortcut icon" href="/favicon.ico?v=2">
  <meta name="apple-mobile-web-app-title" content="Sistema Cadaris">
  <meta name="application-name" content="Sistema Cadaris">
  <meta name="msapplication-TileColor" content="#ff1111">
  <meta name="msapplication-TileImage" content="/mstile-144x144.png?v=2">
  <meta name="theme-color" content="#ffffff">

  <!-- Styles -->
  <link href="{{ mix('/css/vendor.css') }}" rel="stylesheet">
  <link href="{{ mix('/css/vendor_print.css') }}" media="print" rel="stylesheet">
  <link href="{{ mix('/css/app.css') }}" rel="stylesheet">
  <!-- Scripts -->
  <script>
    window.Laravel = <?php echo json_encode( [
      'csrfToken' => csrf_token(),
    ] ); ?>
  </script>
</head>
<body>

@include('app_navbar')

<div class="container">
  @yield('content')
</div>

<!-- Scripts -->
{{--<script src="{{ mix('/js/manifest.js') }}"></script>--}}
<script src="{{ mix('/js/vendor.js') }}"></script>
<script src="//cdn.ravenjs.com/3.17.0/raven.min.js" crossorigin="anonymous"></script>
<script src="{{ mix('/js/app.js') }}"></script>
<script type="application/javascript">
  $( function () {
    if ( !window.localStorage.getItem( 'jwtToken' ) ) {
      localStorage.clear();
      document.getElementById( 'logout-form' ).submit();
    }
    @if( App::environment() === 'production' )
    Raven.config( 'https://cfa2ce3388e149b087ebacf5d1de01bf@sentry.io/210751' ).install();
    Raven.setUserContext( {
      id: '{{ \Auth::user()->id ?? 'sem id' }}',
      username: '{{ \Auth::user()->name ?? 'sem nome' }}',
      email: '{{ \Auth::user()->email ?? 'sem email' }}'
    } );
    @endif
  } );
</script>
@yield('scripts')
</body>
</html>
