<nav class="navbar navbar-default navbar-static-top">
  <div class="container">
    <div class="navbar-header">

      <!-- Collapsed Hamburger -->
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#app-navbar-collapse">
        <span class="sr-only">Toggle Navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>

      <!-- Branding Image -->
      <a class="navbar-brand" href="{{ url('/home') }}" style="">
        <img alt="Logo Cadaris" src="/images/logo_cadaris.png" style="margin-top: -10px; height:40px">
      </a>
    </div>

    <div class="collapse navbar-collapse" id="app-navbar-collapse">

      <ul class="nav navbar-nav">

        <li>
          <a href="{{ url('/home') }}">
            <i class="fa fa-home fa-lg" aria-hidden="true"></i>
            Home
          </a>
        </li>

        {{-- MENU CADASTROS --}}
        @can( CRP::P_Cadastro_read )
          <li class="dropdown">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
              <i class="fa fa-database" aria-hidden="true"></i>&nbsp;
              Cadastros
              <span class="caret"></span>
            </a>
            <ul class="dropdown-menu" role="menu">
              <li>
                <a href="{{ route('cadastros.centrosdecustocadaris.index') }}">
                  <i class="fa fa-sticky-note" aria-hidden="true"></i>&nbsp;
                  Centros de Custo da Cadaris
                </a>
              </li>
              <li>
                <a href="{{ route('clientes.index') }}">
                  <i class="fa fa-briefcase" aria-hidden="true"></i>&nbsp;
                  Clientes
                </a>
              </li>
              <li>
                <a href="{{ route('departamentos.index') }}">
                  <i class="fa fa-users" aria-hidden="true"></i>
                  Departamentos
                </a>
              </li>
              <li>
                <a href="{{ route('fornecedores.index') }}">
                  <i class="fa fa-briefcase" aria-hidden="true"></i>
                  Fornecedores
                </a>
              </li>
              <li>
                <a href="{{ route('funcionarios.index') }}">
                  <i class="fa fa-user" aria-hidden="true"></i>&nbsp;
                  Funcionários
                </a>
              </li>
              <li>
                <a href="{{ route('cadastros.planodecontas.index') }}">
                  <i class="fa fa-sticky-note" aria-hidden="true"></i>&nbsp;
                  Plano de Contas
                </a>
              </li>
              <li>
                <a href="{{ route('usuarios.index') }}">
                  <i class="fa fa-user" aria-hidden="true"></i>&nbsp;
                  Usuários
                </a>
              </li>
            </ul>
          </li>
        @endcan

        {{-- MENU COMERCIAL --}}
        @can( CRP::P_Comercial_index )
          <li class="dropdown">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
              <i class="fa fa-briefcase" aria-hidden="true"></i>&nbsp;
              Comercial
              <span class="caret"></span>
            </a>
            <ul class="dropdown-menu" role="menu">
              <li>
                <a href="{{ route('jobs.index') }}">
                  <i class="fa fa-briefcase" aria-hidden="true"></i>&nbsp;
                  Propostas Comerciais
                </a>
              </li>
              @can( CRP::P_Financeiro )
                <li class="disabled">
                  <a href="#" class="disabled">
                    <i class="fa fa-handshake-o" aria-hidden="true"></i>&nbsp;
                    Controle de FEE
                  </a>
                </li>
              @endcan
            </ul>
          </li>
        @endcan

        {{-- MENU FINANCEIRO --}}
        @can( CRP::P_Financeiro )
          <li class="dropdown">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
              <i class="fa fa-line-chart" aria-hidden="true"></i>&nbsp;
              Financeiro
              <span class="caret"></span>
            </a>
            <ul class="dropdown-menu" role="menu">
              <li role="presentation" class="dropdown-header">
                Financeiro
              </li>
              <li>
                <a href="{{ route('financeiro.caixa.index') }}">
                  <i class="fa fa-line-chart" aria-hidden="true"></i>&nbsp;
                  Fluxo de Caixa
                </a>
              </li>
              <li role="separator" class="divider"></li>
              <li role="presentation" class="dropdown-header">
                Contas a Receber
              </li>
              <li>
                <a href="{{ route('financeiro.jobs.index') }}">
                  <i class="fa fa-plus" aria-hidden="true"></i>&nbsp;
                  Faturamento de Jobs
                </a>
              </li>
              <li>
                <a href="{{ route('financeiro.investimentos.index') }}">
                  <i class="fa fa-plus" aria-hidden="true"></i>&nbsp;
                  Investimentos
                </a>
              </li>
              <li>
                <a href="{{ route('financeiro.recebimentos.index') }}">
                  <i class="fa fa-plus" aria-hidden="true"></i>&nbsp;
                  Outros Recebimentos
                </a>
              </li>
              <li role="separator" class="divider"></li>
              <li role="presentation" class="dropdown-header">
                Contas a Pagar
              </li>
              <li>
                <a href="{{ route('financeiro.contasdeconsumo.index') }}">
                  <i class="fa fa-minus" aria-hidden="true"></i>&nbsp;
                  Contas de Consumo
                </a>
              </li>
              <li>
                <a href="{{ route('financeiro.fornecedores.index') }}">
                  <i class="fa fa-minus" aria-hidden="true"></i>&nbsp;
                  Contas de Fornecedores
                </a>
              </li>
              <li>
                <a href="{{ route('financeiro.salarios.index') }}">
                  <i class="fa fa-minus" aria-hidden="true"></i>&nbsp;
                  Folhas de Pagamento
                </a>
              </li>
              <li>
                <a href="{{ route('financeiro.ferias.index') }}">
                  <i class="fa fa-minus" aria-hidden="true"></i>&nbsp;
                  Pagamento de Férias
                </a>
              </li>
              <li>
                <a href="{{ route('financeiro.rescisao.index') }}">
                  <i class="fa fa-minus" aria-hidden="true"></i>&nbsp;
                  Rescisão
                </a>
              </li>
              <li>
                <a href="{{ route('financeiro.retiradadesocios.index') }}">
                  <i class="fa fa-minus" aria-hidden="true"></i>&nbsp;
                  Retirada de Sócios
                </a>
              </li>
              <li>
                <a href="{{ route('financeiro.salario13.index') }}">
                  <i class="fa fa-minus" aria-hidden="true"></i>&nbsp;
                  13º Salários
                </a>
              </li>
              <li role="separator" class="divider"></li>
              <li role="presentation" class="dropdown-header">
                Movimentações Bancárias
              </li>
              <li>
                <a href="{{ route('financeiro.transferencias.index') }}">
                  <i class="fa fa-exchange" aria-hidden="true"></i>&nbsp;
                  Transferências entre Contas
                </a>
              </li>
              <li role="separator" class="divider"></li>
              <li role="presentation" class="dropdown-header">
                Configurações do Financeiro
              </li>
              <li>
                <a href="{{ route('financeiro.contas.index') }}">
                  <i class="fa fa-bank" aria-hidden="true"></i>&nbsp;
                  Contas Bancárias
                </a>
              </li>
            </ul>
          </li>
        @endcan

      </ul>

      <!-- Right Side Of Navbar -->
      <ul class="nav navbar-nav navbar-right">
        <li class="dropdown">
          <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
            <i class="fa fa-user-circle fa-lg" aria-hidden="true"></i>&nbsp;&nbsp;
            {{ Auth::user()->name }} <span class="caret"></span>
          </a>
          <ul class="dropdown-menu" role="menu">
            <li>
              <a href="{{ route( 'usuario.holerites.index' ) }}">
                <i class="fa fa-file-pdf-o" aria-hidden="true"></i>&nbsp;&nbsp;Meus Holerites/Recibos </a>
            </li>
            <li>
              <a href="{{ route( 'usuario.ConfigurarConta.get' ) }}">
                <i class="fa fa-cog" aria-hidden="true"></i>&nbsp;&nbsp;Configurar Conta </a>
            </li>
            <li role="separator" class="divider"></li>
            <li>
              <a href="{{ url('/logout') }}"
                 onclick="event.preventDefault();
                   localStorage.clear();
                   document.getElementById('logout-form').submit();">
                <i class="fa fa-sign-out" aria-hidden="true"></i>&nbsp;&nbsp;Sair do Sistema
              </a>
              <form id="logout-form" action="{{ url('/logout') }}" method="POST" style="display: none;">
                {{ csrf_field() }}
              </form>
            </li>
          </ul>
        </li>
      </ul>
    </div>
  </div>
</nav>
