@extends('appLogin')

@section('content')
  <div class="row">
    <div class="col-md-6 col-md-offset-3">
      <div class="panel panel-primary">
        <div class="panel-heading text-center"><h4>Esqueci minha Senha</h4></div>
        <div class="panel-body">
          @if (session('status'))
            <div class="alert alert-success alert-important">
              {{ session('status') }}
            </div>
          @endif
          <form role="form" method="POST" action="{{ url('/password/email') }}">
            {{ csrf_field() }}
            <div class="row form-group">
              <div class="col-md-12{{ $errors->has('email') ? ' has-error' : '' }}" id="div_email">
                <div class="input-group">
                  <span class="input-group-addon"><i class="fa fa-envelope-o" aria-hidden="true"></i></span>
                  <input id="email" type="email" placeholder="Digite o E-mail Cadastrado"
                         class="form-control no-autofill-bgcolor"
                         name="email" value="{{ old('email') }}" required autofocus>
                </div>
                @if ($errors->has('email'))
                  <span class="help-block">
                        <strong>{{ $errors->first('email') }}</strong>
                    </span>
                @endif
              </div>
            </div>
            
            <div class="row">
              <div class="col-md-12 text-right">
                <button type="submit" class="btn btn-primary">
                  Enviar link de redefinição de senha&nbsp;<i class="fa fa-share" aria-hidden="true"></i>
                </button>
              </div>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
@endsection
