@extends('appLogin')

@section('content')
  <div class="row">
    <div class="col-md-6 col-md-offset-3">
      <div class="panel panel-primary">
        <div class="panel-heading text-center"><h4>Redefinição da Senha</h4></div>
        <div class="panel-body">
          @if (session('status'))
            <div class="alert alert-success alert-important">
              {{ session('status') }}
            </div>
          @endif
          <form role="form" method="POST" action="{{ url('/password/reset') }}">
            {{ csrf_field() }}
            <input type="hidden" name="token" value="{{ $token }}">
            
            <div class="row form-group">
              <div class="col-md-12{{ $errors->has('email') ? ' has-error' : '' }}">
                <div class="input-group">
                  <span class="input-group-addon"><i class="fa fa-envelope-o" aria-hidden="true"></i></span>
                  <input type="email" placeholder="Digite o E-mail Cadastrado"
                         class="form-control no-autofill-bgcolor"
                         name="email" value="{{ $email or old('email') }}" required autofocus>
                </div>
                @if ($errors->has('email'))
                  <span class="help-block">
                        <strong>{{ $errors->first('email') }}</strong>
                    </span>
                @endif
              </div>
            </div>
            
            <div class="row form-group">
              <div class="col-md-12{{ $errors->has('password') ? ' has-error' : '' }}" id="div_pass">
                <div class="input-group">
                  <span class="input-group-addon"><i class="fa fa-key" aria-hidden="true"></i></span>
                  <input type="password" placeholder="Digite a nova Senha" class="form-control no-autofill-bgcolor"
                         name="password" required>
                </div>
                @if ($errors->has('password'))
                  <span class="help-block">
                        <strong>{{ $errors->first('password') }}</strong>
                    </span>
                @endif
              </div>
            </div>
            
            <div class="row form-group">
              <div class="col-md-12{{ $errors->has('password_confirmation') ? ' has-error' : '' }}" id="div_pass">
                <div class="input-group">
                  <span class="input-group-addon"><i class="fa fa-key" aria-hidden="true"></i></span>
                  <input type="password" placeholder="Confirme a nova Senha" class="form-control no-autofill-bgcolor"
                         name="password_confirmation" required>
                </div>
                @if ($errors->has('password_confirmation'))
                  <span class="help-block">
                        <strong>{{ $errors->first('password_confirmation') }}</strong>
                    </span>
                @endif
              </div>
            </div>
            
            <div class="row">
              <div class="col-md-12 text-right">
                <button type="submit" class="btn btn-primary">
                  Redefinir Senha
                </button>
              </div>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
@endsection
