<?php

use Illuminate\Foundation\Inspiring;

/*
|--------------------------------------------------------------------------
| Console Routes
|--------------------------------------------------------------------------
|
| This file is where you may define all of your Closure based console
| commands. Each Closure is bound to a command instance allowing a
| simple approach to interacting with each command's IO methods.
|
*/

Artisan::command( 'inspire', function () {
  $this->comment( Inspiring::quote() );
} );

Artisan::command( 'recache:caixa', function () {
  /** @var \Illuminate\Foundation\Console\ClosureCommand $cc */
  $cc = $this;
  $cc->comment( ':: Re-Cache Caixa ::' );

  // TRUNCATE TABLE
  // remove all rows and reset the auto-incrementing ID to zero
  DB::table( 'financeiro_contas_bancarias_sync' )->truncate();

  // RE-CACHE TABLE
  $contasBancarias = \App\Models\Financeiro\ContaBancaria::all();
  $bar             = $cc->output->createProgressBar( count( $contasBancarias ) );
  foreach ( $contasBancarias as $contaBancaria ) {
    $contaBancaria->CalcularValorInicial( 'now' );
    $bar->advance();
  }
  $bar->finish();
  $cc->info( "\nDone!" );
} )->describe( 'Re-Cache do Fluxo de Caixas' );
