#!/bin/sh

# If you would like to do some extra provisioning you may
# add any commands you wish to this file and they will
# be run after the Homestead machine is provisioned.
#
# If you have user-specific configurations you would like
# to apply, you may also create user-customizations.sh,
# which will be run after this script.

# If you're not quite ready for Node 12.x
# Uncomment these lines to roll back to
# v11.x or v10.x

# Remove Node.js v12.x:
#sudo apt-get -y purge nodejs
#sudo rm -rf /usr/lib/node_modules/npm/lib
#sudo rm -rf //etc/apt/sources.list.d/nodesource.list

# Install Node.js v11.x
#curl -sL https://deb.nodesource.com/setup_11.x | sudo -E bash -
#sudo apt-get install -y nodejs

# Install Node.js v10.x
#curl -sL https://deb.nodesource.com/setup_10.x | sudo -E bash -
#sudo apt-get install -y nodejs

# set PHP 7.0
sudo update-alternatives --set php /usr/bin/php7.0
sudo update-alternatives --set php-config /usr/bin/php-config7.0
sudo update-alternatives --set phpize /usr/bin/phpize7.0

# wkHTMLtoPDF:
if [ -f "/usr/bin/wkhtmltopdf" ]; then
  echo "wkHTMLtoPDF installed!"
else
  echo "Installing wkHTMLtoPDF..."
  sudo rm -rf /usr/bin/wkhtmltopdf /usr/bin/wkhtmltoimage /usr/wkhtmltox && \
  sudo apt-get update -qq && \
  sudo apt-get install -y xz-utils fontconfig libxrender1 libfontconfig1 libx11-dev libjpeg62 libxtst6 curl && \
  curl -L --max-redirs -1 \
    https://github.com/wkhtmltopdf/wkhtmltopdf/releases/download/0.12.4/wkhtmltox-0.12.4_linux-generic-amd64.tar.xz \
    --output /tmp/wkhtmltox-0.12.4_linux-generic-amd64.tar.xz && \
  sudo tar -Jxf /tmp/wkhtmltox-0.12.4_linux-generic-amd64.tar.xz -C /usr/ && \
  sudo chmod +x /usr/wkhtmltox/bin/wkhtmltopdf && \
  sudo chmod +x /usr/wkhtmltox/bin/wkhtmltoimage && \
  sudo ln -s /usr/wkhtmltox/bin/wkhtmltopdf /usr/bin/wkhtmltopdf && \
  sudo ln -s /usr/wkhtmltox/bin/wkhtmltoimage /usr/bin/wkhtmltoimage && \
  sudo chmod +x /usr/bin/wkhtmltopdf && \
  sudo chmod +x /usr/bin/wkhtmltoimage && \
  sudo rm /tmp/wkhtmltox-0.12.4_linux-generic-amd64.tar.xz
fi

sudo cp -f /etc/nginx/ssl/ca.homestead.cadaris-vm.crt /vagrant
